#include "atomic_-client.h"

int16_t Atomic_test_Short(mom_ref_t _obj, int16_t a, int16_t *b, int16_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int16_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_Short);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, a);
    flick_fluke_encode_signed16(6, *b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_signed16(0, *b);
          flick_fluke_decode_signed16(2, *c);
          flick_fluke_decode_signed16(4, _return);
          flick_fluke_decode_end_chunk(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(10);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int32_t Atomic_test_Long(mom_ref_t _obj, int32_t a, int32_t *b, int32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int32_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_Long);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_signed32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, *b);
          flick_fluke_decode_signed32(4, *c);
          flick_fluke_decode_signed32(8, _return);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

u_int16_t Atomic_test_UShort(mom_ref_t _obj, u_int16_t a, u_int16_t *b, u_int16_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  u_int16_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_UShort);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned16(4, a);
    flick_fluke_encode_unsigned16(6, *b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_unsigned16(0, *b);
          flick_fluke_decode_unsigned16(2, *c);
          flick_fluke_decode_unsigned16(4, _return);
          flick_fluke_decode_end_chunk(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(10);
  }
  flick_fluke_client_end_decode();
  return _return;
}

u_int32_t Atomic_test_ULong(mom_ref_t _obj, u_int32_t a, u_int32_t *b, u_int32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  u_int32_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_ULong);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a);
    flick_fluke_encode_unsigned32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_unsigned32(0, *b);
          flick_fluke_decode_unsigned32(4, *c);
          flick_fluke_decode_unsigned32(8, _return);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

float Atomic_test_Float(mom_ref_t _obj, float a, float *b, float *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return = 0.0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_Float);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float32(4, a);
    flick_fluke_encode_float32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float32(0, *b);
          flick_fluke_decode_float32(4, *c);
          flick_fluke_decode_float32(8, _return);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

double Atomic_test_Double(mom_ref_t _obj, double a, double *b, double *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double _return = 0.0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(24);
    flick_fluke_encode_new_chunk(24);
    flick_fluke_encode_unsigned32(0, req_test_Double);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, a);
    flick_fluke_encode_float64(16, *b);
    flick_fluke_encode_end_chunk(24);
    flick_fluke_encode_end_glob(24);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(32);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(28);
          flick_fluke_decode_float64(4, *b);
          flick_fluke_decode_float64(12, *c);
          flick_fluke_decode_float64(20, _return);
          flick_fluke_decode_end_chunk(28);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(32);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int Atomic_test_Boolean(mom_ref_t _obj, int a, int *b, int *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int _return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Boolean);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, a);
    flick_fluke_encode_unsigned8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_unsigned8(0, *b);
          flick_fluke_decode_unsigned8(1, *c);
          flick_fluke_decode_unsigned8(2, _return);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(7);
  }
  flick_fluke_client_end_decode();
  return _return;
}

char Atomic_test_Char(mom_ref_t _obj, char a, char *b, char *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char _return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Char);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, a);
    flick_fluke_encode_char8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_char8(0, *b);
          flick_fluke_decode_char8(1, *c);
          flick_fluke_decode_char8(2, _return);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(7);
  }
  flick_fluke_client_end_decode();
  return _return;
}

u_int8_t Atomic_test_Octet(mom_ref_t _obj, u_int8_t a, u_int8_t *b, u_int8_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  u_int8_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Octet);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, a);
    flick_fluke_encode_unsigned8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_unsigned8(0, *b);
          flick_fluke_decode_unsigned8(1, *c);
          flick_fluke_decode_unsigned8(2, _return);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(7);
  }
  flick_fluke_client_end_decode();
  return _return;
}

