#include "arrayez_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &arrays_server, "arrays_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &arrays_server, "arrays_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 8;
  flick_iiop_encode_new_glob(32);
#if 0 /* We never byte swap on encoding */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t0_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 8;
  flick_iiop_decode_new_glob(32);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t3_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8_swap(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t6_array_length = 8;
  flick_iiop_decode_new_glob(32);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(32);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_unsigned16_t _t9_array_length;
  flick_unsigned16_t _t11_array_iter;

  _t9_array_length = 256;
  flick_iiop_encode_new_glob(1024);
#if 0 /* We never byte swap on encoding */
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t11_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t9_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t12_array_length;
  flick_unsigned16_t _t14_array_iter;

  _t12_array_length = 256;
  flick_iiop_decode_new_glob(1024);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t14_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t12_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256_swap(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t15_array_length;
  flick_unsigned16_t _t17_array_iter;

  _t15_array_length = 256;
  flick_iiop_decode_new_glob(1024);
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(1024);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_unsigned16_t _t18_array_length;
  flick_unsigned16_t _t20_array_iter;

  _t18_array_length = 8192;
  flick_iiop_encode_new_glob(4 * _t18_array_length);
#if 0 /* We never byte swap on encoding */
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t20_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t18_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(4 * _t18_array_length);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t21_array_length;
  flick_unsigned16_t _t23_array_iter;

  _t21_array_length = 8192;
  flick_iiop_decode_new_glob(4 * _t21_array_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t23_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t21_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(4 * _t21_array_length);
}

void flick_unmarshal_stub_arrays_arr8k_swap(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t24_array_length;
  flick_unsigned16_t _t26_array_iter;

  _t24_array_length = 8192;
  flick_iiop_decode_new_glob(4 * _t24_array_length);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t26_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _t24_array_length);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t138_switch_tag;

    flick_iiop_decode_new_glob(1040);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t138_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t138_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t139_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t139_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t139_switch_tag)
            {
            case 't':
              {
                char _t140_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t140_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t140_switch_tag)
                  {
                  case 'e':
                    {
                      char _t141_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t141_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t141_switch_tag)
                        {
                        case 's':
                          {
                            char _t142_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t142_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t142_switch_tag)
                              {
                              case 't':
                                {
                                  char _t143_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t143_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t143_switch_tag)
                                    {
                                    case '8':
                                      {
                                        char _t144_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t144_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t144_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                arrays _obj;
                                                arrays_arr8 _local_a;
                                                CORBA_Environment *_ev;
                                                CORBA_long _return = 0;
                                                CORBA_Environment _t145_storage;
                                                unsigned int _t146_principal;
                                                flick_unsigned8_t _t147_array_length;
                                                flick_unsigned8_t _t149_array_iter;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _ev = &_t145_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t146_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                _t147_array_length = 8;
                                                flick_iiop_decode_end_chunk(6);
                                                for (_t149_array_iter = 0; _t149_array_iter < _t147_array_length; _t149_array_iter++)
                                                  {
                                                    flick_iiop_decode_new_chunk(4);
                                                    flick_cdr_swap_decode_signed32(0, _local_a[_t149_array_iter]);
                                                    flick_iiop_decode_end_chunk(4);
                                                  }
                                                flick_iiop_decode_end_glob(1040);
                                                flick_corba_init_environment();
                                                _return = arrays_test8(_obj, _local_a, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(8);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _return);
                                                      flick_iiop_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(8);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(1040);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(1040);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(1040);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(1040);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(1040);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(1040);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t150_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t150_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t150_switch_tag)
            {
            case 't':
              {
                char _t151_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t151_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t151_switch_tag)
                  {
                  case 'e':
                    {
                      char _t152_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t152_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t152_switch_tag)
                        {
                        case 's':
                          {
                            char _t153_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t153_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t153_switch_tag)
                              {
                              case 't':
                                {
                                  char _t154_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t154_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t154_switch_tag)
                                    {
                                    case '2':
                                      {
                                        char _t155_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t155_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t155_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t156_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t156_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t156_switch_tag)
                                                {
                                                case '6':
                                                  {
                                                    char _t157_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t157_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t157_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            arrays _obj;
                                                            arrays_arr256 _local_a;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t158_storage;
                                                            unsigned int _t159_principal;
                                                            flick_unsigned16_t _t160_array_length;
                                                            flick_unsigned16_t _t162_array_iter;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t158_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(4);
                                                            flick_cdr_swap_decode_unsigned32(0, _t159_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            _t160_array_length = 256;
                                                            flick_iiop_decode_end_chunk(4);
                                                            for (_t162_array_iter = 0; _t162_array_iter < _t160_array_length; _t162_array_iter++)
                                                              {
                                                                flick_iiop_decode_new_chunk(4);
                                                                flick_cdr_swap_decode_signed32(0, _local_a[_t162_array_iter]);
                                                                flick_iiop_decode_end_chunk(4);
                                                              }
                                                            flick_iiop_decode_end_glob(1040);
                                                            flick_corba_init_environment();
                                                            _return = arrays_test256(_obj, _local_a, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(1040);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(1040);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(1040);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(1040);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(1040);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(1040);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(1040);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(1040);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t163_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t163_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t163_switch_tag)
            {
            case 't':
              {
                char _t164_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t164_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t164_switch_tag)
                  {
                  case 'e':
                    {
                      char _t165_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t165_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t165_switch_tag)
                        {
                        case 's':
                          {
                            char _t166_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t166_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t166_switch_tag)
                              {
                              case 't':
                                {
                                  char _t167_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t167_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t167_switch_tag)
                                    {
                                    case '8':
                                      {
                                        char _t168_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t168_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t168_switch_tag)
                                          {
                                          case 'k':
                                            {
                                              char _t169_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t169_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t169_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      arrays _obj;
                                                      arrays_arr8k _local_a;
                                                      CORBA_Environment *_ev;
                                                      CORBA_long _return = 0;
                                                      CORBA_Environment _t170_storage;
                                                      unsigned int _t171_principal;
                                                      flick_unsigned16_t _t172_array_length;
                                                      flick_unsigned16_t _t174_array_iter;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t170_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t171_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      _t172_array_length = 8192;
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(1040);
                                                      flick_iiop_decode_new_glob(4 * _t172_array_length);
                                                      for (_t174_array_iter = 0; _t174_array_iter < _t172_array_length; _t174_array_iter++)
                                                        {
                                                          flick_iiop_decode_new_chunk(4);
                                                          flick_cdr_swap_decode_signed32(0, _local_a[_t174_array_iter]);
                                                          flick_iiop_decode_end_chunk(4);
                                                        }
                                                      flick_iiop_decode_end_glob(4 * _t172_array_length);
                                                      flick_corba_init_environment();
                                                      _return = arrays_test8k(_obj, _local_a, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(8);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _return);
                                                            flick_iiop_encode_end_chunk(4);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(8);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(1040);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(1040);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(1040);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(1040);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(1040);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(1040);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(1040);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(1040);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t64_switch_tag;

    flick_iiop_decode_new_glob(1040);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t64_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t64_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t65_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t65_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t65_switch_tag)
            {
            case 't':
              {
                char _t66_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t66_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t66_switch_tag)
                  {
                  case 'e':
                    {
                      char _t67_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t67_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t67_switch_tag)
                        {
                        case 's':
                          {
                            char _t68_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t68_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t68_switch_tag)
                              {
                              case 't':
                                {
                                  char _t69_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t69_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t69_switch_tag)
                                    {
                                    case '8':
                                      {
                                        char _t70_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t70_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t70_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                arrays _obj;
                                                arrays_arr8 _local_a;
                                                CORBA_Environment *_ev;
                                                CORBA_long _return = 0;
                                                CORBA_Environment _t71_storage;
                                                unsigned int _t72_principal;
                                                flick_unsigned8_t _t73_array_length;
                                                flick_unsigned8_t _t75_array_iter;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _ev = &_t71_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t72_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                _t73_array_length = 8;
                                                flick_iiop_decode_end_chunk(6);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                for (_t75_array_iter = 0; _t75_array_iter < _t73_array_length; _t75_array_iter++)
                                                  {
                                                    flick_iiop_decode_new_chunk(4);
                                                    flick_cdr_decode_signed32(0, _local_a[_t75_array_iter]);
                                                    flick_iiop_decode_end_chunk(4);
                                                  }
#else
                                                flick_cdr_decode_bcopy(_local_a, sizeof(long) * _t73_array_length, iiop);
#endif
                                                flick_iiop_decode_end_glob(1040);
                                                flick_corba_init_environment();
                                                _return = arrays_test8(_obj, _local_a, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(8);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _return);
                                                      flick_iiop_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(8);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(1040);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(1040);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(1040);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(1040);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(1040);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(1040);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t76_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t76_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t76_switch_tag)
            {
            case 't':
              {
                char _t77_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t77_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t77_switch_tag)
                  {
                  case 'e':
                    {
                      char _t78_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t78_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t78_switch_tag)
                        {
                        case 's':
                          {
                            char _t79_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t79_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t79_switch_tag)
                              {
                              case 't':
                                {
                                  char _t80_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t80_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t80_switch_tag)
                                    {
                                    case '2':
                                      {
                                        char _t81_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t81_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t81_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t82_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t82_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t82_switch_tag)
                                                {
                                                case '6':
                                                  {
                                                    char _t83_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t83_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t83_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            arrays _obj;
                                                            arrays_arr256 _local_a;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t84_storage;
                                                            unsigned int _t85_principal;
                                                            flick_unsigned16_t _t86_array_length;
                                                            flick_unsigned16_t _t88_array_iter;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t84_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(4);
                                                            flick_cdr_decode_unsigned32(0, _t85_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            _t86_array_length = 256;
                                                            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                            for (_t88_array_iter = 0; _t88_array_iter < _t86_array_length; _t88_array_iter++)
                                                              {
                                                                flick_iiop_decode_new_chunk(4);
                                                                flick_cdr_decode_signed32(0, _local_a[_t88_array_iter]);
                                                                flick_iiop_decode_end_chunk(4);
                                                              }
#else
                                                            flick_cdr_decode_bcopy(_local_a, sizeof(long) * _t86_array_length, iiop);
#endif
                                                            flick_iiop_decode_end_glob(1040);
                                                            flick_corba_init_environment();
                                                            _return = arrays_test256(_obj, _local_a, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(1040);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(1040);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(1040);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(1040);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(1040);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(1040);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(1040);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(1040);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t89_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t89_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t89_switch_tag)
            {
            case 't':
              {
                char _t90_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t90_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t90_switch_tag)
                  {
                  case 'e':
                    {
                      char _t91_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t91_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t91_switch_tag)
                        {
                        case 's':
                          {
                            char _t92_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t92_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t92_switch_tag)
                              {
                              case 't':
                                {
                                  char _t93_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t93_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t93_switch_tag)
                                    {
                                    case '8':
                                      {
                                        char _t94_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t94_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t94_switch_tag)
                                          {
                                          case 'k':
                                            {
                                              char _t95_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t95_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t95_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      arrays _obj;
                                                      arrays_arr8k _local_a;
                                                      CORBA_Environment *_ev;
                                                      CORBA_long _return = 0;
                                                      CORBA_Environment _t96_storage;
                                                      unsigned int _t97_principal;
                                                      flick_unsigned16_t _t98_array_length;
                                                      flick_unsigned16_t _t100_array_iter;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _ev = &_t96_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t97_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      _t98_array_length = 8192;
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(1040);
                                                      flick_iiop_decode_new_glob(4 * _t98_array_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                      for (_t100_array_iter = 0; _t100_array_iter < _t98_array_length; _t100_array_iter++)
                                                        {
                                                          flick_iiop_decode_new_chunk(4);
                                                          flick_cdr_decode_signed32(0, _local_a[_t100_array_iter]);
                                                          flick_iiop_decode_end_chunk(4);
                                                        }
#else
                                                      flick_cdr_decode_bcopy(_local_a, sizeof(long) * _t98_array_length, iiop);
#endif
                                                      flick_iiop_decode_end_glob(4 * _t98_array_length);
                                                      flick_corba_init_environment();
                                                      _return = arrays_test8k(_obj, _local_a, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(8);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _return);
                                                            flick_iiop_encode_end_chunk(4);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(8);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(1040);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(1040);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(1040);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(1040);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(1040);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(1040);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(1040);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(1040);
          break;
        }
      }
  }
  }
  return 0;
}
