#include "atomic_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &Atomic_test_server, "Atomic_test_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &Atomic_test_server, "Atomic_test_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, const Atomic_test *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_Atomic_test_swap(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int Atomic_test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t264_switch_tag;

    flick_iiop_decode_new_glob(32);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t264_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t264_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t265_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t265_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t265_switch_tag)
            {
            case 'S':
              {
                char _t266_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t266_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t266_switch_tag)
                  {
                  case 'h':
                    {
                      char _t267_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t267_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t267_switch_tag)
                        {
                        case 'o':
                          {
                            char _t268_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t268_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t268_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t269_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t269_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t269_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t270_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t270_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t270_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_short _local_a;
                                                CORBA_short *_local_b;
                                                CORBA_short *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                CORBA_short _t271_storage;
                                                CORBA_Environment _t272_storage;
                                                unsigned int _t273_principal;
                                                CORBA_short _t274_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t271_storage;
                                                _ev = &_t272_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(10);
                                                flick_cdr_swap_decode_unsigned32(2, _t273_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_swap_decode_signed16(6, _local_a);
                                                _local_b = &_t274_storage;
                                                flick_cdr_swap_decode_signed16(8, *_local_b);
                                                flick_iiop_decode_end_chunk(10);
                                                flick_iiop_decode_end_glob(32);
                                                flick_corba_init_environment();
                                                _return = Atomic_test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(10);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(6);
                                                      flick_cdr_encode_signed16(0, *_local_b);
                                                      flick_cdr_encode_signed16(2, *_local_c);
                                                      flick_cdr_encode_signed16(4, _return);
                                                      flick_iiop_encode_end_chunk(6);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(10);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case 'U':
              {
                char _t275_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t275_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t275_switch_tag)
                  {
                  case 'L':
                    {
                      char _t276_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t276_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t276_switch_tag)
                        {
                        case 'o':
                          {
                            char _t277_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t277_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t277_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t278_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t278_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t278_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t279_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t279_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t279_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_unsigned_long _local_a;
                                                CORBA_unsigned_long *_local_b;
                                                CORBA_unsigned_long *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_unsigned_long _return = 0;
                                                CORBA_unsigned_long _t280_storage;
                                                CORBA_Environment _t281_storage;
                                                unsigned int _t282_principal;
                                                CORBA_unsigned_long _t283_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t280_storage;
                                                _ev = &_t281_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(14);
                                                flick_cdr_swap_decode_unsigned32(2, _t282_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_swap_decode_unsigned32(6, _local_a);
                                                _local_b = &_t283_storage;
                                                flick_cdr_swap_decode_unsigned32(10, *_local_b);
                                                flick_iiop_decode_end_chunk(14);
                                                flick_iiop_decode_end_glob(32);
                                                flick_corba_init_environment();
                                                _return = Atomic_test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(12);
                                                      flick_cdr_encode_unsigned32(0, *_local_b);
                                                      flick_cdr_encode_unsigned32(4, *_local_c);
                                                      flick_cdr_encode_unsigned32(8, _return);
                                                      flick_iiop_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(16);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case 'F':
              {
                char _t284_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t284_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t284_switch_tag)
                  {
                  case 'l':
                    {
                      char _t285_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t285_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t285_switch_tag)
                        {
                        case 'o':
                          {
                            char _t286_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t286_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t286_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t287_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t287_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t287_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t288_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t288_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t288_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_float _local_a;
                                                CORBA_float *_local_b;
                                                CORBA_float *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                CORBA_float _t289_storage;
                                                CORBA_Environment _t290_storage;
                                                unsigned int _t291_principal;
                                                CORBA_float _t292_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t289_storage;
                                                _ev = &_t290_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(14);
                                                flick_cdr_swap_decode_unsigned32(2, _t291_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_swap_decode_float32(6, _local_a);
                                                _local_b = &_t292_storage;
                                                flick_cdr_swap_decode_float32(10, *_local_b);
                                                flick_iiop_decode_end_chunk(14);
                                                flick_iiop_decode_end_glob(32);
                                                flick_corba_init_environment();
                                                _return = Atomic_test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(12);
                                                      flick_cdr_encode_float32(0, *_local_b);
                                                      flick_cdr_encode_float32(4, *_local_c);
                                                      flick_cdr_encode_float32(8, _return);
                                                      flick_iiop_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(16);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case 'O':
              {
                char _t293_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t293_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t293_switch_tag)
                  {
                  case 'c':
                    {
                      char _t294_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t294_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t294_switch_tag)
                        {
                        case 't':
                          {
                            char _t295_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t295_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t295_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t296_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t296_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t296_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t297_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t297_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t297_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_octet _local_a;
                                                CORBA_octet *_local_b;
                                                CORBA_octet *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_octet _return = 0;
                                                CORBA_octet _t298_storage;
                                                CORBA_Environment _t299_storage;
                                                unsigned int _t300_principal;
                                                CORBA_octet _t301_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t298_storage;
                                                _ev = &_t299_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(8);
                                                flick_cdr_swap_decode_unsigned32(2, _t300_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_swap_decode_unsigned8(6, _local_a);
                                                _local_b = &_t301_storage;
                                                flick_cdr_swap_decode_unsigned8(7, *_local_b);
                                                flick_iiop_decode_end_chunk(8);
                                                flick_iiop_decode_end_glob(32);
                                                flick_corba_init_environment();
                                                _return = Atomic_test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(7);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(3);
                                                      flick_cdr_encode_unsigned8(0, *_local_b);
                                                      flick_cdr_encode_unsigned8(1, *_local_c);
                                                      flick_cdr_encode_unsigned8(2, _return);
                                                      flick_iiop_encode_end_chunk(3);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(7);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t302_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t302_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t302_switch_tag)
            {
            case 'L':
              {
                char _t303_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t303_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t303_switch_tag)
                  {
                  case 'o':
                    {
                      char _t304_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t304_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t304_switch_tag)
                        {
                        case 'n':
                          {
                            char _t305_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t305_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t305_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t306_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t306_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t306_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          Atomic_test _obj;
                                          CORBA_long _local_a;
                                          CORBA_long *_local_b;
                                          CORBA_long *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_long _t307_storage;
                                          CORBA_Environment _t308_storage;
                                          unsigned int _t309_principal;
                                          CORBA_long _t310_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_c = &_t307_storage;
                                          _ev = &_t308_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(15);
                                          flick_cdr_swap_decode_unsigned32(3, _t309_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_swap_decode_signed32(7, _local_a);
                                          _local_b = &_t310_storage;
                                          flick_cdr_swap_decode_signed32(11, *_local_b);
                                          flick_iiop_decode_end_chunk(15);
                                          flick_iiop_decode_end_glob(32);
                                          flick_corba_init_environment();
                                          _return = Atomic_test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(16);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(12);
                                                flick_cdr_encode_signed32(0, *_local_b);
                                                flick_cdr_encode_signed32(4, *_local_c);
                                                flick_cdr_encode_signed32(8, _return);
                                                flick_iiop_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(16);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case 'C':
              {
                char _t311_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t311_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t311_switch_tag)
                  {
                  case 'h':
                    {
                      char _t312_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t312_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t312_switch_tag)
                        {
                        case 'a':
                          {
                            char _t313_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t313_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t313_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t314_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t314_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t314_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          Atomic_test _obj;
                                          CORBA_char _local_a;
                                          CORBA_char *_local_b;
                                          CORBA_char *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_char _return = 0;
                                          CORBA_char _t315_storage;
                                          CORBA_Environment _t316_storage;
                                          unsigned int _t317_principal;
                                          CORBA_char _t318_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_c = &_t315_storage;
                                          _ev = &_t316_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(9);
                                          flick_cdr_swap_decode_unsigned32(3, _t317_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_swap_decode_char8(7, _local_a);
                                          _local_b = &_t318_storage;
                                          flick_cdr_swap_decode_char8(8, *_local_b);
                                          flick_iiop_decode_end_chunk(9);
                                          flick_iiop_decode_end_glob(32);
                                          flick_corba_init_environment();
                                          _return = Atomic_test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(7);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(3);
                                                flick_cdr_encode_char8(0, *_local_b);
                                                flick_cdr_encode_char8(1, *_local_c);
                                                flick_cdr_encode_char8(2, _return);
                                                flick_iiop_encode_end_chunk(3);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t319_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t319_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t319_switch_tag)
            {
            case 'U':
              {
                char _t320_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t320_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t320_switch_tag)
                  {
                  case 'S':
                    {
                      char _t321_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t321_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t321_switch_tag)
                        {
                        case 'h':
                          {
                            char _t322_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t322_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t322_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t323_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t323_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t323_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t324_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t324_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t324_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t325_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t325_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t325_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      Atomic_test _obj;
                                                      CORBA_unsigned_short _local_a;
                                                      CORBA_unsigned_short *_local_b;
                                                      CORBA_unsigned_short *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_unsigned_short _return = 0;
                                                      CORBA_unsigned_short _t326_storage;
                                                      CORBA_Environment _t327_storage;
                                                      unsigned int _t328_principal;
                                                      CORBA_unsigned_short _t329_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t326_storage;
                                                      _ev = &_t327_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(9);
                                                      flick_cdr_swap_decode_unsigned32(1, _t328_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_cdr_swap_decode_unsigned16(5, _local_a);
                                                      _local_b = &_t329_storage;
                                                      flick_cdr_swap_decode_unsigned16(7, *_local_b);
                                                      flick_iiop_decode_end_chunk(9);
                                                      flick_iiop_decode_end_glob(32);
                                                      flick_corba_init_environment();
                                                      _return = Atomic_test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(10);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(6);
                                                            flick_cdr_encode_unsigned16(0, *_local_b);
                                                            flick_cdr_encode_unsigned16(2, *_local_c);
                                                            flick_cdr_encode_unsigned16(4, _return);
                                                            flick_iiop_encode_end_chunk(6);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(10);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case 'D':
              {
                char _t330_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t330_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t330_switch_tag)
                  {
                  case 'o':
                    {
                      char _t331_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t331_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t331_switch_tag)
                        {
                        case 'u':
                          {
                            char _t332_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t332_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t332_switch_tag)
                              {
                              case 'b':
                                {
                                  char _t333_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t333_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t333_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t334_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t334_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t334_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t335_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t335_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t335_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      Atomic_test _obj;
                                                      CORBA_double _local_a;
                                                      CORBA_double *_local_b;
                                                      CORBA_double *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_double _return = 0.000000;
                                                      CORBA_double _t336_storage;
                                                      CORBA_Environment _t337_storage;
                                                      unsigned int _t338_principal;
                                                      CORBA_double _t339_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t336_storage;
                                                      _ev = &_t337_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t338_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_new_chunk_align(16, 3, 2, 0);
                                                      flick_cdr_swap_decode_float64(0, _local_a);
                                                      _local_b = &_t339_storage;
                                                      flick_cdr_swap_decode_float64(8, *_local_b);
                                                      flick_iiop_decode_end_chunk(16);
                                                      flick_iiop_decode_end_glob(32);
                                                      flick_corba_init_environment();
                                                      _return = Atomic_test_Double(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(28);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                                            flick_cdr_encode_float64(0, *_local_b);
                                                            flick_cdr_encode_float64(8, *_local_c);
                                                            flick_cdr_encode_float64(16, _return);
                                                            flick_iiop_encode_end_chunk(24);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(28);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t340_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t340_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t340_switch_tag)
            {
            case 'B':
              {
                char _t341_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t341_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t341_switch_tag)
                  {
                  case 'o':
                    {
                      char _t342_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t342_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t342_switch_tag)
                        {
                        case 'o':
                          {
                            char _t343_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t343_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t343_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t344_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t344_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t344_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t345_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t345_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t345_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t346_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t346_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t346_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t347_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t347_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t347_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Atomic_test _obj;
                                                            CORBA_boolean _local_a;
                                                            CORBA_boolean *_local_b;
                                                            CORBA_boolean *_local_c;
                                                            CORBA_Environment *_ev;
                                                            CORBA_boolean _return = 0;
                                                            CORBA_boolean _t348_storage;
                                                            CORBA_Environment _t349_storage;
                                                            unsigned int _t350_principal;
                                                            CORBA_boolean _t351_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _local_c = &_t348_storage;
                                                            _ev = &_t349_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(0, _t350_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_swap_decode_unsigned8(4, _local_a);
                                                            _local_b = &_t351_storage;
                                                            flick_cdr_swap_decode_unsigned8(5, *_local_b);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(32);
                                                            flick_corba_init_environment();
                                                            _return = Atomic_test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(7);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(3);
                                                                  flick_cdr_encode_unsigned8(0, *_local_b);
                                                                  flick_cdr_encode_unsigned8(1, *_local_c);
                                                                  flick_cdr_encode_unsigned8(2, _return);
                                                                  flick_iiop_encode_end_chunk(3);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(7);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(32);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t88_switch_tag;

    flick_iiop_decode_new_glob(32);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t88_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t88_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t89_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t89_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t89_switch_tag)
            {
            case 'S':
              {
                char _t90_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t90_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t90_switch_tag)
                  {
                  case 'h':
                    {
                      char _t91_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t91_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t91_switch_tag)
                        {
                        case 'o':
                          {
                            char _t92_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t92_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t92_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t93_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t93_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t93_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t94_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t94_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t94_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_short _local_a;
                                                CORBA_short *_local_b;
                                                CORBA_short *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                CORBA_short _t95_storage;
                                                CORBA_Environment _t96_storage;
                                                unsigned int _t97_principal;
                                                CORBA_short _t98_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t95_storage;
                                                _ev = &_t96_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(10);
                                                flick_cdr_decode_unsigned32(2, _t97_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_decode_signed16(6, _local_a);
                                                _local_b = &_t98_storage;
                                                flick_cdr_decode_signed16(8, *_local_b);
                                                flick_iiop_decode_end_chunk(10);
                                                flick_iiop_decode_end_glob(32);
                                                flick_corba_init_environment();
                                                _return = Atomic_test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(10);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(6);
                                                      flick_cdr_encode_signed16(0, *_local_b);
                                                      flick_cdr_encode_signed16(2, *_local_c);
                                                      flick_cdr_encode_signed16(4, _return);
                                                      flick_iiop_encode_end_chunk(6);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(10);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case 'U':
              {
                char _t99_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t99_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t99_switch_tag)
                  {
                  case 'L':
                    {
                      char _t100_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t100_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t100_switch_tag)
                        {
                        case 'o':
                          {
                            char _t101_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t101_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t101_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t102_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t102_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t102_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t103_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t103_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t103_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_unsigned_long _local_a;
                                                CORBA_unsigned_long *_local_b;
                                                CORBA_unsigned_long *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_unsigned_long _return = 0;
                                                CORBA_unsigned_long _t104_storage;
                                                CORBA_Environment _t105_storage;
                                                unsigned int _t106_principal;
                                                CORBA_unsigned_long _t107_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t104_storage;
                                                _ev = &_t105_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(14);
                                                flick_cdr_decode_unsigned32(2, _t106_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_decode_unsigned32(6, _local_a);
                                                _local_b = &_t107_storage;
                                                flick_cdr_decode_unsigned32(10, *_local_b);
                                                flick_iiop_decode_end_chunk(14);
                                                flick_iiop_decode_end_glob(32);
                                                flick_corba_init_environment();
                                                _return = Atomic_test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(12);
                                                      flick_cdr_encode_unsigned32(0, *_local_b);
                                                      flick_cdr_encode_unsigned32(4, *_local_c);
                                                      flick_cdr_encode_unsigned32(8, _return);
                                                      flick_iiop_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(16);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case 'F':
              {
                char _t108_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t108_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t108_switch_tag)
                  {
                  case 'l':
                    {
                      char _t109_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t109_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t109_switch_tag)
                        {
                        case 'o':
                          {
                            char _t110_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t110_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t110_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t111_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t111_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t111_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t112_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t112_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t112_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_float _local_a;
                                                CORBA_float *_local_b;
                                                CORBA_float *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                CORBA_float _t113_storage;
                                                CORBA_Environment _t114_storage;
                                                unsigned int _t115_principal;
                                                CORBA_float _t116_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t113_storage;
                                                _ev = &_t114_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(14);
                                                flick_cdr_decode_unsigned32(2, _t115_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_decode_float32(6, _local_a);
                                                _local_b = &_t116_storage;
                                                flick_cdr_decode_float32(10, *_local_b);
                                                flick_iiop_decode_end_chunk(14);
                                                flick_iiop_decode_end_glob(32);
                                                flick_corba_init_environment();
                                                _return = Atomic_test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(16);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(12);
                                                      flick_cdr_encode_float32(0, *_local_b);
                                                      flick_cdr_encode_float32(4, *_local_c);
                                                      flick_cdr_encode_float32(8, _return);
                                                      flick_iiop_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(16);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case 'O':
              {
                char _t117_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t117_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t117_switch_tag)
                  {
                  case 'c':
                    {
                      char _t118_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t118_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t118_switch_tag)
                        {
                        case 't':
                          {
                            char _t119_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t119_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t119_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t120_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t120_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t120_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t121_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t121_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t121_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                Atomic_test _obj;
                                                CORBA_octet _local_a;
                                                CORBA_octet *_local_b;
                                                CORBA_octet *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_octet _return = 0;
                                                CORBA_octet _t122_storage;
                                                CORBA_Environment _t123_storage;
                                                unsigned int _t124_principal;
                                                CORBA_octet _t125_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _local_c = &_t122_storage;
                                                _ev = &_t123_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(8);
                                                flick_cdr_decode_unsigned32(2, _t124_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                flick_cdr_decode_unsigned8(6, _local_a);
                                                _local_b = &_t125_storage;
                                                flick_cdr_decode_unsigned8(7, *_local_b);
                                                flick_iiop_decode_end_chunk(8);
                                                flick_iiop_decode_end_glob(32);
                                                flick_corba_init_environment();
                                                _return = Atomic_test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(7);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(3);
                                                      flick_cdr_encode_unsigned8(0, *_local_b);
                                                      flick_cdr_encode_unsigned8(1, *_local_c);
                                                      flick_cdr_encode_unsigned8(2, _return);
                                                      flick_iiop_encode_end_chunk(3);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(7);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t126_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t126_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t126_switch_tag)
            {
            case 'L':
              {
                char _t127_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t127_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t127_switch_tag)
                  {
                  case 'o':
                    {
                      char _t128_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t128_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t128_switch_tag)
                        {
                        case 'n':
                          {
                            char _t129_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t129_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t129_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t130_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t130_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t130_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          Atomic_test _obj;
                                          CORBA_long _local_a;
                                          CORBA_long *_local_b;
                                          CORBA_long *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_long _t131_storage;
                                          CORBA_Environment _t132_storage;
                                          unsigned int _t133_principal;
                                          CORBA_long _t134_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_c = &_t131_storage;
                                          _ev = &_t132_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(15);
                                          flick_cdr_decode_unsigned32(3, _t133_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_decode_signed32(7, _local_a);
                                          _local_b = &_t134_storage;
                                          flick_cdr_decode_signed32(11, *_local_b);
                                          flick_iiop_decode_end_chunk(15);
                                          flick_iiop_decode_end_glob(32);
                                          flick_corba_init_environment();
                                          _return = Atomic_test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(16);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(12);
                                                flick_cdr_encode_signed32(0, *_local_b);
                                                flick_cdr_encode_signed32(4, *_local_c);
                                                flick_cdr_encode_signed32(8, _return);
                                                flick_iiop_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(16);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case 'C':
              {
                char _t135_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t135_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t135_switch_tag)
                  {
                  case 'h':
                    {
                      char _t136_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t136_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t136_switch_tag)
                        {
                        case 'a':
                          {
                            char _t137_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t137_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t137_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t138_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t138_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t138_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          Atomic_test _obj;
                                          CORBA_char _local_a;
                                          CORBA_char *_local_b;
                                          CORBA_char *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_char _return = 0;
                                          CORBA_char _t139_storage;
                                          CORBA_Environment _t140_storage;
                                          unsigned int _t141_principal;
                                          CORBA_char _t142_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_c = &_t139_storage;
                                          _ev = &_t140_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(9);
                                          flick_cdr_decode_unsigned32(3, _t141_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_decode_char8(7, _local_a);
                                          _local_b = &_t142_storage;
                                          flick_cdr_decode_char8(8, *_local_b);
                                          flick_iiop_decode_end_chunk(9);
                                          flick_iiop_decode_end_glob(32);
                                          flick_corba_init_environment();
                                          _return = Atomic_test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(7);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(3);
                                                flick_cdr_encode_char8(0, *_local_b);
                                                flick_cdr_encode_char8(1, *_local_c);
                                                flick_cdr_encode_char8(2, _return);
                                                flick_iiop_encode_end_chunk(3);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t143_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t143_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t143_switch_tag)
            {
            case 'U':
              {
                char _t144_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t144_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t144_switch_tag)
                  {
                  case 'S':
                    {
                      char _t145_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t145_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t145_switch_tag)
                        {
                        case 'h':
                          {
                            char _t146_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t146_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t146_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t147_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t147_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t147_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t148_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t148_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t148_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t149_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t149_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t149_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      Atomic_test _obj;
                                                      CORBA_unsigned_short _local_a;
                                                      CORBA_unsigned_short *_local_b;
                                                      CORBA_unsigned_short *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_unsigned_short _return = 0;
                                                      CORBA_unsigned_short _t150_storage;
                                                      CORBA_Environment _t151_storage;
                                                      unsigned int _t152_principal;
                                                      CORBA_unsigned_short _t153_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t150_storage;
                                                      _ev = &_t151_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(9);
                                                      flick_cdr_decode_unsigned32(1, _t152_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_cdr_decode_unsigned16(5, _local_a);
                                                      _local_b = &_t153_storage;
                                                      flick_cdr_decode_unsigned16(7, *_local_b);
                                                      flick_iiop_decode_end_chunk(9);
                                                      flick_iiop_decode_end_glob(32);
                                                      flick_corba_init_environment();
                                                      _return = Atomic_test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(10);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(6);
                                                            flick_cdr_encode_unsigned16(0, *_local_b);
                                                            flick_cdr_encode_unsigned16(2, *_local_c);
                                                            flick_cdr_encode_unsigned16(4, _return);
                                                            flick_iiop_encode_end_chunk(6);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(10);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case 'D':
              {
                char _t154_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t154_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t154_switch_tag)
                  {
                  case 'o':
                    {
                      char _t155_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t155_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t155_switch_tag)
                        {
                        case 'u':
                          {
                            char _t156_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t156_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t156_switch_tag)
                              {
                              case 'b':
                                {
                                  char _t157_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t157_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t157_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t158_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t158_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t158_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t159_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t159_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t159_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      Atomic_test _obj;
                                                      CORBA_double _local_a;
                                                      CORBA_double *_local_b;
                                                      CORBA_double *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_double _return = 0.000000;
                                                      CORBA_double _t160_storage;
                                                      CORBA_Environment _t161_storage;
                                                      unsigned int _t162_principal;
                                                      CORBA_double _t163_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t160_storage;
                                                      _ev = &_t161_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t162_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_new_chunk_align(16, 3, 2, 0);
                                                      flick_cdr_decode_float64(0, _local_a);
                                                      _local_b = &_t163_storage;
                                                      flick_cdr_decode_float64(8, *_local_b);
                                                      flick_iiop_decode_end_chunk(16);
                                                      flick_iiop_decode_end_glob(32);
                                                      flick_corba_init_environment();
                                                      _return = Atomic_test_Double(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(28);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                                            flick_cdr_encode_float64(0, *_local_b);
                                                            flick_cdr_encode_float64(8, *_local_c);
                                                            flick_cdr_encode_float64(16, _return);
                                                            flick_iiop_encode_end_chunk(24);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                          }
                                                        }
                                                      flick_iiop_encode_end_glob(28);
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t164_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t164_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t164_switch_tag)
            {
            case 'B':
              {
                char _t165_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t165_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t165_switch_tag)
                  {
                  case 'o':
                    {
                      char _t166_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t166_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t166_switch_tag)
                        {
                        case 'o':
                          {
                            char _t167_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t167_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t167_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t168_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t168_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t168_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t169_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t169_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t169_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t170_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t170_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t170_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t171_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t171_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t171_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Atomic_test _obj;
                                                            CORBA_boolean _local_a;
                                                            CORBA_boolean *_local_b;
                                                            CORBA_boolean *_local_c;
                                                            CORBA_Environment *_ev;
                                                            CORBA_boolean _return = 0;
                                                            CORBA_boolean _t172_storage;
                                                            CORBA_Environment _t173_storage;
                                                            unsigned int _t174_principal;
                                                            CORBA_boolean _t175_storage;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _local_c = &_t172_storage;
                                                            _ev = &_t173_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(0, _t174_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_decode_unsigned8(4, _local_a);
                                                            _local_b = &_t175_storage;
                                                            flick_cdr_decode_unsigned8(5, *_local_b);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(32);
                                                            flick_corba_init_environment();
                                                            _return = Atomic_test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(7);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(3);
                                                                  flick_cdr_encode_unsigned8(0, *_local_b);
                                                                  flick_cdr_encode_unsigned8(1, *_local_c);
                                                                  flick_cdr_encode_unsigned8(2, _return);
                                                                  flick_iiop_encode_end_chunk(3);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(7);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(32);
          break;
        }
      }
  }
  }
  return 0;
}
