#include "module-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &mod1_mod2_ex1_server, "mod1_mod2_ex1_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &mod1_mod2_ex1_server, "mod1_mod2_ex1_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &mod1_mod2_ex2_server, "mod1_mod2_ex2_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &mod1_mod2_ex2_server, "mod1_mod2_ex2_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, const mod1_mod2_ex1 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_mod1_mod2_ex1_swap(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int mod1_mod2_ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t78_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t78_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t78_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t79_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t79_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t79_switch_tag)
            {
            case 'm':
              {
                char _t80_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t80_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t80_switch_tag)
                  {
                  case '1':
                    {
                      char _t81_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t81_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t81_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex1 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t82_storage;
                              unsigned int _t83_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t82_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_swap_decode_unsigned32(1, _t83_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_swap_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(24);
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t84_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t84_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t84_switch_tag)
            {
            case '_':
              {
                char _t85_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t85_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t85_switch_tag)
                  {
                  case '_':
                    {
                      char _t86_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t86_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t86_switch_tag)
                        {
                        case 'g':
                          {
                            char _t87_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t87_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t87_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t88_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t88_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t88_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t89_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t89_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t89_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t90_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t90_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t90_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t91_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t91_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t91_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t92_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t92_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t92_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex1 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t93_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t93_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '2':
                                                        {
                                                          char _t94_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t94_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t94_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex1 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t95_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t95_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t96_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t96_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t96_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t97_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t97_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t97_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t98_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t98_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t98_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t99_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t99_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t99_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t100_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t100_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t100_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t101_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t101_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t101_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex1 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t102_storage;
                                                                  unsigned int _t103_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t102_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t103_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_swap_decode_signed32(7, _local_l1);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t26_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t26_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t26_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t27_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t27_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t27_switch_tag)
            {
            case 'm':
              {
                char _t28_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t28_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t28_switch_tag)
                  {
                  case '1':
                    {
                      char _t29_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t29_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t29_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex1 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t30_storage;
                              unsigned int _t31_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t30_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_decode_unsigned32(1, _t31_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(24);
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t32_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t32_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t32_switch_tag)
            {
            case '_':
              {
                char _t33_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t33_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t33_switch_tag)
                  {
                  case '_':
                    {
                      char _t34_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t34_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t34_switch_tag)
                        {
                        case 'g':
                          {
                            char _t35_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t35_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t35_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t36_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t36_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t36_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t37_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t37_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t37_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t38_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t38_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t38_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t39_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t39_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t39_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t40_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t40_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t40_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex1 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t41_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t41_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '2':
                                                        {
                                                          char _t42_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t42_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t42_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex1 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t43_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t43_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t44_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t44_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t44_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t45_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t45_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t45_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t46_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t46_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t46_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t47_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t47_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t47_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t48_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t48_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t48_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t49_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t49_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t49_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex1 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t50_storage;
                                                                  unsigned int _t51_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t50_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t51_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_decode_signed32(7, _local_l1);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, const mod1_mod2_ex2 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_mod1_mod2_ex2_swap(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int mod1_mod2_ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t209_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t209_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t209_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t210_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t210_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t210_switch_tag)
            {
            case 'm':
              {
                char _t211_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t211_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t211_switch_tag)
                  {
                  case '2':
                    {
                      char _t212_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t212_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t212_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_long *_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_long _t213_storage;
                              CORBA_Environment _t214_storage;
                              unsigned int _t215_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t213_storage;
                              _ev = &_t214_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_swap_decode_unsigned32(1, _t215_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_swap_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(24);
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(12);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(8);
                                    flick_cdr_encode_signed32(0, *_local_b);
                                    flick_cdr_encode_signed32(4, _return);
                                    flick_iiop_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(12);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case '1':
                    {
                      char _t216_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t216_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t216_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t217_storage;
                              unsigned int _t218_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t217_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_swap_decode_unsigned32(1, _t218_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_swap_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(24);
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t219_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t219_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t219_switch_tag)
            {
            case '_':
              {
                char _t220_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t220_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t220_switch_tag)
                  {
                  case '_':
                    {
                      char _t221_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t221_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t221_switch_tag)
                        {
                        case 'g':
                          {
                            char _t222_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t222_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t222_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t223_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t223_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t223_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t224_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t224_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t224_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t225_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t225_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t225_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t226_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t226_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t226_switch_tag)
                                                      {
                                                      case '3':
                                                        {
                                                          char _t227_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t227_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t227_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t228_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t228_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '1':
                                                        {
                                                          char _t229_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t229_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t229_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t230_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t230_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '2':
                                                        {
                                                          char _t231_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t231_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t231_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t232_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t232_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t233_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t233_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t233_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t234_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t234_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t234_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t235_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t235_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t235_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t236_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t236_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t236_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t237_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t237_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t237_switch_tag)
                                                      {
                                                      case '3':
                                                        {
                                                          char _t238_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t238_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t238_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_long _local_l3;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t239_storage;
                                                                  unsigned int _t240_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t239_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t240_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_swap_decode_signed32(7, _local_l3);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '1':
                                                        {
                                                          char _t241_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t241_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t241_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t242_storage;
                                                                  unsigned int _t243_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t242_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t243_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_swap_decode_signed32(7, _local_l1);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t139_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t139_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t139_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t140_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t140_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t140_switch_tag)
            {
            case 'm':
              {
                char _t141_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t141_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t141_switch_tag)
                  {
                  case '2':
                    {
                      char _t142_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t142_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t142_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_long *_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_long _t143_storage;
                              CORBA_Environment _t144_storage;
                              unsigned int _t145_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _local_b = &_t143_storage;
                              _ev = &_t144_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_decode_unsigned32(1, _t145_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(24);
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(12);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(8);
                                    flick_cdr_encode_signed32(0, *_local_b);
                                    flick_cdr_encode_signed32(4, _return);
                                    flick_iiop_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(12);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case '1':
                    {
                      char _t146_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t146_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t146_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t147_storage;
                              unsigned int _t148_principal;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t147_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(9);
                              flick_cdr_decode_unsigned32(1, _t148_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              flick_cdr_decode_signed32(5, _local_a);
                              flick_iiop_decode_end_chunk(9);
                              flick_iiop_decode_end_glob(24);
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t149_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t149_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t149_switch_tag)
            {
            case '_':
              {
                char _t150_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t150_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t150_switch_tag)
                  {
                  case '_':
                    {
                      char _t151_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t151_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t151_switch_tag)
                        {
                        case 'g':
                          {
                            char _t152_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t152_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t152_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t153_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t153_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t153_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t154_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t154_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t154_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t155_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t155_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t155_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t156_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t156_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t156_switch_tag)
                                                      {
                                                      case '3':
                                                        {
                                                          char _t157_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t157_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t157_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t158_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t158_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '1':
                                                        {
                                                          char _t159_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t159_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t159_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t160_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t160_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '2':
                                                        {
                                                          char _t161_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t161_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t161_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t162_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t162_storage;
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t163_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t163_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t163_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t164_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t164_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t164_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t165_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t165_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t165_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t166_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t166_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t166_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t167_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t167_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t167_switch_tag)
                                                      {
                                                      case '3':
                                                        {
                                                          char _t168_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t168_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t168_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_long _local_l3;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t169_storage;
                                                                  unsigned int _t170_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t169_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t170_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_decode_signed32(7, _local_l3);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '1':
                                                        {
                                                          char _t171_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t171_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t171_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t172_storage;
                                                                  unsigned int _t173_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t172_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t173_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_decode_signed32(7, _local_l1);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(24);
                                                                  flick_corba_init_environment();
                                                                  mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  return 0;
}
