#include "sequence_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &TestSeq_server, "TestSeq_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &TestSeq_server, "TestSeq_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_seq_swap(flick_marshal_stream_t _stream, seq *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq_swap(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t66_switch_tag;

    flick_iiop_decode_new_glob(64);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t66_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t66_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t67_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t67_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t67_switch_tag)
            {
            case 'S':
              {
                char _t68_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t68_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t68_switch_tag)
                  {
                  case 'e':
                    {
                      char _t69_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t69_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t69_switch_tag)
                        {
                        case 'q':
                          {
                            char _t70_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t70_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t70_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t71_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t71_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t71_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t72_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t72_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t72_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t73_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t73_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t73_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t74_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t74_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t74_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t75_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t75_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t75_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t76_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t76_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t76_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        TestSeq _obj;
                                                                        seq *_local_a;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_short _return = 0;
                                                                        CORBA_Environment _t77_storage;
                                                                        unsigned int _t78_principal;
                                                                        seq _t79_storage;
                                                                        unsigned long int _t81_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t77_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(10);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t78_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_a = &_t79_storage;
                                                                        flick_cdr_swap_decode_unsigned32(6, _local_a->_length);
                                                                        _local_a->_buffer = CORBA_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                        flick_iiop_decode_end_chunk(10);
                                                                        for (_t81_array_iter = 0; _t81_array_iter < _local_a->_length; _t81_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(4);
                                                                            flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t81_array_iter]);
                                                                            flick_iiop_decode_end_chunk(4);
                                                                          }
                                                                        flick_iiop_decode_end_glob(64);
                                                                        flick_corba_init_environment();
                                                                        _return = TestSeq_Sequencer(_obj, _local_a, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(50);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              unsigned long int _t85_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_unsigned32(0, _local_a->_length);
                                                                              flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                              for (_t85_array_iter = 0; _t85_array_iter < _local_a->_length; _t85_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(4);
                                                                                  flick_cdr_encode_signed32(0, _local_a->_buffer[_t85_array_iter]);
                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                }
#else /* Always bcopy */
                                                                              flick_cdr_encode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, iiop);
#endif /* alway bcopy */
                                                                              CORBA_flick_free(_local_a->_buffer);
                                                                              flick_iiop_encode_new_chunk(2);
                                                                              flick_cdr_encode_signed16(0, _return);
                                                                              flick_iiop_encode_end_chunk(2);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(50);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(64);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t26_switch_tag;

    flick_iiop_decode_new_glob(64);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t26_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t26_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t27_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t27_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t27_switch_tag)
            {
            case 'S':
              {
                char _t28_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t28_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t28_switch_tag)
                  {
                  case 'e':
                    {
                      char _t29_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t29_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t29_switch_tag)
                        {
                        case 'q':
                          {
                            char _t30_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t30_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t30_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t31_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t31_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t31_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t32_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t32_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t32_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t33_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t33_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t33_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t34_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t34_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t34_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t35_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t35_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t35_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t36_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t36_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t36_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        TestSeq _obj;
                                                                        seq *_local_a;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_short _return = 0;
                                                                        CORBA_Environment _t37_storage;
                                                                        unsigned int _t38_principal;
                                                                        seq _t39_storage;
                                                                        unsigned long int _t41_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t37_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(10);
                                                                        flick_cdr_decode_unsigned32(2, _t38_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_a = &_t39_storage;
                                                                        flick_cdr_decode_unsigned32(6, _local_a->_length);
                                                                        _local_a->_buffer = CORBA_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                        flick_iiop_decode_end_chunk(10);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                        for (_t41_array_iter = 0; _t41_array_iter < _local_a->_length; _t41_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(4);
                                                                            flick_cdr_decode_signed32(0, _local_a->_buffer[_t41_array_iter]);
                                                                            flick_iiop_decode_end_chunk(4);
                                                                          }
#else
                                                                        flick_cdr_decode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, iiop);
#endif
                                                                        flick_iiop_decode_end_glob(64);
                                                                        flick_corba_init_environment();
                                                                        _return = TestSeq_Sequencer(_obj, _local_a, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(50);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              unsigned long int _t45_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_unsigned32(0, _local_a->_length);
                                                                              flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                              for (_t45_array_iter = 0; _t45_array_iter < _local_a->_length; _t45_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(4);
                                                                                  flick_cdr_encode_signed32(0, _local_a->_buffer[_t45_array_iter]);
                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                }
#else /* Always bcopy */
                                                                              flick_cdr_encode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, iiop);
#endif /* alway bcopy */
                                                                              CORBA_flick_free(_local_a->_buffer);
                                                                              flick_iiop_encode_new_chunk(2);
                                                                              flick_cdr_encode_signed16(0, _return);
                                                                              flick_iiop_encode_end_chunk(2);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(50);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(64);
          break;
        }
      }
  }
  }
  return 0;
}
