#include "server-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &Server_server, "Server_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &Server_server, "Server_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Server(flick_marshal_stream_t _stream, const Server *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_Server(flick_marshal_stream_t _stream, Server *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_Server_swap(flick_marshal_stream_t _stream, Server *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int Server_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t198_switch_tag;

    flick_iiop_decode_new_glob(36);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t198_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t198_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t199_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t199_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t199_switch_tag)
            {
            case 'S':
              {
                char _t200_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t200_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t200_switch_tag)
                  {
                  case 'e':
                    {
                      char _t201_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t201_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t201_switch_tag)
                        {
                        case 't':
                          {
                            char _t202_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t202_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t202_switch_tag)
                              {
                              case 'S':
                                {
                                  char _t203_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t203_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t203_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t204_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t204_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t204_switch_tag)
                                          {
                                          case 'z':
                                            {
                                              char _t205_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t205_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t205_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t206_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t206_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t206_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_width;
                                                            CORBA_long _local_height;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t207_storage;
                                                            unsigned int _t208_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t207_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(12);
                                                            flick_cdr_swap_decode_unsigned32(0, _t208_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_swap_decode_signed32(4, _local_width);
                                                            flick_cdr_swap_decode_signed32(8, _local_height);
                                                            flick_iiop_decode_end_chunk(12);
                                                            flick_iiop_decode_end_glob(36);
                                                            flick_corba_init_environment();
                                                            _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            case 'A':
              {
                char _t209_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t209_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t209_switch_tag)
                  {
                  case 'd':
                    {
                      char _t210_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t210_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t210_switch_tag)
                        {
                        case 'd':
                          {
                            char _t211_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t211_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t211_switch_tag)
                              {
                              case 'W':
                                {
                                  char _t212_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t212_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t212_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t213_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t213_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t213_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t214_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t214_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t214_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t215_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t215_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t215_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_startx;
                                                            CORBA_long _local_starty;
                                                            CORBA_long _local_endx;
                                                            CORBA_long _local_endy;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t216_storage;
                                                            unsigned int _t217_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t216_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(20);
                                                            flick_cdr_swap_decode_unsigned32(0, _t217_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_swap_decode_signed32(4, _local_startx);
                                                            flick_cdr_swap_decode_signed32(8, _local_starty);
                                                            flick_cdr_swap_decode_signed32(12, _local_endx);
                                                            flick_cdr_swap_decode_signed32(16, _local_endy);
                                                            flick_iiop_decode_end_chunk(20);
                                                            flick_iiop_decode_end_glob(36);
                                                            flick_corba_init_environment();
                                                            _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'R':
                                {
                                  char _t218_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t218_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t218_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t219_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t219_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t219_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t220_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t220_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t220_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t221_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t221_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t221_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_left;
                                                            CORBA_long _local_top;
                                                            CORBA_long _local_right;
                                                            CORBA_long _local_bottom;
                                                            CORBA_long _local_color;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t222_storage;
                                                            unsigned int _t223_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t222_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(24);
                                                            flick_cdr_swap_decode_unsigned32(0, _t223_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_swap_decode_signed32(4, _local_left);
                                                            flick_cdr_swap_decode_signed32(8, _local_top);
                                                            flick_cdr_swap_decode_signed32(12, _local_right);
                                                            flick_cdr_swap_decode_signed32(16, _local_bottom);
                                                            flick_cdr_swap_decode_signed32(20, _local_color);
                                                            flick_iiop_decode_end_chunk(24);
                                                            flick_iiop_decode_end_glob(36);
                                                            flick_corba_init_environment();
                                                            _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            case 'D':
              {
                char _t224_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t224_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t224_switch_tag)
                  {
                  case 'e':
                    {
                      char _t225_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t225_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t225_switch_tag)
                        {
                        case 'l':
                          {
                            char _t226_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t226_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t226_switch_tag)
                              {
                              case 'W':
                                {
                                  char _t227_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t227_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t227_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t228_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t228_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t228_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t229_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t229_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t229_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t230_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t230_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t230_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_startx;
                                                            CORBA_long _local_starty;
                                                            CORBA_long _local_endx;
                                                            CORBA_long _local_endy;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t231_storage;
                                                            unsigned int _t232_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t231_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(20);
                                                            flick_cdr_swap_decode_unsigned32(0, _t232_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_swap_decode_signed32(4, _local_startx);
                                                            flick_cdr_swap_decode_signed32(8, _local_starty);
                                                            flick_cdr_swap_decode_signed32(12, _local_endx);
                                                            flick_cdr_swap_decode_signed32(16, _local_endy);
                                                            flick_iiop_decode_end_chunk(20);
                                                            flick_iiop_decode_end_glob(36);
                                                            flick_corba_init_environment();
                                                            _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'R':
                                {
                                  char _t233_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t233_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t233_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t234_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t234_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t234_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t235_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t235_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t235_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t236_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t236_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t236_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_left;
                                                            CORBA_long _local_top;
                                                            CORBA_long _local_right;
                                                            CORBA_long _local_bottom;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t237_storage;
                                                            unsigned int _t238_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t237_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(20);
                                                            flick_cdr_swap_decode_unsigned32(0, _t238_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_swap_decode_signed32(4, _local_left);
                                                            flick_cdr_swap_decode_signed32(8, _local_top);
                                                            flick_cdr_swap_decode_signed32(12, _local_right);
                                                            flick_cdr_swap_decode_signed32(16, _local_bottom);
                                                            flick_iiop_decode_end_chunk(20);
                                                            flick_iiop_decode_end_glob(36);
                                                            flick_corba_init_environment();
                                                            _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t239_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t239_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t239_switch_tag)
            {
            case 'S':
              {
                char _t240_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t240_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t240_switch_tag)
                  {
                  case 'e':
                    {
                      char _t241_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t241_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t241_switch_tag)
                        {
                        case 't':
                          {
                            char _t242_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t242_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t242_switch_tag)
                              {
                              case 'T':
                                {
                                  char _t243_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t243_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t243_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t244_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t244_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t244_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t245_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t245_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t245_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t246_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t246_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t246_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t247_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t247_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t247_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t248_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t248_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t248_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Server _obj;
                                                                        CORBA_long _local_x;
                                                                        CORBA_long _local_y;
                                                                        CORBA_long _local_angle;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_Environment _t249_storage;
                                                                        unsigned int _t250_principal;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t249_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(18);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t250_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        flick_cdr_swap_decode_signed32(6, _local_x);
                                                                        flick_cdr_swap_decode_signed32(10, _local_y);
                                                                        flick_cdr_swap_decode_signed32(14, _local_angle);
                                                                        flick_iiop_decode_end_chunk(18);
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(8);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _return);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            case 'G':
              {
                char _t251_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t251_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t251_switch_tag)
                  {
                  case 'e':
                    {
                      char _t252_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t252_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t252_switch_tag)
                        {
                        case 't':
                          {
                            char _t253_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t253_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t253_switch_tag)
                              {
                              case 'T':
                                {
                                  char _t254_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t254_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t254_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t255_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t255_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t255_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t256_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t256_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t256_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t257_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t257_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t257_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t258_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t258_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t258_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t259_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t259_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t259_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Server _obj;
                                                                        CORBA_long *_local_x;
                                                                        CORBA_long *_local_y;
                                                                        CORBA_long *_local_angle;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_long _t260_storage;
                                                                        CORBA_long _t261_storage;
                                                                        CORBA_long _t262_storage;
                                                                        CORBA_Environment _t263_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_x = &_t260_storage;
                                                                        _local_y = &_t261_storage;
                                                                        _local_angle = &_t262_storage;
                                                                        _ev = &_t263_storage;
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(20);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(16);
                                                                              flick_cdr_encode_signed32(0, *_local_x);
                                                                              flick_cdr_encode_signed32(4, *_local_y);
                                                                              flick_cdr_encode_signed32(8, *_local_angle);
                                                                              flick_cdr_encode_signed32(12, _return);
                                                                              flick_iiop_encode_end_chunk(16);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(20);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(36);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t66_switch_tag;

    flick_iiop_decode_new_glob(36);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t66_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t66_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t67_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t67_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t67_switch_tag)
            {
            case 'S':
              {
                char _t68_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t68_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t68_switch_tag)
                  {
                  case 'e':
                    {
                      char _t69_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t69_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t69_switch_tag)
                        {
                        case 't':
                          {
                            char _t70_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t70_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t70_switch_tag)
                              {
                              case 'S':
                                {
                                  char _t71_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t71_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t71_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t72_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t72_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t72_switch_tag)
                                          {
                                          case 'z':
                                            {
                                              char _t73_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t73_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t73_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t74_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t74_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t74_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_width;
                                                            CORBA_long _local_height;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t75_storage;
                                                            unsigned int _t76_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t75_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(12);
                                                            flick_cdr_decode_unsigned32(0, _t76_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_decode_signed32(4, _local_width);
                                                            flick_cdr_decode_signed32(8, _local_height);
                                                            flick_iiop_decode_end_chunk(12);
                                                            flick_iiop_decode_end_glob(36);
                                                            flick_corba_init_environment();
                                                            _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            case 'A':
              {
                char _t77_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t77_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t77_switch_tag)
                  {
                  case 'd':
                    {
                      char _t78_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t78_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t78_switch_tag)
                        {
                        case 'd':
                          {
                            char _t79_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t79_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t79_switch_tag)
                              {
                              case 'W':
                                {
                                  char _t80_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t80_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t80_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t81_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t81_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t81_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t82_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t82_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t82_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t83_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t83_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t83_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_startx;
                                                            CORBA_long _local_starty;
                                                            CORBA_long _local_endx;
                                                            CORBA_long _local_endy;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t84_storage;
                                                            unsigned int _t85_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t84_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(20);
                                                            flick_cdr_decode_unsigned32(0, _t85_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_decode_signed32(4, _local_startx);
                                                            flick_cdr_decode_signed32(8, _local_starty);
                                                            flick_cdr_decode_signed32(12, _local_endx);
                                                            flick_cdr_decode_signed32(16, _local_endy);
                                                            flick_iiop_decode_end_chunk(20);
                                                            flick_iiop_decode_end_glob(36);
                                                            flick_corba_init_environment();
                                                            _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'R':
                                {
                                  char _t86_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t86_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t86_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t87_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t87_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t87_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t88_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t88_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t88_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t89_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t89_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t89_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_left;
                                                            CORBA_long _local_top;
                                                            CORBA_long _local_right;
                                                            CORBA_long _local_bottom;
                                                            CORBA_long _local_color;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t90_storage;
                                                            unsigned int _t91_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t90_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(24);
                                                            flick_cdr_decode_unsigned32(0, _t91_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_decode_signed32(4, _local_left);
                                                            flick_cdr_decode_signed32(8, _local_top);
                                                            flick_cdr_decode_signed32(12, _local_right);
                                                            flick_cdr_decode_signed32(16, _local_bottom);
                                                            flick_cdr_decode_signed32(20, _local_color);
                                                            flick_iiop_decode_end_chunk(24);
                                                            flick_iiop_decode_end_glob(36);
                                                            flick_corba_init_environment();
                                                            _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            case 'D':
              {
                char _t92_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t92_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t92_switch_tag)
                  {
                  case 'e':
                    {
                      char _t93_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t93_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t93_switch_tag)
                        {
                        case 'l':
                          {
                            char _t94_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t94_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t94_switch_tag)
                              {
                              case 'W':
                                {
                                  char _t95_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t95_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t95_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t96_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t96_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t96_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t97_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t97_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t97_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t98_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t98_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t98_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_startx;
                                                            CORBA_long _local_starty;
                                                            CORBA_long _local_endx;
                                                            CORBA_long _local_endy;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t99_storage;
                                                            unsigned int _t100_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t99_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(20);
                                                            flick_cdr_decode_unsigned32(0, _t100_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_decode_signed32(4, _local_startx);
                                                            flick_cdr_decode_signed32(8, _local_starty);
                                                            flick_cdr_decode_signed32(12, _local_endx);
                                                            flick_cdr_decode_signed32(16, _local_endy);
                                                            flick_iiop_decode_end_chunk(20);
                                                            flick_iiop_decode_end_glob(36);
                                                            flick_corba_init_environment();
                                                            _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'R':
                                {
                                  char _t101_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t101_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t101_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t102_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t102_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t102_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t103_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t103_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t103_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t104_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t104_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t104_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_left;
                                                            CORBA_long _local_top;
                                                            CORBA_long _local_right;
                                                            CORBA_long _local_bottom;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t105_storage;
                                                            unsigned int _t106_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t105_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(20);
                                                            flick_cdr_decode_unsigned32(0, _t106_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_decode_signed32(4, _local_left);
                                                            flick_cdr_decode_signed32(8, _local_top);
                                                            flick_cdr_decode_signed32(12, _local_right);
                                                            flick_cdr_decode_signed32(16, _local_bottom);
                                                            flick_iiop_decode_end_chunk(20);
                                                            flick_iiop_decode_end_glob(36);
                                                            flick_corba_init_environment();
                                                            _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t107_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t107_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t107_switch_tag)
            {
            case 'S':
              {
                char _t108_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t108_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t108_switch_tag)
                  {
                  case 'e':
                    {
                      char _t109_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t109_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t109_switch_tag)
                        {
                        case 't':
                          {
                            char _t110_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t110_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t110_switch_tag)
                              {
                              case 'T':
                                {
                                  char _t111_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t111_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t111_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t112_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t112_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t112_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t113_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t113_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t113_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t114_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t114_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t114_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t115_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t115_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t115_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t116_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t116_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t116_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Server _obj;
                                                                        CORBA_long _local_x;
                                                                        CORBA_long _local_y;
                                                                        CORBA_long _local_angle;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_Environment _t117_storage;
                                                                        unsigned int _t118_principal;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t117_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(18);
                                                                        flick_cdr_decode_unsigned32(2, _t118_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        flick_cdr_decode_signed32(6, _local_x);
                                                                        flick_cdr_decode_signed32(10, _local_y);
                                                                        flick_cdr_decode_signed32(14, _local_angle);
                                                                        flick_iiop_decode_end_chunk(18);
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(8);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _return);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            case 'G':
              {
                char _t119_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t119_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t119_switch_tag)
                  {
                  case 'e':
                    {
                      char _t120_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t120_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t120_switch_tag)
                        {
                        case 't':
                          {
                            char _t121_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t121_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t121_switch_tag)
                              {
                              case 'T':
                                {
                                  char _t122_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t122_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t122_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t123_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t123_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t123_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t124_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t124_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t124_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t125_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t125_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t125_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t126_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t126_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t126_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t127_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t127_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t127_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Server _obj;
                                                                        CORBA_long *_local_x;
                                                                        CORBA_long *_local_y;
                                                                        CORBA_long *_local_angle;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_long _t128_storage;
                                                                        CORBA_long _t129_storage;
                                                                        CORBA_long _t130_storage;
                                                                        CORBA_Environment _t131_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_x = &_t128_storage;
                                                                        _local_y = &_t129_storage;
                                                                        _local_angle = &_t130_storage;
                                                                        _ev = &_t131_storage;
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(20);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(16);
                                                                              flick_cdr_encode_signed32(0, *_local_x);
                                                                              flick_cdr_encode_signed32(4, *_local_y);
                                                                              flick_cdr_encode_signed32(8, *_local_angle);
                                                                              flick_cdr_encode_signed32(12, _return);
                                                                              flick_iiop_encode_end_chunk(16);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(20);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(36);
          break;
        }
      }
  }
  }
  return 0;
}
