#include "string_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_str(flick_marshal_stream_t _stream, const struct str *_data)
{
  flick_cdr_encode_string(_data->s10, CORBA_flick_free, iiop, 10);
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_cdr_encode_longstring(_data->sx, CORBA_flick_free, iiop);
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_encode_signed16(0, _data->b);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_cdr_decode_string(_data->s10, CORBA_flick_alloc, iiop, 10);
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_decode_longstring(_data->sx, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_decode_signed16(0, _data->b);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_str_swap(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_cdr_swap_decode_string(_data->s10, CORBA_flick_alloc, iiop, 10);
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_swap_decode_longstring(_data->sx, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_swap_decode_signed16(0, _data->b);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t60_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t60_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t60_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t61_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t61_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t61_switch_tag)
            {
            case 'S':
              {
                char _t62_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t62_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t62_switch_tag)
                  {
                  case 't':
                    {
                      char _t63_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t63_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t63_switch_tag)
                        {
                        case 'r':
                          {
                            char _t64_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t64_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t64_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t65_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t65_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t65_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t66_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t66_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t66_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t67_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t67_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t67_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_char *_local_a;
                                                      CORBA_char **_local_b;
                                                      CORBA_char **_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_char *_return = 0;
                                                      CORBA_char *_t68_storage;
                                                      CORBA_Environment _t69_storage;
                                                      unsigned int _t70_principal;
                                                      CORBA_char *_t71_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t68_storage;
                                                      _ev = &_t69_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t70_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(16);
                                                      flick_cdr_swap_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                                                      _local_b = &_t71_storage;
                                                      flick_cdr_swap_decode_longstring(*_local_b, CORBA_flick_alloc, iiop);
                                                      flick_corba_init_environment();
                                                      _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_longstring(*_local_b, CORBA_flick_free, iiop);
                                                            flick_cdr_encode_longstring(*_local_c, CORBA_flick_free, iiop);
                                                            flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(16);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(16);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(16);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'u':
                                {
                                  char _t72_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t72_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t72_switch_tag)
                                    {
                                    case 'c':
                                      {
                                        char _t73_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t73_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t73_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t74_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t74_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t74_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      struct str *_local_a;
                                                      struct str *_local_b;
                                                      struct str **_local_c;
                                                      CORBA_Environment *_ev;
                                                      struct str *_return = 0;
                                                      struct str *_t75_storage;
                                                      CORBA_Environment _t76_storage;
                                                      unsigned int _t77_principal;
                                                      struct str _t78_storage;
                                                      struct str _t79_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t75_storage;
                                                      _ev = &_t76_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t77_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      _local_a = &_t78_storage;
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(16);
                                                      flick_cdr_swap_decode_auto_string(_local_a->s10, auto_flick_alloc, iiop);
                                                      flick_iiop_decode_new_glob(4);
                                                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_cdr_swap_decode_signed32(0, _local_a->a);
                                                      flick_iiop_decode_end_chunk(4);
                                                      flick_iiop_decode_end_glob(4);
                                                      flick_cdr_swap_decode_auto_string(_local_a->sx, auto_flick_alloc, iiop);
                                                      flick_iiop_decode_new_glob(2);
                                                      flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                                                      flick_cdr_swap_decode_signed16(0, _local_a->b);
                                                      _local_b = &_t79_storage;
                                                      flick_iiop_decode_end_chunk(2);
                                                      flick_iiop_decode_end_glob(2);
                                                      flick_cdr_swap_decode_string(_local_b->s10, CORBA_flick_alloc, iiop, 10);
                                                      flick_iiop_decode_new_glob(4);
                                                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_cdr_swap_decode_signed32(0, _local_b->a);
                                                      flick_iiop_decode_end_chunk(4);
                                                      flick_iiop_decode_end_glob(4);
                                                      flick_cdr_swap_decode_longstring(_local_b->sx, CORBA_flick_alloc, iiop);
                                                      flick_iiop_decode_new_glob(2);
                                                      flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                                                      flick_cdr_swap_decode_signed16(0, _local_b->b);
                                                      flick_iiop_decode_end_chunk(2);
                                                      flick_iiop_decode_end_glob(2);
                                                      flick_corba_init_environment();
                                                      _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_string(_local_b->s10, CORBA_flick_free, iiop, 10);
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_signed32(0, _local_b->a);
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_longstring(_local_b->sx, CORBA_flick_free, iiop);
                                                            flick_iiop_encode_new_glob(2);
                                                            flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                                            flick_cdr_encode_signed16(0, _local_b->b);
                                                            flick_iiop_encode_end_chunk(2);
                                                            flick_iiop_encode_end_glob(2);
                                                            flick_cdr_encode_string((*_local_c)->s10, CORBA_flick_free, iiop, 10);
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_signed32(0, (*_local_c)->a);
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_longstring((*_local_c)->sx, CORBA_flick_free, iiop);
                                                            flick_iiop_encode_new_glob(2);
                                                            flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                                            flick_cdr_encode_signed16(0, (*_local_c)->b);
                                                            CORBA_flick_free(*_local_c);
                                                            flick_iiop_encode_end_chunk(2);
                                                            flick_iiop_encode_end_glob(2);
                                                            flick_cdr_encode_string(_return->s10, CORBA_flick_free, iiop, 10);
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_signed32(0, _return->a);
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_longstring(_return->sx, CORBA_flick_free, iiop);
                                                            flick_iiop_encode_new_glob(2);
                                                            flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                                            flick_cdr_encode_signed16(0, _return->b);
                                                            CORBA_flick_free(_return);
                                                            flick_iiop_encode_end_chunk(2);
                                                            flick_iiop_encode_end_glob(2);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(16);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(16);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(16);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(16);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t20_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t20_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t20_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t21_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t21_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t21_switch_tag)
            {
            case 'S':
              {
                char _t22_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t22_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t22_switch_tag)
                  {
                  case 't':
                    {
                      char _t23_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t23_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t23_switch_tag)
                        {
                        case 'r':
                          {
                            char _t24_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t24_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t24_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t25_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t25_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t25_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t26_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t26_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t26_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t27_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t27_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t27_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_char *_local_a;
                                                      CORBA_char **_local_b;
                                                      CORBA_char **_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_char *_return = 0;
                                                      CORBA_char *_t28_storage;
                                                      CORBA_Environment _t29_storage;
                                                      unsigned int _t30_principal;
                                                      CORBA_char *_t31_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t28_storage;
                                                      _ev = &_t29_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t30_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(16);
                                                      flick_cdr_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                                                      _local_b = &_t31_storage;
                                                      flick_cdr_decode_longstring(*_local_b, CORBA_flick_alloc, iiop);
                                                      flick_corba_init_environment();
                                                      _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_longstring(*_local_b, CORBA_flick_free, iiop);
                                                            flick_cdr_encode_longstring(*_local_c, CORBA_flick_free, iiop);
                                                            flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(16);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(16);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(16);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'u':
                                {
                                  char _t32_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t32_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t32_switch_tag)
                                    {
                                    case 'c':
                                      {
                                        char _t33_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t33_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t33_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t34_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t34_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t34_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      struct str *_local_a;
                                                      struct str *_local_b;
                                                      struct str **_local_c;
                                                      CORBA_Environment *_ev;
                                                      struct str *_return = 0;
                                                      struct str *_t35_storage;
                                                      CORBA_Environment _t36_storage;
                                                      unsigned int _t37_principal;
                                                      struct str _t38_storage;
                                                      struct str _t39_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      _local_c = &_t35_storage;
                                                      _ev = &_t36_storage;
                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t37_principal);
                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                      _local_a = &_t38_storage;
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(16);
                                                      flick_cdr_decode_auto_string(_local_a->s10, auto_flick_alloc, iiop);
                                                      flick_iiop_decode_new_glob(4);
                                                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_cdr_decode_signed32(0, _local_a->a);
                                                      flick_iiop_decode_end_chunk(4);
                                                      flick_iiop_decode_end_glob(4);
                                                      flick_cdr_decode_auto_string(_local_a->sx, auto_flick_alloc, iiop);
                                                      flick_iiop_decode_new_glob(2);
                                                      flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                                                      flick_cdr_decode_signed16(0, _local_a->b);
                                                      _local_b = &_t39_storage;
                                                      flick_iiop_decode_end_chunk(2);
                                                      flick_iiop_decode_end_glob(2);
                                                      flick_cdr_decode_string(_local_b->s10, CORBA_flick_alloc, iiop, 10);
                                                      flick_iiop_decode_new_glob(4);
                                                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_cdr_decode_signed32(0, _local_b->a);
                                                      flick_iiop_decode_end_chunk(4);
                                                      flick_iiop_decode_end_glob(4);
                                                      flick_cdr_decode_longstring(_local_b->sx, CORBA_flick_alloc, iiop);
                                                      flick_iiop_decode_new_glob(2);
                                                      flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                                                      flick_cdr_decode_signed16(0, _local_b->b);
                                                      flick_iiop_decode_end_chunk(2);
                                                      flick_iiop_decode_end_glob(2);
                                                      flick_corba_init_environment();
                                                      _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_string(_local_b->s10, CORBA_flick_free, iiop, 10);
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_signed32(0, _local_b->a);
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_longstring(_local_b->sx, CORBA_flick_free, iiop);
                                                            flick_iiop_encode_new_glob(2);
                                                            flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                                            flick_cdr_encode_signed16(0, _local_b->b);
                                                            flick_iiop_encode_end_chunk(2);
                                                            flick_iiop_encode_end_glob(2);
                                                            flick_cdr_encode_string((*_local_c)->s10, CORBA_flick_free, iiop, 10);
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_signed32(0, (*_local_c)->a);
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_longstring((*_local_c)->sx, CORBA_flick_free, iiop);
                                                            flick_iiop_encode_new_glob(2);
                                                            flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                                            flick_cdr_encode_signed16(0, (*_local_c)->b);
                                                            CORBA_flick_free(*_local_c);
                                                            flick_iiop_encode_end_chunk(2);
                                                            flick_iiop_encode_end_glob(2);
                                                            flick_cdr_encode_string(_return->s10, CORBA_flick_free, iiop, 10);
                                                            flick_iiop_encode_new_glob(4);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_signed32(0, _return->a);
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_cdr_encode_longstring(_return->sx, CORBA_flick_free, iiop);
                                                            flick_iiop_encode_new_glob(2);
                                                            flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                                            flick_cdr_encode_signed16(0, _return->b);
                                                            CORBA_flick_free(_return);
                                                            flick_iiop_encode_end_chunk(2);
                                                            flick_iiop_encode_end_glob(2);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(16);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(16);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(16);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(16);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return 0;
}
