#include "structnestez_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f.f);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f.f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f.f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_bar_foo(flick_marshal_stream_t _stream, const struct bar_foo *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_bar_foo(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_bar_foo_swap(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f.f);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f.f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f.f);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t42_switch_tag;

    flick_iiop_decode_new_glob(14);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t42_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t42_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t43_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t43_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t43_switch_tag)
            {
            case 'o':
              {
                char _t44_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t44_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t44_switch_tag)
                  {
                  case 'p':
                    {
                      char _t45_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t45_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t45_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              struct bar *_local_arg;
                              CORBA_Environment *_ev;
                              struct bar _return;
                              CORBA_Environment _t46_storage;
                              unsigned int _t47_principal;
                              struct bar _t48_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t46_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(1, _t47_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              _local_arg = &_t48_storage;
                              flick_cdr_swap_decode_signed16(5, _local_arg->f.f);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(14);
                              flick_corba_init_environment();
                              _return = test_op(_obj, _local_arg, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(6);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return.f.f);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(6);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(14);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(14);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(14);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t49_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t49_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t49_switch_tag)
            {
            case 'o':
              {
                char _t50_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t50_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t50_switch_tag)
                  {
                  case 'p':
                    {
                      char _t51_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t51_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t51_switch_tag)
                        {
                        case '2':
                          {
                            char _t52_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t52_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t52_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    struct b *_local_arg;
                                    CORBA_Environment *_ev;
                                    struct b _return;
                                    CORBA_Environment _t53_storage;
                                    unsigned int _t54_principal;
                                    struct b _t55_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t53_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(6);
                                    flick_cdr_swap_decode_unsigned32(0, _t54_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_arg = &_t55_storage;
                                    flick_cdr_swap_decode_signed16(4, _local_arg->f.f);
                                    flick_iiop_decode_end_chunk(6);
                                    flick_iiop_decode_end_glob(14);
                                    flick_corba_init_environment();
                                    _return = test_op2(_obj, _local_arg, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(6);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(2);
                                          flick_cdr_encode_signed16(0, _return.f.f);
                                          flick_iiop_encode_end_chunk(2);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(6);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(14);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(14);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(14);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(14);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(14);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t14_switch_tag;

    flick_iiop_decode_new_glob(14);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t14_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t14_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t15_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t15_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t15_switch_tag)
            {
            case 'o':
              {
                char _t16_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t16_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t16_switch_tag)
                  {
                  case 'p':
                    {
                      char _t17_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t17_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t17_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              struct bar *_local_arg;
                              CORBA_Environment *_ev;
                              struct bar _return;
                              CORBA_Environment _t18_storage;
                              unsigned int _t19_principal;
                              struct bar _t20_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              _ev = &_t18_storage;
                              /* Decode the 'Principal' pseudo-object (secure ID) */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(1, _t19_principal);
                              /* XXX - right now, it had better be empty! - fix this... */
                              _local_arg = &_t20_storage;
                              flick_cdr_decode_signed16(5, _local_arg->f.f);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(14);
                              flick_corba_init_environment();
                              _return = test_op(_obj, _local_arg, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(6);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return.f.f);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(6);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(14);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(14);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(14);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t21_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t21_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t21_switch_tag)
            {
            case 'o':
              {
                char _t22_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t22_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t22_switch_tag)
                  {
                  case 'p':
                    {
                      char _t23_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t23_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t23_switch_tag)
                        {
                        case '2':
                          {
                            char _t24_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t24_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t24_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    struct b *_local_arg;
                                    CORBA_Environment *_ev;
                                    struct b _return;
                                    CORBA_Environment _t25_storage;
                                    unsigned int _t26_principal;
                                    struct b _t27_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t25_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(6);
                                    flick_cdr_decode_unsigned32(0, _t26_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_arg = &_t27_storage;
                                    flick_cdr_decode_signed16(4, _local_arg->f.f);
                                    flick_iiop_decode_end_chunk(6);
                                    flick_iiop_decode_end_glob(14);
                                    flick_corba_init_environment();
                                    _return = test_op2(_obj, _local_arg, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(6);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(2);
                                          flick_cdr_encode_signed16(0, _return.f.f);
                                          flick_iiop_encode_end_chunk(2);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(6);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(14);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(14);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(14);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(14);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(14);
          break;
        }
      }
  }
  }
  return 0;
}
