#include "ttcp-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &ttcp_server, "ttcp_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &ttcp_server, "ttcp_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->xx);
  flick_cdr_encode_signed32(4, _data->yy);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->xx);
  flick_cdr_decode_signed32(4, _data->yy);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->xx);
  flick_cdr_swap_decode_signed32(4, _data->yy);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->x.xx);
  flick_cdr_encode_signed32(4, _data->x.yy);
  flick_cdr_encode_signed32(8, _data->y.xx);
  flick_cdr_encode_signed32(12, _data->y.yy);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->x.xx);
  flick_cdr_decode_signed32(4, _data->x.yy);
  flick_cdr_decode_signed32(8, _data->y.xx);
  flick_cdr_decode_signed32(12, _data->y.yy);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->x.xx);
  flick_cdr_swap_decode_signed32(4, _data->x.yy);
  flick_cdr_swap_decode_signed32(8, _data->y.xx);
  flick_cdr_swap_decode_signed32(12, _data->y.yy);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(16 * _data->_length);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->_buffer[_t1_array_iter].x.xx);
      flick_cdr_encode_signed32(4, _data->_buffer[_t1_array_iter].x.yy);
      flick_cdr_encode_signed32(8, _data->_buffer[_t1_array_iter].y.xx);
      flick_cdr_encode_signed32(12, _data->_buffer[_t1_array_iter].y.yy);
      flick_iiop_encode_end_chunk(16);
    }
  flick_iiop_encode_end_glob(16 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct b ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->_buffer[_t3_array_iter].x.xx);
      flick_cdr_decode_signed32(4, _data->_buffer[_t3_array_iter].x.yy);
      flick_cdr_decode_signed32(8, _data->_buffer[_t3_array_iter].y.xx);
      flick_cdr_decode_signed32(12, _data->_buffer[_t3_array_iter].y.yy);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_structBuffer_swap(flick_marshal_stream_t _stream, structBuffer *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct b ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t5_array_iter].x.xx);
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t5_array_iter].x.yy);
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t5_array_iter].y.xx);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t5_array_iter].y.yy);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
  unsigned long int _t7_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->_length);
#if 0 /* We never byte swap on encoding */
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t7_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  unsigned long int _t9_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t9_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_intBuffer_swap(flick_marshal_stream_t _stream, intBuffer *_data)
{
  unsigned long int _t11_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t11_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->baloney);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->baloney);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_useless_swap(flick_marshal_stream_t _stream, useless *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->baloney);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, const ttcp *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_ttcp_swap(flick_marshal_stream_t _stream, ttcp *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int ttcp_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t102_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t102_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t102_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t103_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t103_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t103_switch_tag)
            {
            case 'i':
              {
                char _t104_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t104_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t104_switch_tag)
                  {
                  case 'n':
                    {
                      char _t105_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t105_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t105_switch_tag)
                        {
                        case 't':
                          {
                            char _t106_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t106_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t106_switch_tag)
                              {
                              case 't':
                                {
                                  char _t107_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t107_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t107_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t108_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t108_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t108_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t109_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t109_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t109_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t110_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t110_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t110_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ttcp _obj;
                                                            intBuffer *_local_data;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t111_storage;
                                                            unsigned int _t112_principal;
                                                            intBuffer _t113_storage;
                                                            unsigned long int _t115_array_iter;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t111_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(8);
                                                            flick_cdr_swap_decode_unsigned32(0, _t112_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            _local_data = &_t113_storage;
                                                            flick_cdr_swap_decode_unsigned32(4, _local_data->_length);
                                                            _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(CORBA_long ));
                                                            flick_iiop_decode_end_chunk(8);
                                                            flick_iiop_decode_end_glob(24);
                                                            flick_iiop_decode_new_glob(4 * _local_data->_length);
                                                            for (_t115_array_iter = 0; _t115_array_iter < _local_data->_length; _t115_array_iter++)
                                                              {
                                                                flick_iiop_decode_new_chunk(4);
                                                                flick_cdr_swap_decode_signed32(0, _local_data->_buffer[_t115_array_iter]);
                                                                flick_iiop_decode_end_chunk(4);
                                                              }
                                                            flick_iiop_decode_end_glob(4 * _local_data->_length);
                                                            flick_corba_init_environment();
                                                            _return = ttcp_inttest(_obj, _local_data, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(12);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_iiop_encode_new_chunk(1);
                                                                  flick_cdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                                                  flick_iiop_encode_end_chunk(1);
                                                                  switch (_ev->_atomic_user_id)
                                                                    {
                                                                    case 0:
                                                                      {
                                                                        flick_iiop_encode_new_chunk(7);
                                                                        flick_cdr_encode_signed32(3, ((useless *)(_ev->_except))->baloney);
                                                                        CORBA_flick_free((useless *)(_ev->_except));
                                                                        flick_iiop_encode_end_chunk(7);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                                        break;
                                                                      }
                                                                    }
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(12);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t116_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t116_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t116_switch_tag)
            {
            case 's':
              {
                char _t117_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t117_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t117_switch_tag)
                  {
                  case 't':
                    {
                      char _t118_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t118_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t118_switch_tag)
                        {
                        case 'r':
                          {
                            char _t119_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t119_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t119_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t120_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t120_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t120_switch_tag)
                                    {
                                    case 'c':
                                      {
                                        char _t121_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t121_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t121_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t122_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t122_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t122_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t123_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t123_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t123_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t124_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t124_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t124_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t125_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t125_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t125_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t126_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t126_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t126_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              ttcp _obj;
                                                                              structBuffer *_local_data;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_long _return = 0;
                                                                              CORBA_Environment _t127_storage;
                                                                              unsigned int _t128_principal;
                                                                              structBuffer _t129_storage;
                                                                              unsigned long int _t131_array_iter;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t127_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_swap_decode_unsigned32(1, _t128_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              _local_data = &_t129_storage;
                                                                              flick_cdr_swap_decode_unsigned32(5, _local_data->_length);
                                                                              _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(struct b ));
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              flick_iiop_decode_end_glob(24);
                                                                              flick_iiop_decode_new_glob(16 * _local_data->_length);
                                                                              for (_t131_array_iter = 0; _t131_array_iter < _local_data->_length; _t131_array_iter++)
                                                                                {
                                                                                  flick_iiop_decode_new_chunk(16);
                                                                                  flick_cdr_swap_decode_signed32(0, _local_data->_buffer[_t131_array_iter].x.xx);
                                                                                  flick_cdr_swap_decode_signed32(4, _local_data->_buffer[_t131_array_iter].x.yy);
                                                                                  flick_cdr_swap_decode_signed32(8, _local_data->_buffer[_t131_array_iter].y.xx);
                                                                                  flick_cdr_swap_decode_signed32(12, _local_data->_buffer[_t131_array_iter].y.yy);
                                                                                  flick_iiop_decode_end_chunk(16);
                                                                                }
                                                                              flick_iiop_decode_end_glob(16 * _local_data->_length);
                                                                              flick_corba_init_environment();
                                                                              _return = ttcp_structtest(_obj, _local_data, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(12);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _return);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_iiop_encode_new_chunk(1);
                                                                                    flick_cdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                                                                    flick_iiop_encode_end_chunk(1);
                                                                                    switch (_ev->_atomic_user_id)
                                                                                      {
                                                                                      case 0:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(7);
                                                                                          flick_cdr_encode_signed32(3, ((useless *)(_ev->_except))->baloney);
                                                                                          CORBA_flick_free((useless *)(_ev->_except));
                                                                                          flick_iiop_encode_end_chunk(7);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(12);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(24);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(24);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t42_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t42_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t42_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t43_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t43_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t43_switch_tag)
            {
            case 'i':
              {
                char _t44_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t44_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t44_switch_tag)
                  {
                  case 'n':
                    {
                      char _t45_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t45_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t45_switch_tag)
                        {
                        case 't':
                          {
                            char _t46_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t46_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t46_switch_tag)
                              {
                              case 't':
                                {
                                  char _t47_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t47_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t47_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t48_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t48_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t48_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t49_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t49_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t49_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t50_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t50_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t50_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ttcp _obj;
                                                            intBuffer *_local_data;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t51_storage;
                                                            unsigned int _t52_principal;
                                                            intBuffer _t53_storage;
                                                            unsigned long int _t55_array_iter;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t51_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(8);
                                                            flick_cdr_decode_unsigned32(0, _t52_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            _local_data = &_t53_storage;
                                                            flick_cdr_decode_unsigned32(4, _local_data->_length);
                                                            _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(CORBA_long ));
                                                            flick_iiop_decode_end_chunk(8);
                                                            flick_iiop_decode_end_glob(24);
                                                            flick_iiop_decode_new_glob(4 * _local_data->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                            for (_t55_array_iter = 0; _t55_array_iter < _local_data->_length; _t55_array_iter++)
                                                              {
                                                                flick_iiop_decode_new_chunk(4);
                                                                flick_cdr_decode_signed32(0, _local_data->_buffer[_t55_array_iter]);
                                                                flick_iiop_decode_end_chunk(4);
                                                              }
#else
                                                            flick_cdr_decode_bcopy(_local_data->_buffer, sizeof(long) * _local_data->_length, iiop);
#endif
                                                            flick_iiop_decode_end_glob(4 * _local_data->_length);
                                                            flick_corba_init_environment();
                                                            _return = ttcp_inttest(_obj, _local_data, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(12);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_iiop_encode_new_chunk(1);
                                                                  flick_cdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                                                  flick_iiop_encode_end_chunk(1);
                                                                  switch (_ev->_atomic_user_id)
                                                                    {
                                                                    case 0:
                                                                      {
                                                                        flick_iiop_encode_new_chunk(7);
                                                                        flick_cdr_encode_signed32(3, ((useless *)(_ev->_except))->baloney);
                                                                        CORBA_flick_free((useless *)(_ev->_except));
                                                                        flick_iiop_encode_end_chunk(7);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                                        break;
                                                                      }
                                                                    }
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(12);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t56_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t56_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t56_switch_tag)
            {
            case 's':
              {
                char _t57_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t57_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t57_switch_tag)
                  {
                  case 't':
                    {
                      char _t58_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t58_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t58_switch_tag)
                        {
                        case 'r':
                          {
                            char _t59_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t59_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t59_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t60_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t60_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t60_switch_tag)
                                    {
                                    case 'c':
                                      {
                                        char _t61_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t61_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t61_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t62_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t62_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t62_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t63_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t63_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t63_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t64_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t64_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t64_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t65_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t65_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t65_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t66_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t66_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t66_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              ttcp _obj;
                                                                              structBuffer *_local_data;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_long _return = 0;
                                                                              CORBA_Environment _t67_storage;
                                                                              unsigned int _t68_principal;
                                                                              structBuffer _t69_storage;
                                                                              unsigned long int _t71_array_iter;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t67_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_decode_unsigned32(1, _t68_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              _local_data = &_t69_storage;
                                                                              flick_cdr_decode_unsigned32(5, _local_data->_length);
                                                                              _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(struct b ));
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              flick_iiop_decode_end_glob(24);
                                                                              flick_iiop_decode_new_glob(16 * _local_data->_length);
                                                                              for (_t71_array_iter = 0; _t71_array_iter < _local_data->_length; _t71_array_iter++)
                                                                                {
                                                                                  flick_iiop_decode_new_chunk(16);
                                                                                  flick_cdr_decode_signed32(0, _local_data->_buffer[_t71_array_iter].x.xx);
                                                                                  flick_cdr_decode_signed32(4, _local_data->_buffer[_t71_array_iter].x.yy);
                                                                                  flick_cdr_decode_signed32(8, _local_data->_buffer[_t71_array_iter].y.xx);
                                                                                  flick_cdr_decode_signed32(12, _local_data->_buffer[_t71_array_iter].y.yy);
                                                                                  flick_iiop_decode_end_chunk(16);
                                                                                }
                                                                              flick_iiop_decode_end_glob(16 * _local_data->_length);
                                                                              flick_corba_init_environment();
                                                                              _return = ttcp_structtest(_obj, _local_data, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(12);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _return);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_iiop_encode_new_chunk(1);
                                                                                    flick_cdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                                                                    flick_iiop_encode_end_chunk(1);
                                                                                    switch (_ev->_atomic_user_id)
                                                                                      {
                                                                                      case 0:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(7);
                                                                                          flick_cdr_encode_signed32(3, ((useless *)(_ev->_except))->baloney);
                                                                                          CORBA_flick_free((useless *)(_ev->_except));
                                                                                          flick_iiop_encode_end_chunk(7);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(12);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(24);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(24);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(24);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(24);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(24);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(24);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(24);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  return 0;
}
