#include "typedef_-server.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, *_data);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, a *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_c(flick_marshal_stream_t _stream, const c *_data)
{
  flick_iiop_encode_new_glob(1);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, *_data);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(1);
}

void flick_unmarshal_stub_c(flick_marshal_stream_t _stream, c *_data)
{
  flick_iiop_decode_new_glob(1);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, *_data);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(1);
}

void flick_unmarshal_stub_c_swap(flick_marshal_stream_t _stream, c *_data)
{
  flick_iiop_decode_new_glob(1);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, *_data);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(1);
}

void flick_marshal_stub_d(flick_marshal_stream_t _stream, const d *_data)
{
  flick_cdr_encode_string(*_data, CORBA_flick_free, iiop, 256);
}

void flick_unmarshal_stub_d(flick_marshal_stream_t _stream, d *_data)
{
  flick_cdr_decode_string(*_data, CORBA_flick_alloc, iiop, 256);
}

void flick_unmarshal_stub_d_swap(flick_marshal_stream_t _stream, d *_data)
{
  flick_cdr_swap_decode_string(*_data, CORBA_flick_alloc, iiop, 256);
}

void flick_marshal_stub_e(flick_marshal_stream_t _stream, const e *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(2 * _data->_length);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(2);
      flick_cdr_encode_signed16(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_encode_end_chunk(2);
    }
  flick_iiop_encode_end_glob(2 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_e(flick_marshal_stream_t _stream, e *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(2 * _data->_length);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(2);
      flick_cdr_decode_signed16(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(2);
    }
  flick_iiop_decode_end_glob(2 * _data->_length);
}

void flick_unmarshal_stub_e_swap(flick_marshal_stream_t _stream, e *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(2 * _data->_length);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(2);
      flick_cdr_swap_decode_signed16(0, _data->_buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(2);
    }
  flick_iiop_decode_end_glob(2 * _data->_length);
}

void flick_marshal_stub_f(flick_marshal_stream_t _stream, const f *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_float32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_f(flick_marshal_stream_t _stream, f *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_float32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_f_swap(flick_marshal_stream_t _stream, f *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_float32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_g(flick_marshal_stream_t _stream, const g *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t6_array_length = 5;
  flick_iiop_encode_new_glob(10);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_iiop_encode_new_chunk(2);
      flick_cdr_encode_signed16(0, (*_data)[_t8_array_iter]);
      flick_iiop_encode_end_chunk(2);
    }
  flick_iiop_encode_end_glob(10);
}

void flick_unmarshal_stub_g(flick_marshal_stream_t _stream, g *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  _t9_array_length = 5;
  flick_iiop_decode_new_glob(10);
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(2);
      flick_cdr_decode_signed16(0, (*_data)[_t11_array_iter]);
      flick_iiop_decode_end_chunk(2);
    }
  flick_iiop_decode_end_glob(10);
}

void flick_unmarshal_stub_g_swap(flick_marshal_stream_t _stream, g *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  _t12_array_length = 5;
  flick_iiop_decode_new_glob(10);
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(2);
      flick_cdr_swap_decode_signed16(0, (*_data)[_t14_array_iter]);
      flick_iiop_decode_end_chunk(2);
    }
  flick_iiop_decode_end_glob(10);
}

void flick_marshal_stub_h(flick_marshal_stream_t _stream, const h *_data)
{
  unsigned long int _t16_array_iter;

  flick_iiop_encode_new_glob(14);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  for (_t16_array_iter = 0; _t16_array_iter < _data->_length; _t16_array_iter++)
    {
      flick_iiop_encode_new_chunk(2);
      flick_cdr_encode_signed16(0, _data->_buffer[_t16_array_iter]);
      flick_iiop_encode_end_chunk(2);
    }
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(14);
}

void flick_unmarshal_stub_h(flick_marshal_stream_t _stream, h *_data)
{
  unsigned long int _t18_array_iter;

  flick_iiop_decode_new_glob(14);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  flick_iiop_decode_end_chunk(4);
  for (_t18_array_iter = 0; _t18_array_iter < _data->_length; _t18_array_iter++)
    {
      flick_iiop_decode_new_chunk(2);
      flick_cdr_decode_signed16(0, _data->_buffer[_t18_array_iter]);
      flick_iiop_decode_end_chunk(2);
    }
  flick_iiop_decode_end_glob(14);
}

void flick_unmarshal_stub_h_swap(flick_marshal_stream_t _stream, h *_data)
{
  unsigned long int _t20_array_iter;

  flick_iiop_decode_new_glob(14);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  flick_iiop_decode_end_chunk(4);
  for (_t20_array_iter = 0; _t20_array_iter < _data->_length; _t20_array_iter++)
    {
      flick_iiop_decode_new_chunk(2);
      flick_cdr_swap_decode_signed16(0, _data->_buffer[_t20_array_iter]);
      flick_iiop_decode_end_chunk(2);
    }
  flick_iiop_decode_end_glob(14);
}

