#include "unionplain_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &un_server, "un_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &un_server, "un_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(2);
        flick_cdr_encode_signed16(0, _data->_u.y);
        flick_iiop_encode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_decode_signed16(0, _data->_u.y);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_Foo_swap(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_swap_decode_signed16(0, _data->_u.y);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->_d);
  flick_iiop_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.x);
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(3);
        flick_cdr_encode_signed16(1, _data->_u.y);
        flick_iiop_encode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(3);
        flick_cdr_decode_signed16(1, _data->_u.y);
        flick_iiop_decode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_Foo2_swap(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->_d);
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.x);
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_decode_new_chunk(3);
        flick_cdr_swap_decode_signed16(1, _data->_u.y);
        flick_iiop_decode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, const struct Foo3 *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->_d);
  flick_iiop_encode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_encode_new_chunk(2);
        flick_cdr_encode_signed16(0, _data->_u.a);
        flick_iiop_encode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiop_encode_new_chunk(6);
        flick_cdr_encode_signed32(2, _data->_u.b);
        flick_iiop_encode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.c);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->_d);
  flick_iiop_decode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_decode_signed16(0, _data->_u.a);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiop_decode_new_chunk(6);
        flick_cdr_decode_signed32(2, _data->_u.b);
        flick_iiop_decode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.c);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_Foo3_swap(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->_d);
  flick_iiop_decode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_decode_new_chunk(2);
        flick_cdr_swap_decode_signed16(0, _data->_u.a);
        flick_iiop_decode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiop_decode_new_chunk(6);
        flick_cdr_swap_decode_signed32(2, _data->_u.b);
        flick_iiop_decode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.c);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, const struct Foo4 *_data)
{
  flick_iiop_encode_new_glob(48);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_end_glob(48);
        flick_cdr_encode_longstring(_data->_u.a, CORBA_flick_free, iiop);
        break;
      }
    case 2:
      {
        unsigned long int _t3_array_iter;

        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.b._length);
        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
        for (_t3_array_iter = 0; _t3_array_iter < _data->_u.b._length; _t3_array_iter++)
          {
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _data->_u.b._buffer[_t3_array_iter]);
            flick_iiop_encode_end_chunk(4);
          }
#else /* Always bcopy */
        flick_cdr_encode_bcopy(_data->_u.b._buffer, sizeof(long) * _data->_u.b._length, iiop);
#endif /* alway bcopy */
        CORBA_flick_free(_data->_u.b._buffer);
        flick_iiop_encode_end_glob(48);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.c);
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(48);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_iiop_decode_new_glob(48);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(48);
        flick_cdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    case 2:
      {
        unsigned long int _t7_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.b._length);
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
        for (_t7_array_iter = 0; _t7_array_iter < _data->_u.b._length; _t7_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _data->_u.b._buffer[_t7_array_iter]);
            flick_iiop_decode_end_chunk(4);
          }
#else
        flick_cdr_decode_bcopy(_data->_u.b._buffer, sizeof(long) * _data->_u.b._length, iiop);
#endif
        flick_iiop_decode_end_glob(48);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.c);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(48);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4_swap(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_iiop_decode_new_glob(48);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(48);
        flick_cdr_swap_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    case 2:
      {
        unsigned long int _t11_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.b._length);
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        flick_iiop_decode_end_chunk(4);
        for (_t11_array_iter = 0; _t11_array_iter < _data->_u.b._length; _t11_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->_u.b._buffer[_t11_array_iter]);
            flick_iiop_decode_end_chunk(4);
          }
        flick_iiop_decode_end_glob(48);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.c);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(48);
        break;
      }
    }
}

void flick_marshal_stub_un(flick_marshal_stream_t _stream, const un *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_un_swap(flick_marshal_stream_t _stream, un *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int un_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t66_switch_tag;

    flick_iiop_decode_new_glob(60);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t66_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t66_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t67_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t67_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t67_switch_tag)
            {
            case 'o':
              {
                char _t68_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t68_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t68_switch_tag)
                  {
                  case 'n':
                    {
                      char _t69_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t69_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t69_switch_tag)
                        {
                        case 'e':
                          {
                            char _t70_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t70_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t70_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    un _obj;
                                    struct Foo2 *_local_a;
                                    CORBA_Environment *_ev;
                                    struct Foo _return;
                                    CORBA_Environment _t71_storage;
                                    unsigned int _t72_principal;
                                    struct Foo2 _t73_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t71_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(0, _t72_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_a = &_t73_storage;
                                    flick_cdr_swap_decode_char8(4, _local_a->_d);
                                    flick_iiop_decode_end_chunk(5);
                                    switch (_local_a->_d)
                                      {
                                      case 'a':
                                        {
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_signed32(3, _local_a->_u.x);
                                          flick_iiop_decode_end_chunk(7);
                                          break;
                                        }
                                      case 'b':
                                        {
                                          flick_iiop_decode_new_chunk(3);
                                          flick_cdr_swap_decode_signed16(1, _local_a->_u.y);
                                          flick_iiop_decode_end_chunk(3);
                                          break;
                                        }
                                      case 'c':
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_a->_u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                                          break;
                                        }
                                      }
                                    flick_iiop_decode_end_glob(60);
                                    flick_corba_init_environment();
                                    _return = un_one(_obj, _local_a, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return._d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_return._d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return._u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            case 2:
                                              {
                                                flick_iiop_encode_new_chunk(2);
                                                flick_cdr_encode_signed16(0, _return._u.y);
                                                flick_iiop_encode_end_chunk(2);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _return._u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            case 't':
              {
                char _t74_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t74_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t74_switch_tag)
                  {
                  case 'w':
                    {
                      char _t75_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t75_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t75_switch_tag)
                        {
                        case 'o':
                          {
                            char _t76_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t76_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t76_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    un _obj;
                                    struct Foo4 *_local_a;
                                    CORBA_Environment *_ev;
                                    struct Foo3 _return;
                                    CORBA_Environment _t77_storage;
                                    unsigned int _t78_principal;
                                    struct Foo4 _t79_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t77_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_swap_decode_unsigned32(0, _t78_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_a = &_t79_storage;
                                    flick_cdr_swap_decode_signed32(4, _local_a->_d);
                                    flick_iiop_decode_end_chunk(8);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_end_glob(60);
                                          flick_cdr_swap_decode_auto_string(_local_a->_u.a, auto_flick_alloc, iiop);
                                          break;
                                        }
                                      case 2:
                                        {
                                          unsigned long int _t83_array_iter;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _local_a->_u.b._length);
                                          _local_a->_u.b._buffer = auto_flick_alloc(_local_a->_u.b._length * sizeof(CORBA_long ));
                                          flick_iiop_decode_end_chunk(4);
                                          for (_t83_array_iter = 0; _t83_array_iter < _local_a->_u.b._length; _t83_array_iter++)
                                            {
                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_swap_decode_signed32(0, _local_a->_u.b._buffer[_t83_array_iter]);
                                              flick_iiop_decode_end_chunk(4);
                                            }
                                          flick_iiop_decode_end_glob(60);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_a->_u.c);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(60);
                                          break;
                                        }
                                      }
                                    flick_corba_init_environment();
                                    _return = un_two(_obj, _local_a, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(2);
                                          flick_cdr_encode_signed16(0, _return._d);
                                          flick_iiop_encode_end_chunk(2);
                                          switch (_return._d)
                                            {
                                            case -1:
                                              {
                                                flick_iiop_encode_new_chunk(2);
                                                flick_cdr_encode_signed16(0, _return._u.a);
                                                flick_iiop_encode_end_chunk(2);
                                                break;
                                              }
                                            case 50:
                                              {
                                                flick_iiop_encode_new_chunk(6);
                                                flick_cdr_encode_signed32(2, _return._u.b);
                                                flick_iiop_encode_end_chunk(6);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _return._u.c);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(60);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t30_switch_tag;

    flick_iiop_decode_new_glob(60);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t30_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t30_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t31_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t31_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t31_switch_tag)
            {
            case 'o':
              {
                char _t32_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t32_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t32_switch_tag)
                  {
                  case 'n':
                    {
                      char _t33_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t33_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t33_switch_tag)
                        {
                        case 'e':
                          {
                            char _t34_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t34_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t34_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    un _obj;
                                    struct Foo2 *_local_a;
                                    CORBA_Environment *_ev;
                                    struct Foo _return;
                                    CORBA_Environment _t35_storage;
                                    unsigned int _t36_principal;
                                    struct Foo2 _t37_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t35_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(0, _t36_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_a = &_t37_storage;
                                    flick_cdr_decode_char8(4, _local_a->_d);
                                    flick_iiop_decode_end_chunk(5);
                                    switch (_local_a->_d)
                                      {
                                      case 'a':
                                        {
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_signed32(3, _local_a->_u.x);
                                          flick_iiop_decode_end_chunk(7);
                                          break;
                                        }
                                      case 'b':
                                        {
                                          flick_iiop_decode_new_chunk(3);
                                          flick_cdr_decode_signed16(1, _local_a->_u.y);
                                          flick_iiop_decode_end_chunk(3);
                                          break;
                                        }
                                      case 'c':
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_a->_u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_server_error(0, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                                          break;
                                        }
                                      }
                                    flick_iiop_decode_end_glob(60);
                                    flick_corba_init_environment();
                                    _return = un_one(_obj, _local_a, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return._d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_return._d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return._u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            case 2:
                                              {
                                                flick_iiop_encode_new_chunk(2);
                                                flick_cdr_encode_signed16(0, _return._u.y);
                                                flick_iiop_encode_end_chunk(2);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _return._u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            case 't':
              {
                char _t38_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t38_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t38_switch_tag)
                  {
                  case 'w':
                    {
                      char _t39_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t39_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t39_switch_tag)
                        {
                        case 'o':
                          {
                            char _t40_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t40_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t40_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    un _obj;
                                    struct Foo4 *_local_a;
                                    CORBA_Environment *_ev;
                                    struct Foo3 _return;
                                    CORBA_Environment _t41_storage;
                                    unsigned int _t42_principal;
                                    struct Foo4 _t43_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t41_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_decode_unsigned32(0, _t42_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_a = &_t43_storage;
                                    flick_cdr_decode_signed32(4, _local_a->_d);
                                    flick_iiop_decode_end_chunk(8);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_end_glob(60);
                                          flick_cdr_decode_auto_string(_local_a->_u.a, auto_flick_alloc, iiop);
                                          break;
                                        }
                                      case 2:
                                        {
                                          unsigned long int _t47_array_iter;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _local_a->_u.b._length);
                                          _local_a->_u.b._buffer = auto_flick_alloc(_local_a->_u.b._length * sizeof(CORBA_long ));
                                          flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                          for (_t47_array_iter = 0; _t47_array_iter < _local_a->_u.b._length; _t47_array_iter++)
                                            {
                                              flick_iiop_decode_new_chunk(4);
                                              flick_cdr_decode_signed32(0, _local_a->_u.b._buffer[_t47_array_iter]);
                                              flick_iiop_decode_end_chunk(4);
                                            }
#else
                                          flick_cdr_decode_bcopy(_local_a->_u.b._buffer, sizeof(long) * _local_a->_u.b._length, iiop);
#endif
                                          flick_iiop_decode_end_glob(60);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_a->_u.c);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(60);
                                          break;
                                        }
                                      }
                                    flick_corba_init_environment();
                                    _return = un_two(_obj, _local_a, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(2);
                                          flick_cdr_encode_signed16(0, _return._d);
                                          flick_iiop_encode_end_chunk(2);
                                          switch (_return._d)
                                            {
                                            case -1:
                                              {
                                                flick_iiop_encode_new_chunk(2);
                                                flick_cdr_encode_signed16(0, _return._u.a);
                                                flick_iiop_encode_end_chunk(2);
                                                break;
                                              }
                                            case 50:
                                              {
                                                flick_iiop_encode_new_chunk(6);
                                                flick_cdr_encode_signed32(2, _return._u.b);
                                                flick_iiop_encode_end_chunk(6);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _return._u.c);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(60);
          break;
        }
      }
  }
  }
  return 0;
}
