#include "program-4-client.h"

void flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed16(0, _data->a);
  flick_mach3mig_encode_signed16(8, _data->b);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed16(0, _data->a);
  flick_mach3mig_decode_signed16(8, _data->b);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->a);
  flick_mach3mig_encode_signed32(8, _data->b);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->a);
  flick_mach3mig_decode_signed32(8, _data->b);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_encode_new_glob(60);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->long_list_len);
  flick_mach3mig_array_encode_signed32_type(8, _data->long_list_len * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_list_len; _t1_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->long_list_val[_t1_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->long_list_val, sizeof(long) * _data->long_list_len, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(60);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_decode_new_glob(60);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_mach3mig_array_decode_signed32_type(8, _data->long_list_len, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t3_array_iter = 0; _t3_array_iter < _data->long_list_len; _t3_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->long_list_val[_t3_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->long_list_val, sizeof(long) * _data->long_list_len, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(60);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

short int *addshort_1(struct short_short *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  short int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed16(0, arg->a);
    flick_mach3mig_encode_signed16(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t7_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t7_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t7_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static short int _t9_storage;

                _return = &_t9_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed16(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

short int *subshort_1(struct short_short *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  short int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 2;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed16(0, arg->a);
    flick_mach3mig_encode_signed16(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t13_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t13_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t13_switch_tag)
      {
      case (signed int) 1026:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static short int _t15_storage;

                _return = &_t15_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed16(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

short int *multshort_1(struct short_short *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  short int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 3;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed16(0, arg->a);
    flick_mach3mig_encode_signed16(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t19_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t19_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t19_switch_tag)
      {
      case (signed int) 1027:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static short int _t21_storage;

                _return = &_t21_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed16(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *addlong_1(struct long_long *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 4;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed32(0, arg->a);
    flick_mach3mig_encode_signed32(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t25_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t25_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t25_switch_tag)
      {
      case (signed int) 1028:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t27_storage;

                _return = &_t27_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *sublong_1(struct long_long *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 5;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed32(0, arg->a);
    flick_mach3mig_encode_signed32(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t31_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t31_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t31_switch_tag)
      {
      case (signed int) 1029:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t33_storage;

                _return = &_t33_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *multlong_1(struct long_long *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 6;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed32(0, arg->a);
    flick_mach3mig_encode_signed32(8, arg->b);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t37_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t37_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t37_switch_tag)
      {
      case (signed int) 1030:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t39_storage;

                _return = &_t39_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *addlonglist_1(long_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t43_array_iter;

    flick_mach3mig_encode_new_glob(60);
    _stream->msg_buf->Head.msgh_id = 7;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(20);
    flick_mach3mig_encode_unsigned32(0, arg->long_list_len);
    flick_mach3mig_array_encode_signed32_type(8, arg->long_list_len * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
    for (_t43_array_iter = 0; _t43_array_iter < arg->long_list_len; _t43_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, arg->long_list_val[_t43_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(arg->long_list_val, sizeof(long) * arg->long_list_len, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(60);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t47_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t47_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t47_switch_tag)
      {
      case (signed int) 1031:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t49_storage;

                _return = &_t49_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *multlonglist_1(long_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t53_array_iter;

    flick_mach3mig_encode_new_glob(60);
    _stream->msg_buf->Head.msgh_id = 8;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(20);
    flick_mach3mig_encode_unsigned32(0, arg->long_list_len);
    flick_mach3mig_array_encode_signed32_type(8, arg->long_list_len * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
    for (_t53_array_iter = 0; _t53_array_iter < arg->long_list_len; _t53_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, arg->long_list_val[_t53_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(arg->long_list_val, sizeof(long) * arg->long_list_len, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(60);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t57_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t57_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t57_switch_tag)
      {
      case (signed int) 1032:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t59_storage;

                _return = &_t59_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

