#include "array-1-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = prog;
	s.vers_num = vers;

	assert(flick_server_register(s, &prog_1234));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 16;
  flick_suntcp_encode_new_glob(64);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t0_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 16;
  flick_suntcp_decode_new_glob(64);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t3_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t6_array_length = 32;
  flick_suntcp_encode_new_glob(128);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t8_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t6_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  _t9_array_length = 32;
  flick_suntcp_decode_new_glob(128);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t9_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  _t12_array_length = 64;
  flick_suntcp_encode_new_glob(256);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t14_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t12_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  _t15_array_length = 64;
  flick_suntcp_decode_new_glob(256);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t15_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  _t18_array_length = 128;
  flick_suntcp_encode_new_glob(512);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t20_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t18_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  _t21_array_length = 128;
  flick_suntcp_decode_new_glob(512);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t23_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t21_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_unsigned16_t _t24_array_length;
  flick_unsigned16_t _t26_array_iter;

  _t24_array_length = 256;
  flick_suntcp_encode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t26_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t24_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t27_array_length;
  flick_unsigned16_t _t29_array_iter;

  _t27_array_length = 256;
  flick_suntcp_decode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t29_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t27_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_unsigned16_t _t30_array_length;
  flick_unsigned16_t _t32_array_iter;

  _t30_array_length = 512;
  flick_suntcp_encode_new_glob(2048);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t32_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t30_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t33_array_length;
  flick_unsigned16_t _t35_array_iter;

  _t33_array_length = 512;
  flick_suntcp_decode_new_glob(2048);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t35_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t33_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_unsigned16_t _t36_array_length;
  flick_unsigned16_t _t38_array_iter;

  _t36_array_length = 1024;
  flick_suntcp_encode_new_glob(4096);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t38_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t36_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t39_array_length;
  flick_unsigned16_t _t41_array_iter;

  _t39_array_length = 1024;
  flick_suntcp_decode_new_glob(4096);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t41_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t39_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_unsigned16_t _t42_array_length;
  flick_unsigned16_t _t44_array_iter;

  _t42_array_length = 2048;
  flick_suntcp_encode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t44_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t42_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t45_array_length;
  flick_unsigned16_t _t47_array_iter;

  _t45_array_length = 2048;
  flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t47_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t45_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_unsigned16_t _t48_array_length;
  flick_unsigned16_t _t50_array_iter;

  _t48_array_length = 4096;
  flick_suntcp_encode_new_glob(4 * _t48_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t50_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t48_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _t48_array_length);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t51_array_length;
  flick_unsigned16_t _t53_array_iter;

  _t51_array_length = 4096;
  flick_suntcp_decode_new_glob(4 * _t51_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t53_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t51_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _t51_array_length);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_unsigned16_t _t54_array_length;
  flick_unsigned16_t _t56_array_iter;

  _t54_array_length = 8192;
  flick_suntcp_encode_new_glob(4 * _t54_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t56_array_iter = 0; _t56_array_iter < _t54_array_length; _t56_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t56_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t54_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _t54_array_length);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t57_array_length;
  flick_unsigned16_t _t59_array_iter;

  _t57_array_length = 8192;
  flick_suntcp_decode_new_glob(4 * _t57_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t59_array_iter = 0; _t59_array_iter < _t57_array_length; _t59_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t59_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t57_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _t57_array_length);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_unsigned16_t _t60_array_length;
  flick_unsigned16_t _t62_array_iter;

  _t60_array_length = 16384;
  flick_suntcp_encode_new_glob(4 * _t60_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t62_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t60_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _t60_array_length);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t63_array_length;
  flick_unsigned16_t _t65_array_iter;

  _t63_array_length = 16384;
  flick_suntcp_decode_new_glob(4 * _t63_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t65_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t63_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _t63_array_length);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int prog_1234(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t122_switch_tag;

    flick_suntcp_decode_new_glob(4116);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t122_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t122_switch_tag)
      {
      case (signed int) 1:
        {
          {
            data64 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t123_ignore;
            data64 _t124_storage;
            flick_unsigned8_t _t125_array_length;
            flick_unsigned8_t _t127_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t123_ignore);
            flick_xdr_decode_unsigned32(4, _t123_ignore);
            flick_xdr_decode_unsigned32(8, _t123_ignore);
            flick_xdr_decode_unsigned32(12, _t123_ignore);
            _local_arg = &_t124_storage;
            _t125_array_length = 16;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t127_array_iter = 0; _t127_array_iter < _t125_array_length; _t127_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t127_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t125_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_sun_init_environment();
            _return = op64_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            data128 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t128_ignore;
            data128 _t129_storage;
            flick_unsigned8_t _t130_array_length;
            flick_unsigned8_t _t132_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t128_ignore);
            flick_xdr_decode_unsigned32(4, _t128_ignore);
            flick_xdr_decode_unsigned32(8, _t128_ignore);
            flick_xdr_decode_unsigned32(12, _t128_ignore);
            _local_arg = &_t129_storage;
            _t130_array_length = 32;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t132_array_iter = 0; _t132_array_iter < _t130_array_length; _t132_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t132_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t130_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_sun_init_environment();
            _return = op128_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            data256 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t133_ignore;
            data256 _t134_storage;
            flick_unsigned8_t _t135_array_length;
            flick_unsigned8_t _t137_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t133_ignore);
            flick_xdr_decode_unsigned32(4, _t133_ignore);
            flick_xdr_decode_unsigned32(8, _t133_ignore);
            flick_xdr_decode_unsigned32(12, _t133_ignore);
            _local_arg = &_t134_storage;
            _t135_array_length = 64;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t137_array_iter = 0; _t137_array_iter < _t135_array_length; _t137_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t137_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t135_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_sun_init_environment();
            _return = op256_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            data512 *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t138_ignore;
            data512 _t139_storage;
            flick_unsigned8_t _t140_array_length;
            flick_unsigned8_t _t142_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t138_ignore);
            flick_xdr_decode_unsigned32(4, _t138_ignore);
            flick_xdr_decode_unsigned32(8, _t138_ignore);
            flick_xdr_decode_unsigned32(12, _t138_ignore);
            _local_arg = &_t139_storage;
            _t140_array_length = 128;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t142_array_iter = 0; _t142_array_iter < _t140_array_length; _t142_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t142_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t140_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_sun_init_environment();
            _return = op512_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            data1K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t143_ignore;
            data1K _t144_storage;
            flick_unsigned16_t _t145_array_length;
            flick_unsigned16_t _t147_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t143_ignore);
            flick_xdr_decode_unsigned32(4, _t143_ignore);
            flick_xdr_decode_unsigned32(8, _t143_ignore);
            flick_xdr_decode_unsigned32(12, _t143_ignore);
            _local_arg = &_t144_storage;
            _t145_array_length = 256;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t147_array_iter = 0; _t147_array_iter < _t145_array_length; _t147_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t147_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t145_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_sun_init_environment();
            _return = op1k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            data2K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t148_ignore;
            data2K _t149_storage;
            flick_unsigned16_t _t150_array_length;
            flick_unsigned16_t _t152_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t148_ignore);
            flick_xdr_decode_unsigned32(4, _t148_ignore);
            flick_xdr_decode_unsigned32(8, _t148_ignore);
            flick_xdr_decode_unsigned32(12, _t148_ignore);
            _local_arg = &_t149_storage;
            _t150_array_length = 512;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t152_array_iter = 0; _t152_array_iter < _t150_array_length; _t152_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t152_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t150_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_sun_init_environment();
            _return = op2k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            data4K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t153_ignore;
            data4K _t154_storage;
            flick_unsigned16_t _t155_array_length;
            flick_unsigned16_t _t157_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t153_ignore);
            flick_xdr_decode_unsigned32(4, _t153_ignore);
            flick_xdr_decode_unsigned32(8, _t153_ignore);
            flick_xdr_decode_unsigned32(12, _t153_ignore);
            _local_arg = &_t154_storage;
            _t155_array_length = 1024;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t157_array_iter = 0; _t157_array_iter < _t155_array_length; _t157_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t157_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t155_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_sun_init_environment();
            _return = op4k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            data8K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t158_ignore;
            data8K _t159_storage;
            flick_unsigned16_t _t160_array_length;
            flick_unsigned16_t _t162_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t158_ignore);
            flick_xdr_decode_unsigned32(4, _t158_ignore);
            flick_xdr_decode_unsigned32(8, _t158_ignore);
            flick_xdr_decode_unsigned32(12, _t158_ignore);
            _local_arg = &_t159_storage;
            _t160_array_length = 2048;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t162_array_iter = 0; _t162_array_iter < _t160_array_length; _t162_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t162_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t160_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(8192);
            flick_sun_init_environment();
            _return = op8k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            data16K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t163_ignore;
            data16K _t164_storage;
            flick_unsigned16_t _t165_array_length;
            flick_unsigned16_t _t167_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t163_ignore);
            flick_xdr_decode_unsigned32(4, _t163_ignore);
            flick_xdr_decode_unsigned32(8, _t163_ignore);
            flick_xdr_decode_unsigned32(12, _t163_ignore);
            _local_arg = &_t164_storage;
            _t165_array_length = 4096;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(4 * _t165_array_length);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t167_array_iter = 0; _t167_array_iter < _t165_array_length; _t167_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t167_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t165_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _t165_array_length);
            flick_sun_init_environment();
            _return = op16k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 10:
        {
          {
            data32K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t168_ignore;
            data32K _t169_storage;
            flick_unsigned16_t _t170_array_length;
            flick_unsigned16_t _t172_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t168_ignore);
            flick_xdr_decode_unsigned32(4, _t168_ignore);
            flick_xdr_decode_unsigned32(8, _t168_ignore);
            flick_xdr_decode_unsigned32(12, _t168_ignore);
            _local_arg = &_t169_storage;
            _t170_array_length = 8192;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(4 * _t170_array_length);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t172_array_iter = 0; _t172_array_iter < _t170_array_length; _t172_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t172_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t170_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _t170_array_length);
            flick_sun_init_environment();
            _return = op32k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 11:
        {
          {
            data64K *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t173_ignore;
            data64K _t174_storage;
            flick_unsigned16_t _t175_array_length;
            flick_unsigned16_t _t177_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t173_ignore);
            flick_xdr_decode_unsigned32(4, _t173_ignore);
            flick_xdr_decode_unsigned32(8, _t173_ignore);
            flick_xdr_decode_unsigned32(12, _t173_ignore);
            _local_arg = &_t174_storage;
            _t175_array_length = 16384;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(4 * _t175_array_length);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t177_array_iter = 0; _t177_array_iter < _t175_array_length; _t177_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)[_t177_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_msgptr(_local_arg, sizeof(long) * _t175_array_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _t175_array_length);
            flick_sun_init_environment();
            _return = op64k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(4116);
          break;
        }
      }
  }
  return 0;
}
