#include "arrayez_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_arrays;
	s.vers_num = _VERS_arrays;

	assert(flick_server_register(s, &arrays_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 8;
  flick_suntcp_encode_new_glob(32);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t0_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 8;
  flick_suntcp_decode_new_glob(32);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t3_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(32);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_unsigned16_t _t6_array_length;
  flick_unsigned16_t _t8_array_iter;

  _t6_array_length = 256;
  flick_suntcp_encode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t8_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t6_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t9_array_length;
  flick_unsigned16_t _t11_array_iter;

  _t9_array_length = 256;
  flick_suntcp_decode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t9_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(1024);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_unsigned16_t _t12_array_length;
  flick_unsigned16_t _t14_array_iter;

  _t12_array_length = 8192;
  flick_suntcp_encode_new_glob(4 * _t12_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t14_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t12_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _t12_array_length);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t15_array_length;
  flick_unsigned16_t _t17_array_iter;

  _t15_array_length = 8192;
  flick_suntcp_decode_new_glob(4 * _t15_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t15_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _t15_array_length);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t55_switch_tag;

    flick_suntcp_decode_new_glob(1076);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t55_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t55_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t56_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t56_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t56_switch_tag)
            {
            case 't':
              {
                char _t57_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t57_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t57_switch_tag)
                  {
                  case 'e':
                    {
                      char _t58_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t58_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t58_switch_tag)
                        {
                        case 's':
                          {
                            char _t59_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t59_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t59_switch_tag)
                              {
                              case 't':
                                {
                                  char _t60_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t60_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t60_switch_tag)
                                    {
                                    case '8':
                                      {
                                        char _t61_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t61_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t61_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                arrays _obj;
                                                arrays_arr8 _local_a;
                                                CORBA_Environment *_ev;
                                                CORBA_long _return = 0;
                                                CORBA_Environment _t62_storage;
                                                unsigned int _t63_ignore;
                                                flick_unsigned8_t _t64_array_length;
                                                flick_unsigned8_t _t66_array_iter;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                _ev = &_t62_storage;
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(16);
                                                flick_xdr_decode_unsigned32(0, _t63_ignore);
                                                flick_xdr_decode_unsigned32(4, _t63_ignore);
                                                flick_xdr_decode_unsigned32(8, _t63_ignore);
                                                flick_xdr_decode_unsigned32(12, _t63_ignore);
                                                _t64_array_length = 8;
                                                flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
                                                for (_t66_array_iter = 0; _t66_array_iter < _t64_array_length; _t66_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_a[_t66_array_iter]);
                                                    flick_suntcp_decode_end_chunk(4);
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_xdr_decode_bcopy(_local_a, sizeof(long) * _t64_array_length, suntcp);
#endif /* ENDIANness */
                                                flick_suntcp_decode_end_glob(1076);
                                                flick_corba_init_environment();
                                                _return = arrays_test8(_obj, _local_a, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(8);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _return);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(8);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(1076);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(1076);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(1076);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(1076);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(1076);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(1076);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t67_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t67_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t67_switch_tag)
            {
            case 't':
              {
                char _t68_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t68_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t68_switch_tag)
                  {
                  case 'e':
                    {
                      char _t69_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t69_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t69_switch_tag)
                        {
                        case 's':
                          {
                            char _t70_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t70_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t70_switch_tag)
                              {
                              case 't':
                                {
                                  char _t71_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t71_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t71_switch_tag)
                                    {
                                    case '2':
                                      {
                                        char _t72_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t72_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t72_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t73_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t73_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t73_switch_tag)
                                                {
                                                case '6':
                                                  {
                                                    char _t74_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t74_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t74_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            arrays _obj;
                                                            arrays_arr256 _local_a;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t75_storage;
                                                            unsigned int _t76_ignore;
                                                            flick_unsigned16_t _t77_array_length;
                                                            flick_unsigned16_t _t79_array_iter;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            _ev = &_t75_storage;
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t76_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t76_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t76_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t76_ignore);
                                                            _t77_array_length = 256;
                                                            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
                                                            for (_t79_array_iter = 0; _t79_array_iter < _t77_array_length; _t79_array_iter++)
                                                              {
                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_signed32(0, _local_a[_t79_array_iter]);
                                                                flick_suntcp_decode_end_chunk(4);
                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                            flick_xdr_decode_bcopy(_local_a, sizeof(long) * _t77_array_length, suntcp);
#endif /* ENDIANness */
                                                            flick_suntcp_decode_end_glob(1076);
                                                            flick_corba_init_environment();
                                                            _return = arrays_test256(_obj, _local_a, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(1076);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(1076);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(1076);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(1076);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(1076);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(1076);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(1076);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(1076);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t80_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t80_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t80_switch_tag)
            {
            case 't':
              {
                char _t81_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t81_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t81_switch_tag)
                  {
                  case 'e':
                    {
                      char _t82_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t82_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t82_switch_tag)
                        {
                        case 's':
                          {
                            char _t83_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t83_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t83_switch_tag)
                              {
                              case 't':
                                {
                                  char _t84_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t84_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t84_switch_tag)
                                    {
                                    case '8':
                                      {
                                        char _t85_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t85_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t85_switch_tag)
                                          {
                                          case 'k':
                                            {
                                              char _t86_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t86_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t86_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      arrays _obj;
                                                      arrays_arr8k _local_a;
                                                      CORBA_Environment *_ev;
                                                      CORBA_long _return = 0;
                                                      CORBA_Environment _t87_storage;
                                                      unsigned int _t88_ignore;
                                                      flick_unsigned16_t _t89_array_length;
                                                      flick_unsigned16_t _t91_array_iter;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      _ev = &_t87_storage;
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t88_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t88_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t88_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t88_ignore);
                                                      _t89_array_length = 8192;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(1076);
                                                      flick_suntcp_decode_new_glob(4 * _t89_array_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                      for (_t91_array_iter = 0; _t91_array_iter < _t89_array_length; _t91_array_iter++)
                                                        {
                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_signed32(0, _local_a[_t91_array_iter]);
                                                          flick_suntcp_decode_end_chunk(4);
                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_xdr_decode_bcopy(_local_a, sizeof(long) * _t89_array_length, suntcp);
#endif /* ENDIANness */
                                                      flick_suntcp_decode_end_glob(4 * _t89_array_length);
                                                      flick_corba_init_environment();
                                                      _return = arrays_test8k(_obj, _local_a, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(8);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _return);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(8);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(1076);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(1076);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(1076);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(1076);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(1076);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(1076);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(1076);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(1076);
          break;
        }
      }
  }
  return 0;
}
