#include "sequence-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_TestSeq;
	s.vers_num = _VERS_TestSeq;

	assert(flick_server_register(s, &TestSeq_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_c20(flick_marshal_stream_t _stream, const c20 *_data)
{
  unsigned long int _t5_array_iter;

  flick_suntcp_encode_new_glob(24);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->_buffer[_t5_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(24);
}

void flick_unmarshal_stub_c20(flick_marshal_stream_t _stream, c20 *_data)
{
  unsigned long int _t7_array_iter;

  flick_suntcp_decode_new_glob(24);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->_buffer[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(24);
}

void flick_marshal_stub_cc23(flick_marshal_stream_t _stream, const cc23 *_data)
{
  unsigned long int _t13_array_iter;

  flick_suntcp_encode_new_glob(556);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  for (_t13_array_iter = 0; _t13_array_iter < _data->_length; _t13_array_iter++)
    {
      unsigned long int _t17_array_iter;

      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t13_array_iter]._length);
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t17_array_iter = 0; _t17_array_iter < _data->_buffer[_t13_array_iter]._length; _t17_array_iter++)
        {
          flick_suntcp_encode_new_chunk(1);
          flick_xdr_encode_char8_packed(0, _data->_buffer[_t13_array_iter]._buffer[_t17_array_iter]);
          flick_suntcp_encode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->_buffer[_t13_array_iter]._buffer, sizeof(char) * _data->_buffer[_t13_array_iter]._length, suntcp);
#endif /* ENDIANness */
      CORBA_flick_free(_data->_buffer[_t13_array_iter]._buffer);
    }
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(556);
}

void flick_unmarshal_stub_cc23(flick_marshal_stream_t _stream, cc23 *_data)
{
  unsigned long int _t23_array_iter;

  flick_suntcp_decode_new_glob(556);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(c20 ));
  flick_suntcp_decode_end_chunk(4);
  for (_t23_array_iter = 0; _t23_array_iter < _data->_length; _t23_array_iter++)
    {
      unsigned long int _t27_array_iter;

      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t23_array_iter]._length);
      _data->_buffer[_t23_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t23_array_iter]._length * sizeof(CORBA_char ));
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t27_array_iter = 0; _t27_array_iter < _data->_buffer[_t23_array_iter]._length; _t27_array_iter++)
        {
          flick_suntcp_decode_new_chunk(1);
          flick_xdr_decode_char8_packed(0, _data->_buffer[_t23_array_iter]._buffer[_t27_array_iter]);
          flick_suntcp_decode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->_buffer[_t23_array_iter]._buffer, sizeof(char) * _data->_buffer[_t23_array_iter]._length, suntcp);
#endif /* ENDIANness */
    }
  flick_suntcp_decode_end_glob(556);
}

void flick_marshal_stub_c24(flick_marshal_stream_t _stream, const c24 *_data)
{
  unsigned long int _t29_array_iter;

  flick_suntcp_encode_new_glob(28);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t29_array_iter = 0; _t29_array_iter < _data->_length; _t29_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->_buffer[_t29_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(28);
}

void flick_unmarshal_stub_c24(flick_marshal_stream_t _stream, c24 *_data)
{
  unsigned long int _t31_array_iter;

  flick_suntcp_decode_new_glob(28);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t31_array_iter = 0; _t31_array_iter < _data->_length; _t31_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->_buffer[_t31_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(28);
}

void flick_marshal_stub_c30(flick_marshal_stream_t _stream, const c30 *_data)
{
  unsigned long int _t37_array_iter;

  flick_suntcp_encode_new_glob(444);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  for (_t37_array_iter = 0; _t37_array_iter < _data->_length; _t37_array_iter++)
    {
      unsigned long int _t41_array_iter;

      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t37_array_iter]._length);
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t41_array_iter = 0; _t41_array_iter < _data->_buffer[_t37_array_iter]._length; _t41_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->_buffer[_t37_array_iter]._buffer[_t41_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->_buffer[_t37_array_iter]._buffer, sizeof(long) * _data->_buffer[_t37_array_iter]._length, suntcp);
#endif /* ENDIANness */
      CORBA_flick_free(_data->_buffer[_t37_array_iter]._buffer);
    }
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(444);
}

void flick_unmarshal_stub_c30(flick_marshal_stream_t _stream, c30 *_data)
{
  unsigned long int _t47_array_iter;

  flick_suntcp_decode_new_glob(444);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct CORBA_sequence_integer ));
  flick_suntcp_decode_end_chunk(4);
  for (_t47_array_iter = 0; _t47_array_iter < _data->_length; _t47_array_iter++)
    {
      unsigned long int _t51_array_iter;

      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t47_array_iter]._length);
      _data->_buffer[_t47_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t47_array_iter]._length * sizeof(CORBA_long ));
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t51_array_iter = 0; _t51_array_iter < _data->_buffer[_t47_array_iter]._length; _t51_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->_buffer[_t47_array_iter]._buffer[_t51_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->_buffer[_t47_array_iter]._buffer, sizeof(long) * _data->_buffer[_t47_array_iter]._length, suntcp);
#endif /* ENDIANness */
    }
  flick_suntcp_decode_end_glob(444);
}

void flick_marshal_stub_TProgram(flick_marshal_stream_t _stream, const struct TProgram *_data)
{
  unsigned long int _t53_array_iter;
  unsigned long int _t55_array_iter;

  flick_xdr_encode_longstring(_data->path, CORBA_flick_free, suntcp);
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->argv._length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t53_array_iter = 0; _t53_array_iter < _data->argv._length; _t53_array_iter++)
    {
      flick_xdr_encode_longstring(_data->argv._buffer[_t53_array_iter], CORBA_flick_free, suntcp);
    }
  CORBA_flick_free(_data->argv._buffer);
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->envp._length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t55_array_iter = 0; _t55_array_iter < _data->envp._length; _t55_array_iter++)
    {
      flick_xdr_encode_longstring(_data->envp._buffer[_t55_array_iter], CORBA_flick_free, suntcp);
    }
  CORBA_flick_free(_data->envp._buffer);
}

void flick_unmarshal_stub_TProgram(flick_marshal_stream_t _stream, struct TProgram *_data)
{
  unsigned long int _t57_array_iter;
  unsigned long int _t59_array_iter;

  flick_xdr_decode_longstring(_data->path, CORBA_flick_alloc, suntcp);
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->argv._length);
  _data->argv._buffer = CORBA_flick_alloc(_data->argv._length * sizeof(CORBA_char *));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t57_array_iter = 0; _t57_array_iter < _data->argv._length; _t57_array_iter++)
    {
      flick_xdr_decode_longstring(_data->argv._buffer[_t57_array_iter], CORBA_flick_alloc, suntcp);
    }
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->envp._length);
  _data->envp._buffer = CORBA_flick_alloc(_data->envp._length * sizeof(CORBA_char *));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t59_array_iter = 0; _t59_array_iter < _data->envp._length; _t59_array_iter++)
    {
      flick_xdr_decode_longstring(_data->envp._buffer[_t59_array_iter], CORBA_flick_alloc, suntcp);
    }
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->f1);
  flick_xdr_encode_char8(4, _data->f2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->f1);
  flick_xdr_decode_char8(4, _data->f2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_foo_ar(flick_marshal_stream_t _stream, const foo_ar *_data)
{
  flick_unsigned8_t _t60_array_length;
  flick_unsigned8_t _t62_array_iter;

  _t60_array_length = 20;
  flick_suntcp_encode_new_glob(160);
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, (*_data)[_t62_array_iter].f1);
      flick_xdr_encode_char8(4, (*_data)[_t62_array_iter].f2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_end_glob(160);
}

void flick_unmarshal_stub_foo_ar(flick_marshal_stream_t _stream, foo_ar *_data)
{
  flick_unsigned8_t _t63_array_length;
  flick_unsigned8_t _t65_array_iter;

  _t63_array_length = 20;
  flick_suntcp_decode_new_glob(160);
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, (*_data)[_t65_array_iter].f1);
      flick_xdr_decode_char8(4, (*_data)[_t65_array_iter].f2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_end_glob(160);
}

void flick_marshal_stub_f_unbounded(flick_marshal_stream_t _stream, const f_unbounded *_data)
{
  unsigned long int _t67_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(8 * _data->_length);
  for (_t67_array_iter = 0; _t67_array_iter < _data->_length; _t67_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->_buffer[_t67_array_iter].f1);
      flick_xdr_encode_char8(4, _data->_buffer[_t67_array_iter].f2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_end_glob(8 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_f_unbounded(flick_marshal_stream_t _stream, f_unbounded *_data)
{
  unsigned long int _t69_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct foo ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(8 * _data->_length);
  for (_t69_array_iter = 0; _t69_array_iter < _data->_length; _t69_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->_buffer[_t69_array_iter].f1);
      flick_xdr_decode_char8(4, _data->_buffer[_t69_array_iter].f2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_end_glob(8 * _data->_length);
}

void flick_marshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, const f_ar_unbounded *_data)
{
  unsigned long int _t77_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(160 * _data->_length);
  for (_t77_array_iter = 0; _t77_array_iter < _data->_length; _t77_array_iter++)
    {
      flick_unsigned8_t _t81_array_length;
      flick_unsigned8_t _t83_array_iter;

      _t81_array_length = 20;
      for (_t83_array_iter = 0; _t83_array_iter < _t81_array_length; _t83_array_iter++)
        {
          flick_suntcp_encode_new_chunk(8);
          flick_xdr_encode_signed32(0, _data->_buffer[_t77_array_iter][_t83_array_iter].f1);
          flick_xdr_encode_char8(4, _data->_buffer[_t77_array_iter][_t83_array_iter].f2);
          flick_suntcp_encode_end_chunk(8);
        }
    }
  flick_suntcp_encode_end_glob(160 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, f_ar_unbounded *_data)
{
  unsigned long int _t91_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(foo_ar ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(160 * _data->_length);
  for (_t91_array_iter = 0; _t91_array_iter < _data->_length; _t91_array_iter++)
    {
      flick_unsigned8_t _t95_array_length;
      flick_unsigned8_t _t97_array_iter;

      _t95_array_length = 20;
      for (_t97_array_iter = 0; _t97_array_iter < _t95_array_length; _t97_array_iter++)
        {
          flick_suntcp_decode_new_chunk(8);
          flick_xdr_decode_signed32(0, _data->_buffer[_t91_array_iter][_t97_array_iter].f1);
          flick_xdr_decode_char8(4, _data->_buffer[_t91_array_iter][_t97_array_iter].f2);
          flick_suntcp_decode_end_chunk(8);
        }
    }
  flick_suntcp_decode_end_glob(160 * _data->_length);
}

void flick_marshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, const TestSeq_also_vec10 *_data)
{
  unsigned long int _t99_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t99_array_iter = 0; _t99_array_iter < _data->_length; _t99_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t99_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, TestSeq_also_vec10 *_data)
{
  unsigned long int _t101_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t101_array_iter = 0; _t101_array_iter < _data->_length; _t101_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t101_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t158_switch_tag;

    flick_suntcp_decode_new_glob(120);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t158_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t158_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t159_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t159_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t159_switch_tag)
            {
            case 'o':
              {
                char _t160_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t160_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t160_switch_tag)
                  {
                  case 'p':
                    {
                      char _t161_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t161_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t161_switch_tag)
                        {
                        case 0:
                          {
                            {
                              TestSeq _obj;
                              TestSeq_also_vec10 *_local_a;
                              vec10 **_local_b;
                              TestSeq_also_vec10 *_local_c;
                              CORBA_Environment *_ev;
                              vec10 *_return = 0;
                              vec10 *_t162_storage;
                              CORBA_Environment _t163_storage;
                              unsigned int _t164_ignore;
                              TestSeq_also_vec10 _t165_storage;
                              unsigned long int _t167_array_iter;
                              TestSeq_also_vec10 _t168_storage;
                              unsigned long int _t170_array_iter;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _local_b = &_t162_storage;
                              _ev = &_t163_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t164_ignore);
                              flick_xdr_decode_unsigned32(4, _t164_ignore);
                              flick_xdr_decode_unsigned32(8, _t164_ignore);
                              flick_xdr_decode_unsigned32(12, _t164_ignore);
                              _local_a = &_t165_storage;
                              flick_xdr_decode_unsigned32(16, _local_a->_length);
                              _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                              flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                              for (_t167_array_iter = 0; _t167_array_iter < _local_a->_length; _t167_array_iter++)
                                {
                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_signed32(0, _local_a->_buffer[_t167_array_iter]);
                                  flick_suntcp_decode_end_chunk(4);
                                }
#else /* BIG_ENDIAN - do a bcopy*/
                              flick_xdr_decode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, suntcp);
#endif /* ENDIANness */
                              _local_c = &_t168_storage;
                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_unsigned32(0, _local_c->_length);
                              _local_c->_buffer = CORBA_flick_alloc(_local_c->_length * sizeof(CORBA_long ));
                              flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                              for (_t170_array_iter = 0; _t170_array_iter < _local_c->_length; _t170_array_iter++)
                                {
                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_signed32(0, _local_c->_buffer[_t170_array_iter]);
                                  flick_suntcp_decode_end_chunk(4);
                                }
#else /* BIG_ENDIAN - do a bcopy*/
                              flick_xdr_decode_bcopy(_local_c->_buffer, sizeof(long) * _local_c->_length, suntcp);
#endif /* ENDIANness */
                              flick_suntcp_decode_end_glob(120);
                              flick_corba_init_environment();
                              _return = TestSeq_op(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(136);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    unsigned long int _t178_array_iter;
                                    unsigned long int _t180_array_iter;
                                    unsigned long int _t182_array_iter;

                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_unsigned32(0, (*_local_b)->_length);
                                    flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                    for (_t178_array_iter = 0; _t178_array_iter < (*_local_b)->_length; _t178_array_iter++)
                                      {
                                        flick_suntcp_encode_new_chunk(4);
                                        flick_xdr_encode_signed32(0, (*_local_b)->_buffer[_t178_array_iter]);
                                        flick_suntcp_encode_end_chunk(4);
                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                    flick_xdr_encode_bcopy((*_local_b)->_buffer, sizeof(long) * (*_local_b)->_length, suntcp);
#endif /* ENDIANness */
                                    CORBA_flick_free((*_local_b)->_buffer);
                                    CORBA_flick_free(*_local_b);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_unsigned32(0, _local_c->_length);
                                    flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                    for (_t180_array_iter = 0; _t180_array_iter < _local_c->_length; _t180_array_iter++)
                                      {
                                        flick_suntcp_encode_new_chunk(4);
                                        flick_xdr_encode_signed32(0, _local_c->_buffer[_t180_array_iter]);
                                        flick_suntcp_encode_end_chunk(4);
                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                    flick_xdr_encode_bcopy(_local_c->_buffer, sizeof(long) * _local_c->_length, suntcp);
#endif /* ENDIANness */
                                    CORBA_flick_free(_local_c->_buffer);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_unsigned32(0, _return->_length);
                                    flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                    for (_t182_array_iter = 0; _t182_array_iter < _return->_length; _t182_array_iter++)
                                      {
                                        flick_suntcp_encode_new_chunk(4);
                                        flick_xdr_encode_signed32(0, _return->_buffer[_t182_array_iter]);
                                        flick_suntcp_encode_end_chunk(4);
                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                    flick_xdr_encode_bcopy(_return->_buffer, sizeof(long) * _return->_length, suntcp);
#endif /* ENDIANness */
                                    CORBA_flick_free(_return->_buffer);
                                    CORBA_flick_free(_return);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(136);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t183_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t183_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t183_switch_tag)
            {
            case '_':
              {
                char _t184_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t184_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t184_switch_tag)
                  {
                  case '_':
                    {
                      char _t185_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t185_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t185_switch_tag)
                        {
                        case 'g':
                          {
                            char _t186_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t186_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t186_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t187_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t187_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t187_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t188_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t188_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t188_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t189_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t189_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t189_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t190_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t190_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t190_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t191_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t191_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t191_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t192_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t192_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t192_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t193_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t193_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t193_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t194_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t194_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t194_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    TestSeq _obj;
                                                                                    CORBA_Environment *_ev;
                                                                                    f_unbounded *_return = 0;
                                                                                    CORBA_Environment _t195_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    _ev = &_t195_storage;
                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                    flick_corba_init_environment();
                                                                                    _return = TestSeq__get_fattr(_obj, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(8);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          unsigned long int _t199_array_iter;

                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_unsigned32(0, _return->_length);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                          flick_suntcp_encode_new_glob(8 * _return->_length);
                                                                                          for (_t199_array_iter = 0; _t199_array_iter < _return->_length; _t199_array_iter++)
                                                                                            {
                                                                                              flick_suntcp_encode_new_chunk(8);
                                                                                              flick_xdr_encode_signed32(0, _return->_buffer[_t199_array_iter].f1);
                                                                                              flick_xdr_encode_char8(4, _return->_buffer[_t199_array_iter].f2);
                                                                                              flick_suntcp_encode_end_chunk(8);
                                                                                            }
                                                                                          flick_suntcp_encode_end_glob(8 * _return->_length);
                                                                                          CORBA_flick_free(_return->_buffer);
                                                                                          CORBA_flick_free(_return);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t200_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t200_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t200_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t201_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t201_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t201_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t202_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t202_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t202_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t203_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t203_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t203_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t204_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t204_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t204_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t205_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t205_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t205_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t206_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t206_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t206_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t207_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t207_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t207_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t208_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t208_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t208_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    TestSeq _obj;
                                                                                    f_unbounded *_local_fattr;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Environment _t209_storage;
                                                                                    unsigned int _t210_ignore;
                                                                                    f_unbounded _t211_storage;
                                                                                    unsigned long int _t213_array_iter;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    _ev = &_t209_storage;
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(20);
                                                                                    flick_xdr_decode_unsigned32(0, _t210_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t210_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t210_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t210_ignore);
                                                                                    _local_fattr = &_t211_storage;
                                                                                    flick_xdr_decode_unsigned32(16, _local_fattr->_length);
                                                                                    _local_fattr->_buffer = auto_flick_alloc(_local_fattr->_length * sizeof(struct foo ));
                                                                                    flick_suntcp_decode_end_chunk(20);
                                                                                    flick_suntcp_decode_end_glob(120);
                                                                                    flick_suntcp_decode_new_glob(8 * _local_fattr->_length);
                                                                                    for (_t213_array_iter = 0; _t213_array_iter < _local_fattr->_length; _t213_array_iter++)
                                                                                      {
                                                                                        flick_suntcp_decode_new_chunk(8);
                                                                                        flick_xdr_decode_signed32(0, _local_fattr->_buffer[_t213_array_iter].f1);
                                                                                        flick_xdr_decode_char8(4, _local_fattr->_buffer[_t213_array_iter].f2);
                                                                                        flick_suntcp_decode_end_chunk(8);
                                                                                      }
                                                                                    flick_suntcp_decode_end_glob(8 * _local_fattr->_length);
                                                                                    flick_corba_init_environment();
                                                                                    TestSeq__set_fattr(_obj, _local_fattr, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(120);
          break;
        }
      }
  }
  return 0;
}
