#include "sequence_-client.h"

void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_short TestSeq_Sequencer(TestSeq _obj, seq *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t7_array_iter;

    flick_suntcp_encode_new_glob(104);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 'S');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 'q');
    flick_xdr_encode_char8(16, 'u');
    flick_xdr_encode_char8(20, 'e');
    flick_xdr_encode_char8(24, 'n');
    flick_xdr_encode_char8(28, 'c');
    flick_xdr_encode_char8(32, 'e');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, a->_length);
    flick_suntcp_encode_end_chunk(64);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t7_array_iter = 0; _t7_array_iter < a->_length; _t7_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a->_buffer[_t7_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(a->_buffer, sizeof(long) * a->_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(104);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(52);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t11_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, a->_length);
            a->_buffer = CORBA_flick_alloc(a->_length * sizeof(CORBA_long ));
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t11_array_iter = 0; _t11_array_iter < a->_length; _t11_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, a->_buffer[_t11_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(a->_buffer, sizeof(long) * a->_length, suntcp);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(52);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

