#include "sequence_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_TestSeq;
	s.vers_num = _VERS_TestSeq;

	assert(flick_server_register(s, &TestSeq_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t24_switch_tag;

    flick_suntcp_decode_new_glob(104);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t24_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t24_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t25_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t25_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t25_switch_tag)
            {
            case 'S':
              {
                char _t26_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t26_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t26_switch_tag)
                  {
                  case 'e':
                    {
                      char _t27_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t27_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t27_switch_tag)
                        {
                        case 'q':
                          {
                            char _t28_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t28_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t28_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t29_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t29_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t29_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t30_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t30_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t30_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t31_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t31_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t31_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t32_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t32_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t32_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t33_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t33_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t33_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t34_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t34_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t34_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        TestSeq _obj;
                                                                        seq *_local_a;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_short _return = 0;
                                                                        CORBA_Environment _t35_storage;
                                                                        unsigned int _t36_ignore;
                                                                        seq _t37_storage;
                                                                        unsigned long int _t39_array_iter;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _ev = &_t35_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t36_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t36_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t36_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t36_ignore);
                                                                        _local_a = &_t37_storage;
                                                                        flick_xdr_decode_unsigned32(16, _local_a->_length);
                                                                        _local_a->_buffer = CORBA_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                        flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t39_array_iter = 0; _t39_array_iter < _local_a->_length; _t39_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_signed32(0, _local_a->_buffer[_t39_array_iter]);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_decode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, suntcp);
#endif /* ENDIANness */
                                                                        flick_suntcp_decode_end_glob(104);
                                                                        flick_corba_init_environment();
                                                                        _return = TestSeq_Sequencer(_obj, _local_a, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(52);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              unsigned long int _t43_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_unsigned32(0, _local_a->_length);
                                                                              flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                              for (_t43_array_iter = 0; _t43_array_iter < _local_a->_length; _t43_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                  flick_xdr_encode_signed32(0, _local_a->_buffer[_t43_array_iter]);
                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                              flick_xdr_encode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, suntcp);
#endif /* ENDIANness */
                                                                              CORBA_flick_free(_local_a->_buffer);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _return);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(52);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(104);
          break;
        }
      }
  }
  return 0;
}
