#include "structnestez_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	assert(flick_server_register(s, &test_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f.f);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f.f);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_bar_foo(flick_marshal_stream_t _stream, const struct bar_foo *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_bar_foo(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->f.f);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->f.f);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t14_switch_tag;

    flick_suntcp_decode_new_glob(40);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t14_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t14_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t15_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t15_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t15_switch_tag)
            {
            case 'o':
              {
                char _t16_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t16_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t16_switch_tag)
                  {
                  case 'p':
                    {
                      char _t17_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t17_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t17_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              struct bar *_local_arg;
                              CORBA_Environment *_ev;
                              struct bar _return;
                              CORBA_Environment _t18_storage;
                              unsigned int _t19_ignore;
                              struct bar _t20_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _ev = &_t18_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t19_ignore);
                              flick_xdr_decode_unsigned32(4, _t19_ignore);
                              flick_xdr_decode_unsigned32(8, _t19_ignore);
                              flick_xdr_decode_unsigned32(12, _t19_ignore);
                              _local_arg = &_t20_storage;
                              flick_xdr_decode_signed16(16, _local_arg->f.f);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(40);
                              flick_corba_init_environment();
                              _return = test_op(_obj, _local_arg, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(8);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed16(0, _return.f.f);
                                    flick_suntcp_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(8);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t21_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t21_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t21_switch_tag)
            {
            case 'o':
              {
                char _t22_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t22_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t22_switch_tag)
                  {
                  case 'p':
                    {
                      char _t23_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t23_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t23_switch_tag)
                        {
                        case '2':
                          {
                            char _t24_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t24_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t24_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    struct b *_local_arg;
                                    CORBA_Environment *_ev;
                                    struct b _return;
                                    CORBA_Environment _t25_storage;
                                    unsigned int _t26_ignore;
                                    struct b _t27_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _ev = &_t25_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t26_ignore);
                                    flick_xdr_decode_unsigned32(4, _t26_ignore);
                                    flick_xdr_decode_unsigned32(8, _t26_ignore);
                                    flick_xdr_decode_unsigned32(12, _t26_ignore);
                                    _local_arg = &_t27_storage;
                                    flick_xdr_decode_signed16(16, _local_arg->f.f);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = test_op2(_obj, _local_arg, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(8);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed16(0, _return.f.f);
                                          flick_suntcp_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(8);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(40);
          break;
        }
      }
  }
  return 0;
}
