#include "arrays-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &arrays_server, "arrays_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &arrays_server, "arrays_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->elem1);
  flick_cdr_encode_char8(4, _data->elem2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->elem1);
  flick_cdr_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_end_swap(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->elem1);
  flick_cdr_swap_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->elem1);
  flick_cdr_encode_signed32(4, _data->elem2);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->elem1);
  flick_cdr_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_begin_swap(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->elem1);
  flick_cdr_swap_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  flick_iiop_encode_new_glob(209);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_iiop_encode_end_chunk(1);
#if 0 /* We never byte swap on encoding */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t2_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->data, sizeof(long) * _t0_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(209);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_iiop_decode_new_glob(209);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  _t3_array_length = 50;
  flick_iiop_decode_end_chunk(1);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->data, sizeof(long) * _t3_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(209);
}

void flick_unmarshal_stub_cLd_swap(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_iiop_decode_new_glob(209);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t6_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(209);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_iiop_encode_new_glob(209);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  _t9_array_length = 50;
  flick_iiop_encode_end_chunk(8);
#if 0 /* We never byte swap on encoding */
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->data[_t11_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->data, sizeof(long) * _t9_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(209);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_iiop_decode_new_glob(209);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t12_array_length = 50;
  flick_iiop_decode_end_chunk(8);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->data[_t14_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->data, sizeof(long) * _t12_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(209);
}

void flick_unmarshal_stub_dLc_swap(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_iiop_decode_new_glob(209);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t15_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data[_t17_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(209);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_iiop_encode_new_glob(204);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  _t18_array_length = 50;
  flick_iiop_encode_end_chunk(2);
#if 0 /* We never byte swap on encoding */
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_encode_signed32(0, _data->data[_t20_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->data, sizeof(long) * _t18_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->last);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(204);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_iiop_decode_new_glob(204);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  _t21_array_length = 50;
  flick_iiop_decode_end_chunk(2);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_decode_signed32(0, _data->data[_t23_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->data, sizeof(long) * _t21_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(204);
}

void flick_unmarshal_stub_sLs_swap(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;

  flick_iiop_decode_new_glob(204);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t24_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t26_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(204);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;

  flick_iiop_encode_new_glob(416);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  _t27_array_length = 50;
  flick_iiop_encode_end_chunk(1);
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_signed32(3, _data->data[_t29_array_iter].elem1);
      flick_cdr_encode_char8(7, _data->data[_t29_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  _t30_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_signed32(3, _data->data[_t32_array_iter].elem1);
      flick_cdr_decode_char8(7, _data->data[_t32_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_unmarshal_stub_cLCd_swap(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t33_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_signed32(3, _data->data[_t35_array_iter].elem1);
      flick_cdr_swap_decode_char8(7, _data->data[_t35_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;

  flick_iiop_encode_new_glob(259);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  _t36_array_length = 50;
  flick_iiop_encode_end_chunk(8);
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t38_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t38_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(259);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;

  flick_iiop_decode_new_glob(259);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t39_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t41_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t41_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(259);
}

void flick_unmarshal_stub_dLCc_swap(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;

  flick_iiop_decode_new_glob(259);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t42_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t44_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t44_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(259);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t45_array_length;
  flick_unsigned8_t _t47_array_iter;

  flick_iiop_encode_new_glob(255);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  _t45_array_length = 50;
  flick_iiop_encode_end_chunk(2);
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t47_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t47_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(3);
  flick_cdr_encode_signed16(1, _data->last);
  flick_iiop_encode_end_chunk(3);
  flick_iiop_encode_end_glob(255);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t48_array_length;
  flick_unsigned8_t _t50_array_iter;

  flick_iiop_decode_new_glob(255);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  _t48_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t50_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t50_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(255);
}

void flick_unmarshal_stub_sLCs_swap(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t51_array_length;
  flick_unsigned8_t _t53_array_iter;

  flick_iiop_decode_new_glob(255);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t51_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t53_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t53_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_swap_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(255);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t54_array_length;
  flick_unsigned8_t _t56_array_iter;

  flick_iiop_encode_new_glob(259);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  _t54_array_length = 50;
  flick_iiop_encode_end_chunk(1);
  for (_t56_array_iter = 0; _t56_array_iter < _t54_array_length; _t56_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t56_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t56_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(259);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t57_array_length;
  flick_unsigned8_t _t59_array_iter;

  flick_iiop_decode_new_glob(259);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  _t57_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t59_array_iter = 0; _t59_array_iter < _t57_array_length; _t59_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t59_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t59_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(259);
}

void flick_unmarshal_stub_cCLd_swap(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t60_array_length;
  flick_unsigned8_t _t62_array_iter;

  flick_iiop_decode_new_glob(259);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t60_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t62_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t62_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(259);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t63_array_length;
  flick_unsigned8_t _t65_array_iter;

  flick_iiop_encode_new_glob(409);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  _t63_array_length = 50;
  flick_iiop_encode_end_chunk(8);
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_char8(0, _data->data[_t65_array_iter].elem1);
      flick_cdr_encode_signed32(4, _data->data[_t65_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(409);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t66_array_length;
  flick_unsigned8_t _t68_array_iter;

  flick_iiop_decode_new_glob(409);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t66_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t68_array_iter = 0; _t68_array_iter < _t66_array_length; _t68_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_char8(0, _data->data[_t68_array_iter].elem1);
      flick_cdr_decode_signed32(4, _data->data[_t68_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(409);
}

void flick_unmarshal_stub_dCLc_swap(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t69_array_length;
  flick_unsigned8_t _t71_array_iter;

  flick_iiop_decode_new_glob(409);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t69_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t71_array_iter = 0; _t71_array_iter < _t69_array_length; _t71_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_char8(0, _data->data[_t71_array_iter].elem1);
      flick_cdr_swap_decode_signed32(4, _data->data[_t71_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(409);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t72_array_length;
  flick_unsigned8_t _t74_array_iter;

  flick_iiop_encode_new_glob(404);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  _t72_array_length = 50;
  flick_iiop_encode_end_chunk(2);
  for (_t74_array_iter = 0; _t74_array_iter < _t72_array_length; _t74_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t74_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_encode_signed32(0, _data->data[_t74_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->last);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t75_array_length;
  flick_unsigned8_t _t77_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  _t75_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t77_array_iter = 0; _t77_array_iter < _t75_array_length; _t77_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t77_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_decode_signed32(0, _data->data[_t77_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_unmarshal_stub_sCLs_swap(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t78_array_length;
  flick_unsigned8_t _t80_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t78_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t80_array_iter = 0; _t80_array_iter < _t78_array_length; _t80_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t80_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_swap_decode_signed32(0, _data->data[_t80_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t993_switch_tag;

    flick_iiop_decode_new_glob(852);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t993_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t993_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t994_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t994_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t994_switch_tag)
            {
            case 't':
              {
                char _t995_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t995_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t995_switch_tag)
                  {
                  case 'e':
                    {
                      char _t996_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t996_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t996_switch_tag)
                        {
                        case 's':
                          {
                            char _t997_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t997_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t997_switch_tag)
                              {
                              case 't':
                                {
                                  char _t998_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t998_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t998_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t999_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t999_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t999_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t1000_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1000_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1000_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t1001_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1001_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1001_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t1002_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1002_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1002_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct cLd *_local_inp;
                                                                  struct cLd *_local_iop;
                                                                  struct cLd *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct cLd _return;
                                                                  struct cLd _t1003_storage;
                                                                  CORBA_Environment _t1004_storage;
                                                                  unsigned int _t1005_principal;
                                                                  struct cLd _t1006_storage;
                                                                  flick_unsigned8_t _t1007_array_length;
                                                                  flick_unsigned8_t _t1009_array_iter;
                                                                  struct cLd _t1010_storage;
                                                                  flick_unsigned8_t _t1011_array_length;
                                                                  flick_unsigned8_t _t1013_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _local_outp = &_t1003_storage;
                                                                  _ev = &_t1004_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(8);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t1005_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_inp = &_t1006_storage;
                                                                  flick_cdr_swap_decode_char8(7, _local_inp->first);
                                                                  _t1007_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(8);
                                                                  for (_t1009_array_iter = 0; _t1009_array_iter < _t1007_array_length; _t1009_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                      flick_cdr_swap_decode_signed32(0, _local_inp->data[_t1009_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
                                                                  flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
                                                                  flick_cdr_swap_decode_float64(0, _local_inp->last);
                                                                  _local_iop = &_t1010_storage;
                                                                  flick_cdr_swap_decode_char8(8, _local_iop->first);
                                                                  _t1011_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(9);
                                                                  for (_t1013_array_iter = 0; _t1013_array_iter < _t1011_array_length; _t1013_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                      flick_cdr_swap_decode_signed32(0, _local_iop->data[_t1013_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
                                                                  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                  flick_cdr_swap_decode_float64(0, _local_iop->last);
                                                                  flick_iiop_decode_end_chunk(8);
                                                                  flick_iiop_decode_end_glob(852);
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(631);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t1023_array_length;
                                                                        flick_unsigned8_t _t1025_array_iter;
                                                                        flick_unsigned8_t _t1026_array_length;
                                                                        flick_unsigned8_t _t1028_array_iter;
                                                                        flick_unsigned8_t _t1029_array_length;
                                                                        flick_unsigned8_t _t1031_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(1);
                                                                        flick_cdr_encode_char8(0, _local_iop->first);
                                                                        _t1023_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(1);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1025_array_iter = 0; _t1025_array_iter < _t1023_array_length; _t1025_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                            flick_cdr_encode_signed32(0, _local_iop->data[_t1025_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_iop->data, sizeof(long) * _t1023_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                                                        flick_cdr_encode_float64(0, _local_iop->last);
                                                                        flick_cdr_encode_char8(8, _local_outp->first);
                                                                        _t1026_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(9);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1028_array_iter = 0; _t1028_array_iter < _t1026_array_length; _t1028_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                            flick_cdr_encode_signed32(0, _local_outp->data[_t1028_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_outp->data, sizeof(long) * _t1026_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                                                        flick_cdr_encode_float64(0, _local_outp->last);
                                                                        flick_cdr_encode_char8(8, _return.first);
                                                                        _t1029_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(9);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1031_array_iter = 0; _t1031_array_iter < _t1029_array_length; _t1031_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                            flick_cdr_encode_signed32(0, _return.data[_t1031_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return.data, sizeof(long) * _t1029_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                        flick_cdr_encode_float64(0, _return.last);
                                                                        flick_iiop_encode_end_chunk(8);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(631);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t1032_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1032_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1032_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t1033_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1033_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1033_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t1034_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1034_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1034_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct dLc *_local_inp;
                                                                  struct dLc *_local_iop;
                                                                  struct dLc *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct dLc _return;
                                                                  struct dLc _t1035_storage;
                                                                  CORBA_Environment _t1036_storage;
                                                                  unsigned int _t1037_principal;
                                                                  struct dLc _t1038_storage;
                                                                  flick_unsigned8_t _t1039_array_length;
                                                                  flick_unsigned8_t _t1041_array_iter;
                                                                  struct dLc _t1042_storage;
                                                                  flick_unsigned8_t _t1043_array_length;
                                                                  flick_unsigned8_t _t1045_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _local_outp = &_t1035_storage;
                                                                  _ev = &_t1036_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(7);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t1037_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_inp = &_t1038_storage;
                                                                  flick_iiop_decode_end_chunk(7);
                                                                  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                  flick_cdr_swap_decode_float64(0, _local_inp->first);
                                                                  _t1039_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(8);
                                                                  for (_t1041_array_iter = 0; _t1041_array_iter < _t1039_array_length; _t1041_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(4);
                                                                      flick_cdr_swap_decode_signed32(0, _local_inp->data[_t1041_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
                                                                  flick_iiop_decode_new_chunk(1);
                                                                  flick_cdr_swap_decode_char8(0, _local_inp->last);
                                                                  _local_iop = &_t1042_storage;
                                                                  flick_iiop_decode_end_chunk(1);
                                                                  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
                                                                  flick_cdr_swap_decode_float64(0, _local_iop->first);
                                                                  _t1043_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(8);
                                                                  for (_t1045_array_iter = 0; _t1045_array_iter < _t1043_array_length; _t1045_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(4);
                                                                      flick_cdr_swap_decode_signed32(0, _local_iop->data[_t1045_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
                                                                  flick_iiop_decode_new_chunk(1);
                                                                  flick_cdr_swap_decode_char8(0, _local_iop->last);
                                                                  flick_iiop_decode_end_chunk(1);
                                                                  flick_iiop_decode_end_glob(852);
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(645);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t1055_array_length;
                                                                        flick_unsigned8_t _t1057_array_iter;
                                                                        flick_unsigned8_t _t1058_array_length;
                                                                        flick_unsigned8_t _t1060_array_iter;
                                                                        flick_unsigned8_t _t1061_array_length;
                                                                        flick_unsigned8_t _t1063_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                        flick_cdr_encode_float64(0, _local_iop->first);
                                                                        _t1055_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(8);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1057_array_iter = 0; _t1057_array_iter < _t1055_array_length; _t1057_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _local_iop->data[_t1057_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_iop->data, sizeof(long) * _t1055_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(1);
                                                                        flick_cdr_encode_char8(0, _local_iop->last);
                                                                        flick_iiop_encode_end_chunk(1);
                                                                        flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
                                                                        flick_cdr_encode_float64(0, _local_outp->first);
                                                                        _t1058_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(8);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1060_array_iter = 0; _t1060_array_iter < _t1058_array_length; _t1060_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _local_outp->data[_t1060_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_outp->data, sizeof(long) * _t1058_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(1);
                                                                        flick_cdr_encode_char8(0, _local_outp->last);
                                                                        flick_iiop_encode_end_chunk(1);
                                                                        flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
                                                                        flick_cdr_encode_float64(0, _return.first);
                                                                        _t1061_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(8);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1063_array_iter = 0; _t1063_array_iter < _t1061_array_length; _t1063_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _return.data[_t1063_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return.data, sizeof(long) * _t1061_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(1);
                                                                        flick_cdr_encode_char8(0, _return.last);
                                                                        flick_iiop_encode_end_chunk(1);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(645);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t1064_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1064_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1064_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t1065_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1065_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1065_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t1066_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1066_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1066_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct sLs *_local_inp;
                                                                  struct sLs *_local_iop;
                                                                  struct sLs *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct sLs _return;
                                                                  struct sLs _t1067_storage;
                                                                  CORBA_Environment _t1068_storage;
                                                                  unsigned int _t1069_principal;
                                                                  struct sLs _t1070_storage;
                                                                  flick_unsigned8_t _t1071_array_length;
                                                                  flick_unsigned8_t _t1073_array_iter;
                                                                  struct sLs _t1074_storage;
                                                                  flick_unsigned8_t _t1075_array_length;
                                                                  flick_unsigned8_t _t1077_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _local_outp = &_t1067_storage;
                                                                  _ev = &_t1068_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(9);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t1069_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_inp = &_t1070_storage;
                                                                  flick_cdr_swap_decode_signed16(7, _local_inp->first);
                                                                  _t1071_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(9);
                                                                  for (_t1073_array_iter = 0; _t1073_array_iter < _t1071_array_length; _t1073_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                                                                      flick_cdr_swap_decode_signed32(0, _local_inp->data[_t1073_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
                                                                  flick_iiop_decode_new_chunk(4);
                                                                  flick_cdr_swap_decode_signed16(0, _local_inp->last);
                                                                  _local_iop = &_t1074_storage;
                                                                  flick_cdr_swap_decode_signed16(2, _local_iop->first);
                                                                  _t1075_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(4);
                                                                  for (_t1077_array_iter = 0; _t1077_array_iter < _t1075_array_length; _t1077_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(4);
                                                                      flick_cdr_swap_decode_signed32(0, _local_iop->data[_t1077_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
                                                                  flick_iiop_decode_new_chunk(2);
                                                                  flick_cdr_swap_decode_signed16(0, _local_iop->last);
                                                                  flick_iiop_decode_end_chunk(2);
                                                                  flick_iiop_decode_end_glob(852);
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(616);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t1087_array_length;
                                                                        flick_unsigned8_t _t1089_array_iter;
                                                                        flick_unsigned8_t _t1090_array_length;
                                                                        flick_unsigned8_t _t1092_array_iter;
                                                                        flick_unsigned8_t _t1093_array_length;
                                                                        flick_unsigned8_t _t1095_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(2);
                                                                        flick_cdr_encode_signed16(0, _local_iop->first);
                                                                        _t1087_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(2);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1089_array_iter = 0; _t1089_array_iter < _t1087_array_length; _t1089_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
                                                                            flick_cdr_encode_signed32(0, _local_iop->data[_t1089_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_iop->data, sizeof(long) * _t1087_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed16(0, _local_iop->last);
                                                                        flick_cdr_encode_signed16(2, _local_outp->first);
                                                                        _t1090_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1092_array_iter = 0; _t1092_array_iter < _t1090_array_length; _t1092_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _local_outp->data[_t1092_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_outp->data, sizeof(long) * _t1090_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed16(0, _local_outp->last);
                                                                        flick_cdr_encode_signed16(2, _return.first);
                                                                        _t1093_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1095_array_iter = 0; _t1095_array_iter < _t1093_array_length; _t1095_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _return.data[_t1095_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return.data, sizeof(long) * _t1093_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(2);
                                                                        flick_cdr_encode_signed16(0, _return.last);
                                                                        flick_iiop_encode_end_chunk(2);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(616);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(852);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(852);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(852);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(852);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(852);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(852);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t1096_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1096_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1096_switch_tag)
            {
            case 't':
              {
                char _t1097_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1097_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1097_switch_tag)
                  {
                  case 'e':
                    {
                      char _t1098_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1098_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1098_switch_tag)
                        {
                        case 's':
                          {
                            char _t1099_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1099_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1099_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1100_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1100_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1100_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1101_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1101_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1101_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t1102_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1102_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1102_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t1103_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1103_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1103_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t1104_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1104_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1104_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t1105_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1105_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1105_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct cLCd *_local_inp;
                                                                        struct cLCd *_local_iop;
                                                                        struct cLCd *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct cLCd _return;
                                                                        struct cLCd _t1106_storage;
                                                                        CORBA_Environment _t1107_storage;
                                                                        unsigned int _t1108_principal;
                                                                        struct cLCd _t1109_storage;
                                                                        flick_unsigned8_t _t1110_array_length;
                                                                        flick_unsigned8_t _t1112_array_iter;
                                                                        struct cLCd _t1113_storage;
                                                                        flick_unsigned8_t _t1114_array_length;
                                                                        flick_unsigned8_t _t1116_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t1106_storage;
                                                                        _ev = &_t1107_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(7);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t1108_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t1109_storage;
                                                                        flick_cdr_swap_decode_char8(6, _local_inp->first);
                                                                        _t1110_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(7);
                                                                        for (_t1112_array_iter = 0; _t1112_array_iter < _t1110_array_length; _t1112_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(8);
                                                                            flick_cdr_swap_decode_signed32(3, _local_inp->data[_t1112_array_iter].elem1);
                                                                            flick_cdr_swap_decode_char8(7, _local_inp->data[_t1112_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(8);
                                                                          }
                                                                        flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
                                                                        flick_cdr_swap_decode_float64(0, _local_inp->last);
                                                                        _local_iop = &_t1113_storage;
                                                                        flick_cdr_swap_decode_char8(8, _local_iop->first);
                                                                        _t1114_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(9);
                                                                        for (_t1116_array_iter = 0; _t1116_array_iter < _t1114_array_length; _t1116_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(8);
                                                                            flick_cdr_swap_decode_signed32(3, _local_iop->data[_t1116_array_iter].elem1);
                                                                            flick_cdr_swap_decode_char8(7, _local_iop->data[_t1116_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(8);
                                                                          }
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
                                                                        flick_cdr_swap_decode_float64(0, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(1252);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t1126_array_length;
                                                                              flick_unsigned8_t _t1128_array_iter;
                                                                              flick_unsigned8_t _t1129_array_length;
                                                                              flick_unsigned8_t _t1131_array_iter;
                                                                              flick_unsigned8_t _t1132_array_length;
                                                                              flick_unsigned8_t _t1134_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_iop->first);
                                                                              _t1126_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              for (_t1128_array_iter = 0; _t1128_array_iter < _t1126_array_length; _t1128_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_signed32(3, _local_iop->data[_t1128_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(7, _local_iop->data[_t1128_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
                                                                              flick_cdr_encode_float64(0, _local_iop->last);
                                                                              flick_cdr_encode_char8(8, _local_outp->first);
                                                                              _t1129_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(9);
                                                                              for (_t1131_array_iter = 0; _t1131_array_iter < _t1129_array_length; _t1131_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_signed32(3, _local_outp->data[_t1131_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(7, _local_outp->data[_t1131_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
                                                                              flick_cdr_encode_float64(0, _local_outp->last);
                                                                              flick_cdr_encode_char8(8, _return.first);
                                                                              _t1132_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(9);
                                                                              for (_t1134_array_iter = 0; _t1134_array_iter < _t1132_array_length; _t1134_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_signed32(3, _return.data[_t1134_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(7, _return.data[_t1134_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
                                                                              flick_cdr_encode_float64(0, _return.last);
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(1252);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t1135_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1135_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1135_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t1136_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1136_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1136_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t1137_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1137_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1137_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct cCLd *_local_inp;
                                                                        struct cCLd *_local_iop;
                                                                        struct cCLd *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct cCLd _return;
                                                                        struct cCLd _t1138_storage;
                                                                        CORBA_Environment _t1139_storage;
                                                                        unsigned int _t1140_principal;
                                                                        struct cCLd _t1141_storage;
                                                                        flick_unsigned8_t _t1142_array_length;
                                                                        flick_unsigned8_t _t1144_array_iter;
                                                                        struct cCLd _t1145_storage;
                                                                        flick_unsigned8_t _t1146_array_length;
                                                                        flick_unsigned8_t _t1148_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t1138_storage;
                                                                        _ev = &_t1139_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(7);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t1140_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t1141_storage;
                                                                        flick_cdr_swap_decode_char8(6, _local_inp->first);
                                                                        _t1142_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(7);
                                                                        for (_t1144_array_iter = 0; _t1144_array_iter < _t1142_array_length; _t1144_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _local_inp->data[_t1144_array_iter].elem1);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                            flick_cdr_swap_decode_signed32(0, _local_inp->data[_t1144_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(4);
                                                                          }
                                                                        flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
                                                                        flick_cdr_swap_decode_float64(0, _local_inp->last);
                                                                        _local_iop = &_t1145_storage;
                                                                        flick_cdr_swap_decode_char8(8, _local_iop->first);
                                                                        _t1146_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(9);
                                                                        for (_t1148_array_iter = 0; _t1148_array_iter < _t1146_array_length; _t1148_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _local_iop->data[_t1148_array_iter].elem1);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                            flick_cdr_swap_decode_signed32(0, _local_iop->data[_t1148_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(4);
                                                                          }
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                        flick_cdr_swap_decode_float64(0, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(781);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t1158_array_length;
                                                                              flick_unsigned8_t _t1160_array_iter;
                                                                              flick_unsigned8_t _t1161_array_length;
                                                                              flick_unsigned8_t _t1163_array_iter;
                                                                              flick_unsigned8_t _t1164_array_length;
                                                                              flick_unsigned8_t _t1166_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_iop->first);
                                                                              _t1158_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              for (_t1160_array_iter = 0; _t1160_array_iter < _t1158_array_length; _t1160_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(1);
                                                                                  flick_cdr_encode_char8(0, _local_iop->data[_t1160_array_iter].elem1);
                                                                                  flick_iiop_encode_end_chunk(1);
                                                                                  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_iop->data[_t1160_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                                                              flick_cdr_encode_float64(0, _local_iop->last);
                                                                              flick_cdr_encode_char8(8, _local_outp->first);
                                                                              _t1161_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(9);
                                                                              for (_t1163_array_iter = 0; _t1163_array_iter < _t1161_array_length; _t1163_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(1);
                                                                                  flick_cdr_encode_char8(0, _local_outp->data[_t1163_array_iter].elem1);
                                                                                  flick_iiop_encode_end_chunk(1);
                                                                                  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_outp->data[_t1163_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                                                              flick_cdr_encode_float64(0, _local_outp->last);
                                                                              flick_cdr_encode_char8(8, _return.first);
                                                                              _t1164_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(9);
                                                                              for (_t1166_array_iter = 0; _t1166_array_iter < _t1164_array_length; _t1166_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(1);
                                                                                  flick_cdr_encode_char8(0, _return.data[_t1166_array_iter].elem1);
                                                                                  flick_iiop_encode_end_chunk(1);
                                                                                  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _return.data[_t1166_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                              flick_cdr_encode_float64(0, _return.last);
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(781);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t1167_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1167_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1167_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t1168_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1168_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1168_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t1169_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1169_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1169_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t1170_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1170_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1170_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct dLCc *_local_inp;
                                                                        struct dLCc *_local_iop;
                                                                        struct dLCc *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct dLCc _return;
                                                                        struct dLCc _t1171_storage;
                                                                        CORBA_Environment _t1172_storage;
                                                                        unsigned int _t1173_principal;
                                                                        struct dLCc _t1174_storage;
                                                                        flick_unsigned8_t _t1175_array_length;
                                                                        flick_unsigned8_t _t1177_array_iter;
                                                                        struct dLCc _t1178_storage;
                                                                        flick_unsigned8_t _t1179_array_length;
                                                                        flick_unsigned8_t _t1181_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t1171_storage;
                                                                        _ev = &_t1172_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(6);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t1173_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t1174_storage;
                                                                        flick_iiop_decode_end_chunk(6);
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                        flick_cdr_swap_decode_float64(0, _local_inp->first);
                                                                        _t1175_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t1177_array_iter = 0; _t1177_array_iter < _t1175_array_length; _t1177_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                                                            flick_cdr_swap_decode_signed32(0, _local_inp->data[_t1177_array_iter].elem1);
                                                                            flick_cdr_swap_decode_char8(4, _local_inp->data[_t1177_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(5);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_swap_decode_char8(0, _local_inp->last);
                                                                        _local_iop = &_t1178_storage;
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
                                                                        flick_cdr_swap_decode_float64(0, _local_iop->first);
                                                                        _t1179_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t1181_array_iter = 0; _t1181_array_iter < _t1179_array_length; _t1181_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                                                            flick_cdr_swap_decode_signed32(0, _local_iop->data[_t1181_array_iter].elem1);
                                                                            flick_cdr_swap_decode_char8(4, _local_iop->data[_t1181_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(5);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_swap_decode_char8(0, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(793);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t1191_array_length;
                                                                              flick_unsigned8_t _t1193_array_iter;
                                                                              flick_unsigned8_t _t1194_array_length;
                                                                              flick_unsigned8_t _t1196_array_iter;
                                                                              flick_unsigned8_t _t1197_array_length;
                                                                              flick_unsigned8_t _t1199_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                              flick_cdr_encode_float64(0, _local_iop->first);
                                                                              _t1191_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t1193_array_iter = 0; _t1193_array_iter < _t1191_array_length; _t1193_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_iop->data[_t1193_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _local_iop->data[_t1193_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_iop->last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                                                              flick_cdr_encode_float64(0, _local_outp->first);
                                                                              _t1194_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t1196_array_iter = 0; _t1196_array_iter < _t1194_array_length; _t1196_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_outp->data[_t1196_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _local_outp->data[_t1196_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_outp->last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                                                              flick_cdr_encode_float64(0, _return.first);
                                                                              _t1197_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t1199_array_iter = 0; _t1199_array_iter < _t1197_array_length; _t1199_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _return.data[_t1199_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _return.data[_t1199_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _return.last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(793);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t1200_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1200_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1200_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t1201_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1201_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1201_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t1202_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1202_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1202_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct dCLc *_local_inp;
                                                                        struct dCLc *_local_iop;
                                                                        struct dCLc *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct dCLc _return;
                                                                        struct dCLc _t1203_storage;
                                                                        CORBA_Environment _t1204_storage;
                                                                        unsigned int _t1205_principal;
                                                                        struct dCLc _t1206_storage;
                                                                        flick_unsigned8_t _t1207_array_length;
                                                                        flick_unsigned8_t _t1209_array_iter;
                                                                        struct dCLc _t1210_storage;
                                                                        flick_unsigned8_t _t1211_array_length;
                                                                        flick_unsigned8_t _t1213_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t1203_storage;
                                                                        _ev = &_t1204_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(6);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t1205_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t1206_storage;
                                                                        flick_iiop_decode_end_chunk(6);
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                        flick_cdr_swap_decode_float64(0, _local_inp->first);
                                                                        _t1207_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t1209_array_iter = 0; _t1209_array_iter < _t1207_array_length; _t1209_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(8);
                                                                            flick_cdr_swap_decode_char8(0, _local_inp->data[_t1209_array_iter].elem1);
                                                                            flick_cdr_swap_decode_signed32(4, _local_inp->data[_t1209_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(8);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_swap_decode_char8(0, _local_inp->last);
                                                                        _local_iop = &_t1210_storage;
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
                                                                        flick_cdr_swap_decode_float64(0, _local_iop->first);
                                                                        _t1211_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t1213_array_iter = 0; _t1213_array_iter < _t1211_array_length; _t1213_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(8);
                                                                            flick_cdr_swap_decode_char8(0, _local_iop->data[_t1213_array_iter].elem1);
                                                                            flick_cdr_swap_decode_signed32(4, _local_iop->data[_t1213_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(8);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_swap_decode_char8(0, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(1245);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t1223_array_length;
                                                                              flick_unsigned8_t _t1225_array_iter;
                                                                              flick_unsigned8_t _t1226_array_length;
                                                                              flick_unsigned8_t _t1228_array_iter;
                                                                              flick_unsigned8_t _t1229_array_length;
                                                                              flick_unsigned8_t _t1231_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                              flick_cdr_encode_float64(0, _local_iop->first);
                                                                              _t1223_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t1225_array_iter = 0; _t1225_array_iter < _t1223_array_length; _t1225_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_char8(0, _local_iop->data[_t1225_array_iter].elem1);
                                                                                  flick_cdr_encode_signed32(4, _local_iop->data[_t1225_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_iop->last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
                                                                              flick_cdr_encode_float64(0, _local_outp->first);
                                                                              _t1226_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t1228_array_iter = 0; _t1228_array_iter < _t1226_array_length; _t1228_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_char8(0, _local_outp->data[_t1228_array_iter].elem1);
                                                                                  flick_cdr_encode_signed32(4, _local_outp->data[_t1228_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_outp->last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
                                                                              flick_cdr_encode_float64(0, _return.first);
                                                                              _t1229_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t1231_array_iter = 0; _t1231_array_iter < _t1229_array_length; _t1231_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_char8(0, _return.data[_t1231_array_iter].elem1);
                                                                                  flick_cdr_encode_signed32(4, _return.data[_t1231_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _return.last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(1245);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t1232_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1232_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1232_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t1233_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1233_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1233_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t1234_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1234_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1234_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t1235_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1235_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1235_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct sLCs *_local_inp;
                                                                        struct sLCs *_local_iop;
                                                                        struct sLCs *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct sLCs _return;
                                                                        struct sLCs _t1236_storage;
                                                                        CORBA_Environment _t1237_storage;
                                                                        unsigned int _t1238_principal;
                                                                        struct sLCs _t1239_storage;
                                                                        flick_unsigned8_t _t1240_array_length;
                                                                        flick_unsigned8_t _t1242_array_iter;
                                                                        struct sLCs _t1243_storage;
                                                                        flick_unsigned8_t _t1244_array_length;
                                                                        flick_unsigned8_t _t1246_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t1236_storage;
                                                                        _ev = &_t1237_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(8);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t1238_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t1239_storage;
                                                                        flick_cdr_swap_decode_signed16(6, _local_inp->first);
                                                                        _t1240_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t1242_array_iter = 0; _t1242_array_iter < _t1240_array_length; _t1242_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                                                            flick_cdr_swap_decode_signed32(0, _local_inp->data[_t1242_array_iter].elem1);
                                                                            flick_cdr_swap_decode_char8(4, _local_inp->data[_t1242_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(5);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(5);
                                                                        flick_cdr_swap_decode_signed16(1, _local_inp->last);
                                                                        _local_iop = &_t1243_storage;
                                                                        flick_cdr_swap_decode_signed16(3, _local_iop->first);
                                                                        _t1244_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(5);
                                                                        for (_t1246_array_iter = 0; _t1246_array_iter < _t1244_array_length; _t1246_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                                                            flick_cdr_swap_decode_signed32(0, _local_iop->data[_t1246_array_iter].elem1);
                                                                            flick_cdr_swap_decode_char8(4, _local_iop->data[_t1246_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(5);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(3);
                                                                        flick_cdr_swap_decode_signed16(1, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(3);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(769);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t1256_array_length;
                                                                              flick_unsigned8_t _t1258_array_iter;
                                                                              flick_unsigned8_t _t1259_array_length;
                                                                              flick_unsigned8_t _t1261_array_iter;
                                                                              flick_unsigned8_t _t1262_array_length;
                                                                              flick_unsigned8_t _t1264_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(2);
                                                                              flick_cdr_encode_signed16(0, _local_iop->first);
                                                                              _t1256_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(2);
                                                                              for (_t1258_array_iter = 0; _t1258_array_iter < _t1256_array_length; _t1258_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_iop->data[_t1258_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _local_iop->data[_t1258_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(5);
                                                                              flick_cdr_encode_signed16(1, _local_iop->last);
                                                                              flick_cdr_encode_signed16(3, _local_outp->first);
                                                                              _t1259_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(5);
                                                                              for (_t1261_array_iter = 0; _t1261_array_iter < _t1259_array_length; _t1261_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_outp->data[_t1261_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _local_outp->data[_t1261_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(5);
                                                                              flick_cdr_encode_signed16(1, _local_outp->last);
                                                                              flick_cdr_encode_signed16(3, _return.first);
                                                                              _t1262_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(5);
                                                                              for (_t1264_array_iter = 0; _t1264_array_iter < _t1262_array_length; _t1264_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _return.data[_t1264_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _return.data[_t1264_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(3);
                                                                              flick_cdr_encode_signed16(1, _return.last);
                                                                              flick_iiop_encode_end_chunk(3);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(769);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t1265_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1265_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1265_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t1266_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1266_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1266_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t1267_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1267_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1267_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct sCLs *_local_inp;
                                                                        struct sCLs *_local_iop;
                                                                        struct sCLs *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct sCLs _return;
                                                                        struct sCLs _t1268_storage;
                                                                        CORBA_Environment _t1269_storage;
                                                                        unsigned int _t1270_principal;
                                                                        struct sCLs _t1271_storage;
                                                                        flick_unsigned8_t _t1272_array_length;
                                                                        flick_unsigned8_t _t1274_array_iter;
                                                                        struct sCLs _t1275_storage;
                                                                        flick_unsigned8_t _t1276_array_length;
                                                                        flick_unsigned8_t _t1278_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t1268_storage;
                                                                        _ev = &_t1269_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(8);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t1270_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t1271_storage;
                                                                        flick_cdr_swap_decode_signed16(6, _local_inp->first);
                                                                        _t1272_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t1274_array_iter = 0; _t1274_array_iter < _t1272_array_length; _t1274_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _local_inp->data[_t1274_array_iter].elem1);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                                                                            flick_cdr_swap_decode_signed32(0, _local_inp->data[_t1274_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(4);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(4);
                                                                        flick_cdr_swap_decode_signed16(0, _local_inp->last);
                                                                        _local_iop = &_t1275_storage;
                                                                        flick_cdr_swap_decode_signed16(2, _local_iop->first);
                                                                        _t1276_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(4);
                                                                        for (_t1278_array_iter = 0; _t1278_array_iter < _t1276_array_length; _t1278_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(8);
                                                                            flick_cdr_swap_decode_char8(0, _local_iop->data[_t1278_array_iter].elem1);
                                                                            flick_cdr_swap_decode_signed32(4, _local_iop->data[_t1278_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(8);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(2);
                                                                        flick_cdr_swap_decode_signed16(0, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(2);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(1216);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t1288_array_length;
                                                                              flick_unsigned8_t _t1290_array_iter;
                                                                              flick_unsigned8_t _t1291_array_length;
                                                                              flick_unsigned8_t _t1293_array_iter;
                                                                              flick_unsigned8_t _t1294_array_length;
                                                                              flick_unsigned8_t _t1296_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(2);
                                                                              flick_cdr_encode_signed16(0, _local_iop->first);
                                                                              _t1288_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(2);
                                                                              for (_t1290_array_iter = 0; _t1290_array_iter < _t1288_array_length; _t1290_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(1);
                                                                                  flick_cdr_encode_char8(0, _local_iop->data[_t1290_array_iter].elem1);
                                                                                  flick_iiop_encode_end_chunk(1);
                                                                                  flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
                                                                                  flick_cdr_encode_signed32(0, _local_iop->data[_t1290_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed16(0, _local_iop->last);
                                                                              flick_cdr_encode_signed16(2, _local_outp->first);
                                                                              _t1291_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              for (_t1293_array_iter = 0; _t1293_array_iter < _t1291_array_length; _t1293_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_char8(0, _local_outp->data[_t1293_array_iter].elem1);
                                                                                  flick_cdr_encode_signed32(4, _local_outp->data[_t1293_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed16(0, _local_outp->last);
                                                                              flick_cdr_encode_signed16(2, _return.first);
                                                                              _t1294_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              for (_t1296_array_iter = 0; _t1296_array_iter < _t1294_array_length; _t1296_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_char8(0, _return.data[_t1296_array_iter].elem1);
                                                                                  flick_cdr_encode_signed32(4, _return.data[_t1296_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(2);
                                                                              flick_cdr_encode_signed16(0, _return.last);
                                                                              flick_iiop_encode_end_chunk(2);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(1216);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(852);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(852);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(852);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(852);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(852);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(852);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(852);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t385_switch_tag;

    flick_iiop_decode_new_glob(852);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t385_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t385_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t386_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t386_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t386_switch_tag)
            {
            case 't':
              {
                char _t387_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t387_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t387_switch_tag)
                  {
                  case 'e':
                    {
                      char _t388_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t388_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t388_switch_tag)
                        {
                        case 's':
                          {
                            char _t389_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t389_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t389_switch_tag)
                              {
                              case 't':
                                {
                                  char _t390_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t390_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t390_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t391_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t391_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t391_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t392_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t392_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t392_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t393_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t393_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t393_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t394_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t394_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t394_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct cLd *_local_inp;
                                                                  struct cLd *_local_iop;
                                                                  struct cLd *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct cLd _return;
                                                                  struct cLd _t395_storage;
                                                                  CORBA_Environment _t396_storage;
                                                                  unsigned int _t397_principal;
                                                                  struct cLd _t398_storage;
                                                                  flick_unsigned8_t _t399_array_length;
                                                                  flick_unsigned8_t _t401_array_iter;
                                                                  struct cLd _t402_storage;
                                                                  flick_unsigned8_t _t403_array_length;
                                                                  flick_unsigned8_t _t405_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _local_outp = &_t395_storage;
                                                                  _ev = &_t396_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(8);
                                                                  flick_cdr_decode_unsigned32(3, _t397_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_inp = &_t398_storage;
                                                                  flick_cdr_decode_char8(7, _local_inp->first);
                                                                  _t399_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(8);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t401_array_iter = 0; _t401_array_iter < _t399_array_length; _t401_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                      flick_cdr_decode_signed32(0, _local_inp->data[_t401_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_inp->data, sizeof(long) * _t399_array_length, iiop);
#endif
                                                                  flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
                                                                  flick_cdr_decode_float64(0, _local_inp->last);
                                                                  _local_iop = &_t402_storage;
                                                                  flick_cdr_decode_char8(8, _local_iop->first);
                                                                  _t403_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(9);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t405_array_iter = 0; _t405_array_iter < _t403_array_length; _t405_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                      flick_cdr_decode_signed32(0, _local_iop->data[_t405_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_iop->data, sizeof(long) * _t403_array_length, iiop);
#endif
                                                                  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                  flick_cdr_decode_float64(0, _local_iop->last);
                                                                  flick_iiop_decode_end_chunk(8);
                                                                  flick_iiop_decode_end_glob(852);
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(631);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t415_array_length;
                                                                        flick_unsigned8_t _t417_array_iter;
                                                                        flick_unsigned8_t _t418_array_length;
                                                                        flick_unsigned8_t _t420_array_iter;
                                                                        flick_unsigned8_t _t421_array_length;
                                                                        flick_unsigned8_t _t423_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(1);
                                                                        flick_cdr_encode_char8(0, _local_iop->first);
                                                                        _t415_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(1);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t417_array_iter = 0; _t417_array_iter < _t415_array_length; _t417_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                            flick_cdr_encode_signed32(0, _local_iop->data[_t417_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_iop->data, sizeof(long) * _t415_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                                                        flick_cdr_encode_float64(0, _local_iop->last);
                                                                        flick_cdr_encode_char8(8, _local_outp->first);
                                                                        _t418_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(9);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t420_array_iter = 0; _t420_array_iter < _t418_array_length; _t420_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                            flick_cdr_encode_signed32(0, _local_outp->data[_t420_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_outp->data, sizeof(long) * _t418_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                                                        flick_cdr_encode_float64(0, _local_outp->last);
                                                                        flick_cdr_encode_char8(8, _return.first);
                                                                        _t421_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(9);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t423_array_iter = 0; _t423_array_iter < _t421_array_length; _t423_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                            flick_cdr_encode_signed32(0, _return.data[_t423_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return.data, sizeof(long) * _t421_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                        flick_cdr_encode_float64(0, _return.last);
                                                                        flick_iiop_encode_end_chunk(8);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(631);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t424_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t424_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t424_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t425_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t425_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t425_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t426_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t426_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t426_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct dLc *_local_inp;
                                                                  struct dLc *_local_iop;
                                                                  struct dLc *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct dLc _return;
                                                                  struct dLc _t427_storage;
                                                                  CORBA_Environment _t428_storage;
                                                                  unsigned int _t429_principal;
                                                                  struct dLc _t430_storage;
                                                                  flick_unsigned8_t _t431_array_length;
                                                                  flick_unsigned8_t _t433_array_iter;
                                                                  struct dLc _t434_storage;
                                                                  flick_unsigned8_t _t435_array_length;
                                                                  flick_unsigned8_t _t437_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _local_outp = &_t427_storage;
                                                                  _ev = &_t428_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(7);
                                                                  flick_cdr_decode_unsigned32(3, _t429_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_inp = &_t430_storage;
                                                                  flick_iiop_decode_end_chunk(7);
                                                                  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                  flick_cdr_decode_float64(0, _local_inp->first);
                                                                  _t431_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(8);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t433_array_iter = 0; _t433_array_iter < _t431_array_length; _t433_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(4);
                                                                      flick_cdr_decode_signed32(0, _local_inp->data[_t433_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_inp->data, sizeof(long) * _t431_array_length, iiop);
#endif
                                                                  flick_iiop_decode_new_chunk(1);
                                                                  flick_cdr_decode_char8(0, _local_inp->last);
                                                                  _local_iop = &_t434_storage;
                                                                  flick_iiop_decode_end_chunk(1);
                                                                  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
                                                                  flick_cdr_decode_float64(0, _local_iop->first);
                                                                  _t435_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(8);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t437_array_iter = 0; _t437_array_iter < _t435_array_length; _t437_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(4);
                                                                      flick_cdr_decode_signed32(0, _local_iop->data[_t437_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_iop->data, sizeof(long) * _t435_array_length, iiop);
#endif
                                                                  flick_iiop_decode_new_chunk(1);
                                                                  flick_cdr_decode_char8(0, _local_iop->last);
                                                                  flick_iiop_decode_end_chunk(1);
                                                                  flick_iiop_decode_end_glob(852);
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(645);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t447_array_length;
                                                                        flick_unsigned8_t _t449_array_iter;
                                                                        flick_unsigned8_t _t450_array_length;
                                                                        flick_unsigned8_t _t452_array_iter;
                                                                        flick_unsigned8_t _t453_array_length;
                                                                        flick_unsigned8_t _t455_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                        flick_cdr_encode_float64(0, _local_iop->first);
                                                                        _t447_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(8);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t449_array_iter = 0; _t449_array_iter < _t447_array_length; _t449_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _local_iop->data[_t449_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_iop->data, sizeof(long) * _t447_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(1);
                                                                        flick_cdr_encode_char8(0, _local_iop->last);
                                                                        flick_iiop_encode_end_chunk(1);
                                                                        flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
                                                                        flick_cdr_encode_float64(0, _local_outp->first);
                                                                        _t450_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(8);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t452_array_iter = 0; _t452_array_iter < _t450_array_length; _t452_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _local_outp->data[_t452_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_outp->data, sizeof(long) * _t450_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(1);
                                                                        flick_cdr_encode_char8(0, _local_outp->last);
                                                                        flick_iiop_encode_end_chunk(1);
                                                                        flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
                                                                        flick_cdr_encode_float64(0, _return.first);
                                                                        _t453_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(8);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t455_array_iter = 0; _t455_array_iter < _t453_array_length; _t455_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _return.data[_t455_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return.data, sizeof(long) * _t453_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(1);
                                                                        flick_cdr_encode_char8(0, _return.last);
                                                                        flick_iiop_encode_end_chunk(1);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(645);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t456_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t456_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t456_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t457_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t457_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t457_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t458_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t458_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t458_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct sLs *_local_inp;
                                                                  struct sLs *_local_iop;
                                                                  struct sLs *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct sLs _return;
                                                                  struct sLs _t459_storage;
                                                                  CORBA_Environment _t460_storage;
                                                                  unsigned int _t461_principal;
                                                                  struct sLs _t462_storage;
                                                                  flick_unsigned8_t _t463_array_length;
                                                                  flick_unsigned8_t _t465_array_iter;
                                                                  struct sLs _t466_storage;
                                                                  flick_unsigned8_t _t467_array_length;
                                                                  flick_unsigned8_t _t469_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _local_outp = &_t459_storage;
                                                                  _ev = &_t460_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(9);
                                                                  flick_cdr_decode_unsigned32(3, _t461_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_inp = &_t462_storage;
                                                                  flick_cdr_decode_signed16(7, _local_inp->first);
                                                                  _t463_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(9);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t465_array_iter = 0; _t465_array_iter < _t463_array_length; _t465_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                                                                      flick_cdr_decode_signed32(0, _local_inp->data[_t465_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_inp->data, sizeof(long) * _t463_array_length, iiop);
#endif
                                                                  flick_iiop_decode_new_chunk(4);
                                                                  flick_cdr_decode_signed16(0, _local_inp->last);
                                                                  _local_iop = &_t466_storage;
                                                                  flick_cdr_decode_signed16(2, _local_iop->first);
                                                                  _t467_array_length = 50;
                                                                  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t469_array_iter = 0; _t469_array_iter < _t467_array_length; _t469_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(4);
                                                                      flick_cdr_decode_signed32(0, _local_iop->data[_t469_array_iter]);
                                                                      flick_iiop_decode_end_chunk(4);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_iop->data, sizeof(long) * _t467_array_length, iiop);
#endif
                                                                  flick_iiop_decode_new_chunk(2);
                                                                  flick_cdr_decode_signed16(0, _local_iop->last);
                                                                  flick_iiop_decode_end_chunk(2);
                                                                  flick_iiop_decode_end_glob(852);
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(616);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_unsigned8_t _t479_array_length;
                                                                        flick_unsigned8_t _t481_array_iter;
                                                                        flick_unsigned8_t _t482_array_length;
                                                                        flick_unsigned8_t _t484_array_iter;
                                                                        flick_unsigned8_t _t485_array_length;
                                                                        flick_unsigned8_t _t487_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(2);
                                                                        flick_cdr_encode_signed16(0, _local_iop->first);
                                                                        _t479_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(2);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t481_array_iter = 0; _t481_array_iter < _t479_array_length; _t481_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
                                                                            flick_cdr_encode_signed32(0, _local_iop->data[_t481_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_iop->data, sizeof(long) * _t479_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed16(0, _local_iop->last);
                                                                        flick_cdr_encode_signed16(2, _local_outp->first);
                                                                        _t482_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t484_array_iter = 0; _t484_array_iter < _t482_array_length; _t484_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _local_outp->data[_t484_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_local_outp->data, sizeof(long) * _t482_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed16(0, _local_outp->last);
                                                                        flick_cdr_encode_signed16(2, _return.first);
                                                                        _t485_array_length = 50;
                                                                        flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t487_array_iter = 0; _t487_array_iter < _t485_array_length; _t487_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(4);
                                                                            flick_cdr_encode_signed32(0, _return.data[_t487_array_iter]);
                                                                            flick_iiop_encode_end_chunk(4);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return.data, sizeof(long) * _t485_array_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_new_chunk(2);
                                                                        flick_cdr_encode_signed16(0, _return.last);
                                                                        flick_iiop_encode_end_chunk(2);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(616);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(852);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(852);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(852);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(852);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(852);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(852);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t488_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t488_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t488_switch_tag)
            {
            case 't':
              {
                char _t489_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t489_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t489_switch_tag)
                  {
                  case 'e':
                    {
                      char _t490_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t490_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t490_switch_tag)
                        {
                        case 's':
                          {
                            char _t491_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t491_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t491_switch_tag)
                              {
                              case 't':
                                {
                                  char _t492_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t492_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t492_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t493_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t493_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t493_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t494_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t494_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t494_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t495_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t495_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t495_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t496_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t496_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t496_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t497_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t497_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t497_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct cLCd *_local_inp;
                                                                        struct cLCd *_local_iop;
                                                                        struct cLCd *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct cLCd _return;
                                                                        struct cLCd _t498_storage;
                                                                        CORBA_Environment _t499_storage;
                                                                        unsigned int _t500_principal;
                                                                        struct cLCd _t501_storage;
                                                                        flick_unsigned8_t _t502_array_length;
                                                                        flick_unsigned8_t _t504_array_iter;
                                                                        struct cLCd _t505_storage;
                                                                        flick_unsigned8_t _t506_array_length;
                                                                        flick_unsigned8_t _t508_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t498_storage;
                                                                        _ev = &_t499_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(7);
                                                                        flick_cdr_decode_unsigned32(2, _t500_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t501_storage;
                                                                        flick_cdr_decode_char8(6, _local_inp->first);
                                                                        _t502_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(7);
                                                                        for (_t504_array_iter = 0; _t504_array_iter < _t502_array_length; _t504_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(8);
                                                                            flick_cdr_decode_signed32(3, _local_inp->data[_t504_array_iter].elem1);
                                                                            flick_cdr_decode_char8(7, _local_inp->data[_t504_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(8);
                                                                          }
                                                                        flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
                                                                        flick_cdr_decode_float64(0, _local_inp->last);
                                                                        _local_iop = &_t505_storage;
                                                                        flick_cdr_decode_char8(8, _local_iop->first);
                                                                        _t506_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(9);
                                                                        for (_t508_array_iter = 0; _t508_array_iter < _t506_array_length; _t508_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(8);
                                                                            flick_cdr_decode_signed32(3, _local_iop->data[_t508_array_iter].elem1);
                                                                            flick_cdr_decode_char8(7, _local_iop->data[_t508_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(8);
                                                                          }
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
                                                                        flick_cdr_decode_float64(0, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(1252);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t518_array_length;
                                                                              flick_unsigned8_t _t520_array_iter;
                                                                              flick_unsigned8_t _t521_array_length;
                                                                              flick_unsigned8_t _t523_array_iter;
                                                                              flick_unsigned8_t _t524_array_length;
                                                                              flick_unsigned8_t _t526_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_iop->first);
                                                                              _t518_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              for (_t520_array_iter = 0; _t520_array_iter < _t518_array_length; _t520_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_signed32(3, _local_iop->data[_t520_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(7, _local_iop->data[_t520_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
                                                                              flick_cdr_encode_float64(0, _local_iop->last);
                                                                              flick_cdr_encode_char8(8, _local_outp->first);
                                                                              _t521_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(9);
                                                                              for (_t523_array_iter = 0; _t523_array_iter < _t521_array_length; _t523_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_signed32(3, _local_outp->data[_t523_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(7, _local_outp->data[_t523_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
                                                                              flick_cdr_encode_float64(0, _local_outp->last);
                                                                              flick_cdr_encode_char8(8, _return.first);
                                                                              _t524_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(9);
                                                                              for (_t526_array_iter = 0; _t526_array_iter < _t524_array_length; _t526_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_signed32(3, _return.data[_t526_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(7, _return.data[_t526_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
                                                                              flick_cdr_encode_float64(0, _return.last);
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(1252);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t527_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t527_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t527_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t528_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t528_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t528_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t529_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t529_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t529_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct cCLd *_local_inp;
                                                                        struct cCLd *_local_iop;
                                                                        struct cCLd *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct cCLd _return;
                                                                        struct cCLd _t530_storage;
                                                                        CORBA_Environment _t531_storage;
                                                                        unsigned int _t532_principal;
                                                                        struct cCLd _t533_storage;
                                                                        flick_unsigned8_t _t534_array_length;
                                                                        flick_unsigned8_t _t536_array_iter;
                                                                        struct cCLd _t537_storage;
                                                                        flick_unsigned8_t _t538_array_length;
                                                                        flick_unsigned8_t _t540_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t530_storage;
                                                                        _ev = &_t531_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(7);
                                                                        flick_cdr_decode_unsigned32(2, _t532_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t533_storage;
                                                                        flick_cdr_decode_char8(6, _local_inp->first);
                                                                        _t534_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(7);
                                                                        for (_t536_array_iter = 0; _t536_array_iter < _t534_array_length; _t536_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _local_inp->data[_t536_array_iter].elem1);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                            flick_cdr_decode_signed32(0, _local_inp->data[_t536_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(4);
                                                                          }
                                                                        flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
                                                                        flick_cdr_decode_float64(0, _local_inp->last);
                                                                        _local_iop = &_t537_storage;
                                                                        flick_cdr_decode_char8(8, _local_iop->first);
                                                                        _t538_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(9);
                                                                        for (_t540_array_iter = 0; _t540_array_iter < _t538_array_length; _t540_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _local_iop->data[_t540_array_iter].elem1);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                                            flick_cdr_decode_signed32(0, _local_iop->data[_t540_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(4);
                                                                          }
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                        flick_cdr_decode_float64(0, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(781);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t550_array_length;
                                                                              flick_unsigned8_t _t552_array_iter;
                                                                              flick_unsigned8_t _t553_array_length;
                                                                              flick_unsigned8_t _t555_array_iter;
                                                                              flick_unsigned8_t _t556_array_length;
                                                                              flick_unsigned8_t _t558_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_iop->first);
                                                                              _t550_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              for (_t552_array_iter = 0; _t552_array_iter < _t550_array_length; _t552_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(1);
                                                                                  flick_cdr_encode_char8(0, _local_iop->data[_t552_array_iter].elem1);
                                                                                  flick_iiop_encode_end_chunk(1);
                                                                                  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_iop->data[_t552_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                                                              flick_cdr_encode_float64(0, _local_iop->last);
                                                                              flick_cdr_encode_char8(8, _local_outp->first);
                                                                              _t553_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(9);
                                                                              for (_t555_array_iter = 0; _t555_array_iter < _t553_array_length; _t555_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(1);
                                                                                  flick_cdr_encode_char8(0, _local_outp->data[_t555_array_iter].elem1);
                                                                                  flick_iiop_encode_end_chunk(1);
                                                                                  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_outp->data[_t555_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                                                              flick_cdr_encode_float64(0, _local_outp->last);
                                                                              flick_cdr_encode_char8(8, _return.first);
                                                                              _t556_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(9);
                                                                              for (_t558_array_iter = 0; _t558_array_iter < _t556_array_length; _t558_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(1);
                                                                                  flick_cdr_encode_char8(0, _return.data[_t558_array_iter].elem1);
                                                                                  flick_iiop_encode_end_chunk(1);
                                                                                  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _return.data[_t558_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                }
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                              flick_cdr_encode_float64(0, _return.last);
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(781);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t559_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t559_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t559_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t560_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t560_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t560_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t561_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t561_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t561_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t562_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t562_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t562_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct dLCc *_local_inp;
                                                                        struct dLCc *_local_iop;
                                                                        struct dLCc *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct dLCc _return;
                                                                        struct dLCc _t563_storage;
                                                                        CORBA_Environment _t564_storage;
                                                                        unsigned int _t565_principal;
                                                                        struct dLCc _t566_storage;
                                                                        flick_unsigned8_t _t567_array_length;
                                                                        flick_unsigned8_t _t569_array_iter;
                                                                        struct dLCc _t570_storage;
                                                                        flick_unsigned8_t _t571_array_length;
                                                                        flick_unsigned8_t _t573_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t563_storage;
                                                                        _ev = &_t564_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(6);
                                                                        flick_cdr_decode_unsigned32(2, _t565_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t566_storage;
                                                                        flick_iiop_decode_end_chunk(6);
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                        flick_cdr_decode_float64(0, _local_inp->first);
                                                                        _t567_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t569_array_iter = 0; _t569_array_iter < _t567_array_length; _t569_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                                                            flick_cdr_decode_signed32(0, _local_inp->data[_t569_array_iter].elem1);
                                                                            flick_cdr_decode_char8(4, _local_inp->data[_t569_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(5);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_decode_char8(0, _local_inp->last);
                                                                        _local_iop = &_t570_storage;
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
                                                                        flick_cdr_decode_float64(0, _local_iop->first);
                                                                        _t571_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t573_array_iter = 0; _t573_array_iter < _t571_array_length; _t573_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                                                            flick_cdr_decode_signed32(0, _local_iop->data[_t573_array_iter].elem1);
                                                                            flick_cdr_decode_char8(4, _local_iop->data[_t573_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(5);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_decode_char8(0, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(793);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t583_array_length;
                                                                              flick_unsigned8_t _t585_array_iter;
                                                                              flick_unsigned8_t _t586_array_length;
                                                                              flick_unsigned8_t _t588_array_iter;
                                                                              flick_unsigned8_t _t589_array_length;
                                                                              flick_unsigned8_t _t591_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                              flick_cdr_encode_float64(0, _local_iop->first);
                                                                              _t583_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t585_array_iter = 0; _t585_array_iter < _t583_array_length; _t585_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_iop->data[_t585_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _local_iop->data[_t585_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_iop->last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                                                              flick_cdr_encode_float64(0, _local_outp->first);
                                                                              _t586_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t588_array_iter = 0; _t588_array_iter < _t586_array_length; _t588_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_outp->data[_t588_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _local_outp->data[_t588_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_outp->last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                                                              flick_cdr_encode_float64(0, _return.first);
                                                                              _t589_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t591_array_iter = 0; _t591_array_iter < _t589_array_length; _t591_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _return.data[_t591_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _return.data[_t591_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _return.last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(793);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t592_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t592_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t592_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t593_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t593_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t593_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t594_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t594_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t594_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct dCLc *_local_inp;
                                                                        struct dCLc *_local_iop;
                                                                        struct dCLc *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct dCLc _return;
                                                                        struct dCLc _t595_storage;
                                                                        CORBA_Environment _t596_storage;
                                                                        unsigned int _t597_principal;
                                                                        struct dCLc _t598_storage;
                                                                        flick_unsigned8_t _t599_array_length;
                                                                        flick_unsigned8_t _t601_array_iter;
                                                                        struct dCLc _t602_storage;
                                                                        flick_unsigned8_t _t603_array_length;
                                                                        flick_unsigned8_t _t605_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t595_storage;
                                                                        _ev = &_t596_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(6);
                                                                        flick_cdr_decode_unsigned32(2, _t597_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t598_storage;
                                                                        flick_iiop_decode_end_chunk(6);
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                        flick_cdr_decode_float64(0, _local_inp->first);
                                                                        _t599_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t601_array_iter = 0; _t601_array_iter < _t599_array_length; _t601_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(8);
                                                                            flick_cdr_decode_char8(0, _local_inp->data[_t601_array_iter].elem1);
                                                                            flick_cdr_decode_signed32(4, _local_inp->data[_t601_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(8);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_decode_char8(0, _local_inp->last);
                                                                        _local_iop = &_t602_storage;
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
                                                                        flick_cdr_decode_float64(0, _local_iop->first);
                                                                        _t603_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t605_array_iter = 0; _t605_array_iter < _t603_array_length; _t605_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(8);
                                                                            flick_cdr_decode_char8(0, _local_iop->data[_t605_array_iter].elem1);
                                                                            flick_cdr_decode_signed32(4, _local_iop->data[_t605_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(8);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(1);
                                                                        flick_cdr_decode_char8(0, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(1);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(1245);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t615_array_length;
                                                                              flick_unsigned8_t _t617_array_iter;
                                                                              flick_unsigned8_t _t618_array_length;
                                                                              flick_unsigned8_t _t620_array_iter;
                                                                              flick_unsigned8_t _t621_array_length;
                                                                              flick_unsigned8_t _t623_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                              flick_cdr_encode_float64(0, _local_iop->first);
                                                                              _t615_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t617_array_iter = 0; _t617_array_iter < _t615_array_length; _t617_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_char8(0, _local_iop->data[_t617_array_iter].elem1);
                                                                                  flick_cdr_encode_signed32(4, _local_iop->data[_t617_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_iop->last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
                                                                              flick_cdr_encode_float64(0, _local_outp->first);
                                                                              _t618_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t620_array_iter = 0; _t620_array_iter < _t618_array_length; _t620_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_char8(0, _local_outp->data[_t620_array_iter].elem1);
                                                                                  flick_cdr_encode_signed32(4, _local_outp->data[_t620_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _local_outp->last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
                                                                              flick_cdr_encode_float64(0, _return.first);
                                                                              _t621_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(8);
                                                                              for (_t623_array_iter = 0; _t623_array_iter < _t621_array_length; _t623_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_char8(0, _return.data[_t623_array_iter].elem1);
                                                                                  flick_cdr_encode_signed32(4, _return.data[_t623_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(1);
                                                                              flick_cdr_encode_char8(0, _return.last);
                                                                              flick_iiop_encode_end_chunk(1);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(1245);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t624_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t624_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t624_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t625_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t625_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t625_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t626_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t626_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t626_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t627_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t627_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t627_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct sLCs *_local_inp;
                                                                        struct sLCs *_local_iop;
                                                                        struct sLCs *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct sLCs _return;
                                                                        struct sLCs _t628_storage;
                                                                        CORBA_Environment _t629_storage;
                                                                        unsigned int _t630_principal;
                                                                        struct sLCs _t631_storage;
                                                                        flick_unsigned8_t _t632_array_length;
                                                                        flick_unsigned8_t _t634_array_iter;
                                                                        struct sLCs _t635_storage;
                                                                        flick_unsigned8_t _t636_array_length;
                                                                        flick_unsigned8_t _t638_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t628_storage;
                                                                        _ev = &_t629_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(8);
                                                                        flick_cdr_decode_unsigned32(2, _t630_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t631_storage;
                                                                        flick_cdr_decode_signed16(6, _local_inp->first);
                                                                        _t632_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t634_array_iter = 0; _t634_array_iter < _t632_array_length; _t634_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                                                            flick_cdr_decode_signed32(0, _local_inp->data[_t634_array_iter].elem1);
                                                                            flick_cdr_decode_char8(4, _local_inp->data[_t634_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(5);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(5);
                                                                        flick_cdr_decode_signed16(1, _local_inp->last);
                                                                        _local_iop = &_t635_storage;
                                                                        flick_cdr_decode_signed16(3, _local_iop->first);
                                                                        _t636_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(5);
                                                                        for (_t638_array_iter = 0; _t638_array_iter < _t636_array_length; _t638_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                                                            flick_cdr_decode_signed32(0, _local_iop->data[_t638_array_iter].elem1);
                                                                            flick_cdr_decode_char8(4, _local_iop->data[_t638_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(5);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(3);
                                                                        flick_cdr_decode_signed16(1, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(3);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(769);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t648_array_length;
                                                                              flick_unsigned8_t _t650_array_iter;
                                                                              flick_unsigned8_t _t651_array_length;
                                                                              flick_unsigned8_t _t653_array_iter;
                                                                              flick_unsigned8_t _t654_array_length;
                                                                              flick_unsigned8_t _t656_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(2);
                                                                              flick_cdr_encode_signed16(0, _local_iop->first);
                                                                              _t648_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(2);
                                                                              for (_t650_array_iter = 0; _t650_array_iter < _t648_array_length; _t650_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_iop->data[_t650_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _local_iop->data[_t650_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(5);
                                                                              flick_cdr_encode_signed16(1, _local_iop->last);
                                                                              flick_cdr_encode_signed16(3, _local_outp->first);
                                                                              _t651_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(5);
                                                                              for (_t653_array_iter = 0; _t653_array_iter < _t651_array_length; _t653_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _local_outp->data[_t653_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _local_outp->data[_t653_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(5);
                                                                              flick_cdr_encode_signed16(1, _local_outp->last);
                                                                              flick_cdr_encode_signed16(3, _return.first);
                                                                              _t654_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(5);
                                                                              for (_t656_array_iter = 0; _t656_array_iter < _t654_array_length; _t656_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                                                                  flick_cdr_encode_signed32(0, _return.data[_t656_array_iter].elem1);
                                                                                  flick_cdr_encode_char8(4, _return.data[_t656_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(5);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(3);
                                                                              flick_cdr_encode_signed16(1, _return.last);
                                                                              flick_iiop_encode_end_chunk(3);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(769);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t657_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t657_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t657_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t658_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t658_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t658_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t659_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t659_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t659_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct sCLs *_local_inp;
                                                                        struct sCLs *_local_iop;
                                                                        struct sCLs *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct sCLs _return;
                                                                        struct sCLs _t660_storage;
                                                                        CORBA_Environment _t661_storage;
                                                                        unsigned int _t662_principal;
                                                                        struct sCLs _t663_storage;
                                                                        flick_unsigned8_t _t664_array_length;
                                                                        flick_unsigned8_t _t666_array_iter;
                                                                        struct sCLs _t667_storage;
                                                                        flick_unsigned8_t _t668_array_length;
                                                                        flick_unsigned8_t _t670_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_outp = &_t660_storage;
                                                                        _ev = &_t661_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(8);
                                                                        flick_cdr_decode_unsigned32(2, _t662_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_inp = &_t663_storage;
                                                                        flick_cdr_decode_signed16(6, _local_inp->first);
                                                                        _t664_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        for (_t666_array_iter = 0; _t666_array_iter < _t664_array_length; _t666_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _local_inp->data[_t666_array_iter].elem1);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                                                                            flick_cdr_decode_signed32(0, _local_inp->data[_t666_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(4);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(4);
                                                                        flick_cdr_decode_signed16(0, _local_inp->last);
                                                                        _local_iop = &_t667_storage;
                                                                        flick_cdr_decode_signed16(2, _local_iop->first);
                                                                        _t668_array_length = 50;
                                                                        flick_iiop_decode_end_chunk(4);
                                                                        for (_t670_array_iter = 0; _t670_array_iter < _t668_array_length; _t670_array_iter++)
                                                                          {
                                                                            flick_iiop_decode_new_chunk(8);
                                                                            flick_cdr_decode_char8(0, _local_iop->data[_t670_array_iter].elem1);
                                                                            flick_cdr_decode_signed32(4, _local_iop->data[_t670_array_iter].elem2);
                                                                            flick_iiop_decode_end_chunk(8);
                                                                          }
                                                                        flick_iiop_decode_new_chunk(2);
                                                                        flick_cdr_decode_signed16(0, _local_iop->last);
                                                                        flick_iiop_decode_end_chunk(2);
                                                                        flick_iiop_decode_end_glob(852);
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(1216);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t680_array_length;
                                                                              flick_unsigned8_t _t682_array_iter;
                                                                              flick_unsigned8_t _t683_array_length;
                                                                              flick_unsigned8_t _t685_array_iter;
                                                                              flick_unsigned8_t _t686_array_length;
                                                                              flick_unsigned8_t _t688_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(2);
                                                                              flick_cdr_encode_signed16(0, _local_iop->first);
                                                                              _t680_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(2);
                                                                              for (_t682_array_iter = 0; _t682_array_iter < _t680_array_length; _t682_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(1);
                                                                                  flick_cdr_encode_char8(0, _local_iop->data[_t682_array_iter].elem1);
                                                                                  flick_iiop_encode_end_chunk(1);
                                                                                  flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
                                                                                  flick_cdr_encode_signed32(0, _local_iop->data[_t682_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed16(0, _local_iop->last);
                                                                              flick_cdr_encode_signed16(2, _local_outp->first);
                                                                              _t683_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              for (_t685_array_iter = 0; _t685_array_iter < _t683_array_length; _t685_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_char8(0, _local_outp->data[_t685_array_iter].elem1);
                                                                                  flick_cdr_encode_signed32(4, _local_outp->data[_t685_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed16(0, _local_outp->last);
                                                                              flick_cdr_encode_signed16(2, _return.first);
                                                                              _t686_array_length = 50;
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              for (_t688_array_iter = 0; _t688_array_iter < _t686_array_length; _t688_array_iter++)
                                                                                {
                                                                                  flick_iiop_encode_new_chunk(8);
                                                                                  flick_cdr_encode_char8(0, _return.data[_t688_array_iter].elem1);
                                                                                  flick_cdr_encode_signed32(4, _return.data[_t688_array_iter].elem2);
                                                                                  flick_iiop_encode_end_chunk(8);
                                                                                }
                                                                              flick_iiop_encode_new_chunk(2);
                                                                              flick_cdr_encode_signed16(0, _return.last);
                                                                              flick_iiop_encode_end_chunk(2);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(1216);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(852);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(852);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(852);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(852);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(852);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(852);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(852);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(852);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(852);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(852);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(852);
          break;
        }
      }
  }
  }
  return 0;
}
