#include "dif2-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &ex1_server, "ex1_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &ex1_server, "ex1_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &ex2_server, "ex2_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &ex2_server, "ex2_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &ex3_server, "ex3_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &ex3_server, "ex3_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &ex4_server, "ex4_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &ex4_server, "ex4_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_ex1_swap(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t108_switch_tag;

    flick_iiop_decode_new_glob(22);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t108_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t108_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t109_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t109_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t109_switch_tag)
            {
            case 'o':
              {
                char _t110_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t110_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t110_switch_tag)
                  {
                  case 'p':
                    {
                      char _t111_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t111_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t111_switch_tag)
                        {
                        case '0':
                          {
                            char _t112_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t112_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t112_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t113_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t113_storage;
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    ex1_op0(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(4);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t114_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t114_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t114_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t115_storage;
                                    CORBA_Environment _t116_storage;
                                    unsigned int _t117_principal;
                                    CORBA_long _t118_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_d = &_t115_storage;
                                    _ev = &_t116_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_swap_decode_unsigned32(0, _t117_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_float32(4, _local_f);
                                    _local_l = &_t118_storage;
                                    flick_cdr_swap_decode_signed32(8, *_local_l);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(20);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                          flick_cdr_encode_float64(0, *_local_d);
                                          flick_cdr_encode_signed32(8, *_local_l);
                                          flick_cdr_encode_float32(12, _return);
                                          flick_iiop_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(20);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t119_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t119_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t119_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t120_storage;
                                    CORBA_Environment _t121_storage;
                                    unsigned int _t122_principal;
                                    CORBA_short _t123_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_l = &_t120_storage;
                                    _ev = &_t121_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _t122_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_new_chunk_align(10, 3, 2, 0);
                                    flick_cdr_swap_decode_float64(0, _local_d);
                                    _local_s = &_t123_storage;
                                    flick_cdr_swap_decode_signed16(8, *_local_s);
                                    flick_iiop_decode_end_chunk(10);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(24);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_signed16(4, *_local_s);
                                          flick_iiop_encode_end_chunk(6);
                                          flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                          flick_cdr_encode_float64(0, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(24);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t124_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t124_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t124_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t125_storage;
                                    CORBA_Environment _t126_storage;
                                    unsigned int _t127_principal;
                                    CORBA_unsigned_long _t128_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t125_storage;
                                    _ev = &_t126_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_swap_decode_unsigned32(0, _t127_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_signed32(4, _local_l);
                                    _local_ul = &_t128_storage;
                                    flick_cdr_swap_decode_unsigned32(8, *_local_ul);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_signed16(0, *_local_s);
                                          flick_cdr_encode_unsigned32(4, *_local_ul);
                                          flick_cdr_encode_signed32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t129_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t129_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t129_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t130_storage;
                                    CORBA_Environment _t131_storage;
                                    unsigned int _t132_principal;
                                    CORBA_unsigned_short _t133_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_ul = &_t130_storage;
                                    _ev = &_t131_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_swap_decode_unsigned32(0, _t132_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_signed16(4, _local_s);
                                    _local_us = &_t133_storage;
                                    flick_cdr_swap_decode_unsigned16(6, *_local_us);
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_unsigned16(4, *_local_us);
                                          flick_cdr_encode_signed16(6, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t134_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t134_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t134_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t135_storage;
                                    CORBA_Environment _t136_storage;
                                    unsigned int _t137_principal;
                                    CORBA_unsigned_long _t138_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_c = &_t135_storage;
                                    _ev = &_t136_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(11);
                                    flick_cdr_swap_decode_unsigned32(0, _t137_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_ul = &_t138_storage;
                                    flick_cdr_swap_decode_unsigned32(4, *_local_ul);
                                    flick_cdr_swap_decode_unsigned16(8, _local_us);
                                    flick_cdr_swap_decode_unsigned8(10, _local_b);
                                    flick_iiop_decode_end_chunk(11);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_char8(4, *_local_c);
                                          flick_cdr_encode_unsigned32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t139_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t139_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t139_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t140_storage;
                                    CORBA_Environment _t141_storage;
                                    unsigned int _t142_principal;
                                    CORBA_char _t143_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_us = &_t140_storage;
                                    _ev = &_t141_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(0, _t142_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_c = &_t143_storage;
                                    flick_cdr_swap_decode_char8(4, *_local_c);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(10);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_unsigned16(0, *_local_us);
                                          flick_cdr_encode_char8(2, *_local_c);
                                          flick_cdr_encode_unsigned16(4, _return);
                                          flick_iiop_encode_end_chunk(6);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(10);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(22);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(22);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(22);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(22);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t36_switch_tag;

    flick_iiop_decode_new_glob(22);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t36_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t36_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t37_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t37_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t37_switch_tag)
            {
            case 'o':
              {
                char _t38_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t38_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t38_switch_tag)
                  {
                  case 'p':
                    {
                      char _t39_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t39_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t39_switch_tag)
                        {
                        case '0':
                          {
                            char _t40_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t40_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t40_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t41_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t41_storage;
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    ex1_op0(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(4);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t42_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t42_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t42_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t43_storage;
                                    CORBA_Environment _t44_storage;
                                    unsigned int _t45_principal;
                                    CORBA_long _t46_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_d = &_t43_storage;
                                    _ev = &_t44_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_decode_unsigned32(0, _t45_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_float32(4, _local_f);
                                    _local_l = &_t46_storage;
                                    flick_cdr_decode_signed32(8, *_local_l);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(20);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                          flick_cdr_encode_float64(0, *_local_d);
                                          flick_cdr_encode_signed32(8, *_local_l);
                                          flick_cdr_encode_float32(12, _return);
                                          flick_iiop_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(20);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t47_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t47_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t47_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t48_storage;
                                    CORBA_Environment _t49_storage;
                                    unsigned int _t50_principal;
                                    CORBA_short _t51_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_l = &_t48_storage;
                                    _ev = &_t49_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t50_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_new_chunk_align(10, 3, 2, 0);
                                    flick_cdr_decode_float64(0, _local_d);
                                    _local_s = &_t51_storage;
                                    flick_cdr_decode_signed16(8, *_local_s);
                                    flick_iiop_decode_end_chunk(10);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(24);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_signed16(4, *_local_s);
                                          flick_iiop_encode_end_chunk(6);
                                          flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                          flick_cdr_encode_float64(0, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(24);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t52_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t52_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t52_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t53_storage;
                                    CORBA_Environment _t54_storage;
                                    unsigned int _t55_principal;
                                    CORBA_unsigned_long _t56_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t53_storage;
                                    _ev = &_t54_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_decode_unsigned32(0, _t55_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_signed32(4, _local_l);
                                    _local_ul = &_t56_storage;
                                    flick_cdr_decode_unsigned32(8, *_local_ul);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_signed16(0, *_local_s);
                                          flick_cdr_encode_unsigned32(4, *_local_ul);
                                          flick_cdr_encode_signed32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t57_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t57_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t57_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t58_storage;
                                    CORBA_Environment _t59_storage;
                                    unsigned int _t60_principal;
                                    CORBA_unsigned_short _t61_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_ul = &_t58_storage;
                                    _ev = &_t59_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_decode_unsigned32(0, _t60_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_signed16(4, _local_s);
                                    _local_us = &_t61_storage;
                                    flick_cdr_decode_unsigned16(6, *_local_us);
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_unsigned16(4, *_local_us);
                                          flick_cdr_encode_signed16(6, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t62_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t62_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t62_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t63_storage;
                                    CORBA_Environment _t64_storage;
                                    unsigned int _t65_principal;
                                    CORBA_unsigned_long _t66_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_c = &_t63_storage;
                                    _ev = &_t64_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(11);
                                    flick_cdr_decode_unsigned32(0, _t65_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_ul = &_t66_storage;
                                    flick_cdr_decode_unsigned32(4, *_local_ul);
                                    flick_cdr_decode_unsigned16(8, _local_us);
                                    flick_cdr_decode_unsigned8(10, _local_b);
                                    flick_iiop_decode_end_chunk(11);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_char8(4, *_local_c);
                                          flick_cdr_encode_unsigned32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t67_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t67_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t67_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t68_storage;
                                    CORBA_Environment _t69_storage;
                                    unsigned int _t70_principal;
                                    CORBA_char _t71_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_us = &_t68_storage;
                                    _ev = &_t69_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(0, _t70_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_c = &_t71_storage;
                                    flick_cdr_decode_char8(4, *_local_c);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(10);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_unsigned16(0, *_local_us);
                                          flick_cdr_encode_char8(2, *_local_c);
                                          flick_cdr_encode_unsigned16(4, _return);
                                          flick_iiop_encode_end_chunk(6);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(10);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(22);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(22);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(22);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(22);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_ex2_swap(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t345_switch_tag;

    flick_iiop_decode_new_glob(22);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t345_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t345_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t346_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t346_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t346_switch_tag)
            {
            case 'o':
              {
                char _t347_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t347_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t347_switch_tag)
                  {
                  case 'p':
                    {
                      char _t348_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t348_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t348_switch_tag)
                        {
                        case '7':
                          {
                            char _t349_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t349_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t349_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_char _local_c;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet *_local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_char _return = 0;
                                    CORBA_boolean _t350_storage;
                                    CORBA_Environment _t351_storage;
                                    unsigned int _t352_principal;
                                    CORBA_octet _t353_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_b = &_t350_storage;
                                    _ev = &_t351_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(6);
                                    flick_cdr_swap_decode_unsigned32(0, _t352_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_char8(4, _local_c);
                                    _local_o = &_t353_storage;
                                    flick_cdr_swap_decode_unsigned8(5, *_local_o);
                                    flick_iiop_decode_end_chunk(6);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(3);
                                          flick_cdr_encode_unsigned8(0, *_local_b);
                                          flick_cdr_encode_unsigned8(1, *_local_o);
                                          flick_cdr_encode_char8(2, _return);
                                          flick_iiop_encode_end_chunk(3);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(7);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '8':
                          {
                            char _t354_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t354_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t354_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet _local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_boolean _return = 0;
                                    CORBA_boolean _t355_storage;
                                    CORBA_Environment _t356_storage;
                                    unsigned int _t357_principal;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_b = &_t355_storage;
                                    _ev = &_t356_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(0, _t357_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_unsigned8(4, _local_o);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(6);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(2);
                                          flick_cdr_encode_unsigned8(0, *_local_b);
                                          flick_cdr_encode_unsigned8(1, _return);
                                          flick_iiop_encode_end_chunk(2);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(6);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '9':
                          {
                            char _t358_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t358_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t358_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_octet *_local_o;
                                    CORBA_char **_local_s;
                                    CORBA_char *_local_ls;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_octet _return = 0;
                                    CORBA_char *_t359_storage;
                                    CORBA_Environment _t360_storage;
                                    unsigned int _t361_principal;
                                    CORBA_octet _t362_storage;
                                    CORBA_long _t363_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t359_storage;
                                    _ev = &_t360_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(0, _t361_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_o = &_t362_storage;
                                    flick_cdr_swap_decode_unsigned8(4, *_local_o);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(22);
                                    flick_cdr_swap_decode_auto_string(_local_ls, auto_flick_alloc, iiop);
                                    _local_l = &_t363_storage;
                                    flick_iiop_decode_new_glob(4);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_signed32(0, *_local_l);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(4);
                                    flick_corba_init_environment();
                                    _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(5);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_unsigned8(0, *_local_o);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(5);
                                          flick_cdr_encode_longstring(*_local_s, CORBA_flick_free, iiop);
                                          flick_iiop_encode_new_glob(5);
                                          flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_unsigned8(4, _return);
                                          flick_iiop_encode_end_chunk(5);
                                          flick_iiop_encode_end_glob(5);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          flick_iiop_encode_end_glob(5);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(5);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '0':
                          {
                            char _t364_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t364_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t364_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t365_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t365_storage;
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    ex2_op0(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(4);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t366_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t366_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t366_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t367_storage;
                                    CORBA_Environment _t368_storage;
                                    unsigned int _t369_principal;
                                    CORBA_long _t370_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_d = &_t367_storage;
                                    _ev = &_t368_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_swap_decode_unsigned32(0, _t369_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_float32(4, _local_f);
                                    _local_l = &_t370_storage;
                                    flick_cdr_swap_decode_signed32(8, *_local_l);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(20);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                          flick_cdr_encode_float64(0, *_local_d);
                                          flick_cdr_encode_signed32(8, *_local_l);
                                          flick_cdr_encode_float32(12, _return);
                                          flick_iiop_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(20);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t371_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t371_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t371_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t372_storage;
                                    CORBA_Environment _t373_storage;
                                    unsigned int _t374_principal;
                                    CORBA_short _t375_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_l = &_t372_storage;
                                    _ev = &_t373_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _t374_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_new_chunk_align(10, 3, 2, 0);
                                    flick_cdr_swap_decode_float64(0, _local_d);
                                    _local_s = &_t375_storage;
                                    flick_cdr_swap_decode_signed16(8, *_local_s);
                                    flick_iiop_decode_end_chunk(10);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(24);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_signed16(4, *_local_s);
                                          flick_iiop_encode_end_chunk(6);
                                          flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                          flick_cdr_encode_float64(0, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(24);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t376_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t376_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t376_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t377_storage;
                                    CORBA_Environment _t378_storage;
                                    unsigned int _t379_principal;
                                    CORBA_unsigned_long _t380_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t377_storage;
                                    _ev = &_t378_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_swap_decode_unsigned32(0, _t379_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_signed32(4, _local_l);
                                    _local_ul = &_t380_storage;
                                    flick_cdr_swap_decode_unsigned32(8, *_local_ul);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_signed16(0, *_local_s);
                                          flick_cdr_encode_unsigned32(4, *_local_ul);
                                          flick_cdr_encode_signed32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t381_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t381_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t381_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t382_storage;
                                    CORBA_Environment _t383_storage;
                                    unsigned int _t384_principal;
                                    CORBA_unsigned_short _t385_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_ul = &_t382_storage;
                                    _ev = &_t383_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_swap_decode_unsigned32(0, _t384_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_signed16(4, _local_s);
                                    _local_us = &_t385_storage;
                                    flick_cdr_swap_decode_unsigned16(6, *_local_us);
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_unsigned16(4, *_local_us);
                                          flick_cdr_encode_signed16(6, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t386_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t386_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t386_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t387_storage;
                                    CORBA_Environment _t388_storage;
                                    unsigned int _t389_principal;
                                    CORBA_unsigned_long _t390_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_c = &_t387_storage;
                                    _ev = &_t388_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(11);
                                    flick_cdr_swap_decode_unsigned32(0, _t389_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_ul = &_t390_storage;
                                    flick_cdr_swap_decode_unsigned32(4, *_local_ul);
                                    flick_cdr_swap_decode_unsigned16(8, _local_us);
                                    flick_cdr_swap_decode_unsigned8(10, _local_b);
                                    flick_iiop_decode_end_chunk(11);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_char8(4, *_local_c);
                                          flick_cdr_encode_unsigned32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t391_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t391_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t391_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t392_storage;
                                    CORBA_Environment _t393_storage;
                                    unsigned int _t394_principal;
                                    CORBA_char _t395_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_us = &_t392_storage;
                                    _ev = &_t393_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(0, _t394_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_c = &_t395_storage;
                                    flick_cdr_swap_decode_char8(4, *_local_c);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(10);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_unsigned16(0, *_local_us);
                                          flick_cdr_encode_char8(2, *_local_c);
                                          flick_cdr_encode_unsigned16(4, _return);
                                          flick_iiop_encode_end_chunk(6);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(10);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(22);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(22);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(22);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t396_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t396_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t396_switch_tag)
            {
            case 'o':
              {
                char _t397_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t397_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t397_switch_tag)
                  {
                  case 'p':
                    {
                      char _t398_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t398_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t398_switch_tag)
                        {
                        case '1':
                          {
                            char _t399_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t399_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t399_switch_tag)
                              {
                              case '0':
                                {
                                  char _t400_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t400_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t400_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_char *_local_s;
                                          CORBA_char **_local_ls;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_char *_t401_storage;
                                          CORBA_Environment _t402_storage;
                                          unsigned int _t403_principal;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_ls = &_t401_storage;
                                          _ev = &_t402_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t403_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(22);
                                          flick_cdr_swap_decode_auto_string(_local_s, auto_flick_alloc, iiop);
                                          flick_corba_init_environment();
                                          _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(22);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '1':
                                {
                                  char _t404_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t404_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t404_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_char **_local_ls;
                                          CORBA_long *_local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_long _t405_storage;
                                          CORBA_Environment _t406_storage;
                                          unsigned int _t407_principal;
                                          CORBA_char *_t408_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_l = &_t405_storage;
                                          _ev = &_t406_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t407_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          _local_ls = &_t408_storage;
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(22);
                                          flick_cdr_swap_decode_string(*_local_ls, CORBA_flick_alloc, iiop, 10);
                                          flick_corba_init_environment();
                                          _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                flick_cdr_encode_signed32(0, *_local_l);
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(22);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '2':
                                {
                                  char _t409_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t409_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t409_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_long _local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_Environment _t410_storage;
                                          unsigned int _t411_principal;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _ev = &_t410_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(11);
                                          flick_cdr_swap_decode_unsigned32(3, _t411_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_swap_decode_signed32(7, _local_l);
                                          flick_iiop_decode_end_chunk(11);
                                          flick_iiop_decode_end_glob(22);
                                          flick_corba_init_environment();
                                          _return = ex2_op12(_obj, _local_l, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(8);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(8);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(22);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(22);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(22);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(22);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(22);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t211_switch_tag;

    flick_iiop_decode_new_glob(22);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t211_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t211_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t212_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t212_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t212_switch_tag)
            {
            case 'o':
              {
                char _t213_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t213_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t213_switch_tag)
                  {
                  case 'p':
                    {
                      char _t214_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t214_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t214_switch_tag)
                        {
                        case '7':
                          {
                            char _t215_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t215_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t215_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_char _local_c;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet *_local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_char _return = 0;
                                    CORBA_boolean _t216_storage;
                                    CORBA_Environment _t217_storage;
                                    unsigned int _t218_principal;
                                    CORBA_octet _t219_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_b = &_t216_storage;
                                    _ev = &_t217_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(6);
                                    flick_cdr_decode_unsigned32(0, _t218_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_char8(4, _local_c);
                                    _local_o = &_t219_storage;
                                    flick_cdr_decode_unsigned8(5, *_local_o);
                                    flick_iiop_decode_end_chunk(6);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(3);
                                          flick_cdr_encode_unsigned8(0, *_local_b);
                                          flick_cdr_encode_unsigned8(1, *_local_o);
                                          flick_cdr_encode_char8(2, _return);
                                          flick_iiop_encode_end_chunk(3);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(7);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '8':
                          {
                            char _t220_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t220_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t220_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet _local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_boolean _return = 0;
                                    CORBA_boolean _t221_storage;
                                    CORBA_Environment _t222_storage;
                                    unsigned int _t223_principal;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_b = &_t221_storage;
                                    _ev = &_t222_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(0, _t223_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_unsigned8(4, _local_o);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(6);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(2);
                                          flick_cdr_encode_unsigned8(0, *_local_b);
                                          flick_cdr_encode_unsigned8(1, _return);
                                          flick_iiop_encode_end_chunk(2);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(6);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '9':
                          {
                            char _t224_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t224_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t224_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_octet *_local_o;
                                    CORBA_char **_local_s;
                                    CORBA_char *_local_ls;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_octet _return = 0;
                                    CORBA_char *_t225_storage;
                                    CORBA_Environment _t226_storage;
                                    unsigned int _t227_principal;
                                    CORBA_octet _t228_storage;
                                    CORBA_long _t229_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t225_storage;
                                    _ev = &_t226_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(0, _t227_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_o = &_t228_storage;
                                    flick_cdr_decode_unsigned8(4, *_local_o);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(22);
                                    flick_cdr_decode_auto_string(_local_ls, auto_flick_alloc, iiop);
                                    _local_l = &_t229_storage;
                                    flick_iiop_decode_new_glob(4);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_signed32(0, *_local_l);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(4);
                                    flick_corba_init_environment();
                                    _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(5);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_unsigned8(0, *_local_o);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(5);
                                          flick_cdr_encode_longstring(*_local_s, CORBA_flick_free, iiop);
                                          flick_iiop_encode_new_glob(5);
                                          flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_unsigned8(4, _return);
                                          flick_iiop_encode_end_chunk(5);
                                          flick_iiop_encode_end_glob(5);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          flick_iiop_encode_end_glob(5);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(5);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '0':
                          {
                            char _t230_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t230_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t230_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t231_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t231_storage;
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    ex2_op0(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(4);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t232_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t232_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t232_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t233_storage;
                                    CORBA_Environment _t234_storage;
                                    unsigned int _t235_principal;
                                    CORBA_long _t236_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_d = &_t233_storage;
                                    _ev = &_t234_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_decode_unsigned32(0, _t235_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_float32(4, _local_f);
                                    _local_l = &_t236_storage;
                                    flick_cdr_decode_signed32(8, *_local_l);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(20);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                          flick_cdr_encode_float64(0, *_local_d);
                                          flick_cdr_encode_signed32(8, *_local_l);
                                          flick_cdr_encode_float32(12, _return);
                                          flick_iiop_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(20);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t237_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t237_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t237_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t238_storage;
                                    CORBA_Environment _t239_storage;
                                    unsigned int _t240_principal;
                                    CORBA_short _t241_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_l = &_t238_storage;
                                    _ev = &_t239_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t240_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_new_chunk_align(10, 3, 2, 0);
                                    flick_cdr_decode_float64(0, _local_d);
                                    _local_s = &_t241_storage;
                                    flick_cdr_decode_signed16(8, *_local_s);
                                    flick_iiop_decode_end_chunk(10);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(24);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_signed16(4, *_local_s);
                                          flick_iiop_encode_end_chunk(6);
                                          flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                          flick_cdr_encode_float64(0, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(24);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t242_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t242_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t242_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t243_storage;
                                    CORBA_Environment _t244_storage;
                                    unsigned int _t245_principal;
                                    CORBA_unsigned_long _t246_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t243_storage;
                                    _ev = &_t244_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_decode_unsigned32(0, _t245_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_signed32(4, _local_l);
                                    _local_ul = &_t246_storage;
                                    flick_cdr_decode_unsigned32(8, *_local_ul);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_signed16(0, *_local_s);
                                          flick_cdr_encode_unsigned32(4, *_local_ul);
                                          flick_cdr_encode_signed32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t247_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t247_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t247_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t248_storage;
                                    CORBA_Environment _t249_storage;
                                    unsigned int _t250_principal;
                                    CORBA_unsigned_short _t251_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_ul = &_t248_storage;
                                    _ev = &_t249_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_decode_unsigned32(0, _t250_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_signed16(4, _local_s);
                                    _local_us = &_t251_storage;
                                    flick_cdr_decode_unsigned16(6, *_local_us);
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_unsigned16(4, *_local_us);
                                          flick_cdr_encode_signed16(6, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t252_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t252_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t252_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t253_storage;
                                    CORBA_Environment _t254_storage;
                                    unsigned int _t255_principal;
                                    CORBA_unsigned_long _t256_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_c = &_t253_storage;
                                    _ev = &_t254_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(11);
                                    flick_cdr_decode_unsigned32(0, _t255_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_ul = &_t256_storage;
                                    flick_cdr_decode_unsigned32(4, *_local_ul);
                                    flick_cdr_decode_unsigned16(8, _local_us);
                                    flick_cdr_decode_unsigned8(10, _local_b);
                                    flick_iiop_decode_end_chunk(11);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_char8(4, *_local_c);
                                          flick_cdr_encode_unsigned32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t257_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t257_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t257_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t258_storage;
                                    CORBA_Environment _t259_storage;
                                    unsigned int _t260_principal;
                                    CORBA_char _t261_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_us = &_t258_storage;
                                    _ev = &_t259_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(0, _t260_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_c = &_t261_storage;
                                    flick_cdr_decode_char8(4, *_local_c);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(22);
                                    flick_corba_init_environment();
                                    _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(10);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_unsigned16(0, *_local_us);
                                          flick_cdr_encode_char8(2, *_local_c);
                                          flick_cdr_encode_unsigned16(4, _return);
                                          flick_iiop_encode_end_chunk(6);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(10);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(22);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(22);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(22);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t262_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t262_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t262_switch_tag)
            {
            case 'o':
              {
                char _t263_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t263_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t263_switch_tag)
                  {
                  case 'p':
                    {
                      char _t264_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t264_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t264_switch_tag)
                        {
                        case '1':
                          {
                            char _t265_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t265_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t265_switch_tag)
                              {
                              case '0':
                                {
                                  char _t266_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t266_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t266_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_char *_local_s;
                                          CORBA_char **_local_ls;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_char *_t267_storage;
                                          CORBA_Environment _t268_storage;
                                          unsigned int _t269_principal;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_ls = &_t267_storage;
                                          _ev = &_t268_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t269_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(22);
                                          flick_cdr_decode_auto_string(_local_s, auto_flick_alloc, iiop);
                                          flick_corba_init_environment();
                                          _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(22);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '1':
                                {
                                  char _t270_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t270_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t270_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_char **_local_ls;
                                          CORBA_long *_local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_long _t271_storage;
                                          CORBA_Environment _t272_storage;
                                          unsigned int _t273_principal;
                                          CORBA_char *_t274_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_l = &_t271_storage;
                                          _ev = &_t272_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t273_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          _local_ls = &_t274_storage;
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(22);
                                          flick_cdr_decode_string(*_local_ls, CORBA_flick_alloc, iiop, 10);
                                          flick_corba_init_environment();
                                          _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                flick_cdr_encode_signed32(0, *_local_l);
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(22);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '2':
                                {
                                  char _t275_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t275_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t275_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_long _local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_Environment _t276_storage;
                                          unsigned int _t277_principal;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _ev = &_t276_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(11);
                                          flick_cdr_decode_unsigned32(3, _t277_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_decode_signed32(7, _local_l);
                                          flick_iiop_decode_end_chunk(11);
                                          flick_iiop_decode_end_glob(22);
                                          flick_corba_init_environment();
                                          _return = ex2_op12(_obj, _local_l, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(8);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(8);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(22);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(22);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(22);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(22);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(22);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(22);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_ex3(flick_marshal_stream_t _stream, const ex3 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_ex3(flick_marshal_stream_t _stream, ex3 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_ex3_swap(flick_marshal_stream_t _stream, ex3 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int ex3_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t997_switch_tag;

    flick_iiop_decode_new_glob(40);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t997_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t997_switch_tag)
      {
      case (unsigned int) 22:
        {
          char _t998_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t998_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t998_switch_tag)
            {
            case '_':
              {
                char _t999_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t999_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t999_switch_tag)
                  {
                  case '_':
                    {
                      char _t1000_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1000_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1000_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1001_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1001_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1001_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1002_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1002_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1002_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1003_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1003_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1003_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1004_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1004_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1004_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t1005_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1005_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1005_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t1006_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1006_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1006_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1007_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1007_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1007_switch_tag)
                                                                  {
                                                                  case 'a':
                                                                    {
                                                                      char _t1008_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1008_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1008_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1009_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1009_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1009_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1010_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1010_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1010_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1011_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1011_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1011_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1012_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1012_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1012_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1013_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1013_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1013_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1014_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1014_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1014_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1015_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1015_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1015_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1016_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1016_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1016_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1017_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1017_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1017_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1018_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1018_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1018_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1019_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t1019_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1019_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_float _return = 0.000000;
                                                                                                                                                CORBA_Environment _t1020_storage;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1020_storage;
                                                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex3__get_float_attribute(_obj, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(8);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_float32(0, _return);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(8);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 's':
                                                  {
                                                    char _t1021_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1021_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1021_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t1022_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1022_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1022_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1023_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1023_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1023_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t1024_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1024_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1024_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1025_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1025_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1025_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1026_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1026_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1026_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1027_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1027_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1027_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1028_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1028_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1028_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1029_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1029_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1029_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1030_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1030_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1030_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1031_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1031_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1031_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1032_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1032_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1032_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1033_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1033_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1033_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1034_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1034_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1034_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1035_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t1035_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1035_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_short _return = 0;
                                                                                                                                                CORBA_Environment _t1036_storage;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1036_storage;
                                                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex3__get_short_attribute(_obj, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(6);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      flick_iiop_encode_new_chunk(2);
                                                                                                                                                      flick_cdr_encode_signed16(0, _return);
                                                                                                                                                      flick_iiop_encode_end_chunk(2);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(6);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1037_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1037_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1037_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1038_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1038_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1038_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1039_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1039_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1039_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1040_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1040_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1040_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t1041_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1041_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1041_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t1042_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1042_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1042_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1043_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1043_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1043_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t1044_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1044_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1044_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1045_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1045_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1045_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1046_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1046_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1046_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1047_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1047_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1047_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1048_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1048_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1048_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1049_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1049_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1049_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1050_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1050_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1050_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1051_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1051_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1051_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1052_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1052_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1052_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1053_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1053_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1053_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1054_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1054_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1054_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1055_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t1055_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1055_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_short _local_short_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t1056_storage;
                                                                                                                                                unsigned int _t1057_principal;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1056_storage;
                                                                                                                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                flick_iiop_decode_new_chunk(8);
                                                                                                                                                flick_cdr_swap_decode_unsigned32(2, _t1057_principal);
                                                                                                                                                /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                flick_cdr_swap_decode_signed16(6, _local_short_attribute);
                                                                                                                                                flick_iiop_decode_end_chunk(8);
                                                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(4);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          char _t1058_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1058_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1058_switch_tag)
            {
            case '_':
              {
                char _t1059_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1059_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1059_switch_tag)
                  {
                  case '_':
                    {
                      char _t1060_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1060_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1060_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1061_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1061_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1061_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1062_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1062_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1062_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1063_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1063_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1063_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1064_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1064_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1064_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t1065_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1065_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1065_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1066_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1066_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1066_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t1067_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1067_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1067_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t1068_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1068_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1068_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t1069_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1069_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1069_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1070_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1070_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1070_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1071_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1071_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1071_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1072_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1072_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1072_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1073_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1073_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1073_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1074_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1074_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1074_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1075_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1075_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1075_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1076_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1076_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1076_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1077_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1077_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1077_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1078_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1078_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1078_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1079_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t1079_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1079_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1080_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t1080_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1080_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex3 _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_double _return = 0.000000;
                                                                                                                                                      CORBA_Environment _t1081_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t1081_storage;
                                                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = ex3__get_double_attribute(_obj, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(12);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                                                                                                            flick_cdr_encode_float64(0, _return);
                                                                                                                                                            flick_iiop_encode_end_chunk(8);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_encode_end_glob(12);
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1082_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1082_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1082_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1083_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1083_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1083_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1084_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1084_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1084_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1085_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1085_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1085_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t1086_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1086_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1086_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1087_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1087_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1087_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t1088_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1088_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1088_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t1089_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1089_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1089_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t1090_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1090_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1090_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1091_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1091_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1091_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1092_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1092_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1092_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1093_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1093_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1093_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1094_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1094_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1094_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1095_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1095_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1095_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1096_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1096_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1096_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1097_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1097_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1097_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1098_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1098_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1098_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1099_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1099_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1099_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1100_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t1100_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1100_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1101_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t1101_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1101_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex3 _obj;
                                                                                                                                                      CORBA_double _local_double_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t1102_storage;
                                                                                                                                                      unsigned int _t1103_principal;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t1102_storage;
                                                                                                                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                      flick_iiop_decode_new_chunk(5);
                                                                                                                                                      flick_cdr_swap_decode_unsigned32(1, _t1103_principal);
                                                                                                                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                      flick_iiop_decode_end_chunk(5);
                                                                                                                                                      flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                                                                                                      flick_cdr_swap_decode_float64(0, _local_double_attribute);
                                                                                                                                                      flick_iiop_decode_end_chunk(8);
                                                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_encode_end_glob(4);
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t1104_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1104_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1104_switch_tag)
            {
            case '_':
              {
                char _t1105_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1105_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1105_switch_tag)
                  {
                  case '_':
                    {
                      char _t1106_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1106_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1106_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1107_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1107_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1107_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1108_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1108_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1108_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1109_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1109_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1109_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1110_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1110_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1110_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t1111_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1111_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1111_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1112_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1112_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1112_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t1113_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1113_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1113_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t1114_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1114_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1114_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1115_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1115_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1115_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1116_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1116_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1116_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1117_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1117_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1117_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1118_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1118_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1118_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1119_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1119_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1119_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1120_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1120_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1120_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1121_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1121_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1121_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1122_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1122_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1122_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1123_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1123_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1123_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1124_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1124_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1124_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex3 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_long _return = 0;
                                                                                                                                          CORBA_Environment _t1125_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t1125_storage;
                                                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex3__get_long_attribute(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(8);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _return);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(8);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 30:
        {
          char _t1126_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1126_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1126_switch_tag)
            {
            case '_':
              {
                char _t1127_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1127_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1127_switch_tag)
                  {
                  case '_':
                    {
                      char _t1128_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1128_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1128_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1129_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1129_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1129_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1130_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1130_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1130_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1131_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1131_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1131_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1132_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1132_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1132_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t1133_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1133_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1133_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1134_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1134_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1134_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t1135_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1135_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1135_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1136_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1136_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1136_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t1137_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1137_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1137_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1138_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1138_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1138_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t1139_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1139_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1139_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t1140_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1140_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1140_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t1141_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1141_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1141_switch_tag)
                                                                                                      {
                                                                                                      case 'l':
                                                                                                        {
                                                                                                          char _t1142_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1142_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1142_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t1143_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1143_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1143_switch_tag)
                                                                                                                  {
                                                                                                                  case 'n':
                                                                                                                    {
                                                                                                                      char _t1144_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1144_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1144_switch_tag)
                                                                                                                        {
                                                                                                                        case 'g':
                                                                                                                          {
                                                                                                                            char _t1145_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1145_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1145_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t1146_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1146_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1146_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t1147_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t1147_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1147_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1148_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t1148_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1148_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1149_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_swap_decode_char8(0, _t1149_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t1149_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t1150_switch_tag;

                                                                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                                                                          flick_cdr_swap_decode_char8(0, _t1150_switch_tag);
                                                                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                                                                          switch (_t1150_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t1151_switch_tag;

                                                                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                                                                flick_cdr_swap_decode_char8(0, _t1151_switch_tag);
                                                                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                                                                switch (_t1151_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1152_switch_tag;

                                                                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                                                                      flick_cdr_swap_decode_char8(0, _t1152_switch_tag);
                                                                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                                                                      switch (_t1152_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1153_switch_tag;

                                                                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                                                                            flick_cdr_swap_decode_char8(0, _t1153_switch_tag);
                                                                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                                                                            switch (_t1153_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1154_switch_tag;

                                                                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1154_switch_tag);
                                                                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                  switch (_t1154_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1155_switch_tag;

                                                                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                        flick_cdr_swap_decode_char8(0, _t1155_switch_tag);
                                                                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                        switch (_t1155_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex3 _obj;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_unsigned_long _return = 0;
                                                                                                                                                                                                CORBA_Environment _t1156_storage;

                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                _ev = &_t1156_storage;
                                                                                                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_iiop_encode_new_glob(8);
                                                                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                switch (_ev->_major)
                                                                                                                                                                                                  {
                                                                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                      flick_cdr_encode_unsigned32(0, _return);
                                                                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  default:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                                                    }
                                                                                                                                                                                                  }
                                                                                                                                                                                                flick_iiop_encode_end_glob(8);
                                                                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t1157_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1157_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1157_switch_tag)
            {
            case 'o':
              {
                char _t1158_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1158_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1158_switch_tag)
                  {
                  case 'p':
                    {
                      char _t1159_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1159_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1159_switch_tag)
                        {
                        case '0':
                          {
                            char _t1160_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1160_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1160_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1161_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t1161_storage;
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    ex3_op0(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(4);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t1162_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1162_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1162_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t1163_storage;
                                    CORBA_Environment _t1164_storage;
                                    unsigned int _t1165_principal;
                                    CORBA_long _t1166_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_d = &_t1163_storage;
                                    _ev = &_t1164_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_swap_decode_unsigned32(0, _t1165_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_float32(4, _local_f);
                                    _local_l = &_t1166_storage;
                                    flick_cdr_swap_decode_signed32(8, *_local_l);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(20);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                          flick_cdr_encode_float64(0, *_local_d);
                                          flick_cdr_encode_signed32(8, *_local_l);
                                          flick_cdr_encode_float32(12, _return);
                                          flick_iiop_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(20);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t1167_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1167_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1167_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t1168_storage;
                                    CORBA_Environment _t1169_storage;
                                    unsigned int _t1170_principal;
                                    CORBA_short _t1171_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_l = &_t1168_storage;
                                    _ev = &_t1169_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _t1170_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_new_chunk_align(10, 3, 2, 0);
                                    flick_cdr_swap_decode_float64(0, _local_d);
                                    _local_s = &_t1171_storage;
                                    flick_cdr_swap_decode_signed16(8, *_local_s);
                                    flick_iiop_decode_end_chunk(10);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(24);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_signed16(4, *_local_s);
                                          flick_iiop_encode_end_chunk(6);
                                          flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                          flick_cdr_encode_float64(0, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(24);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t1172_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1172_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1172_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t1173_storage;
                                    CORBA_Environment _t1174_storage;
                                    unsigned int _t1175_principal;
                                    CORBA_unsigned_long _t1176_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t1173_storage;
                                    _ev = &_t1174_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_swap_decode_unsigned32(0, _t1175_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_signed32(4, _local_l);
                                    _local_ul = &_t1176_storage;
                                    flick_cdr_swap_decode_unsigned32(8, *_local_ul);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_signed16(0, *_local_s);
                                          flick_cdr_encode_unsigned32(4, *_local_ul);
                                          flick_cdr_encode_signed32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t1177_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1177_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1177_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t1178_storage;
                                    CORBA_Environment _t1179_storage;
                                    unsigned int _t1180_principal;
                                    CORBA_unsigned_short _t1181_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_ul = &_t1178_storage;
                                    _ev = &_t1179_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_swap_decode_unsigned32(0, _t1180_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_signed16(4, _local_s);
                                    _local_us = &_t1181_storage;
                                    flick_cdr_swap_decode_unsigned16(6, *_local_us);
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_unsigned16(4, *_local_us);
                                          flick_cdr_encode_signed16(6, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t1182_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1182_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1182_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t1183_storage;
                                    CORBA_Environment _t1184_storage;
                                    unsigned int _t1185_principal;
                                    CORBA_unsigned_long _t1186_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_c = &_t1183_storage;
                                    _ev = &_t1184_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(11);
                                    flick_cdr_swap_decode_unsigned32(0, _t1185_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_ul = &_t1186_storage;
                                    flick_cdr_swap_decode_unsigned32(4, *_local_ul);
                                    flick_cdr_swap_decode_unsigned16(8, _local_us);
                                    flick_cdr_swap_decode_unsigned8(10, _local_b);
                                    flick_iiop_decode_end_chunk(11);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_char8(4, *_local_c);
                                          flick_cdr_encode_unsigned32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t1187_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1187_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1187_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t1188_storage;
                                    CORBA_Environment _t1189_storage;
                                    unsigned int _t1190_principal;
                                    CORBA_char _t1191_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_us = &_t1188_storage;
                                    _ev = &_t1189_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(0, _t1190_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_c = &_t1191_storage;
                                    flick_cdr_swap_decode_char8(4, *_local_c);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(10);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_unsigned16(0, *_local_us);
                                          flick_cdr_encode_char8(2, *_local_c);
                                          flick_cdr_encode_unsigned16(4, _return);
                                          flick_iiop_encode_end_chunk(6);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(10);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t607_switch_tag;

    flick_iiop_decode_new_glob(40);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t607_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t607_switch_tag)
      {
      case (unsigned int) 22:
        {
          char _t608_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t608_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t608_switch_tag)
            {
            case '_':
              {
                char _t609_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t609_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t609_switch_tag)
                  {
                  case '_':
                    {
                      char _t610_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t610_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t610_switch_tag)
                        {
                        case 'g':
                          {
                            char _t611_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t611_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t611_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t612_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t612_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t612_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t613_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t613_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t613_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t614_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t614_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t614_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t615_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t615_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t615_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t616_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t616_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t616_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t617_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t617_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t617_switch_tag)
                                                                  {
                                                                  case 'a':
                                                                    {
                                                                      char _t618_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t618_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t618_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t619_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t619_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t619_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t620_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t620_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t620_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t621_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t621_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t621_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t622_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t622_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t622_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t623_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t623_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t623_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t624_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t624_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t624_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t625_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t625_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t625_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t626_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t626_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t626_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t627_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t627_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t627_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t628_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t628_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t628_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t629_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t629_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t629_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_float _return = 0.000000;
                                                                                                                                                CORBA_Environment _t630_storage;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t630_storage;
                                                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex3__get_float_attribute(_obj, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(8);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_float32(0, _return);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(8);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 's':
                                                  {
                                                    char _t631_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t631_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t631_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t632_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t632_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t632_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t633_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t633_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t633_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t634_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t634_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t634_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t635_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t635_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t635_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t636_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t636_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t636_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t637_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t637_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t637_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t638_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t638_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t638_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t639_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t639_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t639_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t640_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t640_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t640_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t641_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t641_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t641_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t642_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t642_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t642_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t643_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t643_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t643_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t644_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t644_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t644_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t645_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t645_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t645_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_short _return = 0;
                                                                                                                                                CORBA_Environment _t646_storage;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t646_storage;
                                                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex3__get_short_attribute(_obj, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(6);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      flick_iiop_encode_new_chunk(2);
                                                                                                                                                      flick_cdr_encode_signed16(0, _return);
                                                                                                                                                      flick_iiop_encode_end_chunk(2);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(6);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t647_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t647_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t647_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t648_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t648_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t648_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t649_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t649_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t649_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t650_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t650_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t650_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t651_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t651_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t651_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t652_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t652_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t652_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t653_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t653_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t653_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t654_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t654_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t654_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t655_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t655_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t655_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t656_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t656_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t656_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t657_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t657_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t657_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t658_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t658_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t658_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t659_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t659_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t659_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t660_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t660_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t660_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t661_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t661_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t661_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t662_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t662_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t662_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t663_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t663_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t663_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t664_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t664_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t664_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t665_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t665_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t665_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_short _local_short_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t666_storage;
                                                                                                                                                unsigned int _t667_principal;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t666_storage;
                                                                                                                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                flick_iiop_decode_new_chunk(8);
                                                                                                                                                flick_cdr_decode_unsigned32(2, _t667_principal);
                                                                                                                                                /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                flick_cdr_decode_signed16(6, _local_short_attribute);
                                                                                                                                                flick_iiop_decode_end_chunk(8);
                                                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(4);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          char _t668_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t668_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t668_switch_tag)
            {
            case '_':
              {
                char _t669_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t669_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t669_switch_tag)
                  {
                  case '_':
                    {
                      char _t670_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t670_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t670_switch_tag)
                        {
                        case 'g':
                          {
                            char _t671_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t671_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t671_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t672_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t672_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t672_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t673_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t673_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t673_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t674_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t674_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t674_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t675_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t675_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t675_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t676_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t676_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t676_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t677_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t677_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t677_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t678_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t678_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t678_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t679_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t679_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t679_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t680_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t680_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t680_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t681_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t681_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t681_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t682_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t682_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t682_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t683_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t683_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t683_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t684_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t684_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t684_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t685_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t685_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t685_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t686_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t686_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t686_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t687_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t687_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t687_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t688_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t688_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t688_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t689_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t689_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t689_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t690_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t690_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t690_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex3 _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_double _return = 0.000000;
                                                                                                                                                      CORBA_Environment _t691_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t691_storage;
                                                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = ex3__get_double_attribute(_obj, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(12);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                                                                                                            flick_cdr_encode_float64(0, _return);
                                                                                                                                                            flick_iiop_encode_end_chunk(8);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_encode_end_glob(12);
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t692_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t692_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t692_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t693_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t693_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t693_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t694_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t694_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t694_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t695_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t695_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t695_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t696_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t696_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t696_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t697_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t697_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t697_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t698_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t698_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t698_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t699_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t699_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t699_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t700_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t700_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t700_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t701_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t701_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t701_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t702_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t702_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t702_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t703_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t703_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t703_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t704_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t704_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t704_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t705_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t705_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t705_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t706_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t706_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t706_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t707_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t707_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t707_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t708_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t708_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t708_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t709_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t709_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t709_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t710_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t710_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t710_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t711_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t711_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t711_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex3 _obj;
                                                                                                                                                      CORBA_double _local_double_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t712_storage;
                                                                                                                                                      unsigned int _t713_principal;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t712_storage;
                                                                                                                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                      flick_iiop_decode_new_chunk(5);
                                                                                                                                                      flick_cdr_decode_unsigned32(1, _t713_principal);
                                                                                                                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                      flick_iiop_decode_end_chunk(5);
                                                                                                                                                      flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                                                                                                      flick_cdr_decode_float64(0, _local_double_attribute);
                                                                                                                                                      flick_iiop_decode_end_chunk(8);
                                                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_encode_end_glob(4);
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t714_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t714_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t714_switch_tag)
            {
            case '_':
              {
                char _t715_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t715_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t715_switch_tag)
                  {
                  case '_':
                    {
                      char _t716_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t716_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t716_switch_tag)
                        {
                        case 'g':
                          {
                            char _t717_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t717_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t717_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t718_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t718_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t718_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t719_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t719_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t719_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t720_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t720_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t720_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t721_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t721_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t721_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t722_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t722_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t722_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t723_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t723_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t723_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t724_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t724_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t724_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t725_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t725_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t725_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t726_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t726_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t726_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t727_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t727_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t727_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t728_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t728_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t728_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t729_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t729_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t729_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t730_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t730_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t730_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t731_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t731_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t731_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t732_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t732_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t732_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t733_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t733_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t733_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t734_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t734_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t734_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex3 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_long _return = 0;
                                                                                                                                          CORBA_Environment _t735_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t735_storage;
                                                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex3__get_long_attribute(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(8);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _return);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(8);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 30:
        {
          char _t736_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t736_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t736_switch_tag)
            {
            case '_':
              {
                char _t737_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t737_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t737_switch_tag)
                  {
                  case '_':
                    {
                      char _t738_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t738_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t738_switch_tag)
                        {
                        case 'g':
                          {
                            char _t739_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t739_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t739_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t740_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t740_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t740_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t741_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t741_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t741_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t742_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t742_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t742_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t743_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t743_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t743_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t744_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t744_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t744_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t745_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t745_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t745_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t746_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t746_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t746_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t747_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t747_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t747_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t748_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t748_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t748_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t749_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t749_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t749_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t750_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t750_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t750_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t751_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t751_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t751_switch_tag)
                                                                                                      {
                                                                                                      case 'l':
                                                                                                        {
                                                                                                          char _t752_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t752_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t752_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t753_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t753_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t753_switch_tag)
                                                                                                                  {
                                                                                                                  case 'n':
                                                                                                                    {
                                                                                                                      char _t754_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t754_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t754_switch_tag)
                                                                                                                        {
                                                                                                                        case 'g':
                                                                                                                          {
                                                                                                                            char _t755_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t755_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t755_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t756_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t756_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t756_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t757_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t757_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t757_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t758_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t758_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t758_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t759_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_decode_char8(0, _t759_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t759_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t760_switch_tag;

                                                                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                                                                          flick_cdr_decode_char8(0, _t760_switch_tag);
                                                                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                                                                          switch (_t760_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t761_switch_tag;

                                                                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                                                                flick_cdr_decode_char8(0, _t761_switch_tag);
                                                                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                                                                switch (_t761_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t762_switch_tag;

                                                                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                                                                      flick_cdr_decode_char8(0, _t762_switch_tag);
                                                                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                                                                      switch (_t762_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t763_switch_tag;

                                                                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                                                                            flick_cdr_decode_char8(0, _t763_switch_tag);
                                                                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                                                                            switch (_t763_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t764_switch_tag;

                                                                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                  flick_cdr_decode_char8(0, _t764_switch_tag);
                                                                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                  switch (_t764_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t765_switch_tag;

                                                                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                        flick_cdr_decode_char8(0, _t765_switch_tag);
                                                                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                        switch (_t765_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex3 _obj;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_unsigned_long _return = 0;
                                                                                                                                                                                                CORBA_Environment _t766_storage;

                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                _ev = &_t766_storage;
                                                                                                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_iiop_encode_new_glob(8);
                                                                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                switch (_ev->_major)
                                                                                                                                                                                                  {
                                                                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                      flick_cdr_encode_unsigned32(0, _return);
                                                                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  default:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                                                    }
                                                                                                                                                                                                  }
                                                                                                                                                                                                flick_iiop_encode_end_glob(8);
                                                                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(40);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(40);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(40);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(40);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(40);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(40);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(40);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(40);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(40);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(40);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(40);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t767_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t767_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t767_switch_tag)
            {
            case 'o':
              {
                char _t768_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t768_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t768_switch_tag)
                  {
                  case 'p':
                    {
                      char _t769_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t769_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t769_switch_tag)
                        {
                        case '0':
                          {
                            char _t770_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t770_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t770_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t771_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t771_storage;
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    ex3_op0(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(4);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t772_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t772_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t772_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t773_storage;
                                    CORBA_Environment _t774_storage;
                                    unsigned int _t775_principal;
                                    CORBA_long _t776_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_d = &_t773_storage;
                                    _ev = &_t774_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_decode_unsigned32(0, _t775_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_float32(4, _local_f);
                                    _local_l = &_t776_storage;
                                    flick_cdr_decode_signed32(8, *_local_l);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(20);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                          flick_cdr_encode_float64(0, *_local_d);
                                          flick_cdr_encode_signed32(8, *_local_l);
                                          flick_cdr_encode_float32(12, _return);
                                          flick_iiop_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(20);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t777_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t777_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t777_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t778_storage;
                                    CORBA_Environment _t779_storage;
                                    unsigned int _t780_principal;
                                    CORBA_short _t781_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_l = &_t778_storage;
                                    _ev = &_t779_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t780_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_new_chunk_align(10, 3, 2, 0);
                                    flick_cdr_decode_float64(0, _local_d);
                                    _local_s = &_t781_storage;
                                    flick_cdr_decode_signed16(8, *_local_s);
                                    flick_iiop_decode_end_chunk(10);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(24);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_signed16(4, *_local_s);
                                          flick_iiop_encode_end_chunk(6);
                                          flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                          flick_cdr_encode_float64(0, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(24);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t782_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t782_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t782_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t783_storage;
                                    CORBA_Environment _t784_storage;
                                    unsigned int _t785_principal;
                                    CORBA_unsigned_long _t786_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t783_storage;
                                    _ev = &_t784_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_decode_unsigned32(0, _t785_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_signed32(4, _local_l);
                                    _local_ul = &_t786_storage;
                                    flick_cdr_decode_unsigned32(8, *_local_ul);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_signed16(0, *_local_s);
                                          flick_cdr_encode_unsigned32(4, *_local_ul);
                                          flick_cdr_encode_signed32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t787_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t787_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t787_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t788_storage;
                                    CORBA_Environment _t789_storage;
                                    unsigned int _t790_principal;
                                    CORBA_unsigned_short _t791_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_ul = &_t788_storage;
                                    _ev = &_t789_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_decode_unsigned32(0, _t790_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_signed16(4, _local_s);
                                    _local_us = &_t791_storage;
                                    flick_cdr_decode_unsigned16(6, *_local_us);
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_unsigned16(4, *_local_us);
                                          flick_cdr_encode_signed16(6, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t792_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t792_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t792_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t793_storage;
                                    CORBA_Environment _t794_storage;
                                    unsigned int _t795_principal;
                                    CORBA_unsigned_long _t796_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_c = &_t793_storage;
                                    _ev = &_t794_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(11);
                                    flick_cdr_decode_unsigned32(0, _t795_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_ul = &_t796_storage;
                                    flick_cdr_decode_unsigned32(4, *_local_ul);
                                    flick_cdr_decode_unsigned16(8, _local_us);
                                    flick_cdr_decode_unsigned8(10, _local_b);
                                    flick_iiop_decode_end_chunk(11);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_char8(4, *_local_c);
                                          flick_cdr_encode_unsigned32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t797_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t797_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t797_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t798_storage;
                                    CORBA_Environment _t799_storage;
                                    unsigned int _t800_principal;
                                    CORBA_char _t801_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_us = &_t798_storage;
                                    _ev = &_t799_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(0, _t800_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_c = &_t801_storage;
                                    flick_cdr_decode_char8(4, *_local_c);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(40);
                                    flick_corba_init_environment();
                                    _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(10);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_unsigned16(0, *_local_us);
                                          flick_cdr_encode_char8(2, *_local_c);
                                          flick_cdr_encode_unsigned16(4, _return);
                                          flick_iiop_encode_end_chunk(6);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(10);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(40);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_ex4(flick_marshal_stream_t _stream, const ex4 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_ex4(flick_marshal_stream_t _stream, ex4 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_ex4_swap(flick_marshal_stream_t _stream, ex4 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int ex4_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t2473_switch_tag;

    flick_iiop_decode_new_glob(42);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t2473_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t2473_switch_tag)
      {
      case (unsigned int) 31:
        {
          char _t2474_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t2474_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2474_switch_tag)
            {
            case '_':
              {
                char _t2475_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t2475_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2475_switch_tag)
                  {
                  case '_':
                    {
                      char _t2476_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t2476_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2476_switch_tag)
                        {
                        case 'g':
                          {
                            char _t2477_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2477_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2477_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2478_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2478_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2478_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2479_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2479_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2479_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2480_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2480_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2480_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t2481_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2481_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2481_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t2482_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2482_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2482_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t2483_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2483_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2483_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t2484_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2484_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2484_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t2485_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2485_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2485_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t2486_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2486_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2486_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t2487_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2487_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2487_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t2488_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2488_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2488_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t2489_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2489_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2489_switch_tag)
                                                                                                      {
                                                                                                      case 's':
                                                                                                        {
                                                                                                          char _t2490_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2490_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2490_switch_tag)
                                                                                                            {
                                                                                                            case 'h':
                                                                                                              {
                                                                                                                char _t2491_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2491_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2491_switch_tag)
                                                                                                                  {
                                                                                                                  case 'o':
                                                                                                                    {
                                                                                                                      char _t2492_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2492_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2492_switch_tag)
                                                                                                                        {
                                                                                                                        case 'r':
                                                                                                                          {
                                                                                                                            char _t2493_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2493_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2493_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t2494_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2494_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2494_switch_tag)
                                                                                                                                    {
                                                                                                                                    case '_':
                                                                                                                                      {
                                                                                                                                        char _t2495_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2495_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2495_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'a':
                                                                                                                                            {
                                                                                                                                              char _t2496_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2496_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2496_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t2497_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_swap_decode_char8(0, _t2497_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t2497_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 't':
                                                                                                                                                        {
                                                                                                                                                          char _t2498_switch_tag;

                                                                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                                                                          flick_cdr_swap_decode_char8(0, _t2498_switch_tag);
                                                                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                                                                          switch (_t2498_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'r':
                                                                                                                                                              {
                                                                                                                                                                char _t2499_switch_tag;

                                                                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                                                                flick_cdr_swap_decode_char8(0, _t2499_switch_tag);
                                                                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                                                                switch (_t2499_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'i':
                                                                                                                                                                    {
                                                                                                                                                                      char _t2500_switch_tag;

                                                                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                                                                      flick_cdr_swap_decode_char8(0, _t2500_switch_tag);
                                                                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                                                                      switch (_t2500_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'b':
                                                                                                                                                                          {
                                                                                                                                                                            char _t2501_switch_tag;

                                                                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                                                                            flick_cdr_swap_decode_char8(0, _t2501_switch_tag);
                                                                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                                                                            switch (_t2501_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'u':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t2502_switch_tag;

                                                                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2502_switch_tag);
                                                                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                  switch (_t2502_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 't':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t2503_switch_tag;

                                                                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2503_switch_tag);
                                                                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                        switch (_t2503_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 'e':
                                                                                                                                                                                            {
                                                                                                                                                                                              char _t2504_switch_tag;

                                                                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2504_switch_tag);
                                                                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                              switch (_t2504_switch_tag)
                                                                                                                                                                                                {
                                                                                                                                                                                                case 0:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    {
                                                                                                                                                                                                      ex4 _obj;
                                                                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                                                                      CORBA_unsigned_short _return = 0;
                                                                                                                                                                                                      CORBA_Environment _t2505_storage;

                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      _ev = &_t2505_storage;
                                                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                                                                      _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      flick_iiop_encode_new_glob(6);
                                                                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                                                                        {
                                                                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                                                                            flick_iiop_encode_new_chunk(2);
                                                                                                                                                                                                            flick_cdr_encode_unsigned16(0, _return);
                                                                                                                                                                                                            flick_iiop_encode_end_chunk(2);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        default:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                                                          }
                                                                                                                                                                                                        }
                                                                                                                                                                                                      flick_iiop_encode_end_glob(6);
                                                                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                                                                    }
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                default:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'l':
                                                  {
                                                    char _t2506_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2506_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2506_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t2507_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2507_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2507_switch_tag)
                                                            {
                                                            case 'm':
                                                              {
                                                                char _t2508_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2508_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2508_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t2509_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2509_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2509_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t2510_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2510_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2510_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t2511_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2511_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2511_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t2512_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2512_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2512_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t2513_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2513_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2513_switch_tag)
                                                                                                {
                                                                                                case 's':
                                                                                                  {
                                                                                                    char _t2514_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2514_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2514_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t2515_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2515_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2515_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t2516_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2516_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2516_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t2517_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2517_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2517_switch_tag)
                                                                                                                        {
                                                                                                                        case 'n':
                                                                                                                          {
                                                                                                                            char _t2518_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2518_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2518_switch_tag)
                                                                                                                              {
                                                                                                                              case 'g':
                                                                                                                                {
                                                                                                                                  char _t2519_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2519_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2519_switch_tag)
                                                                                                                                    {
                                                                                                                                    case '_':
                                                                                                                                      {
                                                                                                                                        char _t2520_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2520_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2520_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'a':
                                                                                                                                            {
                                                                                                                                              char _t2521_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2521_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2521_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t2522_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_swap_decode_char8(0, _t2522_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t2522_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 't':
                                                                                                                                                        {
                                                                                                                                                          char _t2523_switch_tag;

                                                                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                                                                          flick_cdr_swap_decode_char8(0, _t2523_switch_tag);
                                                                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                                                                          switch (_t2523_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'r':
                                                                                                                                                              {
                                                                                                                                                                char _t2524_switch_tag;

                                                                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                                                                flick_cdr_swap_decode_char8(0, _t2524_switch_tag);
                                                                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                                                                switch (_t2524_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'i':
                                                                                                                                                                    {
                                                                                                                                                                      char _t2525_switch_tag;

                                                                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                                                                      flick_cdr_swap_decode_char8(0, _t2525_switch_tag);
                                                                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                                                                      switch (_t2525_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'b':
                                                                                                                                                                          {
                                                                                                                                                                            char _t2526_switch_tag;

                                                                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                                                                            flick_cdr_swap_decode_char8(0, _t2526_switch_tag);
                                                                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                                                                            switch (_t2526_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'u':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t2527_switch_tag;

                                                                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2527_switch_tag);
                                                                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                  switch (_t2527_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 't':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t2528_switch_tag;

                                                                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2528_switch_tag);
                                                                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                        switch (_t2528_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 'e':
                                                                                                                                                                                            {
                                                                                                                                                                                              char _t2529_switch_tag;

                                                                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2529_switch_tag);
                                                                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                              switch (_t2529_switch_tag)
                                                                                                                                                                                                {
                                                                                                                                                                                                case 0:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    {
                                                                                                                                                                                                      ex4 _obj;
                                                                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                                                                      CORBA_char *_return = 0;
                                                                                                                                                                                                      CORBA_Environment _t2530_storage;

                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      _ev = &_t2530_storage;
                                                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                                                                      _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                                                                        {
                                                                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                                                                            flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        default:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                                                                          }
                                                                                                                                                                                                        }
                                                                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                                                                    }
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                default:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t2531_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2531_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2531_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2532_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2532_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2532_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2533_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2533_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2533_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2534_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2534_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2534_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t2535_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2535_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2535_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t2536_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2536_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2536_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t2537_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2537_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2537_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t2538_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2538_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2538_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t2539_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2539_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2539_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t2540_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2540_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2540_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t2541_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2541_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2541_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t2542_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2542_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2542_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t2543_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2543_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2543_switch_tag)
                                                                                                      {
                                                                                                      case 's':
                                                                                                        {
                                                                                                          char _t2544_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2544_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2544_switch_tag)
                                                                                                            {
                                                                                                            case 'h':
                                                                                                              {
                                                                                                                char _t2545_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2545_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2545_switch_tag)
                                                                                                                  {
                                                                                                                  case 'o':
                                                                                                                    {
                                                                                                                      char _t2546_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2546_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2546_switch_tag)
                                                                                                                        {
                                                                                                                        case 'r':
                                                                                                                          {
                                                                                                                            char _t2547_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2547_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2547_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t2548_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2548_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2548_switch_tag)
                                                                                                                                    {
                                                                                                                                    case '_':
                                                                                                                                      {
                                                                                                                                        char _t2549_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2549_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2549_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'a':
                                                                                                                                            {
                                                                                                                                              char _t2550_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2550_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2550_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t2551_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_swap_decode_char8(0, _t2551_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t2551_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 't':
                                                                                                                                                        {
                                                                                                                                                          char _t2552_switch_tag;

                                                                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                                                                          flick_cdr_swap_decode_char8(0, _t2552_switch_tag);
                                                                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                                                                          switch (_t2552_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'r':
                                                                                                                                                              {
                                                                                                                                                                char _t2553_switch_tag;

                                                                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                                                                flick_cdr_swap_decode_char8(0, _t2553_switch_tag);
                                                                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                                                                switch (_t2553_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'i':
                                                                                                                                                                    {
                                                                                                                                                                      char _t2554_switch_tag;

                                                                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                                                                      flick_cdr_swap_decode_char8(0, _t2554_switch_tag);
                                                                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                                                                      switch (_t2554_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'b':
                                                                                                                                                                          {
                                                                                                                                                                            char _t2555_switch_tag;

                                                                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                                                                            flick_cdr_swap_decode_char8(0, _t2555_switch_tag);
                                                                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                                                                            switch (_t2555_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'u':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t2556_switch_tag;

                                                                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2556_switch_tag);
                                                                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                  switch (_t2556_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 't':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t2557_switch_tag;

                                                                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2557_switch_tag);
                                                                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                        switch (_t2557_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 'e':
                                                                                                                                                                                            {
                                                                                                                                                                                              char _t2558_switch_tag;

                                                                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2558_switch_tag);
                                                                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                              switch (_t2558_switch_tag)
                                                                                                                                                                                                {
                                                                                                                                                                                                case 0:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    {
                                                                                                                                                                                                      ex4 _obj;
                                                                                                                                                                                                      CORBA_unsigned_short _local_unsigned_short_attribute;
                                                                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                                                                      CORBA_Environment _t2559_storage;
                                                                                                                                                                                                      unsigned int _t2560_principal;

                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      _ev = &_t2559_storage;
                                                                                                                                                                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                                                                      flick_iiop_decode_new_chunk(7);
                                                                                                                                                                                                      flick_cdr_swap_decode_unsigned32(1, _t2560_principal);
                                                                                                                                                                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                                                                      flick_cdr_swap_decode_unsigned16(5, _local_unsigned_short_attribute);
                                                                                                                                                                                                      flick_iiop_decode_end_chunk(7);
                                                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                                                                      ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                                                                        {
                                                                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        default:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                                                          }
                                                                                                                                                                                                        }
                                                                                                                                                                                                      flick_iiop_encode_end_glob(4);
                                                                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                                                                    }
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                default:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t2561_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t2561_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2561_switch_tag)
            {
            case '_':
              {
                char _t2562_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t2562_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2562_switch_tag)
                  {
                  case '_':
                    {
                      char _t2563_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t2563_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2563_switch_tag)
                        {
                        case 'g':
                          {
                            char _t2564_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2564_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2564_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2565_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2565_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2565_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2566_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2566_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2566_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2567_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2567_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2567_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t2568_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2568_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2568_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t2569_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2569_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2569_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t2570_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2570_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2570_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t2571_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2571_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2571_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t2572_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2572_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2572_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t2573_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2573_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2573_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t2574_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2574_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2574_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t2575_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2575_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2575_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t2576_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2576_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2576_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t2577_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2577_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2577_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t2578_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2578_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2578_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t2579_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2579_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2579_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t2580_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2580_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2580_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t2581_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2581_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2581_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char _return = 0;
                                                                                                                                          CORBA_Environment _t2582_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t2582_storage;
                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex4__get_char_attribute(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(5);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_new_chunk(1);
                                                                                                                                                flick_cdr_encode_char8(0, _return);
                                                                                                                                                flick_iiop_encode_end_chunk(1);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(5);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'l':
                                                  {
                                                    char _t2583_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2583_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2583_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t2584_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2584_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2584_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t2585_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2585_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2585_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t2586_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2586_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2586_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t2587_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2587_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2587_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t2588_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2588_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2588_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t2589_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2589_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2589_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t2590_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2590_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2590_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t2591_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2591_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2591_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t2592_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2592_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2592_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t2593_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2593_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2593_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t2594_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2594_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2594_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t2595_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2595_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2595_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t2596_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2596_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2596_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_long _return = 0;
                                                                                                                                          CORBA_Environment _t2597_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t2597_storage;
                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex4__get_long_attribute(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(8);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _return);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(8);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 24:
        {
          char _t2598_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t2598_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2598_switch_tag)
            {
            case '_':
              {
                char _t2599_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t2599_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2599_switch_tag)
                  {
                  case '_':
                    {
                      char _t2600_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t2600_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2600_switch_tag)
                        {
                        case 'g':
                          {
                            char _t2601_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2601_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2601_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2602_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2602_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2602_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2603_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2603_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2603_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2604_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2604_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2604_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t2605_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2605_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2605_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t2606_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2606_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2606_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t2607_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2607_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2607_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t2608_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2608_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2608_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t2609_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2609_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2609_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t2610_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2610_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2610_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t2611_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2611_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2611_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t2612_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2612_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2612_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t2613_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2613_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2613_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t2614_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2614_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2614_switch_tag)
                                                                                                            {
                                                                                                            case 't':
                                                                                                              {
                                                                                                                char _t2615_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2615_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2615_switch_tag)
                                                                                                                  {
                                                                                                                  case 'r':
                                                                                                                    {
                                                                                                                      char _t2616_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2616_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2616_switch_tag)
                                                                                                                        {
                                                                                                                        case 'i':
                                                                                                                          {
                                                                                                                            char _t2617_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2617_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2617_switch_tag)
                                                                                                                              {
                                                                                                                              case 'b':
                                                                                                                                {
                                                                                                                                  char _t2618_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2618_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2618_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'u':
                                                                                                                                      {
                                                                                                                                        char _t2619_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2619_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2619_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t2620_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2620_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2620_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'e':
                                                                                                                                                  {
                                                                                                                                                    char _t2621_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_swap_decode_char8(0, _t2621_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t2621_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            ex4 _obj;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_boolean _return = 0;
                                                                                                                                                            CORBA_Environment _t2622_storage;

                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t2622_storage;
                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            _return = ex4__get_boolean_attribute(_obj, _ev);
                                                                                                                                                            flick_iiop_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            flick_iiop_encode_new_glob(5);
                                                                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                                                                  flick_iiop_encode_new_chunk(1);
                                                                                                                                                                  flick_cdr_encode_unsigned8(0, _return);
                                                                                                                                                                  flick_iiop_encode_end_chunk(1);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_iiop_encode_end_glob(5);
                                                                                                                                                            flick_iiop_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t2623_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2623_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2623_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2624_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2624_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2624_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2625_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2625_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2625_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2626_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2626_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2626_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t2627_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2627_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2627_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t2628_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2628_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2628_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t2629_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2629_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2629_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t2630_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2630_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2630_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t2631_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2631_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2631_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t2632_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2632_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2632_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t2633_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2633_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2633_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t2634_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2634_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2634_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t2635_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2635_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2635_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t2636_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2636_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2636_switch_tag)
                                                                                                            {
                                                                                                            case 't':
                                                                                                              {
                                                                                                                char _t2637_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2637_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2637_switch_tag)
                                                                                                                  {
                                                                                                                  case 'r':
                                                                                                                    {
                                                                                                                      char _t2638_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2638_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2638_switch_tag)
                                                                                                                        {
                                                                                                                        case 'i':
                                                                                                                          {
                                                                                                                            char _t2639_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2639_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2639_switch_tag)
                                                                                                                              {
                                                                                                                              case 'b':
                                                                                                                                {
                                                                                                                                  char _t2640_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2640_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2640_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'u':
                                                                                                                                      {
                                                                                                                                        char _t2641_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2641_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2641_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t2642_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2642_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2642_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'e':
                                                                                                                                                  {
                                                                                                                                                    char _t2643_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_swap_decode_char8(0, _t2643_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t2643_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            ex4 _obj;
                                                                                                                                                            CORBA_boolean _local_boolean_attribute;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_Environment _t2644_storage;
                                                                                                                                                            unsigned int _t2645_principal;

                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t2644_storage;
                                                                                                                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                            flick_iiop_decode_new_chunk(5);
                                                                                                                                                            flick_cdr_swap_decode_unsigned32(0, _t2645_principal);
                                                                                                                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                            flick_cdr_swap_decode_unsigned8(4, _local_boolean_attribute);
                                                                                                                                                            flick_iiop_decode_end_chunk(5);
                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                                                                                                                            flick_iiop_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            flick_iiop_encode_new_glob(4);
                                                                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                            flick_iiop_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          char _t2646_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t2646_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2646_switch_tag)
            {
            case '_':
              {
                char _t2647_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t2647_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2647_switch_tag)
                  {
                  case '_':
                    {
                      char _t2648_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t2648_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2648_switch_tag)
                        {
                        case 'g':
                          {
                            char _t2649_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2649_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2649_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2650_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2650_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2650_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2651_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2651_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2651_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2652_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2652_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2652_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t2653_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2653_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2653_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t2654_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2654_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2654_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t2655_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2655_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2655_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t2656_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2656_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2656_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t2657_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2657_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2657_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t2658_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2658_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2658_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t2659_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2659_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2659_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t2660_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2660_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2660_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t2661_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2661_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2661_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t2662_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2662_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2662_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t2663_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2663_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2663_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t2664_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2664_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2664_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t2665_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2665_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2665_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t2666_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2666_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2666_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t2667_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2667_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2667_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_octet _return = 0;
                                                                                                                                                CORBA_Environment _t2668_storage;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t2668_storage;
                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_octet_attribute(_obj, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(5);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      flick_iiop_encode_new_chunk(1);
                                                                                                                                                      flick_cdr_encode_unsigned8(0, _return);
                                                                                                                                                      flick_iiop_encode_end_chunk(1);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(5);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'f':
                                                  {
                                                    char _t2669_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2669_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2669_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t2670_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2670_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2670_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t2671_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2671_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2671_switch_tag)
                                                                  {
                                                                  case 'a':
                                                                    {
                                                                      char _t2672_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2672_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2672_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t2673_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2673_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2673_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t2674_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2674_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2674_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t2675_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2675_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2675_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t2676_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2676_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2676_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t2677_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2677_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2677_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t2678_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2678_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2678_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t2679_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2679_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2679_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t2680_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2680_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2680_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t2681_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2681_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2681_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t2682_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2682_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2682_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t2683_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2683_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2683_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_float _return = 0.000000;
                                                                                                                                                CORBA_Environment _t2684_storage;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t2684_storage;
                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_float_attribute(_obj, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(8);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_float32(0, _return);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(8);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 's':
                                                  {
                                                    char _t2685_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2685_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2685_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t2686_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2686_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2686_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t2687_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2687_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2687_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t2688_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2688_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2688_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t2689_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2689_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2689_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t2690_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2690_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2690_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t2691_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2691_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2691_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t2692_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2692_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2692_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t2693_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2693_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2693_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t2694_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2694_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2694_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t2695_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2695_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2695_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t2696_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2696_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2696_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t2697_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2697_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2697_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t2698_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2698_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2698_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t2699_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2699_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2699_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_short _return = 0;
                                                                                                                                                CORBA_Environment _t2700_storage;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t2700_storage;
                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_short_attribute(_obj, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(6);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      flick_iiop_encode_new_chunk(2);
                                                                                                                                                      flick_cdr_encode_signed16(0, _return);
                                                                                                                                                      flick_iiop_encode_end_chunk(2);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(6);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t2701_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2701_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2701_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2702_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2702_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2702_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2703_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2703_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2703_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2704_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2704_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2704_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t2705_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2705_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2705_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t2706_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2706_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2706_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t2707_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2707_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2707_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t2708_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2708_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2708_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t2709_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2709_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2709_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t2710_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2710_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2710_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t2711_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2711_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2711_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t2712_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2712_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2712_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t2713_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2713_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2713_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t2714_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2714_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2714_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t2715_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2715_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2715_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t2716_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2716_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2716_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t2717_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2717_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2717_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t2718_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2718_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2718_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t2719_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2719_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2719_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_short _local_short_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t2720_storage;
                                                                                                                                                unsigned int _t2721_principal;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t2720_storage;
                                                                                                                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                flick_iiop_decode_new_chunk(8);
                                                                                                                                                flick_cdr_swap_decode_unsigned32(2, _t2721_principal);
                                                                                                                                                /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                flick_cdr_swap_decode_signed16(6, _local_short_attribute);
                                                                                                                                                flick_iiop_decode_end_chunk(8);
                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(4);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          char _t2722_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t2722_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2722_switch_tag)
            {
            case '_':
              {
                char _t2723_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t2723_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2723_switch_tag)
                  {
                  case '_':
                    {
                      char _t2724_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t2724_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2724_switch_tag)
                        {
                        case 'g':
                          {
                            char _t2725_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2725_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2725_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2726_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2726_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2726_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2727_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2727_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2727_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2728_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2728_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2728_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t2729_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2729_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2729_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t2730_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2730_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2730_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t2731_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2731_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2731_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t2732_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2732_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2732_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t2733_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2733_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2733_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t2734_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2734_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2734_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t2735_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2735_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2735_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t2736_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2736_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2736_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t2737_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2737_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2737_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t2738_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2738_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2738_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t2739_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2739_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2739_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t2740_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2740_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2740_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t2741_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2741_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2741_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t2742_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2742_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2742_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t2743_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2743_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2743_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t2744_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2744_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2744_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_char *_return = 0;
                                                                                                                                                      CORBA_Environment _t2745_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t2745_storage;
                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = ex4__get_string_attribute(_obj, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                            flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'd':
                                                  {
                                                    char _t2746_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2746_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2746_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t2747_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2747_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2747_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t2748_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2748_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2748_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t2749_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2749_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2749_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t2750_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2750_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2750_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t2751_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2751_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2751_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t2752_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2752_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2752_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t2753_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2753_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2753_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t2754_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2754_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2754_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t2755_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2755_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2755_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t2756_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2756_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2756_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t2757_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2757_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2757_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t2758_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2758_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2758_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t2759_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2759_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2759_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t2760_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2760_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2760_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t2761_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2761_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2761_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_double _return = 0.000000;
                                                                                                                                                      CORBA_Environment _t2762_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t2762_storage;
                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = ex4__get_double_attribute(_obj, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(12);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                                                                                                            flick_cdr_encode_float64(0, _return);
                                                                                                                                                            flick_iiop_encode_end_chunk(8);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_encode_end_glob(12);
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t2763_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2763_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2763_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2764_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2764_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2764_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2765_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2765_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2765_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2766_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2766_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2766_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t2767_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2767_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2767_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t2768_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2768_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2768_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t2769_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2769_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2769_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t2770_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2770_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2770_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t2771_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2771_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2771_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t2772_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2772_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2772_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t2773_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2773_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2773_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t2774_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2774_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2774_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t2775_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2775_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2775_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t2776_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2776_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2776_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t2777_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2777_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2777_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t2778_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2778_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2778_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t2779_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2779_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2779_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t2780_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2780_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2780_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t2781_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2781_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2781_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t2782_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2782_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2782_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_char *_local_string_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t2783_storage;
                                                                                                                                                      unsigned int _t2784_principal;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t2783_storage;
                                                                                                                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                      flick_iiop_decode_new_chunk(5);
                                                                                                                                                      flick_cdr_swap_decode_unsigned32(1, _t2784_principal);
                                                                                                                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                      flick_iiop_decode_end_chunk(5);
                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                      flick_cdr_swap_decode_auto_string(_local_string_attribute, auto_flick_alloc, iiop);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_encode_end_glob(4);
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'd':
                                                  {
                                                    char _t2785_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2785_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2785_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t2786_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2786_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2786_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t2787_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2787_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2787_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t2788_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2788_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2788_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t2789_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2789_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2789_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t2790_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2790_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2790_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t2791_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2791_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2791_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t2792_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2792_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2792_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t2793_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2793_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2793_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t2794_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2794_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2794_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t2795_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2795_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2795_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t2796_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2796_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2796_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t2797_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2797_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2797_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t2798_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2798_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2798_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t2799_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2799_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2799_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t2800_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2800_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2800_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_double _local_double_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t2801_storage;
                                                                                                                                                      unsigned int _t2802_principal;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t2801_storage;
                                                                                                                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                      flick_iiop_decode_new_chunk(5);
                                                                                                                                                      flick_cdr_swap_decode_unsigned32(1, _t2802_principal);
                                                                                                                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                      flick_iiop_decode_end_chunk(5);
                                                                                                                                                      flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                                                                                                      flick_cdr_swap_decode_float64(0, _local_double_attribute);
                                                                                                                                                      flick_iiop_decode_end_chunk(8);
                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_encode_end_glob(4);
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t2803_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t2803_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2803_switch_tag)
            {
            case 'o':
              {
                char _t2804_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t2804_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2804_switch_tag)
                  {
                  case 'p':
                    {
                      char _t2805_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t2805_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2805_switch_tag)
                        {
                        case '7':
                          {
                            char _t2806_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2806_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2806_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_char _local_c;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet *_local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_char _return = 0;
                                    CORBA_boolean _t2807_storage;
                                    CORBA_Environment _t2808_storage;
                                    unsigned int _t2809_principal;
                                    CORBA_octet _t2810_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_b = &_t2807_storage;
                                    _ev = &_t2808_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(6);
                                    flick_cdr_swap_decode_unsigned32(0, _t2809_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_char8(4, _local_c);
                                    _local_o = &_t2810_storage;
                                    flick_cdr_swap_decode_unsigned8(5, *_local_o);
                                    flick_iiop_decode_end_chunk(6);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(3);
                                          flick_cdr_encode_unsigned8(0, *_local_b);
                                          flick_cdr_encode_unsigned8(1, *_local_o);
                                          flick_cdr_encode_char8(2, _return);
                                          flick_iiop_encode_end_chunk(3);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(7);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '8':
                          {
                            char _t2811_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2811_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2811_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet _local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_boolean _return = 0;
                                    CORBA_boolean _t2812_storage;
                                    CORBA_Environment _t2813_storage;
                                    unsigned int _t2814_principal;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_b = &_t2812_storage;
                                    _ev = &_t2813_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(0, _t2814_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_unsigned8(4, _local_o);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(6);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(2);
                                          flick_cdr_encode_unsigned8(0, *_local_b);
                                          flick_cdr_encode_unsigned8(1, _return);
                                          flick_iiop_encode_end_chunk(2);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(6);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '9':
                          {
                            char _t2815_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2815_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2815_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_octet *_local_o;
                                    CORBA_char **_local_s;
                                    CORBA_char *_local_ls;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_octet _return = 0;
                                    CORBA_char *_t2816_storage;
                                    CORBA_Environment _t2817_storage;
                                    unsigned int _t2818_principal;
                                    CORBA_octet _t2819_storage;
                                    CORBA_long _t2820_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t2816_storage;
                                    _ev = &_t2817_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(0, _t2818_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_o = &_t2819_storage;
                                    flick_cdr_swap_decode_unsigned8(4, *_local_o);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(42);
                                    flick_cdr_swap_decode_auto_string(_local_ls, auto_flick_alloc, iiop);
                                    _local_l = &_t2820_storage;
                                    flick_iiop_decode_new_glob(4);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_signed32(0, *_local_l);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(4);
                                    flick_corba_init_environment();
                                    _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(5);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_unsigned8(0, *_local_o);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(5);
                                          flick_cdr_encode_longstring(*_local_s, CORBA_flick_free, iiop);
                                          flick_iiop_encode_new_glob(5);
                                          flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_unsigned8(4, _return);
                                          flick_iiop_encode_end_chunk(5);
                                          flick_iiop_encode_end_glob(5);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          flick_iiop_encode_end_glob(5);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(5);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '0':
                          {
                            char _t2821_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2821_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2821_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t2822_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t2822_storage;
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    ex4_op0(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(4);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t2823_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2823_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2823_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t2824_storage;
                                    CORBA_Environment _t2825_storage;
                                    unsigned int _t2826_principal;
                                    CORBA_long _t2827_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_d = &_t2824_storage;
                                    _ev = &_t2825_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_swap_decode_unsigned32(0, _t2826_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_float32(4, _local_f);
                                    _local_l = &_t2827_storage;
                                    flick_cdr_swap_decode_signed32(8, *_local_l);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(20);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                          flick_cdr_encode_float64(0, *_local_d);
                                          flick_cdr_encode_signed32(8, *_local_l);
                                          flick_cdr_encode_float32(12, _return);
                                          flick_iiop_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(20);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t2828_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2828_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2828_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t2829_storage;
                                    CORBA_Environment _t2830_storage;
                                    unsigned int _t2831_principal;
                                    CORBA_short _t2832_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_l = &_t2829_storage;
                                    _ev = &_t2830_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _t2831_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_new_chunk_align(10, 3, 2, 0);
                                    flick_cdr_swap_decode_float64(0, _local_d);
                                    _local_s = &_t2832_storage;
                                    flick_cdr_swap_decode_signed16(8, *_local_s);
                                    flick_iiop_decode_end_chunk(10);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(24);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_signed16(4, *_local_s);
                                          flick_iiop_encode_end_chunk(6);
                                          flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                          flick_cdr_encode_float64(0, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(24);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t2833_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2833_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2833_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t2834_storage;
                                    CORBA_Environment _t2835_storage;
                                    unsigned int _t2836_principal;
                                    CORBA_unsigned_long _t2837_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t2834_storage;
                                    _ev = &_t2835_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_swap_decode_unsigned32(0, _t2836_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_signed32(4, _local_l);
                                    _local_ul = &_t2837_storage;
                                    flick_cdr_swap_decode_unsigned32(8, *_local_ul);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_signed16(0, *_local_s);
                                          flick_cdr_encode_unsigned32(4, *_local_ul);
                                          flick_cdr_encode_signed32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t2838_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2838_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2838_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t2839_storage;
                                    CORBA_Environment _t2840_storage;
                                    unsigned int _t2841_principal;
                                    CORBA_unsigned_short _t2842_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_ul = &_t2839_storage;
                                    _ev = &_t2840_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_swap_decode_unsigned32(0, _t2841_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_signed16(4, _local_s);
                                    _local_us = &_t2842_storage;
                                    flick_cdr_swap_decode_unsigned16(6, *_local_us);
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_unsigned16(4, *_local_us);
                                          flick_cdr_encode_signed16(6, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t2843_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2843_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2843_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t2844_storage;
                                    CORBA_Environment _t2845_storage;
                                    unsigned int _t2846_principal;
                                    CORBA_unsigned_long _t2847_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_c = &_t2844_storage;
                                    _ev = &_t2845_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(11);
                                    flick_cdr_swap_decode_unsigned32(0, _t2846_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_ul = &_t2847_storage;
                                    flick_cdr_swap_decode_unsigned32(4, *_local_ul);
                                    flick_cdr_swap_decode_unsigned16(8, _local_us);
                                    flick_cdr_swap_decode_unsigned8(10, _local_b);
                                    flick_iiop_decode_end_chunk(11);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_char8(4, *_local_c);
                                          flick_cdr_encode_unsigned32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t2848_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2848_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2848_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t2849_storage;
                                    CORBA_Environment _t2850_storage;
                                    unsigned int _t2851_principal;
                                    CORBA_char _t2852_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_us = &_t2849_storage;
                                    _ev = &_t2850_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(0, _t2851_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_c = &_t2852_storage;
                                    flick_cdr_swap_decode_char8(4, *_local_c);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(10);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_unsigned16(0, *_local_us);
                                          flick_cdr_encode_char8(2, *_local_c);
                                          flick_cdr_encode_unsigned16(4, _return);
                                          flick_iiop_encode_end_chunk(6);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(10);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t2853_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t2853_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2853_switch_tag)
            {
            case 'o':
              {
                char _t2854_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t2854_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2854_switch_tag)
                  {
                  case 'p':
                    {
                      char _t2855_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t2855_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2855_switch_tag)
                        {
                        case '1':
                          {
                            char _t2856_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2856_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2856_switch_tag)
                              {
                              case '0':
                                {
                                  char _t2857_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2857_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2857_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_char *_local_s;
                                          CORBA_char **_local_ls;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_char *_t2858_storage;
                                          CORBA_Environment _t2859_storage;
                                          unsigned int _t2860_principal;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_ls = &_t2858_storage;
                                          _ev = &_t2859_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t2860_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(42);
                                          flick_cdr_swap_decode_auto_string(_local_s, auto_flick_alloc, iiop);
                                          flick_corba_init_environment();
                                          _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '1':
                                {
                                  char _t2861_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2861_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2861_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_char **_local_ls;
                                          CORBA_long *_local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_long _t2862_storage;
                                          CORBA_Environment _t2863_storage;
                                          unsigned int _t2864_principal;
                                          CORBA_char *_t2865_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_l = &_t2862_storage;
                                          _ev = &_t2863_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t2864_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          _local_ls = &_t2865_storage;
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(42);
                                          flick_cdr_swap_decode_string(*_local_ls, CORBA_flick_alloc, iiop, 10);
                                          flick_corba_init_environment();
                                          _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                flick_cdr_encode_signed32(0, *_local_l);
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '2':
                                {
                                  char _t2866_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2866_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2866_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_long _local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_Environment _t2867_storage;
                                          unsigned int _t2868_principal;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _ev = &_t2867_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(11);
                                          flick_cdr_swap_decode_unsigned32(3, _t2868_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_swap_decode_signed32(7, _local_l);
                                          flick_iiop_decode_end_chunk(11);
                                          flick_iiop_decode_end_glob(42);
                                          flick_corba_init_environment();
                                          _return = ex4_op12(_obj, _local_l, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(8);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(8);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 30:
        {
          char _t2869_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t2869_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2869_switch_tag)
            {
            case '_':
              {
                char _t2870_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t2870_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2870_switch_tag)
                  {
                  case '_':
                    {
                      char _t2871_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t2871_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2871_switch_tag)
                        {
                        case 'g':
                          {
                            char _t2872_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2872_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2872_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2873_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2873_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2873_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2874_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2874_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2874_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2875_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2875_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2875_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t2876_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2876_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2876_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t2877_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2877_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2877_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t2878_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2878_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2878_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t2879_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2879_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2879_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t2880_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2880_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2880_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t2881_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2881_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2881_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t2882_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2882_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2882_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t2883_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2883_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2883_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t2884_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2884_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2884_switch_tag)
                                                                                                      {
                                                                                                      case 'l':
                                                                                                        {
                                                                                                          char _t2885_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2885_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2885_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t2886_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2886_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2886_switch_tag)
                                                                                                                  {
                                                                                                                  case 'n':
                                                                                                                    {
                                                                                                                      char _t2887_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2887_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2887_switch_tag)
                                                                                                                        {
                                                                                                                        case 'g':
                                                                                                                          {
                                                                                                                            char _t2888_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2888_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2888_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t2889_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2889_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2889_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t2890_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2890_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2890_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t2891_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t2891_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2891_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t2892_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_swap_decode_char8(0, _t2892_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t2892_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t2893_switch_tag;

                                                                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                                                                          flick_cdr_swap_decode_char8(0, _t2893_switch_tag);
                                                                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                                                                          switch (_t2893_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t2894_switch_tag;

                                                                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                                                                flick_cdr_swap_decode_char8(0, _t2894_switch_tag);
                                                                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                                                                switch (_t2894_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t2895_switch_tag;

                                                                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                                                                      flick_cdr_swap_decode_char8(0, _t2895_switch_tag);
                                                                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                                                                      switch (_t2895_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t2896_switch_tag;

                                                                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                                                                            flick_cdr_swap_decode_char8(0, _t2896_switch_tag);
                                                                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                                                                            switch (_t2896_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t2897_switch_tag;

                                                                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2897_switch_tag);
                                                                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                  switch (_t2897_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t2898_switch_tag;

                                                                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                        flick_cdr_swap_decode_char8(0, _t2898_switch_tag);
                                                                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                        switch (_t2898_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex4 _obj;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_unsigned_long _return = 0;
                                                                                                                                                                                                CORBA_Environment _t2899_storage;

                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                _ev = &_t2899_storage;
                                                                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_iiop_encode_new_glob(8);
                                                                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                switch (_ev->_major)
                                                                                                                                                                                                  {
                                                                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                      flick_cdr_encode_unsigned32(0, _return);
                                                                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  default:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                                                    }
                                                                                                                                                                                                  }
                                                                                                                                                                                                flick_iiop_encode_end_glob(8);
                                                                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(42);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t1619_switch_tag;

    flick_iiop_decode_new_glob(42);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t1619_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t1619_switch_tag)
      {
      case (unsigned int) 31:
        {
          char _t1620_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1620_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1620_switch_tag)
            {
            case '_':
              {
                char _t1621_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1621_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1621_switch_tag)
                  {
                  case '_':
                    {
                      char _t1622_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1622_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1622_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1623_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1623_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1623_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1624_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1624_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1624_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1625_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1625_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1625_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1626_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1626_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1626_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t1627_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1627_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1627_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1628_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1628_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1628_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t1629_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1629_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1629_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1630_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1630_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1630_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t1631_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1631_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1631_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1632_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1632_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1632_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t1633_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1633_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1633_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t1634_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1634_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1634_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t1635_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1635_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1635_switch_tag)
                                                                                                      {
                                                                                                      case 's':
                                                                                                        {
                                                                                                          char _t1636_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1636_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1636_switch_tag)
                                                                                                            {
                                                                                                            case 'h':
                                                                                                              {
                                                                                                                char _t1637_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1637_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1637_switch_tag)
                                                                                                                  {
                                                                                                                  case 'o':
                                                                                                                    {
                                                                                                                      char _t1638_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1638_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1638_switch_tag)
                                                                                                                        {
                                                                                                                        case 'r':
                                                                                                                          {
                                                                                                                            char _t1639_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1639_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1639_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1640_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1640_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1640_switch_tag)
                                                                                                                                    {
                                                                                                                                    case '_':
                                                                                                                                      {
                                                                                                                                        char _t1641_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1641_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1641_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'a':
                                                                                                                                            {
                                                                                                                                              char _t1642_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t1642_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1642_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1643_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_decode_char8(0, _t1643_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t1643_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 't':
                                                                                                                                                        {
                                                                                                                                                          char _t1644_switch_tag;

                                                                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                                                                          flick_cdr_decode_char8(0, _t1644_switch_tag);
                                                                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                                                                          switch (_t1644_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'r':
                                                                                                                                                              {
                                                                                                                                                                char _t1645_switch_tag;

                                                                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                                                                flick_cdr_decode_char8(0, _t1645_switch_tag);
                                                                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                                                                switch (_t1645_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'i':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1646_switch_tag;

                                                                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                                                                      flick_cdr_decode_char8(0, _t1646_switch_tag);
                                                                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                                                                      switch (_t1646_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'b':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1647_switch_tag;

                                                                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                                                                            flick_cdr_decode_char8(0, _t1647_switch_tag);
                                                                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                                                                            switch (_t1647_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'u':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1648_switch_tag;

                                                                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                  flick_cdr_decode_char8(0, _t1648_switch_tag);
                                                                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                  switch (_t1648_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 't':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1649_switch_tag;

                                                                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                        flick_cdr_decode_char8(0, _t1649_switch_tag);
                                                                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                        switch (_t1649_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 'e':
                                                                                                                                                                                            {
                                                                                                                                                                                              char _t1650_switch_tag;

                                                                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                              flick_cdr_decode_char8(0, _t1650_switch_tag);
                                                                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                              switch (_t1650_switch_tag)
                                                                                                                                                                                                {
                                                                                                                                                                                                case 0:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    {
                                                                                                                                                                                                      ex4 _obj;
                                                                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                                                                      CORBA_unsigned_short _return = 0;
                                                                                                                                                                                                      CORBA_Environment _t1651_storage;

                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      _ev = &_t1651_storage;
                                                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                                                                      _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      flick_iiop_encode_new_glob(6);
                                                                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                                                                        {
                                                                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                                                                            flick_iiop_encode_new_chunk(2);
                                                                                                                                                                                                            flick_cdr_encode_unsigned16(0, _return);
                                                                                                                                                                                                            flick_iiop_encode_end_chunk(2);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        default:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                                                          }
                                                                                                                                                                                                        }
                                                                                                                                                                                                      flick_iiop_encode_end_glob(6);
                                                                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                                                                    }
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                default:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'l':
                                                  {
                                                    char _t1652_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1652_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1652_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t1653_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1653_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1653_switch_tag)
                                                            {
                                                            case 'm':
                                                              {
                                                                char _t1654_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1654_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1654_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1655_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1655_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1655_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1656_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1656_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1656_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1657_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1657_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1657_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t1658_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1658_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1658_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1659_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1659_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1659_switch_tag)
                                                                                                {
                                                                                                case 's':
                                                                                                  {
                                                                                                    char _t1660_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1660_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1660_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1661_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1661_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1661_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1662_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1662_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1662_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1663_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1663_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1663_switch_tag)
                                                                                                                        {
                                                                                                                        case 'n':
                                                                                                                          {
                                                                                                                            char _t1664_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1664_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1664_switch_tag)
                                                                                                                              {
                                                                                                                              case 'g':
                                                                                                                                {
                                                                                                                                  char _t1665_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1665_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1665_switch_tag)
                                                                                                                                    {
                                                                                                                                    case '_':
                                                                                                                                      {
                                                                                                                                        char _t1666_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1666_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1666_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'a':
                                                                                                                                            {
                                                                                                                                              char _t1667_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t1667_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1667_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1668_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_decode_char8(0, _t1668_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t1668_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 't':
                                                                                                                                                        {
                                                                                                                                                          char _t1669_switch_tag;

                                                                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                                                                          flick_cdr_decode_char8(0, _t1669_switch_tag);
                                                                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                                                                          switch (_t1669_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'r':
                                                                                                                                                              {
                                                                                                                                                                char _t1670_switch_tag;

                                                                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                                                                flick_cdr_decode_char8(0, _t1670_switch_tag);
                                                                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                                                                switch (_t1670_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'i':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1671_switch_tag;

                                                                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                                                                      flick_cdr_decode_char8(0, _t1671_switch_tag);
                                                                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                                                                      switch (_t1671_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'b':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1672_switch_tag;

                                                                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                                                                            flick_cdr_decode_char8(0, _t1672_switch_tag);
                                                                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                                                                            switch (_t1672_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'u':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1673_switch_tag;

                                                                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                  flick_cdr_decode_char8(0, _t1673_switch_tag);
                                                                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                  switch (_t1673_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 't':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1674_switch_tag;

                                                                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                        flick_cdr_decode_char8(0, _t1674_switch_tag);
                                                                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                        switch (_t1674_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 'e':
                                                                                                                                                                                            {
                                                                                                                                                                                              char _t1675_switch_tag;

                                                                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                              flick_cdr_decode_char8(0, _t1675_switch_tag);
                                                                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                              switch (_t1675_switch_tag)
                                                                                                                                                                                                {
                                                                                                                                                                                                case 0:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    {
                                                                                                                                                                                                      ex4 _obj;
                                                                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                                                                      CORBA_char *_return = 0;
                                                                                                                                                                                                      CORBA_Environment _t1676_storage;

                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      _ev = &_t1676_storage;
                                                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                                                                      _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                                                                        {
                                                                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                                                                            flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        default:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                                                                          }
                                                                                                                                                                                                        }
                                                                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                                                                    }
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                default:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1677_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1677_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1677_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1678_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1678_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1678_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1679_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1679_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1679_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1680_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1680_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1680_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t1681_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1681_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1681_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1682_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1682_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1682_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t1683_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1683_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1683_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1684_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1684_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1684_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t1685_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1685_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1685_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1686_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1686_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1686_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t1687_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1687_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1687_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t1688_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1688_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1688_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t1689_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1689_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1689_switch_tag)
                                                                                                      {
                                                                                                      case 's':
                                                                                                        {
                                                                                                          char _t1690_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1690_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1690_switch_tag)
                                                                                                            {
                                                                                                            case 'h':
                                                                                                              {
                                                                                                                char _t1691_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1691_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1691_switch_tag)
                                                                                                                  {
                                                                                                                  case 'o':
                                                                                                                    {
                                                                                                                      char _t1692_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1692_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1692_switch_tag)
                                                                                                                        {
                                                                                                                        case 'r':
                                                                                                                          {
                                                                                                                            char _t1693_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1693_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1693_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1694_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1694_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1694_switch_tag)
                                                                                                                                    {
                                                                                                                                    case '_':
                                                                                                                                      {
                                                                                                                                        char _t1695_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1695_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1695_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'a':
                                                                                                                                            {
                                                                                                                                              char _t1696_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t1696_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1696_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1697_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_decode_char8(0, _t1697_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t1697_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 't':
                                                                                                                                                        {
                                                                                                                                                          char _t1698_switch_tag;

                                                                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                                                                          flick_cdr_decode_char8(0, _t1698_switch_tag);
                                                                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                                                                          switch (_t1698_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'r':
                                                                                                                                                              {
                                                                                                                                                                char _t1699_switch_tag;

                                                                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                                                                flick_cdr_decode_char8(0, _t1699_switch_tag);
                                                                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                                                                switch (_t1699_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'i':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1700_switch_tag;

                                                                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                                                                      flick_cdr_decode_char8(0, _t1700_switch_tag);
                                                                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                                                                      switch (_t1700_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'b':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1701_switch_tag;

                                                                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                                                                            flick_cdr_decode_char8(0, _t1701_switch_tag);
                                                                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                                                                            switch (_t1701_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'u':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1702_switch_tag;

                                                                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                  flick_cdr_decode_char8(0, _t1702_switch_tag);
                                                                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                  switch (_t1702_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 't':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1703_switch_tag;

                                                                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                        flick_cdr_decode_char8(0, _t1703_switch_tag);
                                                                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                        switch (_t1703_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 'e':
                                                                                                                                                                                            {
                                                                                                                                                                                              char _t1704_switch_tag;

                                                                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                              flick_cdr_decode_char8(0, _t1704_switch_tag);
                                                                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                              switch (_t1704_switch_tag)
                                                                                                                                                                                                {
                                                                                                                                                                                                case 0:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    {
                                                                                                                                                                                                      ex4 _obj;
                                                                                                                                                                                                      CORBA_unsigned_short _local_unsigned_short_attribute;
                                                                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                                                                      CORBA_Environment _t1705_storage;
                                                                                                                                                                                                      unsigned int _t1706_principal;

                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      _ev = &_t1705_storage;
                                                                                                                                                                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                                                                      flick_iiop_decode_new_chunk(7);
                                                                                                                                                                                                      flick_cdr_decode_unsigned32(1, _t1706_principal);
                                                                                                                                                                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                                                                      flick_cdr_decode_unsigned16(5, _local_unsigned_short_attribute);
                                                                                                                                                                                                      flick_iiop_decode_end_chunk(7);
                                                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                                                                      ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                                                                      }
                                                                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                                                                        {
                                                                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                                                            break;
                                                                                                                                                                                                          }
                                                                                                                                                                                                        default:
                                                                                                                                                                                                          {
                                                                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                                                          }
                                                                                                                                                                                                        }
                                                                                                                                                                                                      flick_iiop_encode_end_glob(4);
                                                                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                                                                    }
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                default:
                                                                                                                                                                                                  {
                                                                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                    break;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t1707_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1707_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1707_switch_tag)
            {
            case '_':
              {
                char _t1708_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1708_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1708_switch_tag)
                  {
                  case '_':
                    {
                      char _t1709_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1709_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1709_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1710_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1710_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1710_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1711_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1711_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1711_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1712_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1712_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1712_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1713_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1713_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1713_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t1714_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1714_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1714_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t1715_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1715_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1715_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t1716_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1716_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1716_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t1717_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1717_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1717_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1718_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1718_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1718_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1719_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1719_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1719_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1720_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1720_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1720_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1721_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1721_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1721_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1722_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1722_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1722_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1723_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1723_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1723_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1724_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1724_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1724_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1725_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1725_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1725_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1726_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1726_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1726_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1727_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1727_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1727_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char _return = 0;
                                                                                                                                          CORBA_Environment _t1728_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t1728_storage;
                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex4__get_char_attribute(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(5);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_new_chunk(1);
                                                                                                                                                flick_cdr_encode_char8(0, _return);
                                                                                                                                                flick_iiop_encode_end_chunk(1);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(5);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'l':
                                                  {
                                                    char _t1729_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1729_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1729_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1730_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1730_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1730_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t1731_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1731_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1731_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t1732_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1732_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1732_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1733_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1733_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1733_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1734_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1734_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1734_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1735_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1735_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1735_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1736_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1736_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1736_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1737_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1737_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1737_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1738_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1738_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1738_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1739_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1739_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1739_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1740_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1740_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1740_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1741_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1741_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1741_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1742_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1742_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1742_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_long _return = 0;
                                                                                                                                          CORBA_Environment _t1743_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t1743_storage;
                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex4__get_long_attribute(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(8);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _return);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(8);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 24:
        {
          char _t1744_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1744_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1744_switch_tag)
            {
            case '_':
              {
                char _t1745_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1745_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1745_switch_tag)
                  {
                  case '_':
                    {
                      char _t1746_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1746_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1746_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1747_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1747_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1747_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1748_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1748_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1748_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1749_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1749_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1749_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1750_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1750_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1750_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t1751_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1751_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1751_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1752_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1752_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1752_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1753_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1753_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1753_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t1754_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1754_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1754_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t1755_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1755_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1755_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1756_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1756_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1756_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t1757_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1757_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1757_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1758_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1758_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1758_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t1759_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1759_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1759_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1760_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1760_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1760_switch_tag)
                                                                                                            {
                                                                                                            case 't':
                                                                                                              {
                                                                                                                char _t1761_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1761_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1761_switch_tag)
                                                                                                                  {
                                                                                                                  case 'r':
                                                                                                                    {
                                                                                                                      char _t1762_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1762_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1762_switch_tag)
                                                                                                                        {
                                                                                                                        case 'i':
                                                                                                                          {
                                                                                                                            char _t1763_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1763_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1763_switch_tag)
                                                                                                                              {
                                                                                                                              case 'b':
                                                                                                                                {
                                                                                                                                  char _t1764_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1764_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1764_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'u':
                                                                                                                                      {
                                                                                                                                        char _t1765_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1765_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1765_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1766_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t1766_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1766_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'e':
                                                                                                                                                  {
                                                                                                                                                    char _t1767_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_decode_char8(0, _t1767_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t1767_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            ex4 _obj;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_boolean _return = 0;
                                                                                                                                                            CORBA_Environment _t1768_storage;

                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t1768_storage;
                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            _return = ex4__get_boolean_attribute(_obj, _ev);
                                                                                                                                                            flick_iiop_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            flick_iiop_encode_new_glob(5);
                                                                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                                                                  flick_iiop_encode_new_chunk(1);
                                                                                                                                                                  flick_cdr_encode_unsigned8(0, _return);
                                                                                                                                                                  flick_iiop_encode_end_chunk(1);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_iiop_encode_end_glob(5);
                                                                                                                                                            flick_iiop_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1769_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1769_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1769_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1770_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1770_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1770_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1771_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1771_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1771_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1772_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1772_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1772_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t1773_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1773_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1773_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1774_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1774_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1774_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1775_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1775_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1775_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t1776_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1776_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1776_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t1777_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1777_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1777_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1778_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1778_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1778_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t1779_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1779_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1779_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1780_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1780_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1780_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t1781_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1781_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1781_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1782_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1782_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1782_switch_tag)
                                                                                                            {
                                                                                                            case 't':
                                                                                                              {
                                                                                                                char _t1783_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1783_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1783_switch_tag)
                                                                                                                  {
                                                                                                                  case 'r':
                                                                                                                    {
                                                                                                                      char _t1784_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1784_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1784_switch_tag)
                                                                                                                        {
                                                                                                                        case 'i':
                                                                                                                          {
                                                                                                                            char _t1785_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1785_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1785_switch_tag)
                                                                                                                              {
                                                                                                                              case 'b':
                                                                                                                                {
                                                                                                                                  char _t1786_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1786_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1786_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'u':
                                                                                                                                      {
                                                                                                                                        char _t1787_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1787_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1787_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1788_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t1788_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1788_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'e':
                                                                                                                                                  {
                                                                                                                                                    char _t1789_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_decode_char8(0, _t1789_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t1789_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            ex4 _obj;
                                                                                                                                                            CORBA_boolean _local_boolean_attribute;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_Environment _t1790_storage;
                                                                                                                                                            unsigned int _t1791_principal;

                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t1790_storage;
                                                                                                                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                            flick_iiop_decode_new_chunk(5);
                                                                                                                                                            flick_cdr_decode_unsigned32(0, _t1791_principal);
                                                                                                                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                            flick_cdr_decode_unsigned8(4, _local_boolean_attribute);
                                                                                                                                                            flick_iiop_decode_end_chunk(5);
                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                                                                                                                            flick_iiop_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            flick_iiop_encode_new_glob(4);
                                                                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                            flick_iiop_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          char _t1792_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1792_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1792_switch_tag)
            {
            case '_':
              {
                char _t1793_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1793_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1793_switch_tag)
                  {
                  case '_':
                    {
                      char _t1794_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1794_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1794_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1795_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1795_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1795_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1796_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1796_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1796_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1797_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1797_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1797_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1798_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1798_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1798_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1799_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1799_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1799_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t1800_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1800_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1800_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1801_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1801_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1801_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1802_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1802_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1802_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1803_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1803_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1803_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1804_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1804_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1804_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1805_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1805_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1805_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1806_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1806_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1806_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1807_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1807_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1807_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1808_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1808_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1808_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1809_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1809_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1809_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1810_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1810_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1810_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1811_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1811_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1811_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1812_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1812_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1812_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1813_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1813_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1813_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_octet _return = 0;
                                                                                                                                                CORBA_Environment _t1814_storage;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1814_storage;
                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_octet_attribute(_obj, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(5);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      flick_iiop_encode_new_chunk(1);
                                                                                                                                                      flick_cdr_encode_unsigned8(0, _return);
                                                                                                                                                      flick_iiop_encode_end_chunk(1);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(5);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'f':
                                                  {
                                                    char _t1815_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1815_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1815_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t1816_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1816_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1816_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1817_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1817_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1817_switch_tag)
                                                                  {
                                                                  case 'a':
                                                                    {
                                                                      char _t1818_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1818_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1818_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1819_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1819_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1819_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1820_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1820_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1820_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1821_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1821_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1821_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1822_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1822_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1822_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1823_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1823_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1823_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1824_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1824_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1824_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1825_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1825_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1825_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1826_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1826_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1826_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1827_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1827_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1827_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1828_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1828_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1828_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1829_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1829_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1829_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_float _return = 0.000000;
                                                                                                                                                CORBA_Environment _t1830_storage;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1830_storage;
                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_float_attribute(_obj, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(8);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_float32(0, _return);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(8);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 's':
                                                  {
                                                    char _t1831_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1831_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1831_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t1832_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1832_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1832_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1833_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1833_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1833_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t1834_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1834_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1834_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1835_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1835_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1835_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1836_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1836_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1836_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1837_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1837_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1837_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1838_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1838_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1838_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1839_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1839_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1839_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1840_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1840_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1840_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1841_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1841_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1841_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1842_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1842_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1842_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1843_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1843_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1843_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1844_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1844_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1844_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1845_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1845_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1845_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_short _return = 0;
                                                                                                                                                CORBA_Environment _t1846_storage;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1846_storage;
                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_short_attribute(_obj, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(6);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      flick_iiop_encode_new_chunk(2);
                                                                                                                                                      flick_cdr_encode_signed16(0, _return);
                                                                                                                                                      flick_iiop_encode_end_chunk(2);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(6);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1847_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1847_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1847_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1848_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1848_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1848_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1849_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1849_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1849_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1850_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1850_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1850_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t1851_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1851_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1851_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t1852_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1852_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1852_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t1853_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1853_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1853_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t1854_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1854_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1854_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t1855_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1855_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1855_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1856_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1856_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1856_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1857_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1857_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1857_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1858_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1858_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1858_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1859_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1859_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1859_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1860_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1860_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1860_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1861_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1861_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1861_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1862_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1862_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1862_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1863_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1863_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1863_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1864_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1864_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1864_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1865_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1865_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1865_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_short _local_short_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t1866_storage;
                                                                                                                                                unsigned int _t1867_principal;

                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                _ev = &_t1866_storage;
                                                                                                                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                flick_iiop_decode_new_chunk(8);
                                                                                                                                                flick_cdr_decode_unsigned32(2, _t1867_principal);
                                                                                                                                                /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                flick_cdr_decode_signed16(6, _local_short_attribute);
                                                                                                                                                flick_iiop_decode_end_chunk(8);
                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                }
                                                                                                                                                flick_iiop_encode_new_glob(4);
                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          char _t1868_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1868_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1868_switch_tag)
            {
            case '_':
              {
                char _t1869_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1869_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1869_switch_tag)
                  {
                  case '_':
                    {
                      char _t1870_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1870_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1870_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1871_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1871_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1871_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1872_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1872_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1872_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1873_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1873_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1873_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1874_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1874_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1874_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t1875_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1875_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1875_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t1876_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1876_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1876_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t1877_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1877_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1877_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1878_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1878_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1878_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t1879_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1879_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1879_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t1880_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1880_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1880_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1881_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1881_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1881_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1882_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1882_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1882_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1883_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1883_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1883_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1884_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1884_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1884_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1885_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1885_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1885_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1886_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1886_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1886_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1887_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1887_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1887_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1888_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1888_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1888_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1889_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1889_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1889_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1890_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t1890_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1890_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_char *_return = 0;
                                                                                                                                                      CORBA_Environment _t1891_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t1891_storage;
                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = ex4__get_string_attribute(_obj, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                            flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'd':
                                                  {
                                                    char _t1892_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1892_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1892_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1893_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1893_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1893_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t1894_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1894_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1894_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t1895_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1895_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1895_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t1896_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1896_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1896_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1897_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1897_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1897_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1898_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1898_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1898_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1899_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1899_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1899_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1900_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1900_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1900_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1901_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1901_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1901_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1902_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1902_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1902_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1903_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1903_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1903_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1904_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1904_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1904_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1905_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1905_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1905_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1906_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1906_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1906_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1907_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t1907_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1907_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_double _return = 0.000000;
                                                                                                                                                      CORBA_Environment _t1908_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t1908_storage;
                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = ex4__get_double_attribute(_obj, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(12);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                                                                                                                                            flick_cdr_encode_float64(0, _return);
                                                                                                                                                            flick_iiop_encode_end_chunk(8);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_encode_end_glob(12);
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1909_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1909_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1909_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1910_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1910_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1910_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1911_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1911_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1911_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1912_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1912_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1912_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t1913_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1913_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1913_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t1914_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1914_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1914_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t1915_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1915_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1915_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1916_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1916_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1916_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t1917_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1917_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1917_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t1918_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1918_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1918_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1919_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1919_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1919_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1920_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1920_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1920_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1921_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1921_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1921_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1922_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1922_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1922_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1923_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1923_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1923_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1924_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1924_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1924_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1925_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1925_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1925_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1926_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1926_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1926_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1927_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1927_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1927_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1928_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t1928_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1928_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_char *_local_string_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t1929_storage;
                                                                                                                                                      unsigned int _t1930_principal;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t1929_storage;
                                                                                                                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                      flick_iiop_decode_new_chunk(5);
                                                                                                                                                      flick_cdr_decode_unsigned32(1, _t1930_principal);
                                                                                                                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                      flick_iiop_decode_end_chunk(5);
                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                      flick_cdr_decode_auto_string(_local_string_attribute, auto_flick_alloc, iiop);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_encode_end_glob(4);
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'd':
                                                  {
                                                    char _t1931_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1931_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1931_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1932_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1932_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1932_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t1933_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1933_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1933_switch_tag)
                                                                  {
                                                                  case 'b':
                                                                    {
                                                                      char _t1934_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1934_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1934_switch_tag)
                                                                        {
                                                                        case 'l':
                                                                          {
                                                                            char _t1935_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1935_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1935_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1936_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1936_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1936_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1937_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1937_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1937_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1938_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1938_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1938_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1939_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1939_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1939_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1940_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1940_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1940_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1941_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1941_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1941_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1942_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1942_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1942_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1943_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1943_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1943_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1944_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1944_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1944_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1945_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t1945_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1945_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1946_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t1946_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1946_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_double _local_double_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t1947_storage;
                                                                                                                                                      unsigned int _t1948_principal;

                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      _ev = &_t1947_storage;
                                                                                                                                                      /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                      flick_iiop_decode_new_chunk(5);
                                                                                                                                                      flick_cdr_decode_unsigned32(1, _t1948_principal);
                                                                                                                                                      /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                      flick_iiop_decode_end_chunk(5);
                                                                                                                                                      flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                                                                                                                                                      flick_cdr_decode_float64(0, _local_double_attribute);
                                                                                                                                                      flick_iiop_decode_end_chunk(8);
                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                                                                                                                      flick_iiop_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                      }
                                                                                                                                                      flick_iiop_encode_new_glob(4);
                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            /* Begin encode phase on parameters */
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_iiop_encode_end_glob(4);
                                                                                                                                                      flick_iiop_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t1949_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1949_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1949_switch_tag)
            {
            case 'o':
              {
                char _t1950_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1950_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1950_switch_tag)
                  {
                  case 'p':
                    {
                      char _t1951_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1951_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1951_switch_tag)
                        {
                        case '7':
                          {
                            char _t1952_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1952_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1952_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_char _local_c;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet *_local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_char _return = 0;
                                    CORBA_boolean _t1953_storage;
                                    CORBA_Environment _t1954_storage;
                                    unsigned int _t1955_principal;
                                    CORBA_octet _t1956_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_b = &_t1953_storage;
                                    _ev = &_t1954_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(6);
                                    flick_cdr_decode_unsigned32(0, _t1955_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_char8(4, _local_c);
                                    _local_o = &_t1956_storage;
                                    flick_cdr_decode_unsigned8(5, *_local_o);
                                    flick_iiop_decode_end_chunk(6);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(3);
                                          flick_cdr_encode_unsigned8(0, *_local_b);
                                          flick_cdr_encode_unsigned8(1, *_local_o);
                                          flick_cdr_encode_char8(2, _return);
                                          flick_iiop_encode_end_chunk(3);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(7);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '8':
                          {
                            char _t1957_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1957_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1957_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet _local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_boolean _return = 0;
                                    CORBA_boolean _t1958_storage;
                                    CORBA_Environment _t1959_storage;
                                    unsigned int _t1960_principal;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_b = &_t1958_storage;
                                    _ev = &_t1959_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(0, _t1960_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_unsigned8(4, _local_o);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(6);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(2);
                                          flick_cdr_encode_unsigned8(0, *_local_b);
                                          flick_cdr_encode_unsigned8(1, _return);
                                          flick_iiop_encode_end_chunk(2);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(6);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '9':
                          {
                            char _t1961_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1961_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1961_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_octet *_local_o;
                                    CORBA_char **_local_s;
                                    CORBA_char *_local_ls;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_octet _return = 0;
                                    CORBA_char *_t1962_storage;
                                    CORBA_Environment _t1963_storage;
                                    unsigned int _t1964_principal;
                                    CORBA_octet _t1965_storage;
                                    CORBA_long _t1966_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t1962_storage;
                                    _ev = &_t1963_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(0, _t1964_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_o = &_t1965_storage;
                                    flick_cdr_decode_unsigned8(4, *_local_o);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(42);
                                    flick_cdr_decode_auto_string(_local_ls, auto_flick_alloc, iiop);
                                    _local_l = &_t1966_storage;
                                    flick_iiop_decode_new_glob(4);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_signed32(0, *_local_l);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(4);
                                    flick_corba_init_environment();
                                    _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(5);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_unsigned8(0, *_local_o);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(5);
                                          flick_cdr_encode_longstring(*_local_s, CORBA_flick_free, iiop);
                                          flick_iiop_encode_new_glob(5);
                                          flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_unsigned8(4, _return);
                                          flick_iiop_encode_end_chunk(5);
                                          flick_iiop_encode_end_glob(5);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          flick_iiop_encode_end_glob(5);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(5);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '0':
                          {
                            char _t1967_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1967_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1967_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1968_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t1968_storage;
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    ex4_op0(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(4);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t1969_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1969_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1969_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    CORBA_double _t1970_storage;
                                    CORBA_Environment _t1971_storage;
                                    unsigned int _t1972_principal;
                                    CORBA_long _t1973_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_d = &_t1970_storage;
                                    _ev = &_t1971_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_decode_unsigned32(0, _t1972_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_float32(4, _local_f);
                                    _local_l = &_t1973_storage;
                                    flick_cdr_decode_signed32(8, *_local_l);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(20);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                          flick_cdr_encode_float64(0, *_local_d);
                                          flick_cdr_encode_signed32(8, *_local_l);
                                          flick_cdr_encode_float32(12, _return);
                                          flick_iiop_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(20);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t1974_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1974_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1974_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    CORBA_long _t1975_storage;
                                    CORBA_Environment _t1976_storage;
                                    unsigned int _t1977_principal;
                                    CORBA_short _t1978_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_l = &_t1975_storage;
                                    _ev = &_t1976_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t1977_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_new_chunk_align(10, 3, 2, 0);
                                    flick_cdr_decode_float64(0, _local_d);
                                    _local_s = &_t1978_storage;
                                    flick_cdr_decode_signed16(8, *_local_s);
                                    flick_iiop_decode_end_chunk(10);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(24);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_signed32(0, *_local_l);
                                          flick_cdr_encode_signed16(4, *_local_s);
                                          flick_iiop_encode_end_chunk(6);
                                          flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                          flick_cdr_encode_float64(0, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(24);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t1979_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1979_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1979_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_short _t1980_storage;
                                    CORBA_Environment _t1981_storage;
                                    unsigned int _t1982_principal;
                                    CORBA_unsigned_long _t1983_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_s = &_t1980_storage;
                                    _ev = &_t1981_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_decode_unsigned32(0, _t1982_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_signed32(4, _local_l);
                                    _local_ul = &_t1983_storage;
                                    flick_cdr_decode_unsigned32(8, *_local_ul);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_signed16(0, *_local_s);
                                          flick_cdr_encode_unsigned32(4, *_local_ul);
                                          flick_cdr_encode_signed32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t1984_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1984_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1984_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    CORBA_unsigned_long _t1985_storage;
                                    CORBA_Environment _t1986_storage;
                                    unsigned int _t1987_principal;
                                    CORBA_unsigned_short _t1988_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_ul = &_t1985_storage;
                                    _ev = &_t1986_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_decode_unsigned32(0, _t1987_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_signed16(4, _local_s);
                                    _local_us = &_t1988_storage;
                                    flick_cdr_decode_unsigned16(6, *_local_us);
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(8);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_unsigned16(4, *_local_us);
                                          flick_cdr_encode_signed16(6, _return);
                                          flick_iiop_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t1989_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1989_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1989_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    CORBA_char _t1990_storage;
                                    CORBA_Environment _t1991_storage;
                                    unsigned int _t1992_principal;
                                    CORBA_unsigned_long _t1993_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_c = &_t1990_storage;
                                    _ev = &_t1991_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(11);
                                    flick_cdr_decode_unsigned32(0, _t1992_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_ul = &_t1993_storage;
                                    flick_cdr_decode_unsigned32(4, *_local_ul);
                                    flick_cdr_decode_unsigned16(8, _local_us);
                                    flick_cdr_decode_unsigned8(10, _local_b);
                                    flick_iiop_decode_end_chunk(11);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, *_local_ul);
                                          flick_cdr_encode_char8(4, *_local_c);
                                          flick_cdr_encode_unsigned32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t1994_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1994_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1994_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    CORBA_unsigned_short _t1995_storage;
                                    CORBA_Environment _t1996_storage;
                                    unsigned int _t1997_principal;
                                    CORBA_char _t1998_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_us = &_t1995_storage;
                                    _ev = &_t1996_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(0, _t1997_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_c = &_t1998_storage;
                                    flick_cdr_decode_char8(4, *_local_c);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(42);
                                    flick_corba_init_environment();
                                    _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(10);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(6);
                                          flick_cdr_encode_unsigned16(0, *_local_us);
                                          flick_cdr_encode_char8(2, *_local_c);
                                          flick_cdr_encode_unsigned16(4, _return);
                                          flick_iiop_encode_end_chunk(6);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(10);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t1999_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1999_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1999_switch_tag)
            {
            case 'o':
              {
                char _t2000_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t2000_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2000_switch_tag)
                  {
                  case 'p':
                    {
                      char _t2001_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t2001_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2001_switch_tag)
                        {
                        case '1':
                          {
                            char _t2002_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t2002_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2002_switch_tag)
                              {
                              case '0':
                                {
                                  char _t2003_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t2003_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2003_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_char *_local_s;
                                          CORBA_char **_local_ls;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_char *_t2004_storage;
                                          CORBA_Environment _t2005_storage;
                                          unsigned int _t2006_principal;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_ls = &_t2004_storage;
                                          _ev = &_t2005_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t2006_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(42);
                                          flick_cdr_decode_auto_string(_local_s, auto_flick_alloc, iiop);
                                          flick_corba_init_environment();
                                          _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '1':
                                {
                                  char _t2007_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t2007_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2007_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_char **_local_ls;
                                          CORBA_long *_local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          CORBA_long _t2008_storage;
                                          CORBA_Environment _t2009_storage;
                                          unsigned int _t2010_principal;
                                          CORBA_char *_t2011_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _local_l = &_t2008_storage;
                                          _ev = &_t2009_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t2010_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          _local_ls = &_t2011_storage;
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(42);
                                          flick_cdr_decode_string(*_local_ls, CORBA_flick_alloc, iiop, 10);
                                          flick_corba_init_environment();
                                          _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(*_local_ls, CORBA_flick_free, iiop, 10);
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                flick_cdr_encode_signed32(0, *_local_l);
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 10);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '2':
                                {
                                  char _t2012_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t2012_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2012_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_long _local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_Environment _t2013_storage;
                                          unsigned int _t2014_principal;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          _ev = &_t2013_storage;
                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                          flick_iiop_decode_new_chunk(11);
                                          flick_cdr_decode_unsigned32(3, _t2014_principal);
                                          /* XXX - right now, it had better be empty! - fix this... */
                                          flick_cdr_decode_signed32(7, _local_l);
                                          flick_iiop_decode_end_chunk(11);
                                          flick_iiop_decode_end_glob(42);
                                          flick_corba_init_environment();
                                          _return = ex4_op12(_obj, _local_l, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(8);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                              }
                                            }
                                          flick_iiop_encode_end_glob(8);
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      case (unsigned int) 30:
        {
          char _t2015_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t2015_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2015_switch_tag)
            {
            case '_':
              {
                char _t2016_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t2016_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2016_switch_tag)
                  {
                  case '_':
                    {
                      char _t2017_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t2017_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2017_switch_tag)
                        {
                        case 'g':
                          {
                            char _t2018_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t2018_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2018_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2019_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t2019_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2019_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2020_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t2020_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2020_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2021_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t2021_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2021_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t2022_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t2022_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2022_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t2023_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t2023_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2023_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t2024_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t2024_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2024_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t2025_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t2025_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2025_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t2026_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t2026_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2026_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t2027_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t2027_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2027_switch_tag)
                                                                                    {
                                                                                    case 'e':
                                                                                      {
                                                                                        char _t2028_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t2028_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2028_switch_tag)
                                                                                          {
                                                                                          case 'd':
                                                                                            {
                                                                                              char _t2029_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t2029_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2029_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t2030_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t2030_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2030_switch_tag)
                                                                                                      {
                                                                                                      case 'l':
                                                                                                        {
                                                                                                          char _t2031_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t2031_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2031_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t2032_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t2032_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2032_switch_tag)
                                                                                                                  {
                                                                                                                  case 'n':
                                                                                                                    {
                                                                                                                      char _t2033_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t2033_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2033_switch_tag)
                                                                                                                        {
                                                                                                                        case 'g':
                                                                                                                          {
                                                                                                                            char _t2034_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t2034_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2034_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t2035_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t2035_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2035_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t2036_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t2036_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t2036_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t2037_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t2037_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t2037_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t2038_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_decode_char8(0, _t2038_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t2038_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t2039_switch_tag;

                                                                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                                                                          flick_cdr_decode_char8(0, _t2039_switch_tag);
                                                                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                                                                          switch (_t2039_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t2040_switch_tag;

                                                                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                                                                flick_cdr_decode_char8(0, _t2040_switch_tag);
                                                                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                                                                switch (_t2040_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t2041_switch_tag;

                                                                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                                                                      flick_cdr_decode_char8(0, _t2041_switch_tag);
                                                                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                                                                      switch (_t2041_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t2042_switch_tag;

                                                                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                                                                            flick_cdr_decode_char8(0, _t2042_switch_tag);
                                                                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                                                                            switch (_t2042_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t2043_switch_tag;

                                                                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                  flick_cdr_decode_char8(0, _t2043_switch_tag);
                                                                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                  switch (_t2043_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t2044_switch_tag;

                                                                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                                                                        flick_cdr_decode_char8(0, _t2044_switch_tag);
                                                                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                                                                        switch (_t2044_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex4 _obj;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_unsigned_long _return = 0;
                                                                                                                                                                                                CORBA_Environment _t2045_storage;

                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                _ev = &_t2045_storage;
                                                                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                                                                                                                                                                flick_iiop_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_iiop_encode_new_glob(8);
                                                                                                                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                switch (_ev->_major)
                                                                                                                                                                                                  {
                                                                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      /* Begin encode phase on parameters */
                                                                                                                                                                                                      flick_iiop_encode_new_chunk(4);
                                                                                                                                                                                                      flick_cdr_encode_unsigned32(0, _return);
                                                                                                                                                                                                      flick_iiop_encode_end_chunk(4);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  default:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                                                    }
                                                                                                                                                                                                  }
                                                                                                                                                                                                flick_iiop_encode_end_glob(8);
                                                                                                                                                                                                flick_iiop_server_end_encode();
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(42);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(42);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(42);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(42);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(42);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(42);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(42);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(42);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(42);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(42);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(42);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(42);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(42);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(42);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(42);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(42);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(42);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(42);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(42);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(42);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(42);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(42);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(42);
          break;
        }
      }
  }
  }
  return 0;
}
