#include "impldef-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &CORBA_ImplementationDef_server, "CORBA_ImplementationDef_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &CORBA_ImplementationDef_server, "CORBA_ImplementationDef_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &CORBA_CreationImplDef_server, "CORBA_CreationImplDef_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &CORBA_CreationImplDef_server, "CORBA_CreationImplDef_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &CORBA_Activator_server, "CORBA_Activator_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &CORBA_Activator_server, "CORBA_Activator_server_instance2");

		CORBA_BOA_obj_is_ready(boa, &CORBA_ActivationImplDef_server, "CORBA_ActivationImplDef_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &CORBA_ActivationImplDef_server, "CORBA_ActivationImplDef_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Object(flick_marshal_stream_t _stream, const Object *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_Object(flick_marshal_stream_t _stream, Object *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_Object_swap(flick_marshal_stream_t _stream, Object *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_cdr_encode_longstring(_data->_buffer[_t1_array_iter], CORBA_flick_free, iiop);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_cdr_decode_longstring(_data->_buffer[_t3_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_unmarshal_stub_CORBA_StringSequence_swap(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_cdr_swap_decode_longstring(_data->_buffer[_t5_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data)
{
  unsigned long int _t7_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
#if 0 /* We never byte swap on encoding */
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  unsigned long int _t9_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_unsigned8(0, _data->_buffer[_t9_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_CORBA_OctetSequence_swap(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  unsigned long int _t11_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t11_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data)
{
  unsigned long int _t13_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->_length);
  for (_t13_array_iter = 0; _t13_array_iter < _data->_length; _t13_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t13_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  unsigned long int _t15_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  for (_t15_array_iter = 0; _t15_array_iter < _data->_length; _t15_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t15_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_LongSequence_swap(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  unsigned long int _t17_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  for (_t17_array_iter = 0; _t17_array_iter < _data->_length; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t17_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data)
{
  unsigned long int _t19_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
#if 0 /* We never byte swap on encoding */
  for (_t19_array_iter = 0; _t19_array_iter < _data->_length; _t19_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_unsigned8(0, _data->_buffer[_t19_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  unsigned long int _t21_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t21_array_iter = 0; _t21_array_iter < _data->_length; _t21_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_unsigned8(0, _data->_buffer[_t21_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceData_swap(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  unsigned long int _t23_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  for (_t23_array_iter = 0; _t23_array_iter < _data->_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t23_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data)
{
  unsigned long int _t25_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t25_array_iter = 0; _t25_array_iter < _data->_length; _t25_array_iter++)
    {
      flick_cdr_encode_longstring(_data->_buffer[_t25_array_iter], CORBA_flick_free, iiop);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  unsigned long int _t27_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t27_array_iter = 0; _t27_array_iter < _data->_length; _t27_array_iter++)
    {
      flick_cdr_decode_longstring(_data->_buffer[_t27_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_unmarshal_stub_CORBA_ReferenceString_swap(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  unsigned long int _t29_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t29_array_iter = 0; _t29_array_iter < _data->_length; _t29_array_iter++)
    {
      flick_cdr_swap_decode_longstring(_data->_buffer[_t29_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data)
{
  unsigned long int _t31_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->_length);
  for (_t31_array_iter = 0; _t31_array_iter < _data->_length; _t31_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t31_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  unsigned long int _t33_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  for (_t33_array_iter = 0; _t33_array_iter < _data->_length; _t33_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t33_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceLong_swap(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  unsigned long int _t35_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  for (_t35_array_iter = 0; _t35_array_iter < _data->_length; _t35_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t35_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, const CORBA_ImplementationDef *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_ImplementationDef_swap(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int CORBA_ImplementationDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t348_switch_tag;

    flick_iiop_decode_new_glob(32);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t348_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t348_switch_tag)
      {
      case (unsigned int) 21:
        {
          char _t349_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t349_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t349_switch_tag)
            {
            case '_':
              {
                char _t350_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t350_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t350_switch_tag)
                  {
                  case '_':
                    {
                      char _t351_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t351_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t351_switch_tag)
                        {
                        case 'g':
                          {
                            char _t352_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t352_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t352_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t353_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t353_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t353_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t354_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t354_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t354_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t355_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t355_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t355_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t356_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t356_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t356_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t357_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t357_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t357_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t358_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t358_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t358_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t359_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t359_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t359_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t360_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t360_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t360_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t361_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t361_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t361_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t362_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t362_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t362_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t363_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t363_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t363_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t364_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t364_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t364_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t365_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t365_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t365_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t366_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t366_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t366_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t367_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t367_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t367_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t368_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t368_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t368_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t369_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t369_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t369_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ImplementationDef _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char *_return = 0;
                                                                                                                                          CORBA_Environment _t370_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t370_storage;
                                                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = CORBA_ImplementationDef__get_interface_name(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t371_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t371_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t371_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t372_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t372_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t372_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t373_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t373_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t373_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t374_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t374_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t374_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t375_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t375_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t375_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t376_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t376_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t376_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t377_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t377_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t377_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t378_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t378_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t378_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t379_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t379_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t379_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t380_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t380_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t380_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t381_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t381_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t381_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t382_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t382_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t382_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t383_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t383_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t383_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t384_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t384_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t384_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t385_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t385_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t385_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t386_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t386_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t386_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t387_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t387_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t387_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t388_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t388_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t388_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ImplementationDef _obj;
                                                                                                                                          CORBA_char *_local_interface_name;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t389_storage;
                                                                                                                                          unsigned int _t390_principal;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t389_storage;
                                                                                                                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                          flick_iiop_decode_new_chunk(7);
                                                                                                                                          flick_cdr_swap_decode_unsigned32(3, _t390_principal);
                                                                                                                                          /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                          flick_iiop_decode_end_chunk(7);
                                                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                                                          flick_cdr_swap_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          CORBA_ImplementationDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(4);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 18:
        {
          char _t391_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t391_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t391_switch_tag)
            {
            case '_':
              {
                char _t392_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t392_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t392_switch_tag)
                  {
                  case '_':
                    {
                      char _t393_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t393_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t393_switch_tag)
                        {
                        case 'g':
                          {
                            char _t394_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t394_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t394_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t395_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t395_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t395_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t396_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t396_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t396_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t397_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t397_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t397_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t398_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t398_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t398_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t399_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t399_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t399_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t400_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t400_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t400_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t401_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t401_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t401_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t402_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t402_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t402_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t403_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t403_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t403_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t404_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t404_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t404_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t405_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t405_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t405_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t406_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t406_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t406_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t407_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t407_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t407_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t408_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t408_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t408_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ImplementationDef _obj;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_char *_return = 0;
                                                                                                                        CORBA_Environment _t409_storage;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t409_storage;
                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        _return = CORBA_ImplementationDef__get_object_name(_obj, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t410_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t410_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t410_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t411_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t411_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t411_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t412_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t412_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t412_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t413_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t413_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t413_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t414_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t414_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t414_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t415_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t415_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t415_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t416_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t416_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t416_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t417_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t417_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t417_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t418_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t418_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t418_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t419_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t419_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t419_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t420_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t420_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t420_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t421_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t421_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t421_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t422_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t422_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t422_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t423_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t423_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t423_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t424_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t424_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t424_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ImplementationDef _obj;
                                                                                                                        CORBA_char *_local_object_name;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_Environment _t425_storage;
                                                                                                                        unsigned int _t426_principal;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t425_storage;
                                                                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                        flick_iiop_decode_new_chunk(6);
                                                                                                                        flick_cdr_swap_decode_unsigned32(2, _t426_principal);
                                                                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                        flick_iiop_decode_end_chunk(6);
                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                        flick_cdr_swap_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        CORBA_ImplementationDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_encode_end_glob(4);
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t427_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t427_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t427_switch_tag)
            {
            case '_':
              {
                char _t428_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t428_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t428_switch_tag)
                  {
                  case '_':
                    {
                      char _t429_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t429_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t429_switch_tag)
                        {
                        case 'g':
                          {
                            char _t430_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t430_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t430_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t431_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t431_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t431_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t432_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t432_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t432_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t433_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t433_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t433_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t434_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t434_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t434_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t435_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t435_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t435_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ImplementationDef _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_ReferenceData *_return = 0;
                                                                  CORBA_Environment _t436_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t436_storage;
                                                                  flick_iiop_decode_end_glob(32);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_ImplementationDef__get_id(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t440_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _return->_length);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_encode_new_glob(1 * _return->_length);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t440_array_iter = 0; _t440_array_iter < _return->_length; _t440_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(1);
                                                                            flick_cdr_encode_unsigned8(0, _return->_buffer[_t440_array_iter]);
                                                                            flick_iiop_encode_end_chunk(1);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_end_glob(1 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t441_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t441_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t441_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t442_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t442_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t442_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t443_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t443_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t443_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t444_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t444_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t444_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t445_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t445_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t445_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t446_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t446_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t446_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ImplementationDef _obj;
                                                                  CORBA_ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t447_storage;
                                                                  unsigned int _t448_principal;
                                                                  CORBA_ReferenceData _t449_storage;
                                                                  unsigned long int _t451_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t447_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t448_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_id = &_t449_storage;
                                                                  flick_cdr_swap_decode_unsigned32(7, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(32);
                                                                  flick_iiop_decode_new_glob(1 * _local_id->_length);
                                                                  for (_t451_array_iter = 0; _t451_array_iter < _local_id->_length; _t451_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_unsigned8(0, _local_id->_buffer[_t451_array_iter]);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                    }
                                                                  flick_iiop_decode_end_glob(1 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  CORBA_ImplementationDef__set_id(_obj, _local_id, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(32);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t140_switch_tag;

    flick_iiop_decode_new_glob(32);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t140_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t140_switch_tag)
      {
      case (unsigned int) 21:
        {
          char _t141_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t141_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t141_switch_tag)
            {
            case '_':
              {
                char _t142_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t142_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t142_switch_tag)
                  {
                  case '_':
                    {
                      char _t143_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t143_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t143_switch_tag)
                        {
                        case 'g':
                          {
                            char _t144_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t144_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t144_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t145_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t145_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t145_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t146_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t146_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t146_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t147_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t147_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t147_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t148_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t148_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t148_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t149_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t149_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t149_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t150_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t150_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t150_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t151_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t151_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t151_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t152_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t152_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t152_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t153_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t153_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t153_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t154_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t154_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t154_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t155_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t155_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t155_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t156_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t156_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t156_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t157_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t157_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t157_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t158_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t158_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t158_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t159_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t159_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t159_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t160_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t160_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t160_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t161_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t161_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t161_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ImplementationDef _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char *_return = 0;
                                                                                                                                          CORBA_Environment _t162_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t162_storage;
                                                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = CORBA_ImplementationDef__get_interface_name(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t163_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t163_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t163_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t164_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t164_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t164_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t165_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t165_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t165_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t166_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t166_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t166_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t167_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t167_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t167_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t168_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t168_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t168_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t169_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t169_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t169_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t170_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t170_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t170_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t171_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t171_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t171_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t172_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t172_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t172_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t173_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t173_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t173_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t174_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t174_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t174_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t175_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t175_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t175_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t176_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t176_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t176_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t177_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t177_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t177_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t178_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t178_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t178_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t179_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t179_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t179_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t180_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t180_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t180_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ImplementationDef _obj;
                                                                                                                                          CORBA_char *_local_interface_name;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t181_storage;
                                                                                                                                          unsigned int _t182_principal;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t181_storage;
                                                                                                                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                          flick_iiop_decode_new_chunk(7);
                                                                                                                                          flick_cdr_decode_unsigned32(3, _t182_principal);
                                                                                                                                          /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                          flick_iiop_decode_end_chunk(7);
                                                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                                                          flick_cdr_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          CORBA_ImplementationDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(4);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 18:
        {
          char _t183_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t183_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t183_switch_tag)
            {
            case '_':
              {
                char _t184_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t184_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t184_switch_tag)
                  {
                  case '_':
                    {
                      char _t185_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t185_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t185_switch_tag)
                        {
                        case 'g':
                          {
                            char _t186_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t186_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t186_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t187_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t187_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t187_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t188_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t188_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t188_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t189_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t189_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t189_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t190_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t190_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t190_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t191_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t191_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t191_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t192_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t192_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t192_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t193_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t193_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t193_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t194_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t194_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t194_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t195_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t195_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t195_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t196_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t196_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t196_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t197_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t197_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t197_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t198_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t198_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t198_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t199_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t199_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t199_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t200_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t200_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t200_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ImplementationDef _obj;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_char *_return = 0;
                                                                                                                        CORBA_Environment _t201_storage;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t201_storage;
                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        _return = CORBA_ImplementationDef__get_object_name(_obj, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t202_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t202_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t202_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t203_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t203_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t203_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t204_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t204_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t204_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t205_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t205_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t205_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t206_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t206_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t206_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t207_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t207_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t207_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t208_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t208_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t208_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t209_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t209_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t209_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t210_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t210_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t210_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t211_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t211_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t211_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t212_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t212_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t212_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t213_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t213_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t213_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t214_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t214_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t214_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t215_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t215_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t215_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t216_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t216_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t216_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ImplementationDef _obj;
                                                                                                                        CORBA_char *_local_object_name;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_Environment _t217_storage;
                                                                                                                        unsigned int _t218_principal;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t217_storage;
                                                                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                        flick_iiop_decode_new_chunk(6);
                                                                                                                        flick_cdr_decode_unsigned32(2, _t218_principal);
                                                                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                        flick_iiop_decode_end_chunk(6);
                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                        flick_cdr_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        CORBA_ImplementationDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_encode_end_glob(4);
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t219_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t219_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t219_switch_tag)
            {
            case '_':
              {
                char _t220_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t220_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t220_switch_tag)
                  {
                  case '_':
                    {
                      char _t221_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t221_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t221_switch_tag)
                        {
                        case 'g':
                          {
                            char _t222_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t222_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t222_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t223_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t223_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t223_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t224_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t224_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t224_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t225_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t225_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t225_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t226_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t226_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t226_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t227_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t227_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t227_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ImplementationDef _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_ReferenceData *_return = 0;
                                                                  CORBA_Environment _t228_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t228_storage;
                                                                  flick_iiop_decode_end_glob(32);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_ImplementationDef__get_id(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t232_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _return->_length);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_encode_new_glob(1 * _return->_length);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t232_array_iter = 0; _t232_array_iter < _return->_length; _t232_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(1);
                                                                            flick_cdr_encode_unsigned8(0, _return->_buffer[_t232_array_iter]);
                                                                            flick_iiop_encode_end_chunk(1);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_end_glob(1 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t233_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t233_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t233_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t234_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t234_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t234_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t235_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t235_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t235_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t236_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t236_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t236_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t237_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t237_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t237_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t238_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t238_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t238_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ImplementationDef _obj;
                                                                  CORBA_ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t239_storage;
                                                                  unsigned int _t240_principal;
                                                                  CORBA_ReferenceData _t241_storage;
                                                                  unsigned long int _t243_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t239_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t240_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_id = &_t241_storage;
                                                                  flick_cdr_decode_unsigned32(7, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(32);
                                                                  flick_iiop_decode_new_glob(1 * _local_id->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t243_array_iter = 0; _t243_array_iter < _local_id->_length; _t243_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_unsigned8(0, _local_id->_buffer[_t243_array_iter]);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_id->_buffer, sizeof(char) * _local_id->_length, iiop);
#endif
                                                                  flick_iiop_decode_end_glob(1 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  CORBA_ImplementationDef__set_id(_obj, _local_id, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(32);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Policy_swap(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, const CORBA_CreationImplDef *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_CreationImplDef_swap(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int CORBA_CreationImplDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t1172_switch_tag;

    flick_iiop_decode_new_glob(36);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t1172_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t1172_switch_tag)
      {
      case (unsigned int) 16:
        {
          char _t1173_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1173_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1173_switch_tag)
            {
            case '_':
              {
                char _t1174_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1174_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1174_switch_tag)
                  {
                  case '_':
                    {
                      char _t1175_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1175_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1175_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1176_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1176_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1176_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1177_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1177_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1177_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1178_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1178_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1178_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1179_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1179_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1179_switch_tag)
                                                {
                                                case 'p':
                                                  {
                                                    char _t1180_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1180_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1180_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t1181_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1181_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1181_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1182_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1182_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1182_switch_tag)
                                                                  {
                                                                  case 'h':
                                                                    {
                                                                      char _t1183_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1183_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1183_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1184_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1184_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1184_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1185_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1185_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1185_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1186_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1186_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1186_switch_tag)
                                                                                          {
                                                                                          case 'm':
                                                                                            {
                                                                                              char _t1187_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1187_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1187_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t1188_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1188_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1188_switch_tag)
                                                                                                      {
                                                                                                      case 0:
                                                                                                        {
                                                                                                          {
                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                            CORBA_Environment *_ev;
                                                                                                            CORBA_char *_return = 0;
                                                                                                            CORBA_Environment _t1189_storage;

                                                                                                            {
                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                            }
                                                                                                            _ev = &_t1189_storage;
                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                            flick_corba_init_environment();
                                                                                                            _return = CORBA_CreationImplDef__get_path_name(_obj, _ev);
                                                                                                            flick_iiop_server_start_encode();
                                                                                                            {
                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                            }
                                                                                                            flick_iiop_encode_new_glob(4);
                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                            switch (_ev->_major)
                                                                                                              {
                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                {
                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                  flick_iiop_encode_end_glob(4);
                                                                                                                  flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                  break;
                                                                                                                }
                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                {
                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                  flick_iiop_encode_end_glob(4);
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                  flick_iiop_encode_end_glob(4);
                                                                                                                }
                                                                                                              }
                                                                                                            flick_iiop_server_end_encode();
                                                                                                          }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1190_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1190_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1190_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1191_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1191_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1191_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1192_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1192_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1192_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1193_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1193_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1193_switch_tag)
                                                {
                                                case 'p':
                                                  {
                                                    char _t1194_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1194_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1194_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t1195_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1195_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1195_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1196_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1196_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1196_switch_tag)
                                                                  {
                                                                  case 'h':
                                                                    {
                                                                      char _t1197_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1197_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1197_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1198_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1198_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1198_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1199_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1199_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1199_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1200_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1200_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1200_switch_tag)
                                                                                          {
                                                                                          case 'm':
                                                                                            {
                                                                                              char _t1201_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1201_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1201_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t1202_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1202_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1202_switch_tag)
                                                                                                      {
                                                                                                      case 0:
                                                                                                        {
                                                                                                          {
                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                            CORBA_char *_local_path_name;
                                                                                                            CORBA_Environment *_ev;
                                                                                                            CORBA_Environment _t1203_storage;
                                                                                                            unsigned int _t1204_principal;

                                                                                                            {
                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                            }
                                                                                                            _ev = &_t1203_storage;
                                                                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                            flick_iiop_decode_new_chunk(4);
                                                                                                            flick_cdr_swap_decode_unsigned32(0, _t1204_principal);
                                                                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                                                                            flick_iiop_decode_end_chunk(4);
                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                            flick_cdr_swap_decode_auto_string(_local_path_name, auto_flick_alloc, iiop);
                                                                                                            flick_corba_init_environment();
                                                                                                            CORBA_CreationImplDef__set_path_name(_obj, _local_path_name, _ev);
                                                                                                            flick_iiop_server_start_encode();
                                                                                                            {
                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                            }
                                                                                                            flick_iiop_encode_new_glob(4);
                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                            switch (_ev->_major)
                                                                                                              {
                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                {
                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                  break;
                                                                                                                }
                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                {
                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                }
                                                                                                              }
                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                            flick_iiop_server_end_encode();
                                                                                                          }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 24:
        {
          char _t1205_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1205_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1205_switch_tag)
            {
            case '_':
              {
                char _t1206_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1206_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1206_switch_tag)
                  {
                  case '_':
                    {
                      char _t1207_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1207_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1207_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1208_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1208_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1208_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1209_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1209_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1209_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1210_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1210_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1210_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1211_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1211_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1211_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t1212_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1212_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1212_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t1213_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1213_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1213_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1214_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1214_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1214_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1215_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1215_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1215_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t1216_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1216_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1216_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1217_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1217_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1217_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1218_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1218_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1218_switch_tag)
                                                                                          {
                                                                                          case 'i':
                                                                                            {
                                                                                              char _t1219_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1219_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1219_switch_tag)
                                                                                                {
                                                                                                case 'o':
                                                                                                  {
                                                                                                    char _t1220_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1220_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1220_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t1221_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1221_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1221_switch_tag)
                                                                                                            {
                                                                                                            case '_':
                                                                                                              {
                                                                                                                char _t1222_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1222_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1222_switch_tag)
                                                                                                                  {
                                                                                                                  case 'p':
                                                                                                                    {
                                                                                                                      char _t1223_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1223_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1223_switch_tag)
                                                                                                                        {
                                                                                                                        case 'o':
                                                                                                                          {
                                                                                                                            char _t1224_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1224_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1224_switch_tag)
                                                                                                                              {
                                                                                                                              case 'l':
                                                                                                                                {
                                                                                                                                  char _t1225_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1225_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1225_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'i':
                                                                                                                                      {
                                                                                                                                        char _t1226_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t1226_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1226_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'c':
                                                                                                                                            {
                                                                                                                                              char _t1227_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t1227_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1227_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'y':
                                                                                                                                                  {
                                                                                                                                                    char _t1228_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_swap_decode_char8(0, _t1228_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t1228_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_Policy _return;
                                                                                                                                                            CORBA_Environment _t1229_storage;

                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t1229_storage;
                                                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            _return = CORBA_CreationImplDef__get_activation_policy(_obj, _ev);
                                                                                                                                                            flick_iiop_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            flick_iiop_encode_new_glob(8);
                                                                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                                                                  flick_iiop_encode_new_chunk(4);
                                                                                                                                                                  flick_cdr_encode_unsigned32(0, _return);
                                                                                                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_iiop_encode_end_glob(8);
                                                                                                                                                            flick_iiop_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(36);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(36);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1230_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1230_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1230_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1231_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1231_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1231_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1232_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1232_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1232_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1233_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1233_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1233_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t1234_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1234_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1234_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t1235_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1235_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1235_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1236_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1236_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1236_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1237_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1237_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1237_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t1238_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1238_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1238_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1239_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1239_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1239_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1240_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1240_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1240_switch_tag)
                                                                                          {
                                                                                          case 'i':
                                                                                            {
                                                                                              char _t1241_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1241_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1241_switch_tag)
                                                                                                {
                                                                                                case 'o':
                                                                                                  {
                                                                                                    char _t1242_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1242_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1242_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t1243_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1243_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1243_switch_tag)
                                                                                                            {
                                                                                                            case '_':
                                                                                                              {
                                                                                                                char _t1244_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1244_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1244_switch_tag)
                                                                                                                  {
                                                                                                                  case 'p':
                                                                                                                    {
                                                                                                                      char _t1245_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1245_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1245_switch_tag)
                                                                                                                        {
                                                                                                                        case 'o':
                                                                                                                          {
                                                                                                                            char _t1246_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1246_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1246_switch_tag)
                                                                                                                              {
                                                                                                                              case 'l':
                                                                                                                                {
                                                                                                                                  char _t1247_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1247_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1247_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'i':
                                                                                                                                      {
                                                                                                                                        char _t1248_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_swap_decode_char8(0, _t1248_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t1248_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'c':
                                                                                                                                            {
                                                                                                                                              char _t1249_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_swap_decode_char8(0, _t1249_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t1249_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'y':
                                                                                                                                                  {
                                                                                                                                                    char _t1250_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_swap_decode_char8(0, _t1250_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t1250_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                                                                            CORBA_Policy _local_activation_policy;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_Environment _t1251_storage;
                                                                                                                                                            unsigned int _t1252_principal;

                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t1251_storage;
                                                                                                                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                            flick_iiop_decode_new_chunk(8);
                                                                                                                                                            flick_cdr_swap_decode_unsigned32(0, _t1252_principal);
                                                                                                                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                            flick_cdr_swap_decode_unsigned32(4, _local_activation_policy);
                                                                                                                                                            flick_iiop_decode_end_chunk(8);
                                                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            CORBA_CreationImplDef__set_activation_policy(_obj, _local_activation_policy, _ev);
                                                                                                                                                            flick_iiop_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            flick_iiop_encode_new_glob(4);
                                                                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                            flick_iiop_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(36);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(36);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t1253_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1253_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1253_switch_tag)
            {
            case '_':
              {
                char _t1254_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1254_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1254_switch_tag)
                  {
                  case '_':
                    {
                      char _t1255_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1255_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1255_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1256_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1256_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1256_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1257_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1257_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1257_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1258_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1258_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1258_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1259_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1259_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1259_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t1260_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1260_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1260_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t1261_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1261_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1261_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t1262_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1262_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1262_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t1263_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1263_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1263_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              CORBA_CreationImplDef _obj;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_StringSequence *_return = 0;
                                                                              CORBA_Environment _t1264_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t1264_storage;
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              _return = CORBA_CreationImplDef__get_args(_obj, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(8);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    unsigned long int _t1268_array_iter;

                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                    for (_t1268_array_iter = 0; _t1268_array_iter < _return->_length; _t1268_array_iter++)
                                                                                      {
                                                                                        flick_cdr_encode_longstring(_return->_buffer[_t1268_array_iter], CORBA_flick_free, iiop);
                                                                                      }
                                                                                    CORBA_flick_free(_return->_buffer);
                                                                                    CORBA_flick_free(_return);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                  }
                                                                                }
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1269_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1269_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1269_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1270_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1270_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1270_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1271_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1271_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1271_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1272_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1272_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1272_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t1273_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1273_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1273_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t1274_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1274_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1274_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t1275_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1275_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1275_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t1276_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1276_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1276_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              CORBA_CreationImplDef _obj;
                                                                              CORBA_StringSequence *_local_args;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t1277_storage;
                                                                              unsigned int _t1278_principal;
                                                                              CORBA_StringSequence _t1279_storage;
                                                                              unsigned long int _t1281_array_iter;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t1277_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_swap_decode_unsigned32(1, _t1278_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              _local_args = &_t1279_storage;
                                                                              flick_cdr_swap_decode_unsigned32(5, _local_args->_length);
                                                                              _local_args->_buffer = auto_flick_alloc(_local_args->_length * sizeof(CORBA_char *));
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              for (_t1281_array_iter = 0; _t1281_array_iter < _local_args->_length; _t1281_array_iter++)
                                                                                {
                                                                                  flick_cdr_swap_decode_auto_string(_local_args->_buffer[_t1281_array_iter], auto_flick_alloc, iiop);
                                                                                }
                                                                              flick_corba_init_environment();
                                                                              CORBA_CreationImplDef__set_args(_obj, _local_args, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(4);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(4);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t1282_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1282_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1282_switch_tag)
            {
            case '_':
              {
                char _t1283_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1283_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1283_switch_tag)
                  {
                  case '_':
                    {
                      char _t1284_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1284_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1284_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1285_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1285_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1285_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1286_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1286_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1286_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1287_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1287_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1287_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1288_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1288_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1288_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t1289_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1289_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1289_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1290_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1290_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1290_switch_tag)
                                                            {
                                                            case 'v':
                                                              {
                                                                char _t1291_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1291_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1291_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        CORBA_CreationImplDef _obj;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_StringSequence *_return = 0;
                                                                        CORBA_Environment _t1292_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t1292_storage;
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        _return = CORBA_CreationImplDef__get_env(_obj, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(8);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              unsigned long int _t1296_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_unsigned32(0, _return->_length);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              flick_iiop_encode_end_glob(8);
                                                                              for (_t1296_array_iter = 0; _t1296_array_iter < _return->_length; _t1296_array_iter++)
                                                                                {
                                                                                  flick_cdr_encode_longstring(_return->_buffer[_t1296_array_iter], CORBA_flick_free, iiop);
                                                                                }
                                                                              CORBA_flick_free(_return->_buffer);
                                                                              CORBA_flick_free(_return);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              flick_iiop_encode_end_glob(8);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                              flick_iiop_encode_end_glob(8);
                                                                            }
                                                                          }
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1297_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1297_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1297_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1298_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1298_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1298_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1299_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1299_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1299_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1300_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1300_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1300_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t1301_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1301_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1301_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1302_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1302_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1302_switch_tag)
                                                            {
                                                            case 'v':
                                                              {
                                                                char _t1303_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1303_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1303_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        CORBA_CreationImplDef _obj;
                                                                        CORBA_StringSequence *_local_env;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t1304_storage;
                                                                        unsigned int _t1305_principal;
                                                                        CORBA_StringSequence _t1306_storage;
                                                                        unsigned long int _t1308_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t1304_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(10);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t1305_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_env = &_t1306_storage;
                                                                        flick_cdr_swap_decode_unsigned32(6, _local_env->_length);
                                                                        _local_env->_buffer = auto_flick_alloc(_local_env->_length * sizeof(CORBA_char *));
                                                                        flick_iiop_decode_end_chunk(10);
                                                                        flick_iiop_decode_end_glob(36);
                                                                        for (_t1308_array_iter = 0; _t1308_array_iter < _local_env->_length; _t1308_array_iter++)
                                                                          {
                                                                            flick_cdr_swap_decode_auto_string(_local_env->_buffer[_t1308_array_iter], auto_flick_alloc, iiop);
                                                                          }
                                                                        flick_corba_init_environment();
                                                                        CORBA_CreationImplDef__set_env(_obj, _local_env, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(4);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(4);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t1309_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1309_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1309_switch_tag)
            {
            case '_':
              {
                char _t1310_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1310_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1310_switch_tag)
                  {
                  case '_':
                    {
                      char _t1311_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1311_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1311_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1312_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1312_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1312_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1313_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1313_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1313_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1314_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1314_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1314_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1315_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1315_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1315_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1316_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1316_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1316_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1317_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1317_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1317_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1318_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1318_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1318_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1319_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1319_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1319_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t1320_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1320_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1320_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t1321_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1321_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1321_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1322_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1322_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1322_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t1323_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1323_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1323_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t1324_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1324_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1324_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t1325_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1325_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1325_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t1326_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1326_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1326_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t1327_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1327_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1327_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t1328_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1328_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1328_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1329_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1329_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1329_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_CreationImplDef _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char *_return = 0;
                                                                                                                                          CORBA_Environment _t1330_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t1330_storage;
                                                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = CORBA_CreationImplDef__get_interface_name(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(36);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1331_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1331_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1331_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1332_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1332_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1332_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1333_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1333_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1333_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1334_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1334_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1334_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1335_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1335_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1335_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1336_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1336_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1336_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1337_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1337_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1337_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1338_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1338_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1338_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t1339_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1339_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1339_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t1340_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1340_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1340_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1341_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1341_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1341_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t1342_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1342_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1342_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t1343_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1343_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1343_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t1344_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1344_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1344_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t1345_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1345_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1345_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t1346_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1346_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1346_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t1347_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1347_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1347_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1348_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t1348_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1348_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_CreationImplDef _obj;
                                                                                                                                          CORBA_char *_local_interface_name;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t1349_storage;
                                                                                                                                          unsigned int _t1350_principal;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t1349_storage;
                                                                                                                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                          flick_iiop_decode_new_chunk(7);
                                                                                                                                          flick_cdr_swap_decode_unsigned32(3, _t1350_principal);
                                                                                                                                          /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                          flick_iiop_decode_end_chunk(7);
                                                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                                                          flick_cdr_swap_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          CORBA_CreationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(4);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(36);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 18:
        {
          char _t1351_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1351_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1351_switch_tag)
            {
            case '_':
              {
                char _t1352_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1352_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1352_switch_tag)
                  {
                  case '_':
                    {
                      char _t1353_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1353_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1353_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1354_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1354_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1354_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1355_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1355_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1355_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1356_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1356_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1356_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1357_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1357_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1357_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1358_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1358_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1358_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t1359_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1359_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1359_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t1360_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1360_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1360_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1361_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1361_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1361_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t1362_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1362_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1362_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t1363_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1363_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1363_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1364_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1364_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1364_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t1365_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1365_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1365_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t1366_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1366_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1366_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t1367_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1367_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1367_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t1368_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1368_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1368_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_CreationImplDef _obj;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_char *_return = 0;
                                                                                                                        CORBA_Environment _t1369_storage;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t1369_storage;
                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        _return = CORBA_CreationImplDef__get_object_name(_obj, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1370_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1370_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1370_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1371_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1371_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1371_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1372_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1372_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1372_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1373_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1373_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1373_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1374_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1374_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1374_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t1375_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1375_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1375_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t1376_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1376_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1376_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1377_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1377_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1377_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t1378_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1378_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1378_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t1379_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1379_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1379_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1380_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1380_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1380_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t1381_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1381_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1381_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t1382_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1382_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1382_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t1383_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1383_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1383_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t1384_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1384_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1384_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_CreationImplDef _obj;
                                                                                                                        CORBA_char *_local_object_name;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_Environment _t1385_storage;
                                                                                                                        unsigned int _t1386_principal;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t1385_storage;
                                                                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                        flick_iiop_decode_new_chunk(6);
                                                                                                                        flick_cdr_swap_decode_unsigned32(2, _t1386_principal);
                                                                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                        flick_iiop_decode_end_chunk(6);
                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                        flick_cdr_swap_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        CORBA_CreationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_encode_end_glob(4);
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t1387_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1387_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1387_switch_tag)
            {
            case '_':
              {
                char _t1388_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1388_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1388_switch_tag)
                  {
                  case '_':
                    {
                      char _t1389_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1389_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1389_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1390_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1390_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1390_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1391_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1391_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1391_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1392_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1392_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1392_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1393_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1393_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1393_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1394_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1394_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1394_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t1395_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1395_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1395_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_CreationImplDef _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_ReferenceData *_return = 0;
                                                                  CORBA_Environment _t1396_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t1396_storage;
                                                                  flick_iiop_decode_end_glob(36);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_CreationImplDef__get_id(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t1400_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _return->_length);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_encode_new_glob(1 * _return->_length);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1400_array_iter = 0; _t1400_array_iter < _return->_length; _t1400_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(1);
                                                                            flick_cdr_encode_unsigned8(0, _return->_buffer[_t1400_array_iter]);
                                                                            flick_iiop_encode_end_chunk(1);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_end_glob(1 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1401_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1401_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1401_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1402_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1402_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1402_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1403_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1403_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1403_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1404_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1404_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1404_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1405_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1405_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1405_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t1406_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1406_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1406_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_CreationImplDef _obj;
                                                                  CORBA_ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t1407_storage;
                                                                  unsigned int _t1408_principal;
                                                                  CORBA_ReferenceData _t1409_storage;
                                                                  unsigned long int _t1411_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t1407_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t1408_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_id = &_t1409_storage;
                                                                  flick_cdr_swap_decode_unsigned32(7, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(36);
                                                                  flick_iiop_decode_new_glob(1 * _local_id->_length);
                                                                  for (_t1411_array_iter = 0; _t1411_array_iter < _local_id->_length; _t1411_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_unsigned8(0, _local_id->_buffer[_t1411_array_iter]);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                    }
                                                                  flick_iiop_decode_end_glob(1 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  CORBA_CreationImplDef__set_id(_obj, _local_id, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(36);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t692_switch_tag;

    flick_iiop_decode_new_glob(36);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t692_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t692_switch_tag)
      {
      case (unsigned int) 16:
        {
          char _t693_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t693_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t693_switch_tag)
            {
            case '_':
              {
                char _t694_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t694_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t694_switch_tag)
                  {
                  case '_':
                    {
                      char _t695_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t695_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t695_switch_tag)
                        {
                        case 'g':
                          {
                            char _t696_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t696_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t696_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t697_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t697_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t697_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t698_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t698_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t698_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t699_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t699_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t699_switch_tag)
                                                {
                                                case 'p':
                                                  {
                                                    char _t700_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t700_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t700_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t701_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t701_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t701_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t702_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t702_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t702_switch_tag)
                                                                  {
                                                                  case 'h':
                                                                    {
                                                                      char _t703_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t703_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t703_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t704_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t704_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t704_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t705_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t705_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t705_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t706_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t706_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t706_switch_tag)
                                                                                          {
                                                                                          case 'm':
                                                                                            {
                                                                                              char _t707_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t707_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t707_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t708_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t708_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t708_switch_tag)
                                                                                                      {
                                                                                                      case 0:
                                                                                                        {
                                                                                                          {
                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                            CORBA_Environment *_ev;
                                                                                                            CORBA_char *_return = 0;
                                                                                                            CORBA_Environment _t709_storage;

                                                                                                            {
                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                            }
                                                                                                            _ev = &_t709_storage;
                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                            flick_corba_init_environment();
                                                                                                            _return = CORBA_CreationImplDef__get_path_name(_obj, _ev);
                                                                                                            flick_iiop_server_start_encode();
                                                                                                            {
                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                            }
                                                                                                            flick_iiop_encode_new_glob(4);
                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                            switch (_ev->_major)
                                                                                                              {
                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                {
                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                  flick_iiop_encode_end_glob(4);
                                                                                                                  flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                  break;
                                                                                                                }
                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                {
                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                  flick_iiop_encode_end_glob(4);
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                  flick_iiop_encode_end_glob(4);
                                                                                                                }
                                                                                                              }
                                                                                                            flick_iiop_server_end_encode();
                                                                                                          }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t710_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t710_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t710_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t711_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t711_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t711_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t712_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t712_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t712_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t713_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t713_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t713_switch_tag)
                                                {
                                                case 'p':
                                                  {
                                                    char _t714_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t714_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t714_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t715_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t715_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t715_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t716_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t716_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t716_switch_tag)
                                                                  {
                                                                  case 'h':
                                                                    {
                                                                      char _t717_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t717_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t717_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t718_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t718_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t718_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t719_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t719_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t719_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t720_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t720_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t720_switch_tag)
                                                                                          {
                                                                                          case 'm':
                                                                                            {
                                                                                              char _t721_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t721_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t721_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t722_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t722_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t722_switch_tag)
                                                                                                      {
                                                                                                      case 0:
                                                                                                        {
                                                                                                          {
                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                            CORBA_char *_local_path_name;
                                                                                                            CORBA_Environment *_ev;
                                                                                                            CORBA_Environment _t723_storage;
                                                                                                            unsigned int _t724_principal;

                                                                                                            {
                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                            }
                                                                                                            _ev = &_t723_storage;
                                                                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                            flick_iiop_decode_new_chunk(4);
                                                                                                            flick_cdr_decode_unsigned32(0, _t724_principal);
                                                                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                                                                            flick_iiop_decode_end_chunk(4);
                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                            flick_cdr_decode_auto_string(_local_path_name, auto_flick_alloc, iiop);
                                                                                                            flick_corba_init_environment();
                                                                                                            CORBA_CreationImplDef__set_path_name(_obj, _local_path_name, _ev);
                                                                                                            flick_iiop_server_start_encode();
                                                                                                            {
                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                            }
                                                                                                            flick_iiop_encode_new_glob(4);
                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                            switch (_ev->_major)
                                                                                                              {
                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                {
                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                  break;
                                                                                                                }
                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                {
                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                }
                                                                                                              }
                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                            flick_iiop_server_end_encode();
                                                                                                          }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 24:
        {
          char _t725_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t725_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t725_switch_tag)
            {
            case '_':
              {
                char _t726_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t726_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t726_switch_tag)
                  {
                  case '_':
                    {
                      char _t727_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t727_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t727_switch_tag)
                        {
                        case 'g':
                          {
                            char _t728_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t728_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t728_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t729_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t729_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t729_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t730_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t730_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t730_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t731_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t731_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t731_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t732_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t732_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t732_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t733_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t733_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t733_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t734_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t734_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t734_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t735_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t735_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t735_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t736_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t736_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t736_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t737_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t737_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t737_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t738_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t738_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t738_switch_tag)
                                                                                          {
                                                                                          case 'i':
                                                                                            {
                                                                                              char _t739_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t739_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t739_switch_tag)
                                                                                                {
                                                                                                case 'o':
                                                                                                  {
                                                                                                    char _t740_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t740_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t740_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t741_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t741_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t741_switch_tag)
                                                                                                            {
                                                                                                            case '_':
                                                                                                              {
                                                                                                                char _t742_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t742_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t742_switch_tag)
                                                                                                                  {
                                                                                                                  case 'p':
                                                                                                                    {
                                                                                                                      char _t743_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t743_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t743_switch_tag)
                                                                                                                        {
                                                                                                                        case 'o':
                                                                                                                          {
                                                                                                                            char _t744_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t744_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t744_switch_tag)
                                                                                                                              {
                                                                                                                              case 'l':
                                                                                                                                {
                                                                                                                                  char _t745_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t745_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t745_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'i':
                                                                                                                                      {
                                                                                                                                        char _t746_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t746_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t746_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'c':
                                                                                                                                            {
                                                                                                                                              char _t747_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t747_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t747_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'y':
                                                                                                                                                  {
                                                                                                                                                    char _t748_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_decode_char8(0, _t748_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t748_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_Policy _return;
                                                                                                                                                            CORBA_Environment _t749_storage;

                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t749_storage;
                                                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            _return = CORBA_CreationImplDef__get_activation_policy(_obj, _ev);
                                                                                                                                                            flick_iiop_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            flick_iiop_encode_new_glob(8);
                                                                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                                                                  flick_iiop_encode_new_chunk(4);
                                                                                                                                                                  flick_cdr_encode_unsigned32(0, _return);
                                                                                                                                                                  flick_iiop_encode_end_chunk(4);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_iiop_encode_end_glob(8);
                                                                                                                                                            flick_iiop_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(36);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(36);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t750_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t750_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t750_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t751_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t751_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t751_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t752_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t752_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t752_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t753_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t753_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t753_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t754_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t754_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t754_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t755_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t755_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t755_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t756_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t756_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t756_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t757_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t757_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t757_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t758_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t758_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t758_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t759_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t759_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t759_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t760_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t760_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t760_switch_tag)
                                                                                          {
                                                                                          case 'i':
                                                                                            {
                                                                                              char _t761_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t761_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t761_switch_tag)
                                                                                                {
                                                                                                case 'o':
                                                                                                  {
                                                                                                    char _t762_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t762_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t762_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t763_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t763_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t763_switch_tag)
                                                                                                            {
                                                                                                            case '_':
                                                                                                              {
                                                                                                                char _t764_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t764_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t764_switch_tag)
                                                                                                                  {
                                                                                                                  case 'p':
                                                                                                                    {
                                                                                                                      char _t765_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t765_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t765_switch_tag)
                                                                                                                        {
                                                                                                                        case 'o':
                                                                                                                          {
                                                                                                                            char _t766_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t766_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t766_switch_tag)
                                                                                                                              {
                                                                                                                              case 'l':
                                                                                                                                {
                                                                                                                                  char _t767_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t767_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t767_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'i':
                                                                                                                                      {
                                                                                                                                        char _t768_switch_tag;

                                                                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                                                                        flick_cdr_decode_char8(0, _t768_switch_tag);
                                                                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                                                                        switch (_t768_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'c':
                                                                                                                                            {
                                                                                                                                              char _t769_switch_tag;

                                                                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                                                                              flick_cdr_decode_char8(0, _t769_switch_tag);
                                                                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                                                                              switch (_t769_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'y':
                                                                                                                                                  {
                                                                                                                                                    char _t770_switch_tag;

                                                                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                                                                    flick_cdr_decode_char8(0, _t770_switch_tag);
                                                                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                                                                    switch (_t770_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 0:
                                                                                                                                                        {
                                                                                                                                                          {
                                                                                                                                                            CORBA_CreationImplDef _obj;
                                                                                                                                                            CORBA_Policy _local_activation_policy;
                                                                                                                                                            CORBA_Environment *_ev;
                                                                                                                                                            CORBA_Environment _t771_storage;
                                                                                                                                                            unsigned int _t772_principal;

                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            _ev = &_t771_storage;
                                                                                                                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                                            flick_iiop_decode_new_chunk(8);
                                                                                                                                                            flick_cdr_decode_unsigned32(0, _t772_principal);
                                                                                                                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                                            flick_cdr_decode_unsigned32(4, _local_activation_policy);
                                                                                                                                                            flick_iiop_decode_end_chunk(8);
                                                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                                                            flick_corba_init_environment();
                                                                                                                                                            CORBA_CreationImplDef__set_activation_policy(_obj, _local_activation_policy, _ev);
                                                                                                                                                            flick_iiop_server_start_encode();
                                                                                                                                                            {
                                                                                                                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                                            }
                                                                                                                                                            flick_iiop_encode_new_glob(4);
                                                                                                                                                            flick_iiop_encode_new_chunk(4);
                                                                                                                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                                            flick_iiop_encode_end_chunk(4);
                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                              {
                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  /* Begin encode phase on parameters */
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            flick_iiop_encode_end_glob(4);
                                                                                                                                                            flick_iiop_server_end_encode();
                                                                                                                                                          }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                              flick_iiop_decode_end_glob(36);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(36);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t773_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t773_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t773_switch_tag)
            {
            case '_':
              {
                char _t774_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t774_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t774_switch_tag)
                  {
                  case '_':
                    {
                      char _t775_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t775_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t775_switch_tag)
                        {
                        case 'g':
                          {
                            char _t776_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t776_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t776_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t777_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t777_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t777_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t778_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t778_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t778_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t779_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t779_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t779_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t780_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t780_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t780_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t781_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t781_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t781_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t782_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t782_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t782_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t783_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t783_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t783_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              CORBA_CreationImplDef _obj;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_StringSequence *_return = 0;
                                                                              CORBA_Environment _t784_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t784_storage;
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              _return = CORBA_CreationImplDef__get_args(_obj, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(8);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    unsigned long int _t788_array_iter;

                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                    for (_t788_array_iter = 0; _t788_array_iter < _return->_length; _t788_array_iter++)
                                                                                      {
                                                                                        flick_cdr_encode_longstring(_return->_buffer[_t788_array_iter], CORBA_flick_free, iiop);
                                                                                      }
                                                                                    CORBA_flick_free(_return->_buffer);
                                                                                    CORBA_flick_free(_return);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                  }
                                                                                }
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t789_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t789_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t789_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t790_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t790_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t790_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t791_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t791_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t791_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t792_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t792_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t792_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t793_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t793_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t793_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t794_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t794_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t794_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t795_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t795_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t795_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t796_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t796_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t796_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              CORBA_CreationImplDef _obj;
                                                                              CORBA_StringSequence *_local_args;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t797_storage;
                                                                              unsigned int _t798_principal;
                                                                              CORBA_StringSequence _t799_storage;
                                                                              unsigned long int _t801_array_iter;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t797_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_decode_unsigned32(1, _t798_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              _local_args = &_t799_storage;
                                                                              flick_cdr_decode_unsigned32(5, _local_args->_length);
                                                                              _local_args->_buffer = auto_flick_alloc(_local_args->_length * sizeof(CORBA_char *));
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              for (_t801_array_iter = 0; _t801_array_iter < _local_args->_length; _t801_array_iter++)
                                                                                {
                                                                                  flick_cdr_decode_auto_string(_local_args->_buffer[_t801_array_iter], auto_flick_alloc, iiop);
                                                                                }
                                                                              flick_corba_init_environment();
                                                                              CORBA_CreationImplDef__set_args(_obj, _local_args, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(4);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(4);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t802_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t802_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t802_switch_tag)
            {
            case '_':
              {
                char _t803_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t803_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t803_switch_tag)
                  {
                  case '_':
                    {
                      char _t804_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t804_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t804_switch_tag)
                        {
                        case 'g':
                          {
                            char _t805_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t805_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t805_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t806_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t806_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t806_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t807_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t807_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t807_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t808_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t808_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t808_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t809_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t809_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t809_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t810_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t810_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t810_switch_tag)
                                                            {
                                                            case 'v':
                                                              {
                                                                char _t811_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t811_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t811_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        CORBA_CreationImplDef _obj;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_StringSequence *_return = 0;
                                                                        CORBA_Environment _t812_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t812_storage;
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        _return = CORBA_CreationImplDef__get_env(_obj, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(8);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              unsigned long int _t816_array_iter;

                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_unsigned32(0, _return->_length);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              flick_iiop_encode_end_glob(8);
                                                                              for (_t816_array_iter = 0; _t816_array_iter < _return->_length; _t816_array_iter++)
                                                                                {
                                                                                  flick_cdr_encode_longstring(_return->_buffer[_t816_array_iter], CORBA_flick_free, iiop);
                                                                                }
                                                                              CORBA_flick_free(_return->_buffer);
                                                                              CORBA_flick_free(_return);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              flick_iiop_encode_end_glob(8);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                              flick_iiop_encode_end_glob(8);
                                                                            }
                                                                          }
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t817_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t817_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t817_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t818_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t818_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t818_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t819_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t819_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t819_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t820_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t820_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t820_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t821_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t821_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t821_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t822_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t822_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t822_switch_tag)
                                                            {
                                                            case 'v':
                                                              {
                                                                char _t823_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t823_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t823_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        CORBA_CreationImplDef _obj;
                                                                        CORBA_StringSequence *_local_env;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t824_storage;
                                                                        unsigned int _t825_principal;
                                                                        CORBA_StringSequence _t826_storage;
                                                                        unsigned long int _t828_array_iter;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t824_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(10);
                                                                        flick_cdr_decode_unsigned32(2, _t825_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        _local_env = &_t826_storage;
                                                                        flick_cdr_decode_unsigned32(6, _local_env->_length);
                                                                        _local_env->_buffer = auto_flick_alloc(_local_env->_length * sizeof(CORBA_char *));
                                                                        flick_iiop_decode_end_chunk(10);
                                                                        flick_iiop_decode_end_glob(36);
                                                                        for (_t828_array_iter = 0; _t828_array_iter < _local_env->_length; _t828_array_iter++)
                                                                          {
                                                                            flick_cdr_decode_auto_string(_local_env->_buffer[_t828_array_iter], auto_flick_alloc, iiop);
                                                                          }
                                                                        flick_corba_init_environment();
                                                                        CORBA_CreationImplDef__set_env(_obj, _local_env, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(4);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(4);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t829_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t829_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t829_switch_tag)
            {
            case '_':
              {
                char _t830_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t830_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t830_switch_tag)
                  {
                  case '_':
                    {
                      char _t831_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t831_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t831_switch_tag)
                        {
                        case 'g':
                          {
                            char _t832_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t832_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t832_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t833_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t833_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t833_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t834_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t834_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t834_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t835_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t835_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t835_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t836_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t836_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t836_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t837_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t837_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t837_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t838_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t838_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t838_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t839_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t839_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t839_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t840_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t840_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t840_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t841_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t841_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t841_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t842_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t842_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t842_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t843_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t843_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t843_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t844_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t844_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t844_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t845_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t845_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t845_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t846_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t846_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t846_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t847_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t847_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t847_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t848_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t848_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t848_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t849_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t849_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t849_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_CreationImplDef _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char *_return = 0;
                                                                                                                                          CORBA_Environment _t850_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t850_storage;
                                                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = CORBA_CreationImplDef__get_interface_name(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(36);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t851_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t851_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t851_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t852_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t852_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t852_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t853_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t853_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t853_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t854_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t854_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t854_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t855_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t855_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t855_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t856_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t856_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t856_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t857_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t857_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t857_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t858_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t858_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t858_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t859_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t859_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t859_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t860_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t860_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t860_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t861_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t861_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t861_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t862_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t862_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t862_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t863_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t863_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t863_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t864_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t864_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t864_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t865_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t865_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t865_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t866_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t866_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t866_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t867_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t867_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t867_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t868_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t868_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t868_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_CreationImplDef _obj;
                                                                                                                                          CORBA_char *_local_interface_name;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t869_storage;
                                                                                                                                          unsigned int _t870_principal;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t869_storage;
                                                                                                                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                          flick_iiop_decode_new_chunk(7);
                                                                                                                                          flick_cdr_decode_unsigned32(3, _t870_principal);
                                                                                                                                          /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                          flick_iiop_decode_end_chunk(7);
                                                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                                                          flick_cdr_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          CORBA_CreationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(4);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(36);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(36);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 18:
        {
          char _t871_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t871_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t871_switch_tag)
            {
            case '_':
              {
                char _t872_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t872_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t872_switch_tag)
                  {
                  case '_':
                    {
                      char _t873_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t873_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t873_switch_tag)
                        {
                        case 'g':
                          {
                            char _t874_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t874_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t874_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t875_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t875_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t875_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t876_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t876_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t876_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t877_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t877_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t877_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t878_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t878_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t878_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t879_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t879_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t879_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t880_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t880_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t880_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t881_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t881_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t881_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t882_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t882_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t882_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t883_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t883_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t883_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t884_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t884_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t884_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t885_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t885_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t885_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t886_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t886_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t886_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t887_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t887_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t887_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t888_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t888_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t888_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_CreationImplDef _obj;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_char *_return = 0;
                                                                                                                        CORBA_Environment _t889_storage;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t889_storage;
                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        _return = CORBA_CreationImplDef__get_object_name(_obj, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t890_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t890_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t890_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t891_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t891_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t891_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t892_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t892_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t892_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t893_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t893_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t893_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t894_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t894_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t894_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t895_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t895_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t895_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t896_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t896_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t896_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t897_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t897_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t897_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t898_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t898_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t898_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t899_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t899_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t899_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t900_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t900_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t900_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t901_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t901_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t901_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t902_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t902_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t902_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t903_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t903_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t903_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t904_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t904_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t904_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_CreationImplDef _obj;
                                                                                                                        CORBA_char *_local_object_name;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_Environment _t905_storage;
                                                                                                                        unsigned int _t906_principal;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t905_storage;
                                                                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                        flick_iiop_decode_new_chunk(6);
                                                                                                                        flick_cdr_decode_unsigned32(2, _t906_principal);
                                                                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                        flick_iiop_decode_end_chunk(6);
                                                                                                                        flick_iiop_decode_end_glob(36);
                                                                                                                        flick_cdr_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        CORBA_CreationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_encode_end_glob(4);
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(36);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(36);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(36);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(36);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(36);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t907_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t907_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t907_switch_tag)
            {
            case '_':
              {
                char _t908_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t908_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t908_switch_tag)
                  {
                  case '_':
                    {
                      char _t909_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t909_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t909_switch_tag)
                        {
                        case 'g':
                          {
                            char _t910_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t910_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t910_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t911_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t911_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t911_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t912_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t912_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t912_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t913_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t913_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t913_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t914_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t914_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t914_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t915_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t915_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t915_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_CreationImplDef _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_ReferenceData *_return = 0;
                                                                  CORBA_Environment _t916_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t916_storage;
                                                                  flick_iiop_decode_end_glob(36);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_CreationImplDef__get_id(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t920_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _return->_length);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_encode_new_glob(1 * _return->_length);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t920_array_iter = 0; _t920_array_iter < _return->_length; _t920_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(1);
                                                                            flick_cdr_encode_unsigned8(0, _return->_buffer[_t920_array_iter]);
                                                                            flick_iiop_encode_end_chunk(1);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_end_glob(1 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t921_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t921_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t921_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t922_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t922_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t922_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t923_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t923_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t923_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t924_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t924_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t924_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t925_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t925_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t925_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t926_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t926_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t926_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_CreationImplDef _obj;
                                                                  CORBA_ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t927_storage;
                                                                  unsigned int _t928_principal;
                                                                  CORBA_ReferenceData _t929_storage;
                                                                  unsigned long int _t931_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t927_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t928_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_id = &_t929_storage;
                                                                  flick_cdr_decode_unsigned32(7, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(36);
                                                                  flick_iiop_decode_new_glob(1 * _local_id->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t931_array_iter = 0; _t931_array_iter < _local_id->_length; _t931_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_unsigned8(0, _local_id->_buffer[_t931_array_iter]);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_id->_buffer, sizeof(char) * _local_id->_length, iiop);
#endif
                                                                  flick_iiop_decode_end_glob(1 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  CORBA_CreationImplDef__set_id(_obj, _local_id, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(36);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, const CORBA_Activator *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Activator_swap(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int CORBA_Activator_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t1487_switch_tag;

    flick_iiop_decode_new_glob(28);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t1487_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t1487_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t1488_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1488_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1488_switch_tag)
            {
            case 'a':
              {
                char _t1489_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1489_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1489_switch_tag)
                  {
                  case 'c':
                    {
                      char _t1490_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1490_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1490_switch_tag)
                        {
                        case 't':
                          {
                            char _t1491_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1491_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1491_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t1492_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1492_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1492_switch_tag)
                                    {
                                    case 'v':
                                      {
                                        char _t1493_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1493_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1493_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t1494_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1494_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1494_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t1495_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1495_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1495_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t1496_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1496_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1496_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_Activator _obj;
                                                                  CORBA_ImplementationDef _local_impl;
                                                                  CORBA_Environment *_ev;
                                                                  Object _return;
                                                                  CORBA_Environment _t1497_storage;
                                                                  unsigned int _t1498_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t1497_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t1498_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_swap_decode_port32(7, _local_impl, 1);
                                                                  flick_iiop_mark_port_for_cleanup(_local_impl, 1);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(28);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_Activator_activate(_obj, _local_impl, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_port32(0, _return, 1);
                                                                        flick_iiop_mark_port_for_cleanup(_return, 1);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(28);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(28);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(28);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t1499_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1499_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1499_switch_tag)
            {
            case 'd':
              {
                char _t1500_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1500_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1500_switch_tag)
                  {
                  case 'e':
                    {
                      char _t1501_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1501_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1501_switch_tag)
                        {
                        case 'a':
                          {
                            char _t1502_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1502_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1502_switch_tag)
                              {
                              case 'c':
                                {
                                  char _t1503_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1503_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1503_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1504_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1504_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1504_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t1505_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1505_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1505_switch_tag)
                                                {
                                                case 'v':
                                                  {
                                                    char _t1506_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1506_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1506_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t1507_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1507_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1507_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1508_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1508_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1508_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1509_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1509_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1509_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              CORBA_Activator _obj;
                                                                              Object _local_obj;
                                                                              CORBA_ImplementationDef _local_impl;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t1510_storage;
                                                                              unsigned int _t1511_principal;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t1510_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(13);
                                                                              flick_cdr_swap_decode_unsigned32(1, _t1511_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_swap_decode_port32(5, _local_obj, 1);
                                                                              flick_iiop_mark_port_for_cleanup(_local_obj, 1);
                                                                              flick_cdr_swap_decode_port32(9, _local_impl, 1);
                                                                              flick_iiop_mark_port_for_cleanup(_local_impl, 1);
                                                                              flick_iiop_decode_end_chunk(13);
                                                                              flick_iiop_decode_end_glob(28);
                                                                              flick_corba_init_environment();
                                                                              CORBA_Activator_deactivate(_obj, _local_obj, _local_impl, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(4);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(4);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(28);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(28);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(28);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(28);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(28);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(28);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t1437_switch_tag;

    flick_iiop_decode_new_glob(28);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t1437_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t1437_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t1438_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1438_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1438_switch_tag)
            {
            case 'a':
              {
                char _t1439_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1439_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1439_switch_tag)
                  {
                  case 'c':
                    {
                      char _t1440_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1440_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1440_switch_tag)
                        {
                        case 't':
                          {
                            char _t1441_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1441_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1441_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t1442_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1442_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1442_switch_tag)
                                    {
                                    case 'v':
                                      {
                                        char _t1443_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1443_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1443_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t1444_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1444_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1444_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t1445_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1445_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1445_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t1446_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1446_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1446_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_Activator _obj;
                                                                  CORBA_ImplementationDef _local_impl;
                                                                  CORBA_Environment *_ev;
                                                                  Object _return;
                                                                  CORBA_Environment _t1447_storage;
                                                                  unsigned int _t1448_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t1447_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t1448_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_decode_port32(7, _local_impl, 1);
                                                                  flick_iiop_mark_port_for_cleanup(_local_impl, 1);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(28);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_Activator_activate(_obj, _local_impl, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_port32(0, _return, 1);
                                                                        flick_iiop_mark_port_for_cleanup(_return, 1);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(28);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(28);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(28);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t1449_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1449_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1449_switch_tag)
            {
            case 'd':
              {
                char _t1450_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1450_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1450_switch_tag)
                  {
                  case 'e':
                    {
                      char _t1451_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1451_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1451_switch_tag)
                        {
                        case 'a':
                          {
                            char _t1452_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1452_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1452_switch_tag)
                              {
                              case 'c':
                                {
                                  char _t1453_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1453_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1453_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1454_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1454_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1454_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t1455_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1455_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1455_switch_tag)
                                                {
                                                case 'v':
                                                  {
                                                    char _t1456_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1456_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1456_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t1457_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1457_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1457_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1458_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1458_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1458_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1459_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1459_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1459_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              CORBA_Activator _obj;
                                                                              Object _local_obj;
                                                                              CORBA_ImplementationDef _local_impl;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t1460_storage;
                                                                              unsigned int _t1461_principal;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t1460_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(13);
                                                                              flick_cdr_decode_unsigned32(1, _t1461_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_decode_port32(5, _local_obj, 1);
                                                                              flick_iiop_mark_port_for_cleanup(_local_obj, 1);
                                                                              flick_cdr_decode_port32(9, _local_impl, 1);
                                                                              flick_iiop_mark_port_for_cleanup(_local_impl, 1);
                                                                              flick_iiop_decode_end_chunk(13);
                                                                              flick_iiop_decode_end_glob(28);
                                                                              flick_corba_init_environment();
                                                                              CORBA_Activator_deactivate(_obj, _local_obj, _local_impl, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(4);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(4);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(28);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(28);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(28);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(28);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(28);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(28);
          break;
        }
      }
  }
  }
  return 0;
}
void flick_marshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, const CORBA_ActivationImplDef *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_ActivationImplDef_swap(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int CORBA_ActivationImplDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t1944_switch_tag;

    flick_iiop_decode_new_glob(32);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t1944_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t1944_switch_tag)
      {
      case (unsigned int) 20:
        {
          char _t1945_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1945_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1945_switch_tag)
            {
            case '_':
              {
                char _t1946_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1946_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1946_switch_tag)
                  {
                  case '_':
                    {
                      char _t1947_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1947_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1947_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1948_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1948_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1948_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1949_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1949_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1949_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1950_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1950_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1950_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1951_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1951_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1951_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t1952_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1952_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1952_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t1953_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1953_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1953_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1954_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1954_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1954_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1955_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1955_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1955_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t1956_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1956_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1956_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1957_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1957_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1957_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1958_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1958_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1958_switch_tag)
                                                                                          {
                                                                                          case 'o':
                                                                                            {
                                                                                              char _t1959_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1959_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1959_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1960_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1960_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1960_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t1961_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1961_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1961_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t1962_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1962_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1962_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1963_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1963_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1963_switch_tag)
                                                                                                                        {
                                                                                                                        case 'j':
                                                                                                                          {
                                                                                                                            char _t1964_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1964_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1964_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_ActivationImplDef _obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_Activator _return;
                                                                                                                                    CORBA_Environment _t1965_storage;

                                                                                                                                    {
                                                                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                    }
                                                                                                                                    _ev = &_t1965_storage;
                                                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _return = CORBA_ActivationImplDef__get_activator_obj(_obj, _ev);
                                                                                                                                    flick_iiop_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                    }
                                                                                                                                    flick_iiop_encode_new_glob(8);
                                                                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          /* Begin encode phase on parameters */
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_port32(0, _return, 1);
                                                                                                                                          flick_iiop_mark_port_for_cleanup(_return, 1);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_iiop_encode_end_glob(8);
                                                                                                                                    flick_iiop_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1966_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1966_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1966_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1967_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1967_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1967_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1968_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1968_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1968_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1969_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1969_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1969_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t1970_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1970_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1970_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t1971_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1971_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1971_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1972_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1972_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1972_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1973_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1973_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1973_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t1974_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1974_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1974_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1975_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1975_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1975_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1976_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1976_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1976_switch_tag)
                                                                                          {
                                                                                          case 'o':
                                                                                            {
                                                                                              char _t1977_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1977_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1977_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1978_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t1978_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1978_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t1979_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t1979_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1979_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t1980_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t1980_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1980_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1981_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t1981_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1981_switch_tag)
                                                                                                                        {
                                                                                                                        case 'j':
                                                                                                                          {
                                                                                                                            char _t1982_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t1982_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1982_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_ActivationImplDef _obj;
                                                                                                                                    CORBA_Activator _local_activator_obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_Environment _t1983_storage;
                                                                                                                                    unsigned int _t1984_principal;

                                                                                                                                    {
                                                                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                    }
                                                                                                                                    _ev = &_t1983_storage;
                                                                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                    flick_iiop_decode_new_chunk(8);
                                                                                                                                    flick_cdr_swap_decode_unsigned32(0, _t1984_principal);
                                                                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                    flick_cdr_swap_decode_port32(4, _local_activator_obj, 1);
                                                                                                                                    flick_iiop_mark_port_for_cleanup(_local_activator_obj, 1);
                                                                                                                                    flick_iiop_decode_end_chunk(8);
                                                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    CORBA_ActivationImplDef__set_activator_obj(_obj, _local_activator_obj, _ev);
                                                                                                                                    flick_iiop_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                    }
                                                                                                                                    flick_iiop_encode_new_glob(4);
                                                                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          /* Begin encode phase on parameters */
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_iiop_encode_end_glob(4);
                                                                                                                                    flick_iiop_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t1985_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t1985_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1985_switch_tag)
            {
            case '_':
              {
                char _t1986_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1986_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1986_switch_tag)
                  {
                  case '_':
                    {
                      char _t1987_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1987_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1987_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1988_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1988_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1988_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1989_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1989_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1989_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1990_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1990_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1990_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1991_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1991_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1991_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1992_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1992_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1992_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1993_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t1993_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1993_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1994_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t1994_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1994_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1995_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t1995_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1995_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t1996_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t1996_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1996_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t1997_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t1997_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1997_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1998_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t1998_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1998_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t1999_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t1999_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1999_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t2000_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2000_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2000_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t2001_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2001_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2001_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t2002_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2002_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2002_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t2003_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2003_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2003_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t2004_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2004_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2004_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t2005_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2005_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2005_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ActivationImplDef _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char *_return = 0;
                                                                                                                                          CORBA_Environment _t2006_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t2006_storage;
                                                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = CORBA_ActivationImplDef__get_interface_name(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t2007_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2007_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2007_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2008_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2008_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2008_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2009_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2009_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2009_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2010_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2010_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2010_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t2011_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2011_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2011_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t2012_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2012_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2012_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t2013_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2013_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2013_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t2014_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2014_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2014_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t2015_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2015_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2015_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t2016_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2016_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2016_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t2017_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2017_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2017_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t2018_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2018_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2018_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t2019_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2019_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2019_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t2020_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2020_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2020_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t2021_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2021_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2021_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t2022_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_swap_decode_char8(0, _t2022_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t2022_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t2023_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_swap_decode_char8(0, _t2023_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t2023_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t2024_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_swap_decode_char8(0, _t2024_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t2024_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ActivationImplDef _obj;
                                                                                                                                          CORBA_char *_local_interface_name;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t2025_storage;
                                                                                                                                          unsigned int _t2026_principal;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t2025_storage;
                                                                                                                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                          flick_iiop_decode_new_chunk(7);
                                                                                                                                          flick_cdr_swap_decode_unsigned32(3, _t2026_principal);
                                                                                                                                          /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                          flick_iiop_decode_end_chunk(7);
                                                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                                                          flick_cdr_swap_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          CORBA_ActivationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(4);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 18:
        {
          char _t2027_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t2027_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2027_switch_tag)
            {
            case '_':
              {
                char _t2028_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t2028_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2028_switch_tag)
                  {
                  case '_':
                    {
                      char _t2029_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t2029_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2029_switch_tag)
                        {
                        case 'g':
                          {
                            char _t2030_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2030_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2030_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2031_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2031_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2031_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2032_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2032_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2032_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2033_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2033_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2033_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t2034_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2034_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2034_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t2035_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2035_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2035_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t2036_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2036_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2036_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t2037_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2037_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2037_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t2038_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2038_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2038_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t2039_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2039_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2039_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t2040_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2040_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2040_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t2041_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2041_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2041_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t2042_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2042_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2042_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t2043_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2043_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2043_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t2044_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2044_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2044_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ActivationImplDef _obj;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_char *_return = 0;
                                                                                                                        CORBA_Environment _t2045_storage;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t2045_storage;
                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        _return = CORBA_ActivationImplDef__get_object_name(_obj, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t2046_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2046_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2046_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2047_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2047_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2047_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2048_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2048_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2048_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2049_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2049_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2049_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t2050_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2050_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2050_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t2051_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2051_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2051_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t2052_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t2052_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t2052_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t2053_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t2053_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t2053_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t2054_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t2054_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t2054_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t2055_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t2055_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t2055_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t2056_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_swap_decode_char8(0, _t2056_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t2056_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t2057_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_swap_decode_char8(0, _t2057_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t2057_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t2058_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_swap_decode_char8(0, _t2058_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t2058_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t2059_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_swap_decode_char8(0, _t2059_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t2059_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t2060_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_swap_decode_char8(0, _t2060_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t2060_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ActivationImplDef _obj;
                                                                                                                        CORBA_char *_local_object_name;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_Environment _t2061_storage;
                                                                                                                        unsigned int _t2062_principal;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t2061_storage;
                                                                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                        flick_iiop_decode_new_chunk(6);
                                                                                                                        flick_cdr_swap_decode_unsigned32(2, _t2062_principal);
                                                                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                        flick_iiop_decode_end_chunk(6);
                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                        flick_cdr_swap_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        CORBA_ActivationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_encode_end_glob(4);
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t2063_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t2063_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t2063_switch_tag)
            {
            case '_':
              {
                char _t2064_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t2064_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t2064_switch_tag)
                  {
                  case '_':
                    {
                      char _t2065_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t2065_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t2065_switch_tag)
                        {
                        case 'g':
                          {
                            char _t2066_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2066_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2066_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2067_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2067_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2067_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2068_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2068_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2068_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2069_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2069_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2069_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t2070_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2070_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2070_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t2071_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2071_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2071_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ActivationImplDef _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_ReferenceData *_return = 0;
                                                                  CORBA_Environment _t2072_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t2072_storage;
                                                                  flick_iiop_decode_end_glob(32);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_ActivationImplDef__get_id(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t2076_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _return->_length);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_encode_new_glob(1 * _return->_length);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t2076_array_iter = 0; _t2076_array_iter < _return->_length; _t2076_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(1);
                                                                            flick_cdr_encode_unsigned8(0, _return->_buffer[_t2076_array_iter]);
                                                                            flick_iiop_encode_end_chunk(1);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_end_glob(1 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t2077_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t2077_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t2077_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t2078_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t2078_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t2078_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t2079_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t2079_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t2079_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t2080_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t2080_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t2080_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t2081_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t2081_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t2081_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t2082_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t2082_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t2082_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ActivationImplDef _obj;
                                                                  CORBA_ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t2083_storage;
                                                                  unsigned int _t2084_principal;
                                                                  CORBA_ReferenceData _t2085_storage;
                                                                  unsigned long int _t2087_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t2083_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t2084_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_id = &_t2085_storage;
                                                                  flick_cdr_swap_decode_unsigned32(7, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(32);
                                                                  flick_iiop_decode_new_glob(1 * _local_id->_length);
                                                                  for (_t2087_array_iter = 0; _t2087_array_iter < _local_id->_length; _t2087_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_unsigned8(0, _local_id->_buffer[_t2087_array_iter]);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                    }
                                                                  flick_iiop_decode_end_glob(1 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  CORBA_ActivationImplDef__set_id(_obj, _local_id, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(32);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t1656_switch_tag;

    flick_iiop_decode_new_glob(32);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t1656_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t1656_switch_tag)
      {
      case (unsigned int) 20:
        {
          char _t1657_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1657_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1657_switch_tag)
            {
            case '_':
              {
                char _t1658_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1658_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1658_switch_tag)
                  {
                  case '_':
                    {
                      char _t1659_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1659_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1659_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1660_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1660_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1660_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1661_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1661_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1661_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1662_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1662_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1662_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1663_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1663_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1663_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t1664_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1664_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1664_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t1665_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1665_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1665_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1666_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1666_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1666_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1667_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1667_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1667_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t1668_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1668_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1668_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1669_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1669_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1669_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1670_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1670_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1670_switch_tag)
                                                                                          {
                                                                                          case 'o':
                                                                                            {
                                                                                              char _t1671_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1671_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1671_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1672_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1672_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1672_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t1673_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1673_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1673_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t1674_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1674_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1674_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1675_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1675_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1675_switch_tag)
                                                                                                                        {
                                                                                                                        case 'j':
                                                                                                                          {
                                                                                                                            char _t1676_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1676_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1676_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_ActivationImplDef _obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_Activator _return;
                                                                                                                                    CORBA_Environment _t1677_storage;

                                                                                                                                    {
                                                                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                    }
                                                                                                                                    _ev = &_t1677_storage;
                                                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _return = CORBA_ActivationImplDef__get_activator_obj(_obj, _ev);
                                                                                                                                    flick_iiop_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                    }
                                                                                                                                    flick_iiop_encode_new_glob(8);
                                                                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          /* Begin encode phase on parameters */
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_port32(0, _return, 1);
                                                                                                                                          flick_iiop_mark_port_for_cleanup(_return, 1);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_iiop_encode_end_glob(8);
                                                                                                                                    flick_iiop_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1678_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1678_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1678_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1679_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1679_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1679_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1680_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1680_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1680_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1681_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1681_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1681_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t1682_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1682_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1682_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t1683_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1683_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1683_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1684_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1684_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1684_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t1685_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1685_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1685_switch_tag)
                                                                        {
                                                                        case 'v':
                                                                          {
                                                                            char _t1686_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1686_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1686_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1687_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1687_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1687_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1688_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1688_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1688_switch_tag)
                                                                                          {
                                                                                          case 'o':
                                                                                            {
                                                                                              char _t1689_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1689_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1689_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1690_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1690_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1690_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t1691_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1691_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1691_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t1692_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1692_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1692_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1693_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1693_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1693_switch_tag)
                                                                                                                        {
                                                                                                                        case 'j':
                                                                                                                          {
                                                                                                                            char _t1694_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1694_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1694_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_ActivationImplDef _obj;
                                                                                                                                    CORBA_Activator _local_activator_obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_Environment _t1695_storage;
                                                                                                                                    unsigned int _t1696_principal;

                                                                                                                                    {
                                                                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                    }
                                                                                                                                    _ev = &_t1695_storage;
                                                                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                    flick_iiop_decode_new_chunk(8);
                                                                                                                                    flick_cdr_decode_unsigned32(0, _t1696_principal);
                                                                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                    flick_cdr_decode_port32(4, _local_activator_obj, 1);
                                                                                                                                    flick_iiop_mark_port_for_cleanup(_local_activator_obj, 1);
                                                                                                                                    flick_iiop_decode_end_chunk(8);
                                                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    CORBA_ActivationImplDef__set_activator_obj(_obj, _local_activator_obj, _ev);
                                                                                                                                    flick_iiop_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                    }
                                                                                                                                    flick_iiop_encode_new_glob(4);
                                                                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          /* Begin encode phase on parameters */
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_iiop_encode_end_glob(4);
                                                                                                                                    flick_iiop_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t1697_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1697_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1697_switch_tag)
            {
            case '_':
              {
                char _t1698_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1698_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1698_switch_tag)
                  {
                  case '_':
                    {
                      char _t1699_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1699_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1699_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1700_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1700_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1700_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1701_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1701_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1701_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1702_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1702_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1702_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1703_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1703_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1703_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1704_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1704_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1704_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1705_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1705_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1705_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1706_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1706_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1706_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1707_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1707_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1707_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t1708_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1708_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1708_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t1709_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1709_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1709_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1710_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1710_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1710_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t1711_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1711_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1711_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t1712_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1712_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1712_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t1713_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1713_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1713_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t1714_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1714_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1714_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t1715_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1715_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1715_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t1716_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1716_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1716_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1717_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1717_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1717_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ActivationImplDef _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_char *_return = 0;
                                                                                                                                          CORBA_Environment _t1718_storage;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t1718_storage;
                                                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = CORBA_ActivationImplDef__get_interface_name(_obj, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                                flick_iiop_encode_end_glob(4);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1719_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1719_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1719_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1720_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1720_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1720_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1721_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1721_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1721_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1722_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1722_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1722_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1723_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1723_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1723_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1724_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1724_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1724_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t1725_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1725_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1725_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1726_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1726_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1726_switch_tag)
                                                                        {
                                                                        case 'r':
                                                                          {
                                                                            char _t1727_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1727_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1727_switch_tag)
                                                                              {
                                                                              case 'f':
                                                                                {
                                                                                  char _t1728_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1728_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1728_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1729_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1729_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1729_switch_tag)
                                                                                          {
                                                                                          case 'c':
                                                                                            {
                                                                                              char _t1730_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1730_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1730_switch_tag)
                                                                                                {
                                                                                                case 'e':
                                                                                                  {
                                                                                                    char _t1731_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1731_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1731_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t1732_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1732_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1732_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t1733_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1733_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1733_switch_tag)
                                                                                                                  {
                                                                                                                  case 'a':
                                                                                                                    {
                                                                                                                      char _t1734_switch_tag;

                                                                                                                      flick_iiop_decode_new_chunk(1);
                                                                                                                      flick_cdr_decode_char8(0, _t1734_switch_tag);
                                                                                                                      flick_iiop_decode_end_chunk(1);
                                                                                                                      switch (_t1734_switch_tag)
                                                                                                                        {
                                                                                                                        case 'm':
                                                                                                                          {
                                                                                                                            char _t1735_switch_tag;

                                                                                                                            flick_iiop_decode_new_chunk(1);
                                                                                                                            flick_cdr_decode_char8(0, _t1735_switch_tag);
                                                                                                                            flick_iiop_decode_end_chunk(1);
                                                                                                                            switch (_t1735_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1736_switch_tag;

                                                                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                                                                  flick_cdr_decode_char8(0, _t1736_switch_tag);
                                                                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                                                                  switch (_t1736_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          CORBA_ActivationImplDef _obj;
                                                                                                                                          CORBA_char *_local_interface_name;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t1737_storage;
                                                                                                                                          unsigned int _t1738_principal;

                                                                                                                                          {
                                                                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          _ev = &_t1737_storage;
                                                                                                                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                                          flick_iiop_decode_new_chunk(7);
                                                                                                                                          flick_cdr_decode_unsigned32(3, _t1738_principal);
                                                                                                                                          /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                                          flick_iiop_decode_end_chunk(7);
                                                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                                                          flick_cdr_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          CORBA_ActivationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                          flick_iiop_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                                          }
                                                                                                                                          flick_iiop_encode_new_glob(4);
                                                                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                /* Begin encode phase on parameters */
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_iiop_encode_end_glob(4);
                                                                                                                                          flick_iiop_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                                  flick_iiop_decode_end_glob(32);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                            flick_iiop_decode_end_glob(32);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 18:
        {
          char _t1739_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1739_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1739_switch_tag)
            {
            case '_':
              {
                char _t1740_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1740_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1740_switch_tag)
                  {
                  case '_':
                    {
                      char _t1741_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1741_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1741_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1742_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1742_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1742_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1743_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1743_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1743_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1744_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1744_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1744_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1745_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1745_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1745_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1746_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1746_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1746_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t1747_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1747_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1747_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t1748_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1748_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1748_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1749_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1749_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1749_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t1750_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1750_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1750_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t1751_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1751_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1751_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1752_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1752_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1752_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t1753_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1753_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1753_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t1754_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1754_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1754_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t1755_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1755_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1755_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t1756_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1756_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1756_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ActivationImplDef _obj;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_char *_return = 0;
                                                                                                                        CORBA_Environment _t1757_storage;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t1757_storage;
                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        _return = CORBA_ActivationImplDef__get_object_name(_obj, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                              flick_iiop_encode_end_glob(4);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1758_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1758_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1758_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1759_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1759_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1759_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1760_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1760_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1760_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1761_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1761_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1761_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1762_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1762_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1762_switch_tag)
                                                      {
                                                      case 'b':
                                                        {
                                                          char _t1763_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1763_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1763_switch_tag)
                                                            {
                                                            case 'j':
                                                              {
                                                                char _t1764_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t1764_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t1764_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1765_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t1765_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t1765_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t1766_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t1766_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t1766_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t1767_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t1767_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t1767_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1768_switch_tag;

                                                                                        flick_iiop_decode_new_chunk(1);
                                                                                        flick_cdr_decode_char8(0, _t1768_switch_tag);
                                                                                        flick_iiop_decode_end_chunk(1);
                                                                                        switch (_t1768_switch_tag)
                                                                                          {
                                                                                          case 'n':
                                                                                            {
                                                                                              char _t1769_switch_tag;

                                                                                              flick_iiop_decode_new_chunk(1);
                                                                                              flick_cdr_decode_char8(0, _t1769_switch_tag);
                                                                                              flick_iiop_decode_end_chunk(1);
                                                                                              switch (_t1769_switch_tag)
                                                                                                {
                                                                                                case 'a':
                                                                                                  {
                                                                                                    char _t1770_switch_tag;

                                                                                                    flick_iiop_decode_new_chunk(1);
                                                                                                    flick_cdr_decode_char8(0, _t1770_switch_tag);
                                                                                                    flick_iiop_decode_end_chunk(1);
                                                                                                    switch (_t1770_switch_tag)
                                                                                                      {
                                                                                                      case 'm':
                                                                                                        {
                                                                                                          char _t1771_switch_tag;

                                                                                                          flick_iiop_decode_new_chunk(1);
                                                                                                          flick_cdr_decode_char8(0, _t1771_switch_tag);
                                                                                                          flick_iiop_decode_end_chunk(1);
                                                                                                          switch (_t1771_switch_tag)
                                                                                                            {
                                                                                                            case 'e':
                                                                                                              {
                                                                                                                char _t1772_switch_tag;

                                                                                                                flick_iiop_decode_new_chunk(1);
                                                                                                                flick_cdr_decode_char8(0, _t1772_switch_tag);
                                                                                                                flick_iiop_decode_end_chunk(1);
                                                                                                                switch (_t1772_switch_tag)
                                                                                                                  {
                                                                                                                  case 0:
                                                                                                                    {
                                                                                                                      {
                                                                                                                        CORBA_ActivationImplDef _obj;
                                                                                                                        CORBA_char *_local_object_name;
                                                                                                                        CORBA_Environment *_ev;
                                                                                                                        CORBA_Environment _t1773_storage;
                                                                                                                        unsigned int _t1774_principal;

                                                                                                                        {
                                                                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        _ev = &_t1773_storage;
                                                                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                                                        flick_iiop_decode_new_chunk(6);
                                                                                                                        flick_cdr_decode_unsigned32(2, _t1774_principal);
                                                                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                                                                        flick_iiop_decode_end_chunk(6);
                                                                                                                        flick_iiop_decode_end_glob(32);
                                                                                                                        flick_cdr_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                                                                                                        flick_corba_init_environment();
                                                                                                                        CORBA_ActivationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                        flick_iiop_server_start_encode();
                                                                                                                        {
                                                                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                                                        }
                                                                                                                        flick_iiop_encode_new_glob(4);
                                                                                                                        flick_iiop_encode_new_chunk(4);
                                                                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                                                                        flick_iiop_encode_end_chunk(4);
                                                                                                                        switch (_ev->_major)
                                                                                                                          {
                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                            {
                                                                                                                              /* Begin encode phase on parameters */
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                            {
                                                                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                                                            }
                                                                                                                          }
                                                                                                                        flick_iiop_encode_end_glob(4);
                                                                                                                        flick_iiop_server_end_encode();
                                                                                                                      }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                      flick_iiop_decode_end_glob(32);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                                flick_iiop_decode_end_glob(32);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                          flick_iiop_decode_end_glob(32);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                                    flick_iiop_decode_end_glob(32);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                              flick_iiop_decode_end_glob(32);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(32);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(32);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(32);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(32);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t1775_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t1775_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t1775_switch_tag)
            {
            case '_':
              {
                char _t1776_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1776_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t1776_switch_tag)
                  {
                  case '_':
                    {
                      char _t1777_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t1777_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t1777_switch_tag)
                        {
                        case 'g':
                          {
                            char _t1778_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1778_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1778_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1779_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1779_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1779_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1780_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1780_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1780_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1781_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1781_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1781_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1782_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1782_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1782_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t1783_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1783_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1783_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ActivationImplDef _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_ReferenceData *_return = 0;
                                                                  CORBA_Environment _t1784_storage;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t1784_storage;
                                                                  flick_iiop_decode_end_glob(32);
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_ActivationImplDef__get_id(_obj, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t1788_array_iter;

                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_unsigned32(0, _return->_length);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        flick_iiop_encode_new_glob(1 * _return->_length);
#if 0 /* We never byte swap on encoding */
                                                                        for (_t1788_array_iter = 0; _t1788_array_iter < _return->_length; _t1788_array_iter++)
                                                                          {
                                                                            flick_iiop_encode_new_chunk(1);
                                                                            flick_cdr_encode_unsigned8(0, _return->_buffer[_t1788_array_iter]);
                                                                            flick_iiop_encode_end_chunk(1);
                                                                          }
#else /* Always bcopy */
                                                                        flick_cdr_encode_bcopy(_return->_buffer, sizeof(char) * _return->_length, iiop);
#endif /* alway bcopy */
                                                                        flick_iiop_encode_end_glob(1 * _return->_length);
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                        flick_iiop_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t1789_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t1789_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t1789_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t1790_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t1790_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t1790_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t1791_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1791_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t1791_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t1792_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1792_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t1792_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1793_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1793_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t1793_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t1794_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t1794_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t1794_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_ActivationImplDef _obj;
                                                                  CORBA_ReferenceData *_local_id;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t1795_storage;
                                                                  unsigned int _t1796_principal;
                                                                  CORBA_ReferenceData _t1797_storage;
                                                                  unsigned long int _t1799_array_iter;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t1795_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t1796_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  _local_id = &_t1797_storage;
                                                                  flick_cdr_decode_unsigned32(7, _local_id->_length);
                                                                  _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(32);
                                                                  flick_iiop_decode_new_glob(1 * _local_id->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                  for (_t1799_array_iter = 0; _t1799_array_iter < _local_id->_length; _t1799_array_iter++)
                                                                    {
                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_unsigned8(0, _local_id->_buffer[_t1799_array_iter]);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                    }
#else
                                                                  flick_cdr_decode_bcopy(_local_id->_buffer, sizeof(char) * _local_id->_length, iiop);
#endif
                                                                  flick_iiop_decode_end_glob(1 * _local_id->_length);
                                                                  flick_corba_init_environment();
                                                                  CORBA_ActivationImplDef__set_id(_obj, _local_id, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(4);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(4);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(32);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(32);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(32);
          break;
        }
      }
  }
  }
  return 0;
}
