#include "test1-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &test1_server, "test1_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &test1_server, "test1_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_unsigned16(0, *_data);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_test1_ushort_swap(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong_swap(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->case_num);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->case_num);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1_swap(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->case_num);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  flick_cdr_encode_longstring(_data->name, CORBA_flick_free, iiop);
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->value);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_cdr_decode_longstring(_data->name, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->value);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test1_x2_swap(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_cdr_swap_decode_longstring(_data->name, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->value);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_test1(flick_marshal_stream_t _stream, const test1 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test1_swap(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int test1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t426_switch_tag;

    flick_iiop_decode_new_glob(36);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t426_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t426_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t427_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t427_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t427_switch_tag)
            {
            case 't':
              {
                char _t428_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t428_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t428_switch_tag)
                  {
                  case 'e':
                    {
                      char _t429_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t429_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t429_switch_tag)
                        {
                        case 's':
                          {
                            char _t430_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t430_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t430_switch_tag)
                              {
                              case 't':
                                {
                                  char _t431_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t431_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t431_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t432_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t432_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t432_switch_tag)
                                          {
                                          case 'v':
                                            {
                                              char _t433_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t433_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t433_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t434_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t434_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t434_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t435_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t435_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t435_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t436_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t436_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t436_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t437_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t437_storage;
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        test1_test_void(_obj, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(4);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(4);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'l':
                                            {
                                              char _t438_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t438_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t438_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t439_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t439_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t439_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t440_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t440_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t440_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t441_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t441_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t441_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_long _local_a1;
                                                                        CORBA_long *_local_a2;
                                                                        CORBA_long *_local_a3;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_long _t442_storage;
                                                                        CORBA_Environment _t443_storage;
                                                                        unsigned int _t444_principal;
                                                                        CORBA_long _t445_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_a2 = &_t442_storage;
                                                                        _ev = &_t443_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(14);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t444_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        flick_cdr_swap_decode_signed32(6, _local_a1);
                                                                        _local_a3 = &_t445_storage;
                                                                        flick_cdr_swap_decode_signed32(10, *_local_a3);
                                                                        flick_iiop_decode_end_chunk(14);
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        _return = test1_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(16);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(12);
                                                                              flick_cdr_encode_signed32(0, *_local_a2);
                                                                              flick_cdr_encode_signed32(4, *_local_a3);
                                                                              flick_cdr_encode_signed32(8, _return);
                                                                              flick_iiop_encode_end_chunk(12);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(16);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'c':
                                            {
                                              char _t446_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t446_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t446_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t447_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t447_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t447_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t448_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t448_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t448_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t449_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t449_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t449_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_char _local_a1;
                                                                        CORBA_char *_local_a2;
                                                                        CORBA_char *_local_a3;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_char _return = 0;
                                                                        CORBA_char _t450_storage;
                                                                        CORBA_Environment _t451_storage;
                                                                        unsigned int _t452_principal;
                                                                        CORBA_char _t453_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_a2 = &_t450_storage;
                                                                        _ev = &_t451_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(8);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t452_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        flick_cdr_swap_decode_char8(6, _local_a1);
                                                                        _local_a3 = &_t453_storage;
                                                                        flick_cdr_swap_decode_char8(7, *_local_a3);
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        _return = test1_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(7);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(3);
                                                                              flick_cdr_encode_char8(0, *_local_a2);
                                                                              flick_cdr_encode_char8(1, *_local_a3);
                                                                              flick_cdr_encode_char8(2, _return);
                                                                              flick_iiop_encode_end_chunk(3);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(7);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t454_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t454_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t454_switch_tag)
            {
            case 't':
              {
                char _t455_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t455_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t455_switch_tag)
                  {
                  case 'e':
                    {
                      char _t456_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t456_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t456_switch_tag)
                        {
                        case 's':
                          {
                            char _t457_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t457_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t457_switch_tag)
                              {
                              case 't':
                                {
                                  char _t458_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t458_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t458_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t459_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t459_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t459_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t460_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t460_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t460_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t461_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t461_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t461_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t462_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t462_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t462_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t463_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t463_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t463_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t464_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t464_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t464_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_short _local_a1;
                                                                              CORBA_short *_local_a2;
                                                                              CORBA_short *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_short _return = 0;
                                                                              CORBA_short _t465_storage;
                                                                              CORBA_Environment _t466_storage;
                                                                              unsigned int _t467_principal;
                                                                              CORBA_short _t468_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _local_a2 = &_t465_storage;
                                                                              _ev = &_t466_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_swap_decode_unsigned32(1, _t467_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_swap_decode_signed16(5, _local_a1);
                                                                              _local_a3 = &_t468_storage;
                                                                              flick_cdr_swap_decode_signed16(7, *_local_a3);
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(10);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(6);
                                                                                    flick_cdr_encode_signed16(0, *_local_a2);
                                                                                    flick_cdr_encode_signed16(2, *_local_a3);
                                                                                    flick_cdr_encode_signed16(4, _return);
                                                                                    flick_iiop_encode_end_chunk(6);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(10);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'u':
                                            {
                                              char _t469_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t469_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t469_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t470_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t470_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t470_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t471_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t471_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t471_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t472_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t472_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t472_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t473_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t473_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t473_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              test1_ulong _local_a1;
                                                                              test1_ulong *_local_a2;
                                                                              test1_ulong *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              test1_ulong _return;
                                                                              test1_ulong _t474_storage;
                                                                              CORBA_Environment _t475_storage;
                                                                              unsigned int _t476_principal;
                                                                              test1_ulong _t477_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _local_a2 = &_t474_storage;
                                                                              _ev = &_t475_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(13);
                                                                              flick_cdr_swap_decode_unsigned32(1, _t476_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_swap_decode_unsigned32(5, _local_a1);
                                                                              _local_a3 = &_t477_storage;
                                                                              flick_cdr_swap_decode_unsigned32(9, *_local_a3);
                                                                              flick_iiop_decode_end_chunk(13);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(16);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(12);
                                                                                    flick_cdr_encode_unsigned32(0, *_local_a2);
                                                                                    flick_cdr_encode_unsigned32(4, *_local_a3);
                                                                                    flick_cdr_encode_unsigned32(8, _return);
                                                                                    flick_iiop_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(16);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'f':
                                            {
                                              char _t478_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t478_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t478_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t479_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t479_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t479_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t480_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t480_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t480_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t481_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t481_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t481_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t482_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t482_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t482_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_float _local_a1;
                                                                              CORBA_float *_local_a2;
                                                                              CORBA_float *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_float _return = 0.000000;
                                                                              CORBA_float _t483_storage;
                                                                              CORBA_Environment _t484_storage;
                                                                              unsigned int _t485_principal;
                                                                              CORBA_float _t486_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _local_a2 = &_t483_storage;
                                                                              _ev = &_t484_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(13);
                                                                              flick_cdr_swap_decode_unsigned32(1, _t485_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_swap_decode_float32(5, _local_a1);
                                                                              _local_a3 = &_t486_storage;
                                                                              flick_cdr_swap_decode_float32(9, *_local_a3);
                                                                              flick_iiop_decode_end_chunk(13);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(16);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(12);
                                                                                    flick_cdr_encode_float32(0, *_local_a2);
                                                                                    flick_cdr_encode_float32(4, *_local_a3);
                                                                                    flick_cdr_encode_float32(8, _return);
                                                                                    flick_iiop_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(16);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'o':
                                            {
                                              char _t487_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t487_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t487_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t488_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t488_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t488_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t489_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t489_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t489_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t490_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t490_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t490_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t491_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t491_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t491_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_octet _local_a1;
                                                                              CORBA_octet *_local_a2;
                                                                              CORBA_octet *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_octet _return = 0;
                                                                              CORBA_octet _t492_storage;
                                                                              CORBA_Environment _t493_storage;
                                                                              unsigned int _t494_principal;
                                                                              CORBA_octet _t495_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _local_a2 = &_t492_storage;
                                                                              _ev = &_t493_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(7);
                                                                              flick_cdr_swap_decode_unsigned32(1, _t494_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_swap_decode_unsigned8(5, _local_a1);
                                                                              _local_a3 = &_t495_storage;
                                                                              flick_cdr_swap_decode_unsigned8(6, *_local_a3);
                                                                              flick_iiop_decode_end_chunk(7);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(7);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(3);
                                                                                    flick_cdr_encode_unsigned8(0, *_local_a2);
                                                                                    flick_cdr_encode_unsigned8(1, *_local_a3);
                                                                                    flick_cdr_encode_unsigned8(2, _return);
                                                                                    flick_iiop_encode_end_chunk(3);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(7);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 't':
                                            {
                                              char _t496_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t496_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t496_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t497_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t497_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t497_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t498_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t498_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t498_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t499_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t499_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t499_switch_tag)
                                                                  {
                                                                  case 'w':
                                                                    {
                                                                      char _t500_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t500_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t500_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_long _local_case_num;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t501_storage;
                                                                              unsigned int _t502_principal;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t501_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_swap_decode_unsigned32(1, _t502_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_swap_decode_signed32(5, _local_case_num);
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              test1_test_throw(_obj, _local_case_num, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(12);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_end_glob(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    flick_iiop_encode_end_glob(12);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_iiop_encode_new_chunk(1);
                                                                                    flick_cdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                                                                    flick_iiop_encode_end_chunk(1);
                                                                                    switch (_ev->_atomic_user_id)
                                                                                      {
                                                                                      case 0:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(7);
                                                                                          flick_cdr_encode_signed32(3, ((test1_x1 *)(_ev->_except))->case_num);
                                                                                          CORBA_flick_free((test1_x1 *)(_ev->_except));
                                                                                          flick_iiop_encode_end_chunk(7);
                                                                                          flick_iiop_encode_end_glob(12);
                                                                                          break;
                                                                                        }
                                                                                      case 1:
                                                                                        {
                                                                                          flick_iiop_encode_end_glob(12);
                                                                                          flick_cdr_encode_longstring(((test1_x2 *)(_ev->_except))->name, CORBA_flick_free, iiop);
                                                                                          flick_iiop_encode_new_glob(4);
                                                                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                          flick_cdr_encode_signed32(0, ((test1_x2 *)(_ev->_except))->value);
                                                                                          CORBA_flick_free((test1_x2 *)(_ev->_except));
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(12);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                  }
                                                                                }
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t503_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t503_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t503_switch_tag)
            {
            case 't':
              {
                char _t504_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t504_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t504_switch_tag)
                  {
                  case 'e':
                    {
                      char _t505_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t505_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t505_switch_tag)
                        {
                        case 's':
                          {
                            char _t506_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t506_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t506_switch_tag)
                              {
                              case 't':
                                {
                                  char _t507_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t507_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t507_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t508_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t508_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t508_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t509_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t509_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t509_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t510_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t510_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t510_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t511_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t511_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t511_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t512_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t512_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t512_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t513_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t513_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t513_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t514_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t514_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t514_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    test1_ushort _local_a1;
                                                                                    test1_ushort *_local_a2;
                                                                                    test1_ushort *_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    test1_ushort _return;
                                                                                    test1_ushort _t515_storage;
                                                                                    CORBA_Environment _t516_storage;
                                                                                    unsigned int _t517_principal;
                                                                                    test1_ushort _t518_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _local_a2 = &_t515_storage;
                                                                                    _ev = &_t516_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(8);
                                                                                    flick_cdr_swap_decode_unsigned32(0, _t517_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    flick_cdr_swap_decode_unsigned16(4, _local_a1);
                                                                                    _local_a3 = &_t518_storage;
                                                                                    flick_cdr_swap_decode_unsigned16(6, *_local_a3);
                                                                                    flick_iiop_decode_end_chunk(8);
                                                                                    flick_iiop_decode_end_glob(36);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(10);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_new_chunk(6);
                                                                                          flick_cdr_encode_unsigned16(0, *_local_a2);
                                                                                          flick_cdr_encode_unsigned16(2, *_local_a3);
                                                                                          flick_cdr_encode_unsigned16(4, _return);
                                                                                          flick_iiop_encode_end_chunk(6);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(10);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t519_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t519_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t519_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t520_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t520_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t520_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t521_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t521_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t521_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t522_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t522_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t522_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t523_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t523_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t523_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t524_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t524_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t524_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_double _local_a1;
                                                                                    CORBA_double *_local_a2;
                                                                                    CORBA_double *_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_double _return = 0.000000;
                                                                                    CORBA_double _t525_storage;
                                                                                    CORBA_Environment _t526_storage;
                                                                                    unsigned int _t527_principal;
                                                                                    CORBA_double _t528_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _local_a2 = &_t525_storage;
                                                                                    _ev = &_t526_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(4);
                                                                                    flick_cdr_swap_decode_unsigned32(0, _t527_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    flick_iiop_decode_end_chunk(4);
                                                                                    flick_iiop_decode_new_chunk_align(16, 3, 2, 0);
                                                                                    flick_cdr_swap_decode_float64(0, _local_a1);
                                                                                    _local_a3 = &_t528_storage;
                                                                                    flick_cdr_swap_decode_float64(8, *_local_a3);
                                                                                    flick_iiop_decode_end_chunk(16);
                                                                                    flick_iiop_decode_end_glob(36);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(28);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                                                                          flick_cdr_encode_float64(0, *_local_a2);
                                                                                          flick_cdr_encode_float64(8, *_local_a3);
                                                                                          flick_cdr_encode_float64(16, _return);
                                                                                          flick_iiop_encode_end_chunk(24);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(28);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t529_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t529_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t529_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t530_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t530_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t530_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t531_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t531_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t531_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t532_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t532_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t532_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t533_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t533_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t533_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t534_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t534_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t534_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_char *_local_a1;
                                                                                    CORBA_char **_local_a2;
                                                                                    CORBA_char **_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_char *_return = 0;
                                                                                    CORBA_char *_t535_storage;
                                                                                    CORBA_Environment _t536_storage;
                                                                                    unsigned int _t537_principal;
                                                                                    CORBA_char *_t538_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _local_a2 = &_t535_storage;
                                                                                    _ev = &_t536_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(4);
                                                                                    flick_cdr_swap_decode_unsigned32(0, _t537_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    flick_iiop_decode_end_chunk(4);
                                                                                    flick_iiop_decode_end_glob(36);
                                                                                    flick_cdr_swap_decode_auto_string(_local_a1, auto_flick_alloc, iiop);
                                                                                    _local_a3 = &_t538_storage;
                                                                                    flick_cdr_swap_decode_longstring(*_local_a3, CORBA_flick_alloc, iiop);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(4);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                          flick_cdr_encode_longstring(*_local_a2, CORBA_flick_free, iiop);
                                                                                          flick_cdr_encode_longstring(*_local_a3, CORBA_flick_free, iiop);
                                                                                          flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            case 'p':
              {
                char _t539_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t539_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t539_switch_tag)
                  {
                  case 'l':
                    {
                      char _t540_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t540_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t540_switch_tag)
                        {
                        case 'e':
                          {
                            char _t541_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t541_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t541_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t542_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t542_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t542_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t543_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t543_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t543_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t544_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t544_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t544_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t545_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t545_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t545_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t546_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t546_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t546_switch_tag)
                                                            {
                                                            case 'x':
                                                              {
                                                                char _t547_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t547_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t547_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t548_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t548_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t548_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t549_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t549_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t549_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Environment _t550_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _ev = &_t550_storage;
                                                                                    flick_iiop_decode_end_glob(36);
                                                                                    flick_corba_init_environment();
                                                                                    test1_please_exit(_obj, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(4);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(4);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t551_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t551_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t551_switch_tag)
            {
            case 't':
              {
                char _t552_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t552_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t552_switch_tag)
                  {
                  case 'e':
                    {
                      char _t553_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t553_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t553_switch_tag)
                        {
                        case 's':
                          {
                            char _t554_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t554_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t554_switch_tag)
                              {
                              case 't':
                                {
                                  char _t555_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t555_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t555_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t556_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t556_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t556_switch_tag)
                                          {
                                          case 'b':
                                            {
                                              char _t557_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t557_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t557_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t558_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t558_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t558_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t559_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t559_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t559_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t560_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t560_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t560_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t561_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t561_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t561_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t562_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t562_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t562_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t563_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t563_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t563_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          test1 _obj;
                                                                                          CORBA_boolean _local_a1;
                                                                                          CORBA_boolean *_local_a2;
                                                                                          CORBA_boolean *_local_a3;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_boolean _return = 0;
                                                                                          CORBA_boolean _t564_storage;
                                                                                          CORBA_Environment _t565_storage;
                                                                                          unsigned int _t566_principal;
                                                                                          CORBA_boolean _t567_storage;

                                                                                          {
                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                          }
                                                                                          _local_a2 = &_t564_storage;
                                                                                          _ev = &_t565_storage;
                                                                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                          flick_iiop_decode_new_chunk(9);
                                                                                          flick_cdr_swap_decode_unsigned32(3, _t566_principal);
                                                                                          /* XXX - right now, it had better be empty! - fix this... */
                                                                                          flick_cdr_swap_decode_unsigned8(7, _local_a1);
                                                                                          _local_a3 = &_t567_storage;
                                                                                          flick_cdr_swap_decode_unsigned8(8, *_local_a3);
                                                                                          flick_iiop_decode_end_chunk(9);
                                                                                          flick_iiop_decode_end_glob(36);
                                                                                          flick_corba_init_environment();
                                                                                          _return = test1_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                          flick_iiop_server_start_encode();
                                                                                          {
                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                          }
                                                                                          flick_iiop_encode_new_glob(7);
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          switch (_ev->_major)
                                                                                            {
                                                                                            case CORBA_NO_EXCEPTION:
                                                                                              {
                                                                                                /* Begin encode phase on parameters */
                                                                                                flick_iiop_encode_new_chunk(3);
                                                                                                flick_cdr_encode_unsigned8(0, *_local_a2);
                                                                                                flick_cdr_encode_unsigned8(1, *_local_a3);
                                                                                                flick_cdr_encode_unsigned8(2, _return);
                                                                                                flick_iiop_encode_end_chunk(3);
                                                                                                break;
                                                                                              }
                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                              {
                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                              }
                                                                                            }
                                                                                          flick_iiop_encode_end_glob(7);
                                                                                          flick_iiop_server_end_encode();
                                                                                        }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(36);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t142_switch_tag;

    flick_iiop_decode_new_glob(36);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t142_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t142_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t143_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t143_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t143_switch_tag)
            {
            case 't':
              {
                char _t144_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t144_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t144_switch_tag)
                  {
                  case 'e':
                    {
                      char _t145_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t145_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t145_switch_tag)
                        {
                        case 's':
                          {
                            char _t146_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t146_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t146_switch_tag)
                              {
                              case 't':
                                {
                                  char _t147_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t147_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t147_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t148_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t148_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t148_switch_tag)
                                          {
                                          case 'v':
                                            {
                                              char _t149_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t149_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t149_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t150_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t150_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t150_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t151_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t151_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t151_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t152_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t152_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t152_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t153_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t153_storage;
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        test1_test_void(_obj, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(4);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(4);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'l':
                                            {
                                              char _t154_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t154_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t154_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t155_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t155_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t155_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t156_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t156_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t156_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t157_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t157_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t157_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_long _local_a1;
                                                                        CORBA_long *_local_a2;
                                                                        CORBA_long *_local_a3;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_long _t158_storage;
                                                                        CORBA_Environment _t159_storage;
                                                                        unsigned int _t160_principal;
                                                                        CORBA_long _t161_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_a2 = &_t158_storage;
                                                                        _ev = &_t159_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(14);
                                                                        flick_cdr_decode_unsigned32(2, _t160_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        flick_cdr_decode_signed32(6, _local_a1);
                                                                        _local_a3 = &_t161_storage;
                                                                        flick_cdr_decode_signed32(10, *_local_a3);
                                                                        flick_iiop_decode_end_chunk(14);
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        _return = test1_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(16);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(12);
                                                                              flick_cdr_encode_signed32(0, *_local_a2);
                                                                              flick_cdr_encode_signed32(4, *_local_a3);
                                                                              flick_cdr_encode_signed32(8, _return);
                                                                              flick_iiop_encode_end_chunk(12);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(16);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'c':
                                            {
                                              char _t162_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t162_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t162_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t163_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t163_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t163_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t164_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t164_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t164_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t165_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t165_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t165_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_char _local_a1;
                                                                        CORBA_char *_local_a2;
                                                                        CORBA_char *_local_a3;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_char _return = 0;
                                                                        CORBA_char _t166_storage;
                                                                        CORBA_Environment _t167_storage;
                                                                        unsigned int _t168_principal;
                                                                        CORBA_char _t169_storage;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _local_a2 = &_t166_storage;
                                                                        _ev = &_t167_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(8);
                                                                        flick_cdr_decode_unsigned32(2, _t168_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        flick_cdr_decode_char8(6, _local_a1);
                                                                        _local_a3 = &_t169_storage;
                                                                        flick_cdr_decode_char8(7, *_local_a3);
                                                                        flick_iiop_decode_end_chunk(8);
                                                                        flick_iiop_decode_end_glob(36);
                                                                        flick_corba_init_environment();
                                                                        _return = test1_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(7);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(3);
                                                                              flick_cdr_encode_char8(0, *_local_a2);
                                                                              flick_cdr_encode_char8(1, *_local_a3);
                                                                              flick_cdr_encode_char8(2, _return);
                                                                              flick_iiop_encode_end_chunk(3);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(7);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t170_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t170_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t170_switch_tag)
            {
            case 't':
              {
                char _t171_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t171_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t171_switch_tag)
                  {
                  case 'e':
                    {
                      char _t172_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t172_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t172_switch_tag)
                        {
                        case 's':
                          {
                            char _t173_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t173_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t173_switch_tag)
                              {
                              case 't':
                                {
                                  char _t174_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t174_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t174_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t175_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t175_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t175_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t176_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t176_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t176_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t177_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t177_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t177_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t178_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t178_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t178_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t179_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t179_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t179_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t180_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t180_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t180_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_short _local_a1;
                                                                              CORBA_short *_local_a2;
                                                                              CORBA_short *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_short _return = 0;
                                                                              CORBA_short _t181_storage;
                                                                              CORBA_Environment _t182_storage;
                                                                              unsigned int _t183_principal;
                                                                              CORBA_short _t184_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _local_a2 = &_t181_storage;
                                                                              _ev = &_t182_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_decode_unsigned32(1, _t183_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_decode_signed16(5, _local_a1);
                                                                              _local_a3 = &_t184_storage;
                                                                              flick_cdr_decode_signed16(7, *_local_a3);
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(10);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(6);
                                                                                    flick_cdr_encode_signed16(0, *_local_a2);
                                                                                    flick_cdr_encode_signed16(2, *_local_a3);
                                                                                    flick_cdr_encode_signed16(4, _return);
                                                                                    flick_iiop_encode_end_chunk(6);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(10);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'u':
                                            {
                                              char _t185_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t185_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t185_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t186_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t186_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t186_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t187_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t187_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t187_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t188_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t188_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t188_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t189_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t189_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t189_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              test1_ulong _local_a1;
                                                                              test1_ulong *_local_a2;
                                                                              test1_ulong *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              test1_ulong _return;
                                                                              test1_ulong _t190_storage;
                                                                              CORBA_Environment _t191_storage;
                                                                              unsigned int _t192_principal;
                                                                              test1_ulong _t193_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _local_a2 = &_t190_storage;
                                                                              _ev = &_t191_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(13);
                                                                              flick_cdr_decode_unsigned32(1, _t192_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_decode_unsigned32(5, _local_a1);
                                                                              _local_a3 = &_t193_storage;
                                                                              flick_cdr_decode_unsigned32(9, *_local_a3);
                                                                              flick_iiop_decode_end_chunk(13);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(16);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(12);
                                                                                    flick_cdr_encode_unsigned32(0, *_local_a2);
                                                                                    flick_cdr_encode_unsigned32(4, *_local_a3);
                                                                                    flick_cdr_encode_unsigned32(8, _return);
                                                                                    flick_iiop_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(16);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'f':
                                            {
                                              char _t194_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t194_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t194_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t195_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t195_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t195_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t196_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t196_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t196_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t197_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t197_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t197_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t198_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t198_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t198_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_float _local_a1;
                                                                              CORBA_float *_local_a2;
                                                                              CORBA_float *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_float _return = 0.000000;
                                                                              CORBA_float _t199_storage;
                                                                              CORBA_Environment _t200_storage;
                                                                              unsigned int _t201_principal;
                                                                              CORBA_float _t202_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _local_a2 = &_t199_storage;
                                                                              _ev = &_t200_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(13);
                                                                              flick_cdr_decode_unsigned32(1, _t201_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_decode_float32(5, _local_a1);
                                                                              _local_a3 = &_t202_storage;
                                                                              flick_cdr_decode_float32(9, *_local_a3);
                                                                              flick_iiop_decode_end_chunk(13);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(16);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(12);
                                                                                    flick_cdr_encode_float32(0, *_local_a2);
                                                                                    flick_cdr_encode_float32(4, *_local_a3);
                                                                                    flick_cdr_encode_float32(8, _return);
                                                                                    flick_iiop_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(16);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'o':
                                            {
                                              char _t203_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t203_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t203_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t204_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t204_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t204_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t205_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t205_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t205_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t206_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t206_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t206_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t207_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t207_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t207_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_octet _local_a1;
                                                                              CORBA_octet *_local_a2;
                                                                              CORBA_octet *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_octet _return = 0;
                                                                              CORBA_octet _t208_storage;
                                                                              CORBA_Environment _t209_storage;
                                                                              unsigned int _t210_principal;
                                                                              CORBA_octet _t211_storage;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _local_a2 = &_t208_storage;
                                                                              _ev = &_t209_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(7);
                                                                              flick_cdr_decode_unsigned32(1, _t210_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_decode_unsigned8(5, _local_a1);
                                                                              _local_a3 = &_t211_storage;
                                                                              flick_cdr_decode_unsigned8(6, *_local_a3);
                                                                              flick_iiop_decode_end_chunk(7);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(7);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_new_chunk(3);
                                                                                    flick_cdr_encode_unsigned8(0, *_local_a2);
                                                                                    flick_cdr_encode_unsigned8(1, *_local_a3);
                                                                                    flick_cdr_encode_unsigned8(2, _return);
                                                                                    flick_iiop_encode_end_chunk(3);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                  }
                                                                                }
                                                                              flick_iiop_encode_end_glob(7);
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 't':
                                            {
                                              char _t212_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t212_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t212_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t213_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t213_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t213_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t214_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t214_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t214_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t215_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t215_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t215_switch_tag)
                                                                  {
                                                                  case 'w':
                                                                    {
                                                                      char _t216_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t216_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t216_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_long _local_case_num;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t217_storage;
                                                                              unsigned int _t218_principal;

                                                                              {
                                                                                flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                              }
                                                                              _ev = &_t217_storage;
                                                                              /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                              flick_iiop_decode_new_chunk(9);
                                                                              flick_cdr_decode_unsigned32(1, _t218_principal);
                                                                              /* XXX - right now, it had better be empty! - fix this... */
                                                                              flick_cdr_decode_signed32(5, _local_case_num);
                                                                              flick_iiop_decode_end_chunk(9);
                                                                              flick_iiop_decode_end_glob(36);
                                                                              flick_corba_init_environment();
                                                                              test1_test_throw(_obj, _local_case_num, _ev);
                                                                              flick_iiop_server_start_encode();
                                                                              {
                                                                                flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                              }
                                                                              flick_iiop_encode_new_glob(12);
                                                                              flick_iiop_encode_new_chunk(4);
                                                                              flick_cdr_encode_signed32(0, _ev->_major);
                                                                              flick_iiop_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    /* Begin encode phase on parameters */
                                                                                    flick_iiop_encode_end_glob(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                    flick_iiop_encode_end_glob(12);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_iiop_encode_new_chunk(1);
                                                                                    flick_cdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                                                                    flick_iiop_encode_end_chunk(1);
                                                                                    switch (_ev->_atomic_user_id)
                                                                                      {
                                                                                      case 0:
                                                                                        {
                                                                                          flick_iiop_encode_new_chunk(7);
                                                                                          flick_cdr_encode_signed32(3, ((test1_x1 *)(_ev->_except))->case_num);
                                                                                          CORBA_flick_free((test1_x1 *)(_ev->_except));
                                                                                          flick_iiop_encode_end_chunk(7);
                                                                                          flick_iiop_encode_end_glob(12);
                                                                                          break;
                                                                                        }
                                                                                      case 1:
                                                                                        {
                                                                                          flick_iiop_encode_end_glob(12);
                                                                                          flick_cdr_encode_longstring(((test1_x2 *)(_ev->_except))->name, CORBA_flick_free, iiop);
                                                                                          flick_iiop_encode_new_glob(4);
                                                                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                                                          flick_cdr_encode_signed32(0, ((test1_x2 *)(_ev->_except))->value);
                                                                                          CORBA_flick_free((test1_x2 *)(_ev->_except));
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(12);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                  }
                                                                                }
                                                                              flick_iiop_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t219_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t219_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t219_switch_tag)
            {
            case 't':
              {
                char _t220_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t220_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t220_switch_tag)
                  {
                  case 'e':
                    {
                      char _t221_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t221_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t221_switch_tag)
                        {
                        case 's':
                          {
                            char _t222_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t222_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t222_switch_tag)
                              {
                              case 't':
                                {
                                  char _t223_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t223_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t223_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t224_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t224_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t224_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t225_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t225_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t225_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t226_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t226_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t226_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t227_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t227_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t227_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t228_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t228_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t228_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t229_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t229_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t229_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t230_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t230_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t230_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    test1_ushort _local_a1;
                                                                                    test1_ushort *_local_a2;
                                                                                    test1_ushort *_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    test1_ushort _return;
                                                                                    test1_ushort _t231_storage;
                                                                                    CORBA_Environment _t232_storage;
                                                                                    unsigned int _t233_principal;
                                                                                    test1_ushort _t234_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _local_a2 = &_t231_storage;
                                                                                    _ev = &_t232_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(8);
                                                                                    flick_cdr_decode_unsigned32(0, _t233_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    flick_cdr_decode_unsigned16(4, _local_a1);
                                                                                    _local_a3 = &_t234_storage;
                                                                                    flick_cdr_decode_unsigned16(6, *_local_a3);
                                                                                    flick_iiop_decode_end_chunk(8);
                                                                                    flick_iiop_decode_end_glob(36);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(10);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_new_chunk(6);
                                                                                          flick_cdr_encode_unsigned16(0, *_local_a2);
                                                                                          flick_cdr_encode_unsigned16(2, *_local_a3);
                                                                                          flick_cdr_encode_unsigned16(4, _return);
                                                                                          flick_iiop_encode_end_chunk(6);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(10);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t235_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t235_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t235_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t236_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t236_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t236_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t237_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t237_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t237_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t238_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t238_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t238_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t239_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t239_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t239_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t240_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t240_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t240_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_double _local_a1;
                                                                                    CORBA_double *_local_a2;
                                                                                    CORBA_double *_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_double _return = 0.000000;
                                                                                    CORBA_double _t241_storage;
                                                                                    CORBA_Environment _t242_storage;
                                                                                    unsigned int _t243_principal;
                                                                                    CORBA_double _t244_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _local_a2 = &_t241_storage;
                                                                                    _ev = &_t242_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(4);
                                                                                    flick_cdr_decode_unsigned32(0, _t243_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    flick_iiop_decode_end_chunk(4);
                                                                                    flick_iiop_decode_new_chunk_align(16, 3, 2, 0);
                                                                                    flick_cdr_decode_float64(0, _local_a1);
                                                                                    _local_a3 = &_t244_storage;
                                                                                    flick_cdr_decode_float64(8, *_local_a3);
                                                                                    flick_iiop_decode_end_chunk(16);
                                                                                    flick_iiop_decode_end_glob(36);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(28);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                                                                          flick_cdr_encode_float64(0, *_local_a2);
                                                                                          flick_cdr_encode_float64(8, *_local_a3);
                                                                                          flick_cdr_encode_float64(16, _return);
                                                                                          flick_iiop_encode_end_chunk(24);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(28);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t245_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t245_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t245_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t246_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t246_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t246_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t247_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t247_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t247_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t248_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t248_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t248_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t249_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t249_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t249_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t250_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t250_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t250_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_char *_local_a1;
                                                                                    CORBA_char **_local_a2;
                                                                                    CORBA_char **_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_char *_return = 0;
                                                                                    CORBA_char *_t251_storage;
                                                                                    CORBA_Environment _t252_storage;
                                                                                    unsigned int _t253_principal;
                                                                                    CORBA_char *_t254_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _local_a2 = &_t251_storage;
                                                                                    _ev = &_t252_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(4);
                                                                                    flick_cdr_decode_unsigned32(0, _t253_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    flick_iiop_decode_end_chunk(4);
                                                                                    flick_iiop_decode_end_glob(36);
                                                                                    flick_cdr_decode_auto_string(_local_a1, auto_flick_alloc, iiop);
                                                                                    _local_a3 = &_t254_storage;
                                                                                    flick_cdr_decode_longstring(*_local_a3, CORBA_flick_alloc, iiop);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(4);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                          flick_cdr_encode_longstring(*_local_a2, CORBA_flick_free, iiop);
                                                                                          flick_cdr_encode_longstring(*_local_a3, CORBA_flick_free, iiop);
                                                                                          flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                          flick_iiop_encode_end_glob(4);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            case 'p':
              {
                char _t255_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t255_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t255_switch_tag)
                  {
                  case 'l':
                    {
                      char _t256_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t256_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t256_switch_tag)
                        {
                        case 'e':
                          {
                            char _t257_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t257_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t257_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t258_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t258_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t258_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t259_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t259_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t259_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t260_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t260_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t260_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t261_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t261_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t261_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t262_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t262_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t262_switch_tag)
                                                            {
                                                            case 'x':
                                                              {
                                                                char _t263_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t263_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t263_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t264_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t264_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t264_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t265_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t265_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t265_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Environment _t266_storage;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _ev = &_t266_storage;
                                                                                    flick_iiop_decode_end_glob(36);
                                                                                    flick_corba_init_environment();
                                                                                    test1_please_exit(_obj, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(4);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(4);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t267_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t267_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t267_switch_tag)
            {
            case 't':
              {
                char _t268_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t268_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t268_switch_tag)
                  {
                  case 'e':
                    {
                      char _t269_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t269_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t269_switch_tag)
                        {
                        case 's':
                          {
                            char _t270_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t270_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t270_switch_tag)
                              {
                              case 't':
                                {
                                  char _t271_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t271_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t271_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t272_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t272_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t272_switch_tag)
                                          {
                                          case 'b':
                                            {
                                              char _t273_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t273_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t273_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t274_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t274_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t274_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t275_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t275_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t275_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t276_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t276_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t276_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t277_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t277_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t277_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t278_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t278_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t278_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t279_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t279_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t279_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          test1 _obj;
                                                                                          CORBA_boolean _local_a1;
                                                                                          CORBA_boolean *_local_a2;
                                                                                          CORBA_boolean *_local_a3;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_boolean _return = 0;
                                                                                          CORBA_boolean _t280_storage;
                                                                                          CORBA_Environment _t281_storage;
                                                                                          unsigned int _t282_principal;
                                                                                          CORBA_boolean _t283_storage;

                                                                                          {
                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                          }
                                                                                          _local_a2 = &_t280_storage;
                                                                                          _ev = &_t281_storage;
                                                                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                          flick_iiop_decode_new_chunk(9);
                                                                                          flick_cdr_decode_unsigned32(3, _t282_principal);
                                                                                          /* XXX - right now, it had better be empty! - fix this... */
                                                                                          flick_cdr_decode_unsigned8(7, _local_a1);
                                                                                          _local_a3 = &_t283_storage;
                                                                                          flick_cdr_decode_unsigned8(8, *_local_a3);
                                                                                          flick_iiop_decode_end_chunk(9);
                                                                                          flick_iiop_decode_end_glob(36);
                                                                                          flick_corba_init_environment();
                                                                                          _return = test1_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                          flick_iiop_server_start_encode();
                                                                                          {
                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                          }
                                                                                          flick_iiop_encode_new_glob(7);
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          switch (_ev->_major)
                                                                                            {
                                                                                            case CORBA_NO_EXCEPTION:
                                                                                              {
                                                                                                /* Begin encode phase on parameters */
                                                                                                flick_iiop_encode_new_chunk(3);
                                                                                                flick_cdr_encode_unsigned8(0, *_local_a2);
                                                                                                flick_cdr_encode_unsigned8(1, *_local_a3);
                                                                                                flick_cdr_encode_unsigned8(2, _return);
                                                                                                flick_iiop_encode_end_chunk(3);
                                                                                                break;
                                                                                              }
                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                              {
                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                              }
                                                                                            }
                                                                                          flick_iiop_encode_end_glob(7);
                                                                                          flick_iiop_server_end_encode();
                                                                                        }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(36);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(36);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(36);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(36);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(36);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(36);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(36);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(36);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(36);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(36);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(36);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(36);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(36);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(36);
          break;
        }
      }
  }
  }
  return 0;
}
